/**
 * @license
 * Copyright 2021 Google LLC. All Rights Reserved.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * =============================================================================
 */
!function(e,t){"object"==typeof exports&&"undefined"!=typeof module?t(exports,require("@tensorflow/tfjs-core"),require("path"),require("fs"),require("worker_threads"),require("perf_hooks"),require("os")):"function"==typeof define&&define.amd?define(["exports","@tensorflow/tfjs-core","path","fs","worker_threads","perf_hooks","os"],t):t(((e=e||self).tf=e.tf||{},e.tf.wasm=e.tf.wasm||{}),e.tf,e.path,e.fs,e.worker_threads,e.perf_hooks,e.os)}(this,(function(e,t,n,a,r,s,u){"use strict";var i,o;let l;n=n&&n.hasOwnProperty("default")?n.default:n,a=a&&a.hasOwnProperty("default")?a.default:a,r=r&&r.hasOwnProperty("default")?r.default:r,s=s&&s.hasOwnProperty("default")?s.default:s,u=u&&u.hasOwnProperty("default")?u.default:u,function(e){e[e.float32=0]="float32",e[e.int32=1]="int32",e[e.bool=2]="bool",e[e.string=3]="string",e[e.complex64=4]="complex64"}(i||(i={})),function(e){e[e.linear=0]="linear",e[e.relu=1]="relu",e[e.relu6=2]="relu6",e[e.prelu=3]="prelu",e[e.leakyrelu=4]="leakyrelu"}(o||(o={}));const d={kernelName:t._FusedMatMul,backendName:"wasm",setupFunc:function(e){l=e.wasm.cwrap(t._FusedMatMul,null,["number","array","number","number","array","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){const{inputs:t,backend:n,attrs:a}=e,{a:r,b:s,bias:u,preluActivationWeights:i}=t;if("float32"!==r.dtype||"float32"!==s.dtype)throw new Error("_FusedMatMul for non non-float32 tensors not yet supported.");const{transposeA:d,transposeB:c,activation:p,leakyreluAlpha:f}=a,m=n.dataIdMap.get(r.dataId).id,h=n.dataIdMap.get(s.dataId).id;let b=0;if(null!=u){const e=n.dataIdMap.get(u.dataId);if(1!==e.shape.length)throw new Error(`_FusedMatMul only supports rank-1 bias but got rank ${e.shape.length}.`);b=e.id}const y=null==i?0:n.dataIdMap.get(i.dataId).id,g=o[p];if(null==g)throw new Error(p+" activation not yet supported for FusedConv2D in the wasm backend.");const _=d?r.shape[2]:r.shape[1],w=c?s.shape[1]:s.shape[2],k=r.shape[0],I=n.makeOutput([k,_,w],r.dtype),v=n.dataIdMap.get(I.dataId).id,M=new Uint8Array(new Int32Array(r.shape).buffer),S=new Uint8Array(new Int32Array(s.shape).buffer);return l(m,M,r.shape.length,h,S,s.shape.length,d,c,g,b,y,f||0,v),I}};function c(e){let n;return{kernelName:e,backendName:"wasm",setupFunc:function(t){n=t.wasm.cwrap(e,null,["number","number"])},kernelFunc:function(e){const{backend:a,inputs:{x:r}}=e,s=a.dataIdMap.get(r.dataId).id,u=a.makeOutput(r.shape,r.dtype),i=a.dataIdMap.get(u.dataId).id;return 0===t.util.sizeFromShape(u.shape)||n(s,i),u}}}const p=c(t.Abs);function f(e,n,a){let r;return{kernelName:e,backendName:"wasm",setupFunc:function(t){r=t.wasm.cwrap(e,null,["number","array","number","number","array","number","number","number"])},kernelFunc:function(s){const{backend:u,inputs:o}=s,{a:l,b:d}=o,c=u.dataIdMap.get(l.dataId).id,p=u.dataIdMap.get(d.dataId).id,f=null!=a?a:l.dtype,m=t.backend_util.assertAndGetBroadcastShape(l.shape,d.shape),h=u.makeOutput(m,f);if(0===t.util.sizeFromShape(m))return h;const b=new Uint8Array(new Int32Array(l.shape).buffer),y=new Uint8Array(new Int32Array(d.shape).buffer),g=u.dataIdMap.get(h.dataId).id,_=()=>r(c,b,l.shape.length,p,y,d.shape.length,i[l.dtype],g);if(n&&"float32"===l.dtype)return _(),h;const w=t.backend_util.getBroadcastDims(l.shape,m),k=t.backend_util.getBroadcastDims(d.shape,m),I=w.every((e,t)=>e===t),v=k.every((e,t)=>e===t);if(I&&v)return _(),h;throw new Error(`Broadcasting along outer dims is not yet supported for ${l.dtype} ${e}.`)}}}const m=f(t.Add,!0);let h;const b={kernelName:t.AddN,backendName:"wasm",setupFunc:function(e){h=e.wasm.cwrap(t.AddN,null,["array","number","number","number"])},kernelFunc:function(e){const{inputs:n,backend:a}=e,r=a.makeOutput(n[0].shape,n[0].dtype);if(0===t.util.sizeFromShape(r.shape))return r;const s=n.map(e=>a.dataIdMap.get(e.dataId).id),u=new Uint8Array(new Int32Array(s).buffer),o=a.dataIdMap.get(r.dataId).id;return h(u,s.length,i[r.dtype],o),r}};function y(e){const{inputs:{x:t},backend:n}=e,a=n.makeOutput(t.shape,t.dtype),r=n.typedArrayFromHeap(t);return n.typedArrayFromHeap(a).set(r),a}const g={kernelName:t.Identity,backendName:"wasm",kernelFunc:y};let _;function w(e){const{inputs:t,backend:n,attrs:a}=e,[r,s]=function(e,t){const n=[],a=[];for(let r=0;r<e.length;++r)1!==e[r]&&n.push(e[r]),1!==e[t[r]]&&a.push(t[r]);for(let e=0;e<a.length;++e){let t=-1;for(let n=0;n<a.length;++n)a[n]>=e&&(-1===t||a[t]>a[n])&&(t=n);a[t]=e}return[n,a]}(t.x.shape,a.perm);let u=!0;for(let e=0;e<s.length;e++)s[e]!==e&&(u=!1);const o=function(e,t){const n=new Array(e.length);for(let a=0;a<n.length;a++)n[a]=e[t[a]];return n}(t.x.shape,a.perm),l={dataId:t.x.dataId,shape:r,dtype:t.x.dtype};if(u){const e=y({inputs:t,backend:n});return e.shape=o,e}const d=n.makeOutput(o,l.dtype),c=n.dataIdMap.get(l.dataId).id,p=n.dataIdMap.get(d.dataId).id,f=new Uint8Array(new Int32Array(s).buffer),m=new Uint8Array(new Int32Array(l.shape).buffer);return _(c,m,l.shape.length,i[l.dtype],p,f,s.length),d}const k={kernelName:t.Transpose,backendName:"wasm",kernelFunc:w,setupFunc:function(e){_=e.wasm.cwrap(t.Transpose,null,["number","array","number","number","number","array","number"])}};function I(e,n,a){const r=e.shape,s=e.shape.length,u=t.util.parseAxisParam(n,r);let i=u;const o=t.backend_util.getAxesPermutation(i,s);let l=null,d=!1;if(null!=o){const n=new Array(s);for(let e=0;e<n.length;e++)n[e]=r[o[e]];i=t.backend_util.getInnerMostAxes(i.length,s),l=w({inputs:{x:e},attrs:{perm:o},backend:a});const u=a.dataIdMap.get(e.dataId).id;a.dataIdMap.get(l.dataId).id!==u&&(d=!0)}return{transposed:l,originalAxes:u,axes:i,inputWasTransposed:d}}let v;const M={kernelName:t.ArgMax,backendName:"wasm",kernelFunc:function(e){const{backend:n,inputs:a,attrs:r}=e,{axis:s}=r,{x:u}=a,o=n.dataIdMap.get(u.dataId).id;let l=o,d=u;const{transposed:c,axes:p,inputWasTransposed:f}=I(u,s,n);if(f){const e=n.dataIdMap.get(c.dataId).id;e!==o&&(d=c,l=e)}const m=d.shape.slice(0,-1),h=n.makeOutput(m,"int32"),b=n.dataIdMap.get(h.dataId).id,y=t.util.sizeFromShape(h.shape),g=d.shape[p[0]];return v(l,i[d.dtype],y,g,b),f&&n.disposeData(c.dataId),h},setupFunc:function(e){v=e.wasm.cwrap(t.ArgMax,null,["number","number","number","number","number"])}};let S;const A={kernelName:t.AvgPool,backendName:"wasm",setupFunc:function(e){S=e.wasm.cwrap(t.AvgPool,null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){const{inputs:n,attrs:a,backend:r}=e,s=n.x,u=r.dataIdMap.get(s.dataId).id,{filterSize:i,strides:o,pad:l,dimRoundingMode:d}=a,c=t.backend_util.computePool2DInfo(s.shape,i,o,1,l,d),p=c.filterHeight,f=c.filterWidth,m=c.padInfo.top,h=c.padInfo.right,b=c.padInfo.bottom,y=c.padInfo.left,g=c.strideHeight,_=c.strideWidth,w=c.inChannels;if("channelsLast"!==c.dataFormat)throw new Error("wasm backend does not support dataFormat:'"+c.dataFormat+"'. Please use 'channelsLast'.");if(1!==c.dilationWidth||1!==c.dilationHeight)throw new Error(`was backend only supports average pooling with dilation = [1, 1], got [${c.dilationHeight}, ${c.dilationWidth}].`);const k=r.makeOutput(c.outShape,"float32"),I=r.dataIdMap.get(k.dataId).id;return S(u,s.shape[0],s.shape[1],s.shape[2],p,f,m,h,b,y,g,_,w,I),k}};function x(e){const{inputs:n,attrs:a}=e,{x:r}=n,{shape:s}=a,u=t.util.sizeFromShape(r.shape),i=t.util.inferFromImplicitShape(s,u);return t.util.assert(u===t.util.sizeFromShape(i),()=>`new shape: ${i}, old shape: ${r.shape}. New shape and old shape must have the same number of elements.`),e.backend.incRef(r.dataId),{dataId:r.dataId,shape:i,dtype:r.dtype}}const F={kernelName:t.Reshape,backendName:"wasm",kernelFunc:x};let N;const E={kernelName:t.BatchMatMul,backendName:"wasm",setupFunc:function(e){N=e.wasm.cwrap(t.BatchMatMul,null,["number","array","number","number","array","number","number","number","number"])},kernelFunc:function(e){const{inputs:n,backend:a,attrs:r}=e,{a:s,b:u}=n,{transposeA:i,transposeB:o}=r;if("float32"!==s.dtype||"float32"!==u.dtype)throw new Error("BatchMatMul for non non-float32 tensors not yet supported.");const l=s.shape.length,d=u.shape.length,c=i?s.shape[l-2]:s.shape[l-1],p=o?u.shape[d-1]:u.shape[d-2],f=i?s.shape[l-1]:s.shape[l-2],m=o?u.shape[d-2]:u.shape[d-1],h=s.shape.slice(0,-2),b=u.shape.slice(0,-2),y=t.util.sizeFromShape(h),g=t.util.sizeFromShape(b),_=y===g||1===y||1===g;t.util.assert(l>=2&&d>=2&&_,()=>`Error in matMul: the input batch dimensions must either be the same or at least one input batch dimension must be 1. Got input batch dimensions of (${h}) and (${b}).`);const w=(y>g?s.shape.slice(0,-2):u.shape.slice(0,-2)).concat([f,m]);t.util.assert(c===p,()=>`Error in matMul: inner shapes (${c}) and (${p}) of Tensors with shapes ${s.shape} and ${u.shape} and transposeA=${i} and transposeB=${o} must match.`);const k=o?[g,m,p]:[g,p,m],I=x({inputs:{x:s},backend:a,attrs:{shape:i?[y,c,f]:[y,f,c]}}),v=x({inputs:{x:u},backend:a,attrs:{shape:k}}),M=a.dataIdMap.get(I.dataId).id,S=a.dataIdMap.get(v.dataId).id,A=i?I.shape[2]:I.shape[1],F=o?v.shape[1]:v.shape[2],E=Math.max(y,g),C=a.makeOutput([E,A,F],I.dtype),T=a.dataIdMap.get(C.dataId).id,D=new Uint8Array(new Int32Array(I.shape).buffer),R=new Uint8Array(new Int32Array(v.shape).buffer);return N(M,D,I.shape.length,S,R,v.shape.length,i,o,T),a.disposeData(I.dataId),a.disposeData(v.dataId),C.shape=w,C}};function C(e){const{inputs:{x:t},attrs:{dtype:n},backend:a}=e,r=a.makeOutput(t.shape,n),s=a.typedArrayFromHeap(t);return a.typedArrayFromHeap(r).set(s),r}const T={kernelName:t.Cast,backendName:"wasm",kernelFunc:C},D=c(t.Ceil);let R;const O={kernelName:t.ClipByValue,backendName:"wasm",setupFunc:function(e){R=e.wasm.cwrap(t.ClipByValue,null,["number","number","number","number"])},kernelFunc:function(e){const{inputs:t,backend:n,attrs:a}=e,{x:r}=t,{clipValueMin:s,clipValueMax:u}=a,i=n.dataIdMap.get(r.dataId).id,o=n.makeOutput(r.shape,r.dtype),l=n.dataIdMap.get(o.dataId).id;return R(i,s,u,l),o}};function P(e,n,a,r,s){const u=t.slice_util.isSliceContinous(r,n,a),i=t.util.sizeFromShape(a),o=t.util.computeStrides(r);if(u){const a=t.slice_util.computeFlatOffset(n,o);return"string"===s?e.slice(a,a+i):e.subarray(a,a+i)}const l="string"===s?t.backend_util.fromUint8ToStringArray(e):e,d=t.buffer(r,s,l),c=t.buffer(a,s);for(let e=0;e<c.size;++e){const t=c.indexToLoc(e),a=t.map((e,t)=>e+n[t]);c.set(d.get(...a),...t)}return"string"===s?t.backend_util.fromStringArrayToUint8(c.values):c.values}function W(e){const{inputs:n,backend:a}=e,r=t.util.parseAxisParam(e.attrs.axis,n[0].shape)[0];let s=t.backend_util.computeOutShape(n.map(e=>e.shape),r);const u=n.filter(e=>t.util.sizeFromShape(e.shape)>0);if(1===u.length)return y({inputs:{x:u[0]},backend:a});const i=a.makeOutput(s,n[0].dtype);if(0===t.util.sizeFromShape(s))return i;const o=u.map(e=>e.shape);if(t.backend_util.assertParamsConsistent(o,r),"string"===u[0].dtype){const e=u.map(e=>{const n=t.util.sizeFromShape(e.shape.slice(r));return x({inputs:{x:e},backend:a,attrs:{shape:[-1,n]}})}),o=e.map(e=>({vals:a.readSync(e.dataId),shape:e.shape}));s=t.backend_util.computeOutShape(e.map(e=>e.shape),1);const l=1===e[0].shape[0],d=function(e,n,a,r){const s=t.util.getArrayFromDType(a,t.util.sizeFromShape(n));if(r&&"string"!==a){let n=0;e.forEach(e=>{const a=t.util.sizeFromShape(e.shape);s.set(e.vals,n),n+=a})}else{let r=0;e.forEach(e=>{const u="string"===a?t.backend_util.fromUint8ToStringArray(e.vals):e.vals;let i=0;for(let t=0;t<e.shape[0];++t){const a=t*n[1]+r;for(let t=0;t<e.shape[1];++t)s[a+t]=u[i++]}r+=e.shape[1]})}return s}(o,s,n[0].dtype,l),c=t.backend_util.computeOutShape(u.map(e=>e.shape),r);i.shape=c;return a.dataIdMap.get(i.dataId).stringBytes=t.backend_util.fromStringArrayToUint8(d),e.forEach(e=>a.disposeData(e.dataId)),i}const l=t.util.sizeFromShape(u[0].shape.slice(0,r));let d=0;const c=u.map(e=>{const n=t.util.sizeFromShape(e.shape.slice(r));return d+=n,n}),p=u.map(e=>a.typedArrayFromHeap(e)),f=a.typedArrayFromHeap(i);for(let e=0;e<l;e++){let t=e*d;for(let n=0;n<p.length;n++){const a=c[n],r=e*a,s=p[n].subarray(r,r+a);f.set(s,t),t+=a}}return i}const H={kernelName:t.Concat,backendName:"wasm",kernelFunc:W};let z;const L={kernelName:t.Conv2D,backendName:"wasm",setupFunc:function(e){z=e.wasm.cwrap(t.Conv2D,null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){const{inputs:n,attrs:a,backend:r}=e,{x:s,filter:u}=n,i=r.dataIdMap.get(s.dataId).id,o=r.dataIdMap.get(u.dataId).id,{strides:l,dilations:d,pad:c,dimRoundingMode:p,dataFormat:f}=a,m=t.backend_util.convertConv2DDataFormat(f),h=t.backend_util.computeConv2DInfo(s.shape,u.shape,l,d,c,p,!1,m),b=h.filterHeight,y=h.filterWidth,g=h.padInfo.top,_=h.padInfo.right,w=h.padInfo.bottom,k=h.padInfo.left,I=h.dilationHeight,v=h.dilationWidth,M=h.strideHeight,S=h.strideWidth,A=h.inChannels,x=h.outChannels,F="SAME"===h.padInfo.type?1:0;if("channelsLast"!==h.dataFormat)throw new Error("wasm backend Conv2D does not support dataFormat:'"+h.dataFormat+"'. Please use 'channelsLast'.");const N=r.makeOutput(h.outShape,"float32"),E=r.dataIdMap.get(N.dataId).id;return z(i,s.shape[0],s.shape[1],s.shape[2],o,b,y,g,_,w,k,F,I,v,M,S,A,x,E),N}};let B;const U={kernelName:t.Conv2DBackpropInput,backendName:"wasm",setupFunc:function(e){B=e.wasm.cwrap(t.Conv2DBackpropInput,null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){const{backend:n,inputs:a,attrs:r}=e,{dy:s,filter:u}=a,{strides:i,pad:o,dataFormat:l,dimRoundingMode:d,inputShape:c}=r,p=t.backend_util.convertConv2DDataFormat(l),f=t.backend_util.computeConv2DInfo(c,u.shape,i,1,o,d,!1,p),{batchSize:m,filterHeight:h,filterWidth:b,inChannels:y,inHeight:g,inWidth:_,outChannels:w,outHeight:k,outWidth:I,strideHeight:v,strideWidth:M}=f,S=h-1-f.padInfo.top,A=b-1-f.padInfo.left,x="channelsLast"===f.dataFormat,F=t.util.computeStrides(f.inShape),N=t.util.computeStrides(s.shape),[E,C,T]=t.util.computeStrides(u.shape),D=F[0],R=x?F[1]:F[2],O=x?F[2]:1,P=x?1:F[1],W=N[0],H=x?N[1]:N[2],z=x?N[2]:1,L=x?1:N[1],U=n.makeOutput(f.inShape,"float32"),j=n.dataIdMap.get(U.dataId).id,q=n.dataIdMap.get(s.dataId).id,V=n.dataIdMap.get(u.dataId).id;return B(q,V,m,h,b,g,_,y,k,I,w,v,M,S,A,E,C,T,D,R,O,P,W,H,z,L,j),U}},j=c(t.Cos);var q;let V;!function(e){e[e.bilinear=0]="bilinear",e[e.nearest=1]="nearest"}(q||(q={}));const G={kernelName:t.CropAndResize,backendName:"wasm",setupFunc:function(e){V=e.wasm.cwrap(t.CropAndResize,null,["number","number","number","number","array","number","number","number","number","number"])},kernelFunc:function(e){const{backend:t,inputs:n,attrs:a}=e,{method:r,extrapolationValue:s,cropSize:u}=a,{image:i,boxes:o,boxInd:l}=n,d=o.shape[0],[c,p]=u,f=[d,c,p,i.shape[3]];let m,h=t.dataIdMap.get(i.dataId);"float32"!==i.dtype&&(m=C({backend:t,inputs:{x:i},attrs:{dtype:"float32"}}),h=t.dataIdMap.get(m.dataId));const b=h.id,y=t.dataIdMap.get(o.dataId).id,g=t.dataIdMap.get(l.dataId).id,_=t.makeOutput(f,"float32"),w=t.dataIdMap.get(_.dataId).id,k=new Uint8Array(new Int32Array(i.shape).buffer);return V(b,y,g,d,k,c,p,q[r],s,w),null!=m&&t.disposeData(m.dataId),_}};let $;const K={kernelName:t.Cumsum,backendName:"wasm",setupFunc:function(e){$=e.wasm.cwrap(t.Cumsum,null,["number","number","number","number","number","number"])},kernelFunc:function(e){const{inputs:n,backend:a,attrs:r}=e,{x:s}=n,{axis:u,exclusive:o,reverse:l}=r,d=s.shape.length;t.util.assert("float32"===s.dtype||"int32"===s.dtype,()=>`cumsum does not support ${s.dtype} tensors in the WASM backend`);const c=t.backend_util.getAxesPermutation([u],d);let p=s;null!==c&&(p=w({inputs:{x:s},attrs:{perm:c},backend:a}));const f=t.backend_util.getInnerMostAxes(1,d)[0];t.backend_util.assertAxesAreInnerMostDims("cumsum",[f],d);const m=a.makeOutput(p.shape,p.dtype),h=p.shape[f],b=a.dataIdMap.get(p.dataId).id,y=a.dataIdMap.get(m.dataId).id;$(b,o?1:0,l?1:0,h,y,i[s.dtype]);let g=m;if(null!==c){g=w({inputs:{x:m},attrs:{perm:t.backend_util.getUndoAxesPermutation(c)},backend:a}),a.disposeData(p.dataId),a.disposeData(m.dataId)}return g}};let Q;const X={kernelName:t.DepthToSpace,backendName:"wasm",setupFunc:function(e){Q=e.wasm.cwrap(t.DepthToSpace,null,["number","number","number","array","number","array","array","number","number"])},kernelFunc:function(e){const{backend:n,inputs:a,attrs:r}=e,{x:s}=a,{blockSize:u,dataFormat:i}=r;t.util.assert(u>1,()=>"blockSize should be > 1 for depthToSpace, but was: "+u);const o=s.shape[0],l="NHWC"===i?s.shape[1]:s.shape[2],d="NHWC"===i?s.shape[2]:s.shape[3],c="NHWC"===i?s.shape[3]:s.shape[1],p=l*u,f=d*u,m=c/(u*u),h="NHWC"===i?[o,p,f,m]:[o,m,p,f],b=n.makeOutput(h,"float32"),y=n.dataIdMap.get(s.dataId).id,g=new Uint8Array(new Int32Array(t.util.computeStrides(s.shape)).buffer),_=new Uint8Array(new Int32Array(h).buffer),w=new Uint8Array(new Int32Array(t.util.computeStrides(h)).buffer),k=n.dataIdMap.get(b.dataId).id;return Q(y,u,"NHWC"===i?1:0,g,s.shape.length-1,_,w,h.length,k),b}};let Z;const Y={kernelName:t.DepthwiseConv2dNative,backendName:"wasm",setupFunc:function(e){Z=e.wasm.cwrap(t.DepthwiseConv2dNative,null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){const{inputs:n,attrs:a,backend:r}=e,{x:s,filter:u}=n,i=r.dataIdMap.get(s.dataId).id,o=r.dataIdMap.get(u.dataId).id,{strides:l,dilations:d,pad:c,dimRoundingMode:p}=a,f=null==d?[1,1]:d,m=t.backend_util.computeConv2DInfo(s.shape,u.shape,l,f,c,p,!0),h=m.filterHeight,b=m.filterWidth,y=m.padInfo.top,g=m.padInfo.right,_=m.padInfo.bottom,w=m.padInfo.left,k=m.dilationHeight,I=m.dilationWidth,v=m.strideHeight,M=m.strideWidth,S=m.inChannels,A=m.outChannels,x="SAME"===m.padInfo.type?1:0;if("channelsLast"!==m.dataFormat)throw new Error("wasm backend DepthwiseConv2dNative does not support dataFormat:'"+m.dataFormat+"'. Please use 'channelsLast'.");const F=r.makeOutput(m.outShape,"float32"),N=r.dataIdMap.get(F.dataId).id;return Z(i,s.shape[0],s.shape[1],s.shape[2],o,h,b,y,g,_,w,x,k,I,v,M,S,A,N),F}},J=f(t.Equal,!1,"bool"),ee=c(t.Exp);function te(e){const{inputs:n,attrs:a,backend:r}=e,{input:s}=n,{dim:u}=a,i=s.shape.length,o=s.shape.slice();let l=u;return u<0&&(t.util.assert(-(i+1)<=u,()=>`Axis must be in the interval [${-(i+1)}, ${i}]`),l=i+u+1),o.splice(l,0,1),x({inputs:{x:s},backend:r,attrs:{shape:o}})}const ne={kernelName:t.ExpandDims,backendName:"wasm",kernelFunc:te};const ae={kernelName:t.Fill,backendName:"wasm",kernelFunc:function(e){const{attrs:{shape:t,value:n,dtype:a},backend:r}=e,s=r.makeOutput(t,a);return r.typedArrayFromHeap(s).fill(n),s}};let re;const se={kernelName:t.FlipLeftRight,backendName:"wasm",kernelFunc:function(e){const{inputs:t,backend:n}=e,{image:a}=t,r=n.makeOutput(a.shape,a.dtype),s=n.dataIdMap.get(a.dataId).id,u=n.dataIdMap.get(r.dataId).id,[i,o,l,d]=a.shape;return re(s,i,o,l,d,u),r},setupFunc:function(e){re=e.wasm.cwrap(t.FlipLeftRight,null,["number","number","number","number","number","number"])}},ue=c(t.Floor),ie=f(t.FloorDiv,!1);let oe;const le={kernelName:t.FusedBatchNorm,backendName:"wasm",setupFunc:function(e){oe=e.wasm.cwrap(t.FusedBatchNorm,null,["number","number","number","number","number","number","number"])},kernelFunc:function(e){const{backend:n,inputs:a,attrs:r}=e,{varianceEpsilon:s}=r,{x:u,mean:i,variance:o,offset:l,scale:d}=a,c=n.dataIdMap.get(u.dataId).id,p=n.dataIdMap.get(i.dataId).id,f=n.dataIdMap.get(o.dataId).id,m=null!=l?n.dataIdMap.get(l.dataId).id:0,h=null!=d?n.dataIdMap.get(d.dataId).id:0,b=n.makeOutput(u.shape,u.dtype);if(0===t.util.sizeFromShape(u.shape))return b;const y=n.dataIdMap.get(b.dataId).id;return oe(c,p,f,m,h,s,y),b}};let de;const ce={kernelName:t.FusedConv2D,backendName:"wasm",setupFunc:function(e){de=e.wasm.cwrap(t.FusedConv2D,null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){const{inputs:n,attrs:a,backend:r}=e,{x:s,filter:u,bias:i,preluActivationWeights:l}=n,{strides:d,pad:c,dilations:p,dataFormat:f,dimRoundingMode:m,activation:h,leakyreluAlpha:b}=a,y=t.backend_util.computeConv2DInfo(s.shape,u.shape,d,p,c,m),g=o[h];if(null==g)throw new Error(h+" activation not yet supported for FusedConv2D in the wasm backend.");const _=r.dataIdMap.get(s.dataId).id,w=r.dataIdMap.get(u.dataId).id,k=y.outChannels;let I=0;if(null!=i){const e=r.dataIdMap.get(i.dataId);if(1!==e.shape.length)throw new Error(`FusedConv2D only supports rank-1 bias but got rank ${e.shape.length}.`);if(e.shape[0]!==k)throw new Error(`FusedConv2D bias shape (${e.shape}) does not match the number of output channels (${k})`);I=e.id}const v=y.filterHeight,M=y.filterWidth,S=y.padInfo.top,A=y.padInfo.right,x=y.padInfo.bottom,F=y.padInfo.left,N=y.dilationHeight,E=y.dilationWidth,C=y.strideHeight,T=y.strideWidth,D=y.inChannels,R="SAME"===y.padInfo.type?1:0,O=y.batchSize,P=y.inHeight,W=y.inWidth;if("NHWC"!==f)throw new Error("wasm backend FusedConv2D does not support dataFormat:'"+f+"'. Please use 'NHWC'.");const H=r.makeOutput(y.outShape,"float32"),z=r.dataIdMap.get(H.dataId).id,L=null==l?0:r.dataIdMap.get(l.dataId).id;return de(_,O,P,W,w,v,M,I,S,A,x,F,R,N,E,C,T,D,k,g,L,b||0,z),H}};let pe;const fe={kernelName:t.FusedDepthwiseConv2D,backendName:"wasm",setupFunc:function(e){pe=e.wasm.cwrap(t.FusedDepthwiseConv2D,null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){const{inputs:n,attrs:a,backend:r}=e,{x:s,filter:u,bias:i,preluActivationWeights:l}=n,{strides:d,pad:c,dilations:p,dataFormat:f,dimRoundingMode:m,activation:h,leakyreluAlpha:b}=a,y=t.backend_util.computeConv2DInfo(s.shape,u.shape,d,p,c,m,!0),g=o[h];if(null==g)throw new Error(h+" activation not yet supported for FusedDepthwiseConv2D in the wasm backend.");const _=r.dataIdMap.get(s.dataId).id,w=r.dataIdMap.get(u.dataId).id,k=y.outChannels;let I=0;if(null!=i){const e=r.dataIdMap.get(i.dataId);if(1!==e.shape.length)throw new Error(`FusedDepthwiseConv2D only supports rank-1 bias but got rank ${e.shape.length}.`);if(e.shape[0]!==k)throw new Error(`FusedDepthwiseConv2D bias shape (${e.shape}) does not match the number of output channels (${k})`);I=e.id}const v=y.filterHeight,M=y.filterWidth,S=y.padInfo.top,A=y.padInfo.right,x=y.padInfo.bottom,F=y.padInfo.left,N=y.dilationHeight,E=y.dilationWidth,C=y.strideHeight,T=y.strideWidth,D=y.inChannels,R="SAME"===y.padInfo.type?1:0,O=y.batchSize,P=y.inHeight,W=y.inWidth;if("NHWC"!==f)throw new Error("wasm backend FusedDepthwiseConv2D does not support dataFormat:'"+f+"'. Please use 'NHWC'.");const H=r.makeOutput(y.outShape,"float32"),z=r.dataIdMap.get(H.dataId).id,L=null==l?0:r.dataIdMap.get(l.dataId).id;return pe(_,O,P,W,w,v,M,I,S,A,x,F,R,N,E,C,T,D,k,g,L,b||0,z),H}};let me;const he={kernelName:t.GatherNd,backendName:"wasm",setupFunc:function(e){me=e.wasm.cwrap(t.GatherNd,null,["number","number","number","number","number","number","array","number"])},kernelFunc:function(e){const{backend:n,inputs:a}=e,{params:r,indices:s}=a,[u,o,l,d]=t.gather_util.prepareAndValidate(r,s),c=n.makeOutput(u,r.dtype);if(0===o)return c;const p=s.shape,f=p[p.length-1],m=n.dataIdMap.get(r.dataId).id,h=n.dataIdMap.get(s.dataId).id,b=new Uint8Array(new Int32Array(d).buffer),y=n.dataIdMap.get(c.dataId).id;return me(m,i[r.dtype],h,o,f,l,b,y),c}};let be;const ye={kernelName:t.GatherV2,backendName:"wasm",setupFunc:function(e){be=e.wasm.cwrap("Gather",null,["number","number","array","number","number","number","array","number"])},kernelFunc:function(e){const{backend:n,inputs:a,attrs:r}=e,{x:s,indices:u}=a,{axis:o,batchDims:l}=r,d=t.util.parseAxisParam(o,s.shape)[0],c=t.backend_util.segment_util.collectGatherOpShapeInfo(s,u,d,l),p=x({inputs:{x:s},attrs:{shape:[c.batchSize,c.outerSize,c.dimSize,c.sliceSize]},backend:n}),f=t.util.sizeFromShape(u.shape),m=x({inputs:{x:u},attrs:{shape:[c.batchSize,f/c.batchSize]},backend:n}),h=[c.batchSize,c.outerSize,f/c.batchSize,c.sliceSize],b=n.makeOutput(h,s.dtype);if(0===t.util.sizeFromShape(s.shape))return b;const y=p.shape.length-1,g=n.dataIdMap.get(p.dataId).id,_=n.dataIdMap.get(m.dataId).id,w=n.dataIdMap.get(b.dataId).id,k=new Uint8Array(new Int32Array(t.util.computeStrides(p.shape)).buffer),I=new Uint8Array(new Int32Array(t.util.computeStrides(h)).buffer);return be(g,i[s.dtype],k,y,_,c.batchSize,I,w),n.disposeData(p.dataId),n.disposeData(m.dataId),b.shape=c.outputShape,b}},ge=f(t.Greater,!1,"bool"),_e=f(t.GreaterEqual,!1,"bool");let we;const ke={kernelName:t.LeakyRelu,backendName:"wasm",setupFunc:function(e){we=e.wasm.cwrap(t.LeakyRelu,null,["number","number","number"])},kernelFunc:function(e){const{inputs:{x:n},attrs:{alpha:a},backend:r}=e,s=r.dataIdMap.get(n.dataId).id,u=r.makeOutput(n.shape,n.dtype);if(0!==t.util.sizeFromShape(n.shape)){const e=r.dataIdMap.get(u.dataId).id;we(s,a,e)}return u}},Ie=f(t.Less,!1,"bool"),ve=f(t.LessEqual,!1,"bool"),Me=c(t.Log),Se=f(t.LogicalAnd,!1,"bool");let Ae;const xe={kernelName:t.Max,backendName:"wasm",setupFunc:function(e){Ae=e.wasm.cwrap(t.Max,null,["number, number, number"])},kernelFunc:function(e){const{backend:n,inputs:a,attrs:r}=e,{reductionIndices:s,keepDims:u}=r,{x:i}=a;let o=n.dataIdMap.get(i.dataId).id,l=i;const{transposed:d,axes:c,originalAxes:p,inputWasTransposed:f}=I(i,s,n);if(f){l=d,o=n.dataIdMap.get(d.dataId).id}const m=l.shape.length;t.backend_util.assertAxesAreInnerMostDims("max",c,m);const[h,b]=t.backend_util.computeOutAndReduceShapes(l.shape,c),y=t.util.sizeFromShape(b),g=n.makeOutput(h,i.dtype);if(0!==t.util.sizeFromShape(l.shape)){const e=n.dataIdMap.get(g.dataId).id;Ae(o,y,e)}if(f&&n.disposeData(d.dataId),u){const e=t.backend_util.expandShapeToKeepDim(g.shape,p);g.shape=e}return g}},Fe=f(t.Maximum,!1);let Ne;const Ee={kernelName:t.MaxPool,backendName:"wasm",setupFunc:function(e){Ne=e.wasm.cwrap(t.MaxPool,null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){const{inputs:n,attrs:a,backend:r}=e,s=n.x,u=r.dataIdMap.get(s.dataId).id,{filterSize:i,strides:o,pad:l,dimRoundingMode:d}=a,c=t.backend_util.computePool2DInfo(s.shape,i,o,1,l,d),p=c.filterHeight,f=c.filterWidth,m=c.padInfo.top,h=c.padInfo.right,b=c.padInfo.bottom,y=c.padInfo.left,g=c.dilationHeight,_=c.dilationWidth,w=c.strideHeight,k=c.strideWidth,I=c.inChannels,v=c.outChannels;if("channelsLast"!==c.dataFormat)throw new Error("wasm backend does not support dataFormat:'"+c.dataFormat+"'. Please use 'channelsLast'.");const M=r.makeOutput(c.outShape,"float32"),S=r.dataIdMap.get(M.dataId).id;return Ne(u,s.shape[0],s.shape[1],s.shape[2],p,f,m,h,b,y,g,_,w,k,I,v,S),M}};let Ce;const Te={kernelName:t.Mean,backendName:"wasm",setupFunc:function(e){Ce=e.wasm.cwrap(t.Mean,null,["number, number, number"])},kernelFunc:function(e){const{backend:n,inputs:a,attrs:r}=e,{axis:s,keepDims:u}=r,{x:i}=a,o=n.dataIdMap.get(i.dataId).id;let l=o,d=i;const{transposed:c,axes:p,originalAxes:f,inputWasTransposed:m}=I(i,s,n);let h=p;if(m){const e=n.dataIdMap.get(c.dataId).id;e!==o&&(d=c,l=e,h=t.backend_util.getInnerMostAxes(h.length,d.shape.length))}t.backend_util.assertAxesAreInnerMostDims("mean",h,d.shape.length);const[b,y]=t.backend_util.computeOutAndReduceShapes(d.shape,h),g=t.util.sizeFromShape(y);let _=d;"float32"!==d.dtype&&(_=C({backend:n,inputs:{x:d},attrs:{dtype:"float32"}}),l=n.dataIdMap.get(_.dataId).id);const w=n.makeOutput(b,"float32");if(0!==t.util.sizeFromShape(d.shape)){const e=n.dataIdMap.get(w.dataId).id;Ce(l,g,e)}if(m&&n.disposeData(c.dataId),u){const e=t.backend_util.expandShapeToKeepDim(w.shape,f);w.shape=e}return"float32"!==d.dtype&&n.disposeData(_.dataId),w}};let De;const Re={kernelName:t.Min,backendName:"wasm",setupFunc:function(e){De=e.wasm.cwrap(t.Min,null,["number, number, number"])},kernelFunc:function(e){const{backend:n,inputs:a,attrs:r}=e,{axis:s,keepDims:u}=r,{x:i}=a,o=n.dataIdMap.get(i.dataId).id;let l=o,d=i;const{transposed:c,axes:p,originalAxes:f,inputWasTransposed:m}=I(i,s,n);if(m){const e=n.dataIdMap.get(c.dataId).id;e!==o&&(d=c,l=e)}const h=d.shape.length;t.backend_util.assertAxesAreInnerMostDims("min",p,h);const[b,y]=t.backend_util.computeOutAndReduceShapes(d.shape,p),g=t.util.sizeFromShape(y),_=n.makeOutput(b,d.dtype);if(0!==t.util.sizeFromShape(d.shape)){const e=n.dataIdMap.get(_.dataId).id;De(l,g,e)}if(m&&n.disposeData(c.dataId),u){const e=t.backend_util.expandShapeToKeepDim(_.shape,f);_.shape=e}return _}},Oe=f(t.Minimum,!1),Pe=f(t.Multiply,!0),We=c(t.Neg);function He(e,t){const n=new Int32Array(e.wasm.HEAPU8.buffer,t,4),a=n[0],r=n[1],s=n[2],u=n[3];return e.wasm._free(t),{pSelectedIndices:a,selectedSize:r,pSelectedScores:s,pValidOutputs:u}}let ze;const Le={kernelName:t.NonMaxSuppressionV3,backendName:"wasm",setupFunc:function(e){ze=e.wasm.cwrap(t.NonMaxSuppressionV3,"number",["number","number","number","number","number"])},kernelFunc:function(e){const{backend:t,inputs:n,attrs:a}=e,{iouThreshold:r,maxOutputSize:s,scoreThreshold:u}=a,{boxes:i,scores:o}=n,l=t.dataIdMap.get(i.dataId).id,d=t.dataIdMap.get(o.dataId).id,c=ze(l,d,s,r,u),{pSelectedIndices:p,selectedSize:f,pSelectedScores:m,pValidOutputs:h}=He(t,c);return t.wasm._free(m),t.wasm._free(h),t.makeOutput([f],"int32",p)}};let Be;const Ue={kernelName:t.NonMaxSuppressionV4,backendName:"wasm",setupFunc:function(e){Be=e.wasm.cwrap(t.NonMaxSuppressionV4,"number",["number","number","number","number","number","bool"])},kernelFunc:function(e){const{backend:t,inputs:n,attrs:a}=e,{iouThreshold:r,maxOutputSize:s,scoreThreshold:u,padToMaxOutputSize:i}=a,{boxes:o,scores:l}=n,d=t.dataIdMap.get(o.dataId).id,c=t.dataIdMap.get(l.dataId).id,p=Be(d,c,s,r,u,i),{pSelectedIndices:f,selectedSize:m,pSelectedScores:h,pValidOutputs:b}=He(t,p);return t.wasm._free(h),[t.makeOutput([m],"int32",f),t.makeOutput([],"int32",b)]}};let je;const qe={kernelName:t.NonMaxSuppressionV5,backendName:"wasm",setupFunc:function(e){je=e.wasm.cwrap(t.NonMaxSuppressionV5,"number",["number","number","number","number","number","number"])},kernelFunc:function(e){const{backend:t,inputs:n,attrs:a}=e,{iouThreshold:r,maxOutputSize:s,scoreThreshold:u,softNmsSigma:i}=a,{boxes:o,scores:l}=n,d=t.dataIdMap.get(o.dataId).id,c=t.dataIdMap.get(l.dataId).id,p=je(d,c,s,r,u,i),{pSelectedIndices:f,selectedSize:m,pSelectedScores:h,pValidOutputs:b}=He(t,p);return t.wasm._free(b),[t.makeOutput([m],"int32",f),t.makeOutput([m],"float32",h)]}},Ve=f(t.NotEqual,!1,"bool");let Ge;const $e={kernelName:t.OneHot,backendName:"wasm",setupFunc:function(e){Ge=e.wasm.cwrap(t.OneHot,null,["number","number","number","number","number"])},kernelFunc:function(e){const{inputs:t,backend:n,attrs:a}=e,{indices:r}=t,{depth:s,onValue:u,offValue:i}=a,o=n.makeOutput([...r.shape,s],"int32"),l=n.dataIdMap.get(o.dataId).id,d=n.dataIdMap.get(r.dataId).id;return Ge(d,s,u,i,l),o}};const Ke={kernelName:t.OnesLike,backendName:"wasm",kernelFunc:function(e){const{inputs:{x:t},backend:n}=e,a=n.makeOutput(t.shape,t.dtype);return n.typedArrayFromHeap(a).fill(1),a}};const Qe={kernelName:t.Pack,backendName:"wasm",kernelFunc:function(e){const{inputs:n,backend:a,attrs:r}=e,{axis:s}=r;if(1===n.length)return te({inputs:{input:n[0]},backend:a,attrs:{dim:s}});const u=n[0].shape,i=n[0].dtype;n.forEach(e=>{t.util.assertShapesMatch(u,e.shape,"All tensors passed to stack must have matching shapes"),t.util.assert(i===e.dtype,()=>"All tensors passed to stack must have matching dtypes")});const o=[],l=W({inputs:n.map(e=>{const t=te({inputs:{input:e},backend:a,attrs:{dim:s}});return o.push(t),t}),backend:a,attrs:{axis:s}});return o.forEach(e=>a.disposeData(e.dataId)),l}};let Xe;const Ze={kernelName:t.PadV2,backendName:"wasm",kernelFunc:function(e){const{inputs:{x:t},backend:n,attrs:{paddings:a,constantValue:r}}=e,s=a.map((e,n)=>e[0]+t.shape[n]+e[1]),u=n.dataIdMap.get(t.dataId).id,o=n.makeOutput(s,t.dtype),l=n.dataIdMap.get(o.dataId).id,d=new Uint8Array(new Int32Array(t.shape).buffer),c=a.map(e=>e[0]),p=a.map(e=>e[1]),f=new Uint8Array(new Int32Array(c).buffer),m=new Uint8Array(new Int32Array(p).buffer);return Xe(u,d,t.shape.length,i[t.dtype],f,m,r,l),o},setupFunc:function(e){Xe=e.wasm.cwrap(t.PadV2,null,["number","array","number","number","array","array","number","number"])}},Ye=f(t.Pow,!1);let Je;const et={kernelName:t.Prelu,backendName:"wasm",setupFunc:function(e){Je=e.wasm.cwrap(t.Prelu,null,["number","number","number"])},kernelFunc:function(e){const{inputs:t,backend:n}=e,{x:a,alpha:r}=t,s=n.dataIdMap.get(a.dataId).id,u=n.dataIdMap.get(r.dataId).id,i=n.makeOutput(a.shape,"float32"),o=n.dataIdMap.get(i.dataId).id;return Je(s,u,o),i}};let tt;const nt={kernelName:t.Prod,backendName:"wasm",setupFunc:function(e){tt=e.wasm.cwrap(t.Prod,null,["number","number","number","number"])},kernelFunc:function(e){const{backend:n,inputs:a,attrs:r}=e,{axis:s,keepDims:u}=r,{x:o}=a,l=n.dataIdMap.get(o.dataId).id;let d=l,c=o;const{transposed:p,axes:f,originalAxes:m,inputWasTransposed:h}=I(o,s,n);let b=f;if(h){const e=n.dataIdMap.get(p.dataId).id;e!==l&&(c=p,d=e,b=t.backend_util.getInnerMostAxes(b.length,c.shape.length))}t.backend_util.assertAxesAreInnerMostDims("prod",b,c.shape.length);const[y,g]=t.backend_util.computeOutAndReduceShapes(c.shape,b),_=t.util.sizeFromShape(g),w=n.makeOutput(y,c.dtype);if(0!==t.util.sizeFromShape(c.shape)){const e=n.dataIdMap.get(w.dataId).id;tt(d,_,i[w.dtype],e)}if(h&&n.disposeData(p.dataId),u){const e=t.backend_util.expandShapeToKeepDim(w.shape,m);w.shape=e}return w}},at={kernelName:t.Range,backendName:"wasm",kernelFunc:e=>{const{backend:n,attrs:a}=e,{start:r,stop:s,step:u,dtype:i}=a,o=function(e,n,a,r){if(e===n||e<n&&a<0||n<e&&a>1)return t.util.makeZerosTypedArray(0,r);const s=Math.abs(Math.ceil((n-e)/a)),u=t.util.makeZerosTypedArray(s,r);n<e&&1===a&&(a=-1),u[0]=e;for(let e=1;e<u.length;e++)u[e]=u[e-1]+a;return u}(r,s,u,i),l=n.makeOutput([o.length],i);return n.typedArrayFromHeap(l).set(o),l}},rt=f(t.RealDiv,!0),st=c(t.Relu),ut=c(t.Relu6);let it;const ot={kernelName:t.ResizeBilinear,backendName:"wasm",setupFunc:function(e){it=e.wasm.cwrap(t.ResizeBilinear,null,["number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){const{backend:n,inputs:a,attrs:r}=e,{images:s}=a,{alignCorners:u,halfPixelCenters:i,size:o}=r,[l,d]=o,[c,p,f,m]=s.shape,h=[c,l,d,m];let b,y=n.dataIdMap.get(s.dataId);"float32"!==y.dtype&&(b=C({backend:n,inputs:{x:s},attrs:{dtype:"float32"}}),y=n.dataIdMap.get(b.dataId));const g=y.id,_=n.makeOutput(h,"float32");if(0===t.util.sizeFromShape(s.shape))return _;const w=n.dataIdMap.get(_.dataId).id;return it(g,c,p,f,m,l,d,u?1:0,i?1:0,w),null!=b&&n.disposeData(b.dataId),_}};let lt;const dt={kernelName:t.Reverse,backendName:"wasm",kernelFunc:function(e){const{inputs:n,backend:a,attrs:r}=e,{x:s}=n,{dims:u}=r,i=t.util.parseAxisParam(u,s.shape);if(0===s.shape.length)return y({inputs:{x:s},backend:a});const o=a.makeOutput(s.shape,s.dtype),l=a.dataIdMap.get(s.dataId).id,d=a.dataIdMap.get(o.dataId).id,c=new Uint8Array(new Int32Array(i).buffer),p=new Uint8Array(new Int32Array(s.shape).buffer);lt(l,c,i.length,p,s.shape.length,d);const f=x({inputs:{x:o},attrs:{shape:s.shape},backend:a});return a.disposeData(o.dataId),f},setupFunc:function(e){lt=e.wasm.cwrap(t.Reverse,null,["number","array","number","array","number","number"])}};let ct;const pt={kernelName:t.RotateWithOffset,backendName:"wasm",kernelFunc:function(e){const{inputs:n,backend:a,attrs:r}=e,{image:s}=n,{radians:u,fillValue:i,center:o}=r,l=a.makeOutput(s.shape,s.dtype),d=a.dataIdMap.get(s.dataId).id,c=a.dataIdMap.get(l.dataId).id,[p,f,m,h]=s.shape,[b,y]=t.backend_util.getImageCenter(o,f,m),g="number"==typeof i?[i,i,i,0===i?0:255]:[...i,255],_=new Uint8Array(new Int32Array(g).buffer);return ct(d,p,f,m,h,u,b,y,_,g.length,c),l},setupFunc:function(e){ct=e.wasm.cwrap(t.RotateWithOffset,null,["number","number","number","number","number","number","number","number","array","number","number"])}},ft=c(t.Round);let mt;let ht;let bt;function yt(e){const{inputs:{x:n},attrs:{begin:a,size:r},backend:s}=e,[u,i]=t.slice_util.parseSliceParams(n,a,r),o=t.slice_util.isSliceContinous(n.shape,u,i),l=s.readSync(n.dataId),d=s.makeOutput(i,n.dtype),c=t.util.computeStrides(n.shape),p=s.dataIdMap.get(d.dataId);if(o){const e=t.slice_util.computeFlatOffset(u,c);if("string"===n.dtype)p.stringBytes=l.slice(e,e+t.util.sizeFromShape(i));else{s.typedArrayFromHeap(d).set(l.subarray(e,e+t.util.sizeFromShape(i)))}return d}if("string"===n.dtype){const e=P(l,u,i,n.shape,n.dtype);return p.stringBytes=e,d}const f=s.typedArrayFromHeap(d),m=n.shape.length;if(2===m)!function(e,t,n,a,r){let s=0;const u=a[0],i=a[1],o=u+r[0];for(let a=u;a<o;a++){const u=a*t+i;n.set(e.subarray(u,u+r[1]),s),s+=r[1]}}(l,c[0],f,u,i);else if(3===m)!function(e,t,n,a,r,s){let u=0;const i=r[0],o=r[1],l=r[2],d=i+s[0],c=o+s[1];for(let r=i;r<d;r++)for(let i=o;i<c;i++){const o=r*t+i*n+l;a.set(e.subarray(o,o+s[2]),u),u+=s[2]}}(l,c[0],c[1],f,u,i);else if(4===m)!function(e,t,n,a,r,s,u){let i=0;const o=s[0],l=s[1],d=s[2],c=o+u[0],p=l+u[1],f=d+u[2],m=s[3];for(let s=o;s<c;s++)for(let o=l;o<p;o++)for(let l=d;l<f;l++){const d=s*t+o*n+l*a+m;r.set(e.subarray(d,d+u[3]),i),i+=u[3]}}(l,c[0],c[1],c[2],f,u,i);else{const e=P(l,u,i,n.shape,n.dtype);f.set(e)}return d}let gt;let _t;let wt;let kt;let It;let vt;const Mt=[p,m,b,M,A,E,T,D,O,H,L,U,j,G,K,X,Y,J,ee,ne,ae,se,ue,ie,d,le,ce,fe,he,ye,ge,_e,g,ke,Ie,ve,Me,Se,xe,Fe,Ee,Te,Re,Oe,Pe,We,Le,Ue,qe,Ve,$e,Ke,Qe,Ze,Ye,et,nt,at,rt,st,ut,F,ot,dt,pt,c(t.Rsqrt),ft,{kernelName:t.ScatterNd,backendName:"wasm",setupFunc:function(e){mt=e.wasm.cwrap(t.ScatterNd,null,["number","number","number","number","number","number","array","number","number"])},kernelFunc:function(e){const{backend:n,inputs:a,attrs:r}=e,{indices:s,updates:u}=a,{shape:o}=r,l=n.makeOutput(o,u.dtype);if(0===t.util.sizeFromShape(o))return l;const{sliceRank:d,numUpdates:c,sliceSize:p,strides:f,outputSize:m}=t.scatter_util.calculateShapes(u,s,o),h=n.dataIdMap.get(s.dataId).id,b=n.dataIdMap.get(u.dataId).id,y=new Uint8Array(new Int32Array(f).buffer),g=n.dataIdMap.get(l.dataId).id;return mt(h,b,i[u.dtype],d,c,p,y,m,g),l}},{kernelName:t.Select,backendName:"wasm",kernelFunc:function(e){const{inputs:n,backend:a}=e,{condition:r,t:s,e:u}=n,i=a.dataIdMap.get(r.dataId).id,o=a.dataIdMap.get(s.dataId).id,l=a.dataIdMap.get(u.dataId).id,d=a.makeOutput(s.shape,s.dtype),c=a.dataIdMap.get(d.dataId).id,p=r.shape.length,f=s.shape.length,m=0===p||p>1||1===f?1:t.util.sizeFromShape(s.shape.slice(1));return ht(i,o,l,m,c),d},setupFunc:function(e){ht=e.wasm.cwrap("SelectV2",null,["number","number","number","number","number"])}},{kernelName:"Sigmoid",backendName:"wasm",setupFunc:function(e){bt=e.wasm.cwrap(t.Sigmoid,null,["number","number"])},kernelFunc:function(e){const{backend:n,inputs:{x:a}}=e,r=n.dataIdMap.get(a.dataId).id,s=n.makeOutput(a.shape,a.dtype),u=n.dataIdMap.get(s.dataId).id;return 0===t.util.sizeFromShape(s.shape)||bt(r,u),s}},c(t.Sin),{kernelName:t.Slice,backendName:"wasm",kernelFunc:yt},{kernelName:t.Softmax,backendName:"wasm",setupFunc:function(e){gt=e.wasm.cwrap(t.Softmax,null,["number","number","number","number"])},kernelFunc:function(e){const{backend:n,inputs:{logits:a},attrs:{dim:r}}=e,s=n.dataIdMap.get(a.dataId).id,u=n.makeOutput(a.shape,a.dtype),i=n.dataIdMap.get(u.dataId).id,o=a.shape[r],l=t.util.sizeFromShape(a.shape)/o;return 0===t.util.sizeFromShape(u.shape)||gt(s,i,o,l),u}},{kernelName:t.SplitV,backendName:"wasm",kernelFunc:function(e){const{inputs:n,attrs:a,backend:r}=e,{x:s}=n,{numOrSizeSplits:u,axis:i}=a,o=t.util.parseAxisParam(i,s.shape)[0],l=t.backend_util.prepareSplitSize(s,u,o),d=new Array(s.shape.length).fill(0),c=s.shape.slice();return l.map(e=>{const t=[...c];t[o]=e;const n=yt({inputs:{x:s},attrs:{begin:d,size:t},backend:r});return d[o]+=e,n})}},c(t.Sqrt),c(t.Square),f(t.SquaredDifference,!0),{kernelName:t.Step,backendName:"wasm",setupFunc:function(e){_t=e.wasm.cwrap(t.Step,null,["number","number","number"])},kernelFunc:function(e){const{backend:t,inputs:n,attrs:a}=e,{alpha:r}=a,{x:s}=n,u=t.dataIdMap.get(s.dataId).id,i=t.makeOutput(s.shape,s.dtype),o=t.dataIdMap.get(i.dataId).id;return _t(u,r,o),i}},{kernelName:t.StridedSlice,backendName:"wasm",setupFunc:function(e){wt=e.wasm.cwrap(t.StridedSlice,null,["number","array","number","array","array","array","array","array","number","number"])},kernelFunc:function(e){const{backend:n,inputs:a,attrs:r}=e,{x:s}=a;let{begin:u,end:i,strides:o}=r;null==o&&(o=new Array(u.length));const{beginMask:l,endMask:d,ellipsisMask:c,newAxisMask:p,shrinkAxisMask:f}=r,m=t.backend_util.slice_util.maskToAxes(c);if(m.length>1)throw new Error("Multiple ellipses in slice is not allowed.");if(0!==c&&0!==p)throw new Error("Using both ellipsisMask and newAxisMask is not yet supported.");if(0!==c&&0!==f)throw new Error("Using both ellipsisMask and shrinkAxisMask is not yet supported.");const h=s.shape.length-u.length,b=t.backend_util.slice_util.maskToAxes(p),y=s.shape.slice();b.forEach(e=>{u[e]=0,i[e]=1,y.splice(e,0,1)});const g=x({inputs:{x:s},attrs:{shape:y},backend:n}),{begin:_,end:w,strides:k}=t.backend_util.slice_util.getNormalizedAxes(g.shape,m,h,u,i,o,l,d,c);u=_,i=w,o=k;const I=t.backend_util.slice_util.maskToAxes(f);I.forEach(e=>{i[e]=u[e]+1,o[e]=1});const v=t.backend_util.slice_util.computeOutShape(u,i,o),M=v.filter((e,t)=>-1===I.indexOf(t));if(o.every(e=>1===e)){const e=yt({inputs:{x:s},attrs:{begin:u,size:v},backend:n});n.disposeData(g.dataId);const t=x({inputs:{x:e},attrs:{shape:M},backend:n});return n.disposeData(e.dataId),t}const S=n.makeOutput(M,"float32");if(!M.some(e=>0===e)){const e=n.dataIdMap.get(g.dataId).id,a=new Uint8Array(new Int32Array(t.util.computeStrides(g.shape)).buffer),r=new Uint8Array(new Int32Array(u).buffer),s=new Uint8Array(new Int32Array(i).buffer),l=new Uint8Array(new Int32Array(o).buffer),d=new Uint8Array(new Int32Array(M).buffer),c=new Uint8Array(new Int32Array(t.util.computeStrides(M)).buffer),p=n.dataIdMap.get(S.dataId).id;wt(e,a,g.shape.length,r,s,l,d,c,M.length,p)}n.disposeData(g.dataId);const A=x({inputs:{x:S},attrs:{shape:M},backend:n});return n.disposeData(S.dataId),A}},f(t.Sub,!0),{kernelName:t.Sum,backendName:"wasm",setupFunc:function(e){kt=e.wasm.cwrap(t.Sum,null,["number, number, number"])},kernelFunc:function(e){const{backend:n,inputs:a,attrs:r}=e,{axis:s,keepDims:u}=r,{x:i}=a,o=n.dataIdMap.get(i.dataId).id;let l=o,d=i;const{transposed:c,axes:p,originalAxes:f,inputWasTransposed:m}=I(i,s,n);let h=p;if(m){const e=n.dataIdMap.get(c.dataId).id;e!==o&&(d=c,l=e,h=t.backend_util.getInnerMostAxes(h.length,d.shape.length))}t.backend_util.assertAxesAreInnerMostDims("sum",h,d.shape.length);const[b,y]=t.backend_util.computeOutAndReduceShapes(d.shape,h),g=t.util.sizeFromShape(y),_=n.makeOutput(b,d.dtype);if(0!==t.util.sizeFromShape(d.shape)){const e=n.dataIdMap.get(_.dataId).id;kt(l,g,e)}if(m&&n.disposeData(c.dataId),u){const e=t.backend_util.expandShapeToKeepDim(_.shape,f);_.shape=e}return _}},c(t.Tanh),{kernelName:t.Tile,backendName:"wasm",setupFunc:function(e){It=e.wasm.cwrap(t.Tile,null,["number","array","number","array","number","number"])},kernelFunc:function(e){const{inputs:t,backend:n,attrs:a}=e,{x:r}=t,s=n.dataIdMap.get(r.dataId).id,{reps:u}=a,o=new Array(r.shape.length);for(let e=0;e<o.length;e++)o[e]=r.shape[e]*u[e];const l=new Uint8Array(new Int32Array(r.shape).buffer),d=new Uint8Array(new Int32Array(o).buffer),c=n.makeOutput(o,r.dtype),p=n.dataIdMap.get(c.dataId).id;return It(s,l,r.shape.length,d,o.length,i[c.dtype],p),c}},{kernelName:t.TopK,backendName:"wasm",setupFunc:function(e){vt=e.wasm.cwrap(t.TopK,null,["number","array","number","number","number","bool","number","number"])},kernelFunc:({inputs:e,backend:t,attrs:n})=>{const{x:a}=e,{k:r,sorted:s}=n,u=t.dataIdMap.get(a.dataId).id,o=new Uint8Array(new Int32Array(a.shape).buffer),l=a.shape.slice();l[l.length-1]=r;const d=t.makeOutput(l,a.dtype),c=t.dataIdMap.get(d.dataId).id,p=t.makeOutput(l,"int32"),f=t.dataIdMap.get(p.dataId).id;return vt(u,o,a.shape.length,i[a.dtype],r,s,c,f),[d,p]}},k,{kernelName:t.Unpack,backendName:"wasm",kernelFunc:function(e){const{inputs:t,backend:n,attrs:a}=e,{value:r}=t;let{axis:s}=a;s<0&&(s+=r.shape.length);const u=r.shape[s],i=r.shape.length,o=new Array(i-1);let l=0;for(let e=0;e<i;e++)e!==s&&(o[l++]=r.shape[e]);const d=new Array(u),c=new Array(i).fill(0),p=r.shape.slice();p[s]=1;for(let e=0;e<d.length;e++)c[s]=e,d[e]=yt({inputs:{x:r},attrs:{begin:c,size:p},backend:n});return d.map(({dataId:e,dtype:t})=>({dataId:e,dtype:t,shape:o}))}},{kernelName:t.ZerosLike,backendName:"wasm",kernelFunc:function(e){const{inputs:{x:t},backend:n}=e,a=n.makeOutput(t.shape,t.dtype);return n.typedArrayFromHeap(a).fill(0),a}}];for(const e of Mt)t.registerKernel(e);const St=t.env();St.registerFlag("WASM_HAS_SIMD_SUPPORT",async()=>WebAssembly.validate(new Uint8Array([0,97,115,109,1,0,0,0,1,4,1,96,0,0,3,2,1,0,10,9,1,7,0,65,0,253,15,26,11]))),St.registerFlag("WASM_HAS_MULTITHREAD_SUPPORT",async()=>{if(St.get("IS_NODE"))return!1;try{return(new MessageChannel).port1.postMessage(new SharedArrayBuffer(1)),WebAssembly.validate(new Uint8Array([0,97,115,109,1,0,0,0,1,4,1,96,0,0,3,2,1,0,5,4,1,3,1,1,10,11,1,9,0,65,0,254,16,2,0,26,11]))}catch(e){return!1}});var At="undefined"!=typeof globalThis?globalThis:"undefined"!=typeof window?window:"undefined"!=typeof global?global:"undefined"!=typeof self?self:{};function xt(e,t){return e(t={exports:{}},t.exports),t.exports}var Ft=xt((function(e,t){var i,o=(i="undefined"!=typeof document&&document.currentScript?document.currentScript.src:void 0,"undefined"!=typeof __filename&&(i=i||__filename),function(e){function t(){return R.buffer!=W&&te(R.buffer),H}function o(){return R.buffer!=W&&te(R.buffer),z}function l(){return R.buffer!=W&&te(R.buffer),L}function d(){return R.buffer!=W&&te(R.buffer),B}function c(){return R.buffer!=W&&te(R.buffer),U}var p,f,m="undefined"!=typeof(e=e||{})?e:{};m.ready=new Promise((function(e,t){p=e,f=t}));var h,b={};for(h in m)m.hasOwnProperty(h)&&(b[h]=m[h]);var y=function(e,t){throw t},g=!1,_=!1,w=!1,k=!1;g="object"==typeof window,_="function"==typeof importScripts,w="object"==typeof process&&"object"==typeof process.versions&&"string"==typeof process.versions.node,k=!g&&!w&&!_;var I=m.ENVIRONMENT_IS_PTHREAD||!1;I&&(W=m.buffer);var v,M,S,A,x,F="";function N(e){return m.locateFile?m.locateFile(e,F):F+e}if(w){var E;F=_?n.dirname(F)+"/":__dirname+"/",v=function(e,t){return A||(A=a),x||(x=n),e=x.normalize(e),A.readFileSync(e,t?null:"utf8")},S=function(e){var t=v(e,!0);return t.buffer||(t=new Uint8Array(t)),q(t.buffer),t},process.argv.length>1&&process.argv[1].replace(/\\/g,"/"),process.argv.slice(2),process.on("uncaughtException",(function(e){if(!(e instanceof ln))throw e})),process.on("unhandledRejection",_e),y=function(e){process.exit(e)},m.inspect=function(){return"[Emscripten Module object]"};try{E=r}catch(e){throw console.error('The "worker_threads" module is not supported in this node.js build - perhaps a newer version is needed?'),e}At.Worker=E.Worker}else k?("undefined"!=typeof read&&(v=function(e){return read(e)}),S=function(e){var t;return"function"==typeof readbuffer?new Uint8Array(readbuffer(e)):(q("object"==typeof(t=read(e,"binary"))),t)},"undefined"!=typeof scriptArgs&&scriptArgs,"function"==typeof quit&&(y=function(e){quit(e)}),"undefined"!=typeof print&&("undefined"==typeof console&&(console={}),console.log=print,console.warn=console.error="undefined"!=typeof printErr?printErr:print)):(g||_)&&(_?F=self.location.href:"undefined"!=typeof document&&document.currentScript&&(F=document.currentScript.src),"undefined"!=typeof i&&i&&(F=i),F=0!==F.indexOf("blob:")?F.substr(0,F.lastIndexOf("/")+1):"",w?(v=function(e,t){return A||(A=a),x||(x=n),e=x.normalize(e),A.readFileSync(e,t?null:"utf8")},S=function(e){var t=v(e,!0);return t.buffer||(t=new Uint8Array(t)),q(t.buffer),t}):(v=function(e){var t=new XMLHttpRequest;return t.open("GET",e,!1),t.send(null),t.responseText},_&&(S=function(e){var t=new XMLHttpRequest;return t.open("GET",e,!1),t.responseType="arraybuffer",t.send(null),new Uint8Array(t.response)}),M=function(e,t,n){var a=new XMLHttpRequest;a.open("GET",e,!0),a.responseType="arraybuffer",a.onload=function(){200==a.status||0==a.status&&a.response?t(a.response):n()},a.onerror=n,a.send(null)}));w&&"undefined"==typeof performance&&(At.performance=s.performance);var C,T=m.print||console.log.bind(console),D=m.printErr||console.warn.bind(console);for(h in b)b.hasOwnProperty(h)&&(m[h]=b[h]);b=null,m.arguments&&m.arguments,m.thisProgram&&m.thisProgram,m.quit&&(y=m.quit),m.wasmBinary&&(C=m.wasmBinary);var R,O,P=m.noExitRuntime||!0;"object"!=typeof WebAssembly&&_e("no native wasm support detected");var W,H,z,L,B,U,j=!1;function q(e,t){e||_e("Assertion failed: "+t)}function V(e){var t=m["_"+e];return q(t,"Cannot call unknown function "+e+", make sure it is exported"),t}function G(e,t,n,a,r){var s={string:function(e){var t=0;if(null!=e&&0!==e){var n=1+(e.length<<2);Z(e,t=an(n),n)}return t},array:function(e){var t=an(e.length);return J(e,t),t}},u=V(e),i=[],o=0;if(a)for(var l=0;l<a.length;l++){var d=s[n[l]];d?(0===o&&(o=tn()),i[l]=d(a[l])):i[l]=a[l]}var c=u.apply(null,i);return c=function(e){return"string"===t?Q(e):"boolean"===t?Boolean(e):e}(c),0!==o&&nn(o),c}function $(e,t,n,a){var r=(n=n||[]).every((function(e){return"number"===e}));return"string"!==t&&r&&!a?V(e):function(){return G(e,t,n,arguments)}}function K(e,t,n){for(var a=t+n,r="";!(t>=a);){var s=e[t++];if(!s)return r;if(128&s){var u=63&e[t++];if(192!=(224&s)){var i=63&e[t++];if((s=224==(240&s)?(15&s)<<12|u<<6|i:(7&s)<<18|u<<12|i<<6|63&e[t++])<65536)r+=String.fromCharCode(s);else{var o=s-65536;r+=String.fromCharCode(55296|o>>10,56320|1023&o)}}else r+=String.fromCharCode((31&s)<<6|u)}else r+=String.fromCharCode(s)}return r}function Q(e,t){return e?K(o(),e,t):""}function X(e,t,n,a){if(!(a>0))return 0;for(var r=n,s=n+a-1,u=0;u<e.length;++u){var i=e.charCodeAt(u);if(i>=55296&&i<=57343&&(i=65536+((1023&i)<<10)|1023&e.charCodeAt(++u)),i<=127){if(n>=s)break;t[n++]=i}else if(i<=2047){if(n+1>=s)break;t[n++]=192|i>>6,t[n++]=128|63&i}else if(i<=65535){if(n+2>=s)break;t[n++]=224|i>>12,t[n++]=128|i>>6&63,t[n++]=128|63&i}else{if(n+3>=s)break;t[n++]=240|i>>18,t[n++]=128|i>>12&63,t[n++]=128|i>>6&63,t[n++]=128|63&i}}return t[n]=0,n-r}function Z(e,t,n){return X(e,o(),t,n)}function Y(e){for(var t=0,n=0;n<e.length;++n){var a=e.charCodeAt(n);a>=55296&&a<=57343&&(a=65536+((1023&a)<<10)|1023&e.charCodeAt(++n)),a<=127?++t:t+=a<=2047?2:a<=65535?3:4}return t}function J(e,n){t().set(e,n)}function ee(e,t){return e%t>0&&(e+=t-e%t),e}function te(e){W=e,m.HEAP8=H=new Int8Array(e),m.HEAP16=new Int16Array(e),m.HEAP32=L=new Int32Array(e),m.HEAPU8=z=new Uint8Array(e),m.HEAPU16=new Uint16Array(e),m.HEAPU32=B=new Uint32Array(e),m.HEAPF32=new Float32Array(e),m.HEAPF64=U=new Float64Array(e)}var ne,ae=m.INITIAL_MEMORY||16777216;if(I)R=m.wasmMemory,W=m.buffer;else if(m.wasmMemory)R=m.wasmMemory;else if(!((R=new WebAssembly.Memory({initial:ae/65536,maximum:32768,shared:!0})).buffer instanceof SharedArrayBuffer))throw D("requested a shared WebAssembly.Memory but the returned buffer is not a SharedArrayBuffer, indicating that while the browser has SharedArrayBuffer it does not have WebAssembly threads support - you may need to set a flag"),w&&console.log("(on node you may need: --experimental-wasm-threads --experimental-wasm-bulk-memory and also use a recent version)"),Error("bad memory");R&&(W=R.buffer),ae=W.byteLength,te(W);var re=[],se=[],ue=[],ie=[];function oe(){if(!I){if(m.preRun)for("function"==typeof m.preRun&&(m.preRun=[m.preRun]);m.preRun.length;)pe(m.preRun.shift());Ce(re)}}function le(){Ce(se)}function de(){I||Ce(ue)}function ce(){if(!I){if(m.postRun)for("function"==typeof m.postRun&&(m.postRun=[m.postRun]);m.postRun.length;)fe(m.postRun.shift());Ce(ie)}}function pe(e){re.unshift(e)}function fe(e){ie.unshift(e)}I||se.push({func:function(){Bt()}});var me=0,he=null,be=null;function ye(e){q(!I,"addRunDependency cannot be used in a pthread worker"),me++,m.monitorRunDependencies&&m.monitorRunDependencies(me)}function ge(e){if(me--,m.monitorRunDependencies&&m.monitorRunDependencies(me),0==me&&(null!==he&&(clearInterval(he),he=null),be)){var t=be;be=null,t()}}function _e(e){m.onAbort&&m.onAbort(e),I&&console.error("Pthread aborting at "+(new Error).stack),D(e+=""),j=!0,e="abort("+e+"). Build with -s ASSERTIONS=1 for more info.";var t=new WebAssembly.RuntimeError(e);throw f(t),t}function we(e,t){return String.prototype.startsWith?e.startsWith(t):0===e.indexOf(t)}m.preloadedImages={},m.preloadedAudios={};var ke="data:application/octet-stream;base64,";function Ie(e){return we(e,ke)}var ve="file://";function Me(e){return we(e,ve)}var Se="tfjs-backend-wasm-threaded-simd.wasm";function Ae(e){try{if(e==Se&&C)return new Uint8Array(C);if(S)return S(e);throw"both async and sync fetching of the wasm failed"}catch(e){_e(e)}}function xe(){if(!C&&(g||_)){if("function"==typeof fetch&&!Me(Se))return fetch(Se,{credentials:"same-origin"}).then((function(e){if(!e.ok)throw"failed to load wasm binary file at '"+Se+"'";return e.arrayBuffer()})).catch((function(){return Ae(Se)}));if(M)return new Promise((function(e,t){M(Se,(function(t){e(new Uint8Array(t))}),t)}))}return Promise.resolve().then((function(){return Ae(Se)}))}function Fe(){var e={a:Lt};function t(e,t){var n=e.exports;if(m.asm=n,ne=m.asm.F,O=t,!I){var a=We.unusedWorkers.length;We.unusedWorkers.forEach((function(e){We.loadWasmModuleToWorker(e,(function(){--a||ge()}))}))}}function n(e){t(e.instance,e.module)}function a(t){return xe().then((function(t){return WebAssembly.instantiate(t,e)})).then(t,(function(e){D("failed to asynchronously prepare wasm: "+e),_e(e)}))}if(I||ye(),m.instantiateWasm)try{return m.instantiateWasm(e,t)}catch(e){return D("Module.instantiateWasm callback failed with error: "+e),!1}return(C||"function"!=typeof WebAssembly.instantiateStreaming||Ie(Se)||Me(Se)||"function"!=typeof fetch?a(n):fetch(Se,{credentials:"same-origin"}).then((function(t){return WebAssembly.instantiateStreaming(t,e).then(n,(function(e){return D("wasm streaming compile failed: "+e),D("falling back to ArrayBuffer instantiation"),a(n)}))}))).catch(f),{}}Ie(Se)||(Se=N(Se));var Ne={8991:function(e,t){setTimeout((function(){Xt(e,t)}),0)}};function Ee(){We.initRuntime()}function Ce(e){for(;e.length>0;){var t=e.shift();if("function"!=typeof t){var n=t.func;"number"==typeof n?void 0===t.arg?ne.get(n)():ne.get(n)(t.arg):n(void 0===t.arg?null:t.arg)}else t(m)}}function Te(e,n){if(e<=0||e>t().length||!0&e||n<0)return-28;if(0==n)return 0;n>=2147483647&&(n=1/0);var a=Atomics.load(l(),on>>2),r=0;if(a==e&&Atomics.compareExchange(l(),on>>2,a,0)==a&&(r=1,--n<=0))return 1;var s=Atomics.notify(l(),e>>2,n);if(s>=0)return s+r;throw"Atomics.notify returned an unexpected value "+s}function De(e){if(I)throw"Internal Error! killThread() can only ever be called from main application thread!";if(!e)throw"Internal Error! Null pthread_ptr in killThread!";l()[e+12>>2]=0;var t=We.pthreads[e];t.worker.terminate(),We.freeThreadData(t),We.runningWorkers.splice(We.runningWorkers.indexOf(t.worker),1),t.worker.pthread=void 0}function Re(e){if(I)throw"Internal Error! cancelThread() can only ever be called from main application thread!";if(!e)throw"Internal Error! Null pthread_ptr in cancelThread!";We.pthreads[e].worker.postMessage({cmd:"cancel"})}function Oe(e){if(I)throw"Internal Error! cleanupThread() can only ever be called from main application thread!";if(!e)throw"Internal Error! Null pthread_ptr in cleanupThread!";l()[e+12>>2]=0;var t=We.pthreads[e];if(t){var n=t.worker;We.returnWorkerToPool(n)}}m._emscripten_futex_wake=Te;var Pe,We={unusedWorkers:[],runningWorkers:[],initMainThreadBlock:function(){for(var e=0;e<8;++e)We.allocateUnusedWorker()},initRuntime:function(){for(var e=Ut(228),t=0;t<57;++t)d()[e/4+t]=0;l()[e+12>>2]=e;var n=e+152;l()[n>>2]=n;var a=Ut(512);for(t=0;t<128;++t)d()[a/4+t]=0;Atomics.store(d(),e+100>>2,a),Atomics.store(d(),e+40>>2,e),en(e,!_,1),Qt(e)},initWorker:function(){},pthreads:{},threadExitHandlers:[],setThreadStatus:function(){},runExitHandlers:function(){for(;We.threadExitHandlers.length>0;)We.threadExitHandlers.pop()();I&&Gt()&&$t()},threadExit:function(e){var t=Gt();t&&(Atomics.store(d(),t+4>>2,e),Atomics.store(d(),t+0>>2,1),Atomics.store(d(),t+56>>2,1),Atomics.store(d(),t+60>>2,0),We.runExitHandlers(),Te(t+0,2147483647),en(0,0,0),I&&postMessage({cmd:"exit"}))},threadCancel:function(){We.runExitHandlers();var e=Gt();Atomics.store(d(),e+4>>2,-1),Atomics.store(d(),e+0>>2,1),Te(e+0,2147483647),en(0,0,0),postMessage({cmd:"cancelDone"})},terminateAllThreads:function(){for(var e in We.pthreads)(a=We.pthreads[e])&&a.worker&&We.returnWorkerToPool(a.worker);We.pthreads={};for(var t=0;t<We.unusedWorkers.length;++t)(n=We.unusedWorkers[t]).terminate();for(We.unusedWorkers=[],t=0;t<We.runningWorkers.length;++t){var n,a=(n=We.runningWorkers[t]).pthread;We.freeThreadData(a),n.terminate()}We.runningWorkers=[]},freeThreadData:function(e){if(e){if(e.threadInfoStruct){var t=l()[e.threadInfoStruct+100>>2];l()[e.threadInfoStruct+100>>2]=0,jt(t),jt(e.threadInfoStruct)}e.threadInfoStruct=0,e.allocatedOwnStack&&e.stackBase&&jt(e.stackBase),e.stackBase=0,e.worker&&(e.worker.pthread=null)}},returnWorkerToPool:function(e){We.runWithoutMainThreadQueuedCalls((function(){delete We.pthreads[e.pthread.threadInfoStruct],We.unusedWorkers.push(e),We.runningWorkers.splice(We.runningWorkers.indexOf(e),1),We.freeThreadData(e.pthread),e.pthread=void 0}))},runWithoutMainThreadQueuedCalls:function(e){l()[un>>2]=0;try{e()}finally{l()[un>>2]=1}},receiveObjectTransfer:function(e){},loadWasmModuleToWorker:function(e,t){e.onmessage=function(n){var a=n.data,r=a.cmd;if(e.pthread&&(We.currentProxiedOperationCallerThread=e.pthread.threadInfoStruct),a.targetThread&&a.targetThread!=Gt()){var s=We.pthreads[a.targetThread];return s?s.worker.postMessage(n.data,a.transferList):console.error('Internal error! Worker sent a message "'+r+'" to target pthread '+a.targetThread+", but that thread no longer exists!"),void(We.currentProxiedOperationCallerThread=void 0)}if("processQueuedMainThreadWork"===r)Kt();else if("spawnThread"===r)Ot(n.data);else if("cleanupThread"===r)Oe(a.thread);else if("killThread"===r)De(a.thread);else if("cancelThread"===r)Re(a.thread);else if("loaded"===r)e.loaded=!0,t&&t(e),e.runPthread&&(e.runPthread(),delete e.runPthread);else if("print"===r)T("Thread "+a.threadId+": "+a.text);else if("printErr"===r)D("Thread "+a.threadId+": "+a.text);else if("alert"===r)alert("Thread "+a.threadId+": "+a.text);else if("exit"===r)e.pthread&&Atomics.load(d(),e.pthread.threadInfoStruct+64>>2)&&We.returnWorkerToPool(e);else if("exitProcess"===r)try{cn(a.returnCode)}catch(n){if(n instanceof ln)return;throw n}else"cancelDone"===r?We.returnWorkerToPool(e):"objectTransfer"===r?We.receiveObjectTransfer(n.data):"setimmediate"===n.data.target?e.postMessage(n.data):D("worker sent an unknown command "+r);We.currentProxiedOperationCallerThread=void 0},e.onerror=function(e){D("pthread sent an error! "+e.filename+":"+e.lineno+": "+e.message)},w&&(e.on("message",(function(t){e.onmessage({data:t})})),e.on("error",(function(t){e.onerror(t)})),e.on("exit",(function(e){}))),e.postMessage({cmd:"load",urlOrBlob:m.mainScriptUrlOrBlob||i,wasmMemory:R,wasmModule:O})},allocateUnusedWorker:function(){var e=N("tfjs-backend-wasm-threaded-simd.worker.js");We.unusedWorkers.push(new Worker(e))},getNewWorker:function(){return 0==We.unusedWorkers.length&&(We.allocateUnusedWorker(),We.loadWasmModuleToWorker(We.unusedWorkers[0])),We.unusedWorkers.length>0?We.unusedWorkers.pop():null},busySpinWait:function(e){for(var t=performance.now()+e;performance.now()<t;);}};function He(e,t){rn(e,t),nn(e)}function ze(){return P}function Le(e,t){return ne.get(e)(t)}function Be(e,t,n,a){_e("Assertion failed: "+Q(e)+", at: "+[t?Q(t):"unknown filename",n,a?Q(a):"unknown function"])}function Ue(e,t){_main(e,t)}function je(e){return l()[qt()>>2]=e,e}function qe(e,t){if(I)return Ye(1,1,e,t)}function Ve(e,t){if(e==t)postMessage({cmd:"processQueuedMainThreadWork"});else if(I)postMessage({targetThread:e,cmd:"processThreadQueue"});else{var n=We.pthreads[e],a=n&&n.worker;if(!a)return;a.postMessage({cmd:"processThreadQueue"})}return 1}function Ge(){_e()}function $e(e,t,n){var a=tt(t,n);return Ne[e].apply(null,a)}function Ke(e,t){}function Qe(e,n,a){if(e<=0||e>t().length||!0&e)return-28;if(g){if(Atomics.load(l(),e>>2)!=n)return-6;var r=performance.now(),s=r+a;for(Atomics.exchange(l(),on>>2,e);;){if((r=performance.now())>s)return Atomics.exchange(l(),on>>2,0),-73;if(0==Atomics.exchange(l(),on>>2,0))break;if(Kt(),Atomics.load(l(),e>>2)!=n)return-6;Atomics.exchange(l(),on>>2,e)}return 0}var u=Atomics.wait(l(),e>>2,n,a);if("timed-out"===u)return-73;if("not-equal"===u)return-6;if("ok"===u)return 0;throw"Atomics.wait returned an unexpected value "+u}function Xe(e,t,n){o().copyWithin(e,t,t+n)}function Ze(){return w?u.cpus().length:navigator.hardwareConcurrency}function Ye(e,t){for(var n=arguments.length-2,a=tn(),r=n,s=an(8*r),u=s>>3,i=0;i<n;i++){var o=arguments[2+i];c()[u+i]=o}var l=Yt(e,r,s,t);return nn(a),l}m.establishStackSpace=He,m.getNoExitRuntime=ze,m.invokeEntryPoint=Le,Pe=w?function(){var e=process.hrtime();return 1e3*e[0]+e[1]/1e6}:I?function(){return performance.now()-m.__performance_now_clock_drift}:"undefined"!=typeof dateNow?dateNow:function(){return performance.now()};var Je=[],et=[];function tt(e,t){var n;for(et.length=0,t>>=2;n=o()[e++];){var a=n<105;a&&1&t&&t++,et.push(a?c()[t++>>1]:l()[t]),++t}return et}function nt(e,t,n){Je.length=t;for(var a=n>>3,r=0;r<t;r++)Je[r]=c()[a+r];return(e<0?Ne[-e-1]:zt[e]).apply(null,Je)}function at(){return o().length}function rt(e){try{return R.grow(e-W.byteLength+65535>>>16),te(R.buffer),1}catch(e){}}function st(e){var t=at();if(e<=t)return!1;if(e>2147483648)return!1;for(var n=1;n<=4;n*=2){var a=t*(1+.2/n);if(a=Math.min(a,e+100663296),rt(Math.min(2147483648,ee(Math.max(e,a),65536))))return!0}return!1}var ut={inEventHandler:0,removeAllEventListeners:function(){for(var e=ut.eventHandlers.length-1;e>=0;--e)ut._removeHandler(e);ut.eventHandlers=[],ut.deferredCalls=[]},registerRemoveEventListeners:function(){ut.removeEventListenersRegistered||(ut.removeEventListenersRegistered=!0)},deferredCalls:[],deferCall:function(e,t,n){function a(e,t){if(e.length!=t.length)return!1;for(var n in e)if(e[n]!=t[n])return!1;return!0}for(var r in ut.deferredCalls){var s=ut.deferredCalls[r];if(s.targetFunction==e&&a(s.argsList,n))return}ut.deferredCalls.push({targetFunction:e,precedence:t,argsList:n}),ut.deferredCalls.sort((function(e,t){return e.precedence<t.precedence}))},removeDeferredCalls:function(e){for(var t=0;t<ut.deferredCalls.length;++t)ut.deferredCalls[t].targetFunction==e&&(ut.deferredCalls.splice(t,1),--t)},canPerformEventHandlerRequests:function(){return ut.inEventHandler&&ut.currentEventHandler.allowsDeferredCalls},runDeferredCalls:function(){if(ut.canPerformEventHandlerRequests())for(var e=0;e<ut.deferredCalls.length;++e){var t=ut.deferredCalls[e];ut.deferredCalls.splice(e,1),--e,t.targetFunction.apply(null,t.argsList)}},eventHandlers:[],removeAllHandlersOnTarget:function(e,t){for(var n=0;n<ut.eventHandlers.length;++n)ut.eventHandlers[n].target!=e||t&&t!=ut.eventHandlers[n].eventTypeString||ut._removeHandler(n--)},_removeHandler:function(e){var t=ut.eventHandlers[e];t.target.removeEventListener(t.eventTypeString,t.eventListenerFunc,t.useCapture),ut.eventHandlers.splice(e,1)},registerOrRemoveHandler:function(e){var t=function(t){++ut.inEventHandler,ut.currentEventHandler=e,ut.runDeferredCalls(),e.handlerFunc(t),ut.runDeferredCalls(),--ut.inEventHandler};if(e.callbackfunc)e.eventListenerFunc=t,e.target.addEventListener(e.eventTypeString,t,e.useCapture),ut.eventHandlers.push(e),ut.registerRemoveEventListeners();else for(var n=0;n<ut.eventHandlers.length;++n)ut.eventHandlers[n].target==e.target&&ut.eventHandlers[n].eventTypeString==e.eventTypeString&&ut._removeHandler(n--)},queueEventHandlerOnThread_iiii:function(e,t,n,a,r){var s=tn(),u=an(12);l()[u>>2]=n,l()[u+4>>2]=a,l()[u+8>>2]=r,Jt(0,e,637534208,t,a,u),nn(s)},getTargetThreadForEventCallback:function(e){switch(e){case 1:return 0;case 2:return We.currentProxiedOperationCallerThread;default:return e}},getNodeNameForTarget:function(e){return e?e==window?"#window":e==screen?"#screen":e&&e.nodeName?e.nodeName:"":""},fullscreenEnabled:function(){return document.fullscreenEnabled||document.webkitFullscreenEnabled}};function it(e){var t=Y(e)+1,n=Ut(t);return Z(e,n,t),n}function ot(e,t,n,a){var r=tn(),s=an(12),u=0;t&&(u=it(t)),l()[s>>2]=u,l()[s+4>>2]=n,l()[s+8>>2]=a,Jt(0,e,657457152,0,u,s),nn(r)}function lt(e,t,n,a){ot(e,t=t?Q(t):"",n,a)}function dt(e){return e>2?Q(e):e}var ct=[0,"undefined"!=typeof document?document:0,"undefined"!=typeof window?window:0];function pt(e){return e=dt(e),ct[e]||("undefined"!=typeof document?document.querySelector(e):void 0)}function ft(e){return pt(e)}function mt(e,t,n){var a=ft(e);if(!a)return-4;if(a.canvasSharedPtr&&(l()[a.canvasSharedPtr>>2]=t,l()[a.canvasSharedPtr+4>>2]=n),!a.offscreenCanvas&&a.controlTransferredOffscreen)return a.canvasSharedPtr?(lt(l()[a.canvasSharedPtr+8>>2],e,t,n),1):-4;a.offscreenCanvas&&(a=a.offscreenCanvas);var r=!1;if(a.GLctxObject&&a.GLctxObject.GLctx){var s=a.GLctxObject.GLctx.getParameter(2978);r=0===s[0]&&0===s[1]&&s[2]===a.width&&s[3]===a.height}return a.width=t,a.height=n,r&&a.GLctxObject.GLctx.viewport(0,0,t,n),0}function ht(e,t,n){return I?Ye(2,1,e,t,n):mt(e,t,n)}function bt(e,t,n){return ft(e)?mt(e,t,n):ht(e,t,n)}function yt(e){}function gt(e,t){}function _t(e){var t=e.getExtension("ANGLE_instanced_arrays");if(t)return e.vertexAttribDivisor=function(e,n){t.vertexAttribDivisorANGLE(e,n)},e.drawArraysInstanced=function(e,n,a,r){t.drawArraysInstancedANGLE(e,n,a,r)},e.drawElementsInstanced=function(e,n,a,r,s){t.drawElementsInstancedANGLE(e,n,a,r,s)},1}function wt(e){var t=e.getExtension("OES_vertex_array_object");if(t)return e.createVertexArray=function(){return t.createVertexArrayOES()},e.deleteVertexArray=function(e){t.deleteVertexArrayOES(e)},e.bindVertexArray=function(e){t.bindVertexArrayOES(e)},e.isVertexArray=function(e){return t.isVertexArrayOES(e)},1}function kt(e){var t=e.getExtension("WEBGL_draw_buffers");if(t)return e.drawBuffers=function(e,n){t.drawBuffersWEBGL(e,n)},1}function It(e){return!!(e.multiDrawWebgl=e.getExtension("WEBGL_multi_draw"))}var vt={counter:1,buffers:[],programs:[],framebuffers:[],renderbuffers:[],textures:[],uniforms:[],shaders:[],vaos:[],contexts:{},offscreenCanvases:{},timerQueriesEXT:[],programInfos:{},stringCache:{},unpackAlignment:4,recordError:function(e){vt.lastError||(vt.lastError=e)},getNewId:function(e){for(var t=vt.counter++,n=e.length;n<t;n++)e[n]=null;return t},getSource:function(e,t,n,a){for(var r="",s=0;s<t;++s){var u=a?l()[a+4*s>>2]:-1;r+=Q(l()[n+4*s>>2],u<0?void 0:u)}return r},createContext:function(e,t){var n=e.getContext("webgl",t);return n?vt.registerContext(n,t):0},registerContext:function(e,t){var n=Ut(8);l()[n+4>>2]=Gt();var a={handle:n,attributes:t,version:t.majorVersion,GLctx:e};return e.canvas&&(e.canvas.GLctxObject=a),vt.contexts[n]=a,("undefined"==typeof t.enableExtensionsByDefault||t.enableExtensionsByDefault)&&vt.initExtensions(a),n},makeContextCurrent:function(e){return vt.currentContext=vt.contexts[e],m.ctx=Ft=vt.currentContext&&vt.currentContext.GLctx,!(e&&!Ft)},getContext:function(e){return vt.contexts[e]},deleteContext:function(e){vt.currentContext===vt.contexts[e]&&(vt.currentContext=null),"object"==typeof ut&&ut.removeAllHandlersOnTarget(vt.contexts[e].GLctx.canvas),vt.contexts[e]&&vt.contexts[e].GLctx.canvas&&(vt.contexts[e].GLctx.canvas.GLctxObject=void 0),jt(vt.contexts[e].handle),vt.contexts[e]=null},initExtensions:function(e){if(e||(e=vt.currentContext),!e.initExtensionsDone){e.initExtensionsDone=!0;var t=e.GLctx;_t(t),wt(t),kt(t),t.disjointTimerQueryExt=t.getExtension("EXT_disjoint_timer_query"),It(t),(t.getSupportedExtensions()||[]).forEach((function(e){e.indexOf("lose_context")<0&&e.indexOf("debug")<0&&t.getExtension(e)}))}},populateUniformTable:function(e){for(var t=vt.programs[e],n=vt.programInfos[e]={uniforms:{},maxUniformLength:0,maxAttributeLength:-1,maxUniformBlockNameLength:-1},a=n.uniforms,r=Ft.getProgramParameter(t,35718),s=0;s<r;++s){var u=Ft.getActiveUniform(t,s),i=u.name;n.maxUniformLength=Math.max(n.maxUniformLength,i.length+1),"]"==i.slice(-1)&&(i=i.slice(0,i.lastIndexOf("[")));var o=Ft.getUniformLocation(t,i);if(o){var l=vt.getNewId(vt.uniforms);a[i]=[u.size,l],vt.uniforms[l]=o;for(var d=1;d<u.size;++d){var c=i+"["+d+"]";o=Ft.getUniformLocation(t,c),l=vt.getNewId(vt.uniforms),vt.uniforms[l]=o}}}}},Mt=["default","low-power","high-performance"];function St(e,t){var n=t>>2,a=l()[n+6],r={alpha:!!l()[n+0],depth:!!l()[n+1],stencil:!!l()[n+2],antialias:!!l()[n+3],premultipliedAlpha:!!l()[n+4],preserveDrawingBuffer:!!l()[n+5],powerPreference:Mt[a],failIfMajorPerformanceCaveat:!!l()[n+7],majorVersion:l()[n+8],minorVersion:l()[n+9],enableExtensionsByDefault:l()[n+10],explicitSwapControl:l()[n+11],proxyContextToMainThread:l()[n+12],renderViaOffscreenBackBuffer:l()[n+13]},s=ft(e);return s?r.explicitSwapControl?0:vt.createContext(s,r):0}function xt(e,t){return St(e,t)}var Ft,Nt={mappings:{},buffers:[null,[],[]],printChar:function(e,t){var n=Nt.buffers[e];0===t||10===t?((1===e?T:D)(K(n,0)),n.length=0):n.push(t)},varargs:void 0,get:function(){return Nt.varargs+=4,l()[Nt.varargs-4>>2]},getStr:function(e){return Q(e)},get64:function(e,t){return e}};function Et(e){return I?Ye(3,1,e):0}function Ct(e,t,n,a,r){if(I)return Ye(4,1,e,t,n,a,r)}function Tt(e,t,n,a){if(I)return Ye(5,1,e,t,n,a);for(var r=0,s=0;s<n;s++){for(var u=l()[t+8*s>>2],i=l()[t+(8*s+4)>>2],d=0;d<i;d++)Nt.printChar(e,o()[u+d]);r+=i}return l()[a>>2]=r,0}function Dt(e){var t=We.threadExitHandlers.pop();e&&t()}function Rt(e,t){We.threadExitHandlers.push((function(){ne.get(e)(t)}))}function Ot(e){if(I)throw"Internal Error! spawnThread() can only ever be called from main application thread!";var t=We.getNewWorker();if(void 0!==t.pthread)throw"Internal error!";if(!e.pthread_ptr)throw"Internal error, no pthread ptr!";We.runningWorkers.push(t);for(var n=Ut(512),a=0;a<128;++a)l()[n+4*a>>2]=0;var r=e.stackBase+e.stackSize,s=We.pthreads[e.pthread_ptr]={worker:t,stackBase:e.stackBase,stackSize:e.stackSize,allocatedOwnStack:e.allocatedOwnStack,threadInfoStruct:e.pthread_ptr},u=s.threadInfoStruct>>2;Atomics.store(d(),u+16,e.detached),Atomics.store(d(),u+25,n),Atomics.store(d(),u+10,s.threadInfoStruct),Atomics.store(d(),u+20,e.stackSize),Atomics.store(d(),u+19,r),Atomics.store(d(),u+26,e.stackSize),Atomics.store(d(),u+28,r),Atomics.store(d(),u+29,e.detached);var i=Vt()+40;Atomics.store(d(),u+43,i),t.pthread=s;var o={cmd:"run",start_routine:e.startRoutine,arg:e.arg,threadInfoStruct:e.pthread_ptr,stackBase:e.stackBase,stackSize:e.stackSize};t.runPthread=function(){o.time=performance.now(),t.postMessage(o,e.transferList)},t.loaded&&(t.runPthread(),delete t.runPthread)}function Pt(e,t,n,a){if("undefined"==typeof SharedArrayBuffer)return D("Current environment does not support SharedArrayBuffer, pthreads are not available!"),6;if(!e)return D("pthread_create called with a null thread pointer!"),28;var r=[];if(I&&0===r.length)return Zt(687865856,e,t,n,a);var s=0,u=0,i=0;t&&-1!=t?(s=l()[t>>2],s+=81920,u=l()[t+8>>2],i=0!==l()[t+12>>2]):s=2097152;var o=0==u;o?u=sn(16,s):q((u-=s)>0);for(var c=Ut(228),p=0;p<57;++p)d()[(c>>2)+p]=0;l()[e>>2]=c,l()[c+12>>2]=c;var f=c+152;l()[f>>2]=f;var m={stackBase:u,stackSize:s,allocatedOwnStack:o,detached:i,startRoutine:n,pthread_ptr:c,arg:a,transferList:r};return I?(m.cmd="spawnThread",postMessage(m,r)):Ot(m),0}function Wt(e){if(I)return Ye(6,1,e);switch(e){case 30:return 16384;case 85:return 131072;case 132:case 133:case 12:case 137:case 138:case 15:case 235:case 16:case 17:case 18:case 19:case 20:case 149:case 13:case 10:case 236:case 153:case 9:case 21:case 22:case 159:case 154:case 14:case 77:case 78:case 139:case 82:case 68:case 67:case 164:case 11:case 29:case 47:case 48:case 95:case 52:case 51:case 46:return 200809;case 27:case 246:case 127:case 128:case 23:case 24:case 160:case 161:case 181:case 182:case 242:case 183:case 184:case 243:case 244:case 245:case 165:case 178:case 179:case 49:case 50:case 168:case 169:case 175:case 170:case 171:case 172:case 97:case 76:case 32:case 173:case 35:case 80:case 81:case 79:return-1;case 176:case 177:case 7:case 155:case 8:case 157:case 125:case 126:case 92:case 93:case 129:case 130:case 131:case 94:case 91:return 1;case 74:case 60:case 69:case 70:case 4:return 1024;case 31:case 42:case 72:return 32;case 87:case 26:case 33:return 2147483647;case 34:case 1:return 47839;case 38:case 36:return 99;case 43:case 37:return 2048;case 0:return 2097152;case 3:return 65536;case 28:return 32768;case 44:return 32767;case 75:return 16384;case 39:return 1e3;case 89:return 700;case 71:return 256;case 40:return 255;case 2:return 100;case 180:return 64;case 25:return 20;case 5:return 16;case 6:return 6;case 73:return 4;case 84:return"object"==typeof navigator&&navigator.hardwareConcurrency||1}return je(28),-1}I||We.initMainThreadBlock();var Ht,zt=[null,qe,ht,Et,Ct,Tt,Wt],Lt={e:Be,r:Ue,x:Ve,b:Ge,y:$e,j:Ke,c:Qe,d:Te,f:Pe,p:Xe,z:Ze,u:nt,q:st,v:bt,i:yt,t:gt,w:xt,m:Et,n:Ct,g:Tt,o:Ee,a:R||m.wasmMemory,k:Dt,l:Rt,h:Pt,s:Wt},Bt=(Fe(),m.___wasm_call_ctors=function(){return(Bt=m.___wasm_call_ctors=m.asm.A).apply(null,arguments)}),Ut=(m._init=function(){return(m._init=m.asm.B).apply(null,arguments)},m._register_tensor=function(){return(m._register_tensor=m.asm.C).apply(null,arguments)},m._dispose_data=function(){return(m._dispose_data=m.asm.D).apply(null,arguments)},m._dispose=function(){return(m._dispose=m.asm.E).apply(null,arguments)},m._Abs=function(){return(m._Abs=m.asm.G).apply(null,arguments)},m._Add=function(){return(m._Add=m.asm.H).apply(null,arguments)},m._AddN=function(){return(m._AddN=m.asm.I).apply(null,arguments)},m._ArgMax=function(){return(m._ArgMax=m.asm.J).apply(null,arguments)},m._AvgPool=function(){return(m._AvgPool=m.asm.K).apply(null,arguments)},m._BatchMatMul=function(){return(m._BatchMatMul=m.asm.L).apply(null,arguments)},m._Ceil=function(){return(m._Ceil=m.asm.M).apply(null,arguments)},m._ClipByValue=function(){return(m._ClipByValue=m.asm.N).apply(null,arguments)},m._Conv2D=function(){return(m._Conv2D=m.asm.O).apply(null,arguments)},m._Conv2DBackpropInput=function(){return(m._Conv2DBackpropInput=m.asm.P).apply(null,arguments)},m._Cos=function(){return(m._Cos=m.asm.Q).apply(null,arguments)},m._CropAndResize=function(){return(m._CropAndResize=m.asm.R).apply(null,arguments)},m._Cumsum=function(){return(m._Cumsum=m.asm.S).apply(null,arguments)},m._DepthToSpace=function(){return(m._DepthToSpace=m.asm.T).apply(null,arguments)},m._DepthwiseConv2dNative=function(){return(m._DepthwiseConv2dNative=m.asm.U).apply(null,arguments)},m._Equal=function(){return(m._Equal=m.asm.V).apply(null,arguments)},m._Exp=function(){return(m._Exp=m.asm.W).apply(null,arguments)},m._FlipLeftRight=function(){return(m._FlipLeftRight=m.asm.X).apply(null,arguments)},m._Floor=function(){return(m._Floor=m.asm.Y).apply(null,arguments)},m._FloorDiv=function(){return(m._FloorDiv=m.asm.Z).apply(null,arguments)},m._FusedBatchNorm=function(){return(m._FusedBatchNorm=m.asm._).apply(null,arguments)},m._FusedConv2D=function(){return(m._FusedConv2D=m.asm.$).apply(null,arguments)},m._FusedDepthwiseConv2D=function(){return(m._FusedDepthwiseConv2D=m.asm.aa).apply(null,arguments)},m._Gather=function(){return(m._Gather=m.asm.ba).apply(null,arguments)},m._GatherNd=function(){return(m._GatherNd=m.asm.ca).apply(null,arguments)},m._Greater=function(){return(m._Greater=m.asm.da).apply(null,arguments)},m._GreaterEqual=function(){return(m._GreaterEqual=m.asm.ea).apply(null,arguments)},m._LeakyRelu=function(){return(m._LeakyRelu=m.asm.fa).apply(null,arguments)},m._Less=function(){return(m._Less=m.asm.ga).apply(null,arguments)},m._LessEqual=function(){return(m._LessEqual=m.asm.ha).apply(null,arguments)},m._Log=function(){return(m._Log=m.asm.ia).apply(null,arguments)},m._LogicalAnd=function(){return(m._LogicalAnd=m.asm.ja).apply(null,arguments)},m._Max=function(){return(m._Max=m.asm.ka).apply(null,arguments)},m._MaxPool=function(){return(m._MaxPool=m.asm.la).apply(null,arguments)},m._Maximum=function(){return(m._Maximum=m.asm.ma).apply(null,arguments)},m._Mean=function(){return(m._Mean=m.asm.na).apply(null,arguments)},m._Min=function(){return(m._Min=m.asm.oa).apply(null,arguments)},m._Minimum=function(){return(m._Minimum=m.asm.pa).apply(null,arguments)},m._Multiply=function(){return(m._Multiply=m.asm.qa).apply(null,arguments)},m._Neg=function(){return(m._Neg=m.asm.ra).apply(null,arguments)},m._NonMaxSuppressionV3=function(){return(m._NonMaxSuppressionV3=m.asm.sa).apply(null,arguments)},m._NonMaxSuppressionV4=function(){return(m._NonMaxSuppressionV4=m.asm.ta).apply(null,arguments)},m._NonMaxSuppressionV5=function(){return(m._NonMaxSuppressionV5=m.asm.ua).apply(null,arguments)},m._NotEqual=function(){return(m._NotEqual=m.asm.va).apply(null,arguments)},m._OneHot=function(){return(m._OneHot=m.asm.wa).apply(null,arguments)},m._PadV2=function(){return(m._PadV2=m.asm.xa).apply(null,arguments)},m._Pow=function(){return(m._Pow=m.asm.ya).apply(null,arguments)},m._Prelu=function(){return(m._Prelu=m.asm.za).apply(null,arguments)},m._Prod=function(){return(m._Prod=m.asm.Aa).apply(null,arguments)},m._RealDiv=function(){return(m._RealDiv=m.asm.Ba).apply(null,arguments)},m._Relu=function(){return(m._Relu=m.asm.Ca).apply(null,arguments)},m._Relu6=function(){return(m._Relu6=m.asm.Da).apply(null,arguments)},m._ResizeBilinear=function(){return(m._ResizeBilinear=m.asm.Ea).apply(null,arguments)},m._Reverse=function(){return(m._Reverse=m.asm.Fa).apply(null,arguments)},m._RotateWithOffset=function(){return(m._RotateWithOffset=m.asm.Ga).apply(null,arguments)},m._Round=function(){return(m._Round=m.asm.Ha).apply(null,arguments)},m._Rsqrt=function(){return(m._Rsqrt=m.asm.Ia).apply(null,arguments)},m._ScatterNd=function(){return(m._ScatterNd=m.asm.Ja).apply(null,arguments)},m._SelectV2=function(){return(m._SelectV2=m.asm.Ka).apply(null,arguments)},m._Sigmoid=function(){return(m._Sigmoid=m.asm.La).apply(null,arguments)},m._Sin=function(){return(m._Sin=m.asm.Ma).apply(null,arguments)},m._Softmax=function(){return(m._Softmax=m.asm.Na).apply(null,arguments)},m._Sqrt=function(){return(m._Sqrt=m.asm.Oa).apply(null,arguments)},m._Square=function(){return(m._Square=m.asm.Pa).apply(null,arguments)},m._SquaredDifference=function(){return(m._SquaredDifference=m.asm.Qa).apply(null,arguments)},m._Step=function(){return(m._Step=m.asm.Ra).apply(null,arguments)},m._StridedSlice=function(){return(m._StridedSlice=m.asm.Sa).apply(null,arguments)},m._Sub=function(){return(m._Sub=m.asm.Ta).apply(null,arguments)},m._Sum=function(){return(m._Sum=m.asm.Ua).apply(null,arguments)},m._Tanh=function(){return(m._Tanh=m.asm.Va).apply(null,arguments)},m._Tile=function(){return(m._Tile=m.asm.Wa).apply(null,arguments)},m._TopK=function(){return(m._TopK=m.asm.Xa).apply(null,arguments)},m._Transpose=function(){return(m._Transpose=m.asm.Ya).apply(null,arguments)},m.__FusedMatMul=function(){return(m.__FusedMatMul=m.asm.Za).apply(null,arguments)},m._malloc=function(){return(Ut=m._malloc=m.asm._a).apply(null,arguments)}),jt=m._free=function(){return(jt=m._free=m.asm.$a).apply(null,arguments)},qt=m.___errno_location=function(){return(qt=m.___errno_location=m.asm.ab).apply(null,arguments)},Vt=m._emscripten_get_global_libc=function(){return(Vt=m._emscripten_get_global_libc=m.asm.bb).apply(null,arguments)},Gt=m._pthread_self=function(){return(Gt=m._pthread_self=m.asm.cb).apply(null,arguments)},$t=m.___pthread_tsd_run_dtors=function(){return($t=m.___pthread_tsd_run_dtors=m.asm.db).apply(null,arguments)},Kt=m._emscripten_main_thread_process_queued_calls=function(){return(Kt=m._emscripten_main_thread_process_queued_calls=m.asm.eb).apply(null,arguments)},Qt=(m._emscripten_current_thread_process_queued_calls=function(){return(m._emscripten_current_thread_process_queued_calls=m.asm.fb).apply(null,arguments)},m._emscripten_register_main_browser_thread_id=function(){return(Qt=m._emscripten_register_main_browser_thread_id=m.asm.gb).apply(null,arguments)}),Xt=m.__emscripten_do_dispatch_to_thread=function(){return(Xt=m.__emscripten_do_dispatch_to_thread=m.asm.hb).apply(null,arguments)},Zt=m._emscripten_sync_run_in_main_thread_4=function(){return(Zt=m._emscripten_sync_run_in_main_thread_4=m.asm.ib).apply(null,arguments)},Yt=m._emscripten_run_in_main_runtime_thread_js=function(){return(Yt=m._emscripten_run_in_main_runtime_thread_js=m.asm.jb).apply(null,arguments)},Jt=m.__emscripten_call_on_thread=function(){return(Jt=m.__emscripten_call_on_thread=m.asm.kb).apply(null,arguments)},en=(m._emscripten_tls_init=function(){return(m._emscripten_tls_init=m.asm.lb).apply(null,arguments)},m.__emscripten_thread_init=function(){return(en=m.__emscripten_thread_init=m.asm.mb).apply(null,arguments)}),tn=m.stackSave=function(){return(tn=m.stackSave=m.asm.nb).apply(null,arguments)},nn=m.stackRestore=function(){return(nn=m.stackRestore=m.asm.ob).apply(null,arguments)},an=m.stackAlloc=function(){return(an=m.stackAlloc=m.asm.pb).apply(null,arguments)},rn=m._emscripten_stack_set_limits=function(){return(rn=m._emscripten_stack_set_limits=m.asm.qb).apply(null,arguments)},sn=m._memalign=function(){return(sn=m._memalign=m.asm.rb).apply(null,arguments)},un=m.__emscripten_allow_main_runtime_queued_calls=9880,on=m.__emscripten_main_thread_futex=11368;function ln(e){this.name="ExitStatus",this.message="Program terminated with exit("+e+")",this.status=e}function dn(e){if(!(me>0)){if(I)return p(m),void postMessage({cmd:"loaded"});oe(),me>0||(m.setStatus?(m.setStatus("Running..."),setTimeout((function(){setTimeout((function(){m.setStatus("")}),1),t()}),1)):t())}function t(){Ht||(Ht=!0,m.calledRun=!0,j||(le(),de(),p(m),m.onRuntimeInitialized&&m.onRuntimeInitialized(),ce()))}}function cn(e,t){if(!t||!P||0!==e){if(!t&&I)throw postMessage({cmd:"exitProcess",returnCode:e}),new ln(e);P||(We.terminateAllThreads(),m.onExit&&m.onExit(e),j=!0),y(e,new ln(e))}}if(m.cwrap=$,m.PThread=We,m.PThread=We,m.wasmMemory=R,m.ExitStatus=ln,be=function e(){Ht||dn(),Ht||(be=e)},m.run=dn,m.preInit)for("function"==typeof m.preInit&&(m.preInit=[m.preInit]);m.preInit.length>0;)m.preInit.pop()();return I&&(P=!1,We.initWorker()),dn(),e.ready});e.exports=o}));var Nt=xt((function(e,t){var r,s=(r="undefined"!=typeof document&&document.currentScript?document.currentScript.src:void 0,"undefined"!=typeof __filename&&(r=r||__filename),function(e){var t,s,u="undefined"!=typeof(e=e||{})?e:{};u.ready=new Promise((function(e,n){t=e,s=n}));var i,o={};for(i in u)u.hasOwnProperty(i)&&(o[i]=u[i]);var l=!1,d=!1,c=!1,p=!1;l="object"==typeof window,d="function"==typeof importScripts,c="object"==typeof process&&"object"==typeof process.versions&&"string"==typeof process.versions.node,p=!l&&!c&&!d;var f,m,h,b,y,g="";function _(e){return u.locateFile?u.locateFile(e,g):g+e}c?(g=d?n.dirname(g)+"/":__dirname+"/",f=function(e,t){return b||(b=a),y||(y=n),e=y.normalize(e),b.readFileSync(e,t?null:"utf8")},h=function(e){var t=f(e,!0);return t.buffer||(t=new Uint8Array(t)),S(t.buffer),t},process.argv.length>1&&process.argv[1].replace(/\\/g,"/"),process.argv.slice(2),process.on("uncaughtException",(function(e){if(!(e instanceof Ne))throw e})),process.on("unhandledRejection",ae),u.inspect=function(){return"[Emscripten Module object]"}):p?("undefined"!=typeof read&&(f=function(e){return read(e)}),h=function(e){var t;return"function"==typeof readbuffer?new Uint8Array(readbuffer(e)):(S("object"==typeof(t=read(e,"binary"))),t)},"undefined"!=typeof scriptArgs&&scriptArgs,"undefined"!=typeof print&&("undefined"==typeof console&&(console={}),console.log=print,console.warn=console.error="undefined"!=typeof printErr?printErr:print)):(l||d)&&(d?g=self.location.href:"undefined"!=typeof document&&document.currentScript&&(g=document.currentScript.src),r&&(g=r),g=0!==g.indexOf("blob:")?g.substr(0,g.lastIndexOf("/")+1):"",f=function(e){var t=new XMLHttpRequest;return t.open("GET",e,!1),t.send(null),t.responseText},d&&(h=function(e){var t=new XMLHttpRequest;return t.open("GET",e,!1),t.responseType="arraybuffer",t.send(null),new Uint8Array(t.response)}),m=function(e,t,n){var a=new XMLHttpRequest;a.open("GET",e,!0),a.responseType="arraybuffer",a.onload=function(){200==a.status||0==a.status&&a.response?t(a.response):n()},a.onerror=n,a.send(null)});var w,k,I=u.print||console.log.bind(console),v=u.printErr||console.warn.bind(console);for(i in o)o.hasOwnProperty(i)&&(u[i]=o[i]);o=null,u.arguments&&u.arguments,u.thisProgram&&u.thisProgram,u.quit&&u.quit,u.wasmBinary&&(w=u.wasmBinary),u.noExitRuntime,"object"!=typeof WebAssembly&&ae("no native wasm support detected");var M=!1;function S(e,t){e||ae("Assertion failed: "+t)}function A(e){var t=u["_"+e];return S(t,"Cannot call unknown function "+e+", make sure it is exported"),t}function x(e,t,n,a,r){var s={string:function(e){var t=0;if(null!=e&&0!==e){var n=1+(e.length<<2);W(e,t=Fe(n),n)}return t},array:function(e){var t=Fe(e.length);return H(e,t),t}},u=A(e),i=[],o=0;if(a)for(var l=0;l<a.length;l++){var d=s[n[l]];d?(0===o&&(o=Ae()),i[l]=d(a[l])):i[l]=a[l]}var c=u.apply(null,i);return c=function(e){return"string"===t?O(e):"boolean"===t?Boolean(e):e}(c),0!==o&&xe(o),c}function F(e,t,n,a){var r=(n=n||[]).every((function(e){return"number"===e}));return"string"!==t&&r&&!a?A(e):function(){return x(e,t,n,arguments)}}var N,E,C,T,D="undefined"!=typeof TextDecoder?new TextDecoder("utf8"):void 0;function R(e,t,n){for(var a=t+n,r=t;e[r]&&!(r>=a);)++r;if(r-t>16&&e.subarray&&D)return D.decode(e.subarray(t,r));for(var s="";t<r;){var u=e[t++];if(128&u){var i=63&e[t++];if(192!=(224&u)){var o=63&e[t++];if((u=224==(240&u)?(15&u)<<12|i<<6|o:(7&u)<<18|i<<12|o<<6|63&e[t++])<65536)s+=String.fromCharCode(u);else{var l=u-65536;s+=String.fromCharCode(55296|l>>10,56320|1023&l)}}else s+=String.fromCharCode((31&u)<<6|i)}else s+=String.fromCharCode(u)}return s}function O(e,t){return e?R(C,e,t):""}function P(e,t,n,a){if(!(a>0))return 0;for(var r=n,s=n+a-1,u=0;u<e.length;++u){var i=e.charCodeAt(u);if(i>=55296&&i<=57343&&(i=65536+((1023&i)<<10)|1023&e.charCodeAt(++u)),i<=127){if(n>=s)break;t[n++]=i}else if(i<=2047){if(n+1>=s)break;t[n++]=192|i>>6,t[n++]=128|63&i}else if(i<=65535){if(n+2>=s)break;t[n++]=224|i>>12,t[n++]=128|i>>6&63,t[n++]=128|63&i}else{if(n+3>=s)break;t[n++]=240|i>>18,t[n++]=128|i>>12&63,t[n++]=128|i>>6&63,t[n++]=128|63&i}}return t[n]=0,n-r}function W(e,t,n){return P(e,C,t,n)}function H(e,t){E.set(e,t)}function z(e,t){return e%t>0&&(e+=t-e%t),e}function L(e){N=e,u.HEAP8=E=new Int8Array(e),u.HEAP16=new Int16Array(e),u.HEAP32=T=new Int32Array(e),u.HEAPU8=C=new Uint8Array(e),u.HEAPU16=new Uint16Array(e),u.HEAPU32=new Uint32Array(e),u.HEAPF32=new Float32Array(e),u.HEAPF64=new Float64Array(e)}u.INITIAL_MEMORY;var B,U=[],j=[],q=[],V=[];function G(){if(u.preRun)for("function"==typeof u.preRun&&(u.preRun=[u.preRun]);u.preRun.length;)X(u.preRun.shift());fe(U)}function $(){fe(j)}function K(){fe(q)}function Q(){if(u.postRun)for("function"==typeof u.postRun&&(u.postRun=[u.postRun]);u.postRun.length;)Z(u.postRun.shift());fe(V)}function X(e){U.unshift(e)}function Z(e){V.unshift(e)}j.push({func:function(){Se()}});var Y=0,J=null,ee=null;function te(e){Y++,u.monitorRunDependencies&&u.monitorRunDependencies(Y)}function ne(e){if(Y--,u.monitorRunDependencies&&u.monitorRunDependencies(Y),0==Y&&(null!==J&&(clearInterval(J),J=null),ee)){var t=ee;ee=null,t()}}function ae(e){u.onAbort&&u.onAbort(e),v(e+=""),M=!0,e="abort("+e+"). Build with -s ASSERTIONS=1 for more info.";var t=new WebAssembly.RuntimeError(e);throw s(t),t}function re(e,t){return String.prototype.startsWith?e.startsWith(t):0===e.indexOf(t)}u.preloadedImages={},u.preloadedAudios={};var se="data:application/octet-stream;base64,";function ue(e){return re(e,se)}var ie="file://";function oe(e){return re(e,ie)}var le="tfjs-backend-wasm.wasm";function de(e){try{if(e==le&&w)return new Uint8Array(w);if(h)return h(e);throw"both async and sync fetching of the wasm failed"}catch(e){ae(e)}}function ce(){if(!w&&(l||d)){if("function"==typeof fetch&&!oe(le))return fetch(le,{credentials:"same-origin"}).then((function(e){if(!e.ok)throw"failed to load wasm binary file at '"+le+"'";return e.arrayBuffer()})).catch((function(){return de(le)}));if(m)return new Promise((function(e,t){m(le,(function(t){e(new Uint8Array(t))}),t)}))}return Promise.resolve().then((function(){return de(le)}))}function pe(){var e={a:Me};function t(e,t){var n=e.exports;u.asm=n,L((k=u.asm.g).buffer),B=u.asm.m,ne()}function n(e){t(e.instance)}function a(t){return ce().then((function(t){return WebAssembly.instantiate(t,e)})).then(t,(function(e){v("failed to asynchronously prepare wasm: "+e),ae(e)}))}if(te(),u.instantiateWasm)try{return u.instantiateWasm(e,t)}catch(e){return v("Module.instantiateWasm callback failed with error: "+e),!1}return(w||"function"!=typeof WebAssembly.instantiateStreaming||ue(le)||oe(le)||"function"!=typeof fetch?a(n):fetch(le,{credentials:"same-origin"}).then((function(t){return WebAssembly.instantiateStreaming(t,e).then(n,(function(e){return v("wasm streaming compile failed: "+e),v("falling back to ArrayBuffer instantiation"),a(n)}))}))).catch(s),{}}function fe(e){for(;e.length>0;){var t=e.shift();if("function"!=typeof t){var n=t.func;"number"==typeof n?void 0===t.arg?B.get(n)():B.get(n)(t.arg):n(void 0===t.arg?null:t.arg)}else t(u)}}function me(){ae()}function he(e,t,n){C.copyWithin(e,t,t+n)}function be(){return C.length}function ye(e){try{return k.grow(e-N.byteLength+65535>>>16),L(k.buffer),1}catch(e){}}function ge(e){var t=be();if(e>2147483648)return!1;for(var n=1;n<=4;n*=2){var a=t*(1+.2/n);if(a=Math.min(a,e+100663296),ye(Math.min(2147483648,z(Math.max(e,a),65536))))return!0}return!1}ue(le)||(le=_(le));var _e={mappings:{},buffers:[null,[],[]],printChar:function(e,t){var n=_e.buffers[e];0===t||10===t?((1===e?I:v)(R(n,0)),n.length=0):n.push(t)},varargs:void 0,get:function(){return _e.varargs+=4,T[_e.varargs-4>>2]},getStr:function(e){return O(e)},get64:function(e,t){return e}};function we(e){return 0}function ke(e,t,n,a,r){}function Ie(e,t,n,a){for(var r=0,s=0;s<n;s++){for(var u=T[t+8*s>>2],i=T[t+(8*s+4)>>2],o=0;o<i;o++)_e.printChar(e,C[u+o]);r+=i}return T[a>>2]=r,0}var ve,Me={a:me,d:he,e:ge,f:we,c:ke,b:Ie},Se=(pe(),u.___wasm_call_ctors=function(){return(Se=u.___wasm_call_ctors=u.asm.h).apply(null,arguments)}),Ae=(u._init=function(){return(u._init=u.asm.i).apply(null,arguments)},u._register_tensor=function(){return(u._register_tensor=u.asm.j).apply(null,arguments)},u._dispose_data=function(){return(u._dispose_data=u.asm.k).apply(null,arguments)},u._dispose=function(){return(u._dispose=u.asm.l).apply(null,arguments)},u._Abs=function(){return(u._Abs=u.asm.n).apply(null,arguments)},u._Add=function(){return(u._Add=u.asm.o).apply(null,arguments)},u._AddN=function(){return(u._AddN=u.asm.p).apply(null,arguments)},u._ArgMax=function(){return(u._ArgMax=u.asm.q).apply(null,arguments)},u._AvgPool=function(){return(u._AvgPool=u.asm.r).apply(null,arguments)},u._BatchMatMul=function(){return(u._BatchMatMul=u.asm.s).apply(null,arguments)},u._Ceil=function(){return(u._Ceil=u.asm.t).apply(null,arguments)},u._ClipByValue=function(){return(u._ClipByValue=u.asm.u).apply(null,arguments)},u._Conv2D=function(){return(u._Conv2D=u.asm.v).apply(null,arguments)},u._Conv2DBackpropInput=function(){return(u._Conv2DBackpropInput=u.asm.w).apply(null,arguments)},u._Cos=function(){return(u._Cos=u.asm.x).apply(null,arguments)},u._CropAndResize=function(){return(u._CropAndResize=u.asm.y).apply(null,arguments)},u._Cumsum=function(){return(u._Cumsum=u.asm.z).apply(null,arguments)},u._DepthToSpace=function(){return(u._DepthToSpace=u.asm.A).apply(null,arguments)},u._DepthwiseConv2dNative=function(){return(u._DepthwiseConv2dNative=u.asm.B).apply(null,arguments)},u._Equal=function(){return(u._Equal=u.asm.C).apply(null,arguments)},u._Exp=function(){return(u._Exp=u.asm.D).apply(null,arguments)},u._FlipLeftRight=function(){return(u._FlipLeftRight=u.asm.E).apply(null,arguments)},u._Floor=function(){return(u._Floor=u.asm.F).apply(null,arguments)},u._FloorDiv=function(){return(u._FloorDiv=u.asm.G).apply(null,arguments)},u._FusedBatchNorm=function(){return(u._FusedBatchNorm=u.asm.H).apply(null,arguments)},u._FusedConv2D=function(){return(u._FusedConv2D=u.asm.I).apply(null,arguments)},u._FusedDepthwiseConv2D=function(){return(u._FusedDepthwiseConv2D=u.asm.J).apply(null,arguments)},u._Gather=function(){return(u._Gather=u.asm.K).apply(null,arguments)},u._GatherNd=function(){return(u._GatherNd=u.asm.L).apply(null,arguments)},u._Greater=function(){return(u._Greater=u.asm.M).apply(null,arguments)},u._GreaterEqual=function(){return(u._GreaterEqual=u.asm.N).apply(null,arguments)},u._LeakyRelu=function(){return(u._LeakyRelu=u.asm.O).apply(null,arguments)},u._Less=function(){return(u._Less=u.asm.P).apply(null,arguments)},u._LessEqual=function(){return(u._LessEqual=u.asm.Q).apply(null,arguments)},u._Log=function(){return(u._Log=u.asm.R).apply(null,arguments)},u._LogicalAnd=function(){return(u._LogicalAnd=u.asm.S).apply(null,arguments)},u._Max=function(){return(u._Max=u.asm.T).apply(null,arguments)},u._MaxPool=function(){return(u._MaxPool=u.asm.U).apply(null,arguments)},u._Maximum=function(){return(u._Maximum=u.asm.V).apply(null,arguments)},u._Mean=function(){return(u._Mean=u.asm.W).apply(null,arguments)},u._Min=function(){return(u._Min=u.asm.X).apply(null,arguments)},u._Minimum=function(){return(u._Minimum=u.asm.Y).apply(null,arguments)},u._Multiply=function(){return(u._Multiply=u.asm.Z).apply(null,arguments)},u._Neg=function(){return(u._Neg=u.asm._).apply(null,arguments)},u._NonMaxSuppressionV3=function(){return(u._NonMaxSuppressionV3=u.asm.$).apply(null,arguments)},u._NonMaxSuppressionV4=function(){return(u._NonMaxSuppressionV4=u.asm.aa).apply(null,arguments)},u._NonMaxSuppressionV5=function(){return(u._NonMaxSuppressionV5=u.asm.ba).apply(null,arguments)},u._NotEqual=function(){return(u._NotEqual=u.asm.ca).apply(null,arguments)},u._OneHot=function(){return(u._OneHot=u.asm.da).apply(null,arguments)},u._PadV2=function(){return(u._PadV2=u.asm.ea).apply(null,arguments)},u._Pow=function(){return(u._Pow=u.asm.fa).apply(null,arguments)},u._Prelu=function(){return(u._Prelu=u.asm.ga).apply(null,arguments)},u._Prod=function(){return(u._Prod=u.asm.ha).apply(null,arguments)},u._RealDiv=function(){return(u._RealDiv=u.asm.ia).apply(null,arguments)},u._Relu=function(){return(u._Relu=u.asm.ja).apply(null,arguments)},u._Relu6=function(){return(u._Relu6=u.asm.ka).apply(null,arguments)},u._ResizeBilinear=function(){return(u._ResizeBilinear=u.asm.la).apply(null,arguments)},u._Reverse=function(){return(u._Reverse=u.asm.ma).apply(null,arguments)},u._RotateWithOffset=function(){return(u._RotateWithOffset=u.asm.na).apply(null,arguments)},u._Round=function(){return(u._Round=u.asm.oa).apply(null,arguments)},u._Rsqrt=function(){return(u._Rsqrt=u.asm.pa).apply(null,arguments)},u._ScatterNd=function(){return(u._ScatterNd=u.asm.qa).apply(null,arguments)},u._SelectV2=function(){return(u._SelectV2=u.asm.ra).apply(null,arguments)},u._Sigmoid=function(){return(u._Sigmoid=u.asm.sa).apply(null,arguments)},u._Sin=function(){return(u._Sin=u.asm.ta).apply(null,arguments)},u._Softmax=function(){return(u._Softmax=u.asm.ua).apply(null,arguments)},u._Sqrt=function(){return(u._Sqrt=u.asm.va).apply(null,arguments)},u._Square=function(){return(u._Square=u.asm.wa).apply(null,arguments)},u._SquaredDifference=function(){return(u._SquaredDifference=u.asm.xa).apply(null,arguments)},u._Step=function(){return(u._Step=u.asm.ya).apply(null,arguments)},u._StridedSlice=function(){return(u._StridedSlice=u.asm.za).apply(null,arguments)},u._Sub=function(){return(u._Sub=u.asm.Aa).apply(null,arguments)},u._Sum=function(){return(u._Sum=u.asm.Ba).apply(null,arguments)},u._Tanh=function(){return(u._Tanh=u.asm.Ca).apply(null,arguments)},u._Tile=function(){return(u._Tile=u.asm.Da).apply(null,arguments)},u._TopK=function(){return(u._TopK=u.asm.Ea).apply(null,arguments)},u._Transpose=function(){return(u._Transpose=u.asm.Fa).apply(null,arguments)},u.__FusedMatMul=function(){return(u.__FusedMatMul=u.asm.Ga).apply(null,arguments)},u._malloc=function(){return(u._malloc=u.asm.Ha).apply(null,arguments)},u._free=function(){return(u._free=u.asm.Ia).apply(null,arguments)},u.stackSave=function(){return(Ae=u.stackSave=u.asm.Ja).apply(null,arguments)}),xe=u.stackRestore=function(){return(xe=u.stackRestore=u.asm.Ka).apply(null,arguments)},Fe=u.stackAlloc=function(){return(Fe=u.stackAlloc=u.asm.La).apply(null,arguments)};function Ne(e){this.name="ExitStatus",this.message="Program terminated with exit("+e+")",this.status=e}function Ee(e){function n(){ve||(ve=!0,u.calledRun=!0,M||($(),K(),t(u),u.onRuntimeInitialized&&u.onRuntimeInitialized(),Q()))}Y>0||(G(),Y>0||(u.setStatus?(u.setStatus("Running..."),setTimeout((function(){setTimeout((function(){u.setStatus("")}),1),n()}),1)):n()))}if(u.cwrap=F,ee=function e(){ve||Ee(),ve||(ee=e)},u.run=Ee,u.preInit)for("function"==typeof u.preInit&&(u.preInit=[u.preInit]);u.preInit.length>0;)u.preInit.pop()();return Ee(),e.ready});e.exports=s}));class Et extends t.KernelBackend{constructor(e){super(),this.wasm=e,this.dataIdNextNumber=1,this.wasm.tfjs.init(),this.dataIdMap=new t.DataStorage(this,t.engine())}write(e,t,n){const a={id:this.dataIdNextNumber++};return this.move(a,e,t,n,1),a}numDataIds(){return this.dataIdMap.numDataIds()}async time(e){const n=t.util.now();e();return{kernelMs:t.util.now()-n}}move(e,n,a,r,s){const u=this.dataIdNextNumber++;if("string"===r){const t=n;return void this.dataIdMap.set(e,{id:u,stringBytes:t,shape:a,dtype:r,memoryOffset:null,refCount:s})}const i=t.util.sizeFromShape(a),o=i*t.util.bytesPerElement(r),l=this.wasm._malloc(o);this.dataIdMap.set(e,{id:u,memoryOffset:l,shape:a,dtype:r,refCount:s}),this.wasm.tfjs.registerTensor(u,i,l),null!=n&&this.wasm.HEAPU8.set(new Uint8Array(n.buffer,n.byteOffset,o),l)}async read(e){return this.readSync(e)}readSync(e){const{memoryOffset:n,dtype:a,shape:r,stringBytes:s}=this.dataIdMap.get(e);if("string"===a)return s;return function(e,t){switch(t){case"float32":return new Float32Array(e);case"int32":return new Int32Array(e);case"bool":return new Uint8Array(e);default:throw new Error("Unknown dtype "+t)}}(this.wasm.HEAPU8.slice(n,n+t.util.sizeFromShape(r)*t.util.bytesPerElement(a)).buffer,a)}disposeData(e,t=!1){if(this.dataIdMap.has(e)){const n=this.dataIdMap.get(e);if(n.refCount--,!t&&n.refCount>0)return!1;this.wasm._free(n.memoryOffset),this.wasm.tfjs.disposeData(n.id),this.dataIdMap.delete(e)}return!0}refCount(e){if(this.dataIdMap.has(e)){return this.dataIdMap.get(e).refCount}return 0}incRef(e){const t=this.dataIdMap.get(e);null!=t&&t.refCount++}floatPrecision(){return 32}getMemoryOffset(e){return this.dataIdMap.get(e).memoryOffset}dispose(){this.wasm.tfjs.dispose(),this.wasm=null}memory(){return{unreliable:!1}}makeOutput(e,n,a){let r;if(null==a)r=this.write(null,e,n);else{const s=this.dataIdNextNumber++;r={id:s},this.dataIdMap.set(r,{id:s,memoryOffset:a,shape:e,dtype:n,refCount:1});const u=t.util.sizeFromShape(e);this.wasm.tfjs.registerTensor(s,u,a)}return{dataId:r,shape:e,dtype:n}}typedArrayFromHeap({shape:e,dtype:n,dataId:a}){const r=this.wasm.HEAPU8.buffer,{memoryOffset:s}=this.dataIdMap.get(a),u=t.util.sizeFromShape(e);switch(n){case"float32":return new Float32Array(r,s,u);case"int32":return new Int32Array(r,s,u);case"bool":return new Uint8Array(r,s,u);default:throw new Error("Unknown dtype "+n)}}}function Ct(e,t,n){if(null!=Rt)return Rt;let a="tfjs-backend-wasm.wasm";return e&&t?a="tfjs-backend-wasm-threaded-simd.wasm":e&&(a="tfjs-backend-wasm-simd.wasm"),null!=Pt&&null!=Pt[a]?Pt[a]:n+a}async function Tt(){const[e,n]=await Promise.all([t.env().getAsync("WASM_HAS_SIMD_SUPPORT"),t.env().getAsync("WASM_HAS_MULTITHREAD_SUPPORT")]);return new Promise((a,r)=>{const s={locateFile:(t,a)=>{if(t.endsWith(".worker.js")){const e=new Blob(['var Module={};function threadPrintErr(){var text=Array.prototype.slice.call(arguments).join(" ");console.error(text)}function threadAlert(){var text=Array.prototype.slice.call(arguments).join(" ");postMessage({cmd:"alert",text:text,threadId:Module["_pthread_self"]()})}var err=threadPrintErr;this.alert=threadAlert;Module["instantiateWasm"]=function(info,receiveInstance){var instance=new WebAssembly.Instance(Module["wasmModule"],info);Module["wasmModule"]=null;receiveInstance(instance);return instance.exports};function moduleLoaded(){}this.onmessage=function(e){try{if(e.data.cmd==="load"){Module["wasmModule"]=e.data.wasmModule;Module["wasmMemory"]=e.data.wasmMemory;Module["buffer"]=Module["wasmMemory"].buffer;Module["ENVIRONMENT_IS_PTHREAD"]=true;if(typeof e.data.urlOrBlob==="string"){importScripts(e.data.urlOrBlob)}else{var objectUrl=URL.createObjectURL(e.data.urlOrBlob);importScripts(objectUrl);URL.revokeObjectURL(objectUrl)}WasmBackendModuleThreadedSimd(Module).then(function(instance){Module=instance;moduleLoaded()})}else if(e.data.cmd==="objectTransfer"){Module["PThread"].receiveObjectTransfer(e.data)}else if(e.data.cmd==="run"){Module["__performance_now_clock_drift"]=performance.now()-e.data.time;Module["__emscripten_thread_init"](e.data.threadInfoStruct,0,0);var max=e.data.stackBase;var top=e.data.stackBase+e.data.stackSize;Module["establishStackSpace"](top,max);Module["_emscripten_tls_init"]();Module["PThread"].receiveObjectTransfer(e.data);Module["PThread"].setThreadStatus(Module["_pthread_self"](),1);try{var result=Module["invokeEntryPoint"](e.data.start_routine,e.data.arg);if(!Module["getNoExitRuntime"]())Module["PThread"].threadExit(result)}catch(ex){if(ex==="Canceled!"){Module["PThread"].threadCancel()}else if(ex!="unwind"){if(ex instanceof Module["ExitStatus"]){if(Module["getNoExitRuntime"]()){}else{Module["PThread"].threadExit(ex.status)}}else{Module["PThread"].threadExit(-2);throw ex}}}}else if(e.data.cmd==="cancel"){if(Module["_pthread_self"]()){Module["PThread"].threadCancel()}}else if(e.data.target==="setimmediate"){}else if(e.data.cmd==="processThreadQueue"){if(Module["_pthread_self"]()){Module["_emscripten_current_thread_process_queued_calls"]()}}else{err("worker.js received unknown command "+e.data.cmd);err(e.data)}}catch(ex){err("worker.js onmessage() captured an uncaught exception: "+ex);if(ex&&ex.stack)err(ex.stack);throw ex}};if(typeof process==="object"&&typeof process.versions==="object"&&typeof process.versions.node==="string"){self={location:{href:__filename}};var onmessage=this.onmessage;var nodeWorkerThreads=require("worker_threads");global.Worker=nodeWorkerThreads.Worker;var parentPort=nodeWorkerThreads.parentPort;parentPort.on("message",function(data){onmessage({data:data})});var nodeFS=require("fs");var nodeRead=function(filename){return nodeFS.readFileSync(filename,"utf8")};function globalEval(x){global.require=require;global.Module=Module;eval.call(null,x)}importScripts=function(f){globalEval(nodeRead(f))};postMessage=function(msg){parentPort.postMessage(msg)};if(typeof performance==="undefined"){performance={now:function(){return Date.now()}}}}'],{type:"application/javascript"});return URL.createObjectURL(e)}return t.endsWith(".wasm")?Ct(e,n,null!=Ot?Ot:a):a+t}};Ht&&(s.instantiateWasm=function(e){return(n,a)=>(t.util.fetch(e,{credentials:"same-origin"}).then(t=>{t.ok||n.env.a(`failed to load wasm binary file at '${e}'`),t.arrayBuffer().then(e=>{WebAssembly.instantiate(e,n).then(e=>{a(e.instance)})})}),{})}(Ct(e,n,null!=Ot?Ot:"")));let u,i=!1;s.onAbort=()=>{if(i)return;if(Wt)return;Wt=!0;r({message:"Make sure the server can serve the `.wasm` file relative to the bundled js file. For more details see https://github.com/tensorflow/tfjs/blob/master/tfjs-backend-wasm/README.md#using-bundlers"})},n&&e&&null==Rt?(s.mainScriptUrlOrBlob=new Blob(["var WasmBackendModuleThreadedSimd = "+Ft.toString()],{type:"text/javascript"}),u=Ft(s)):u=Nt(s),u.then(e=>{i=!0,Wt=!1;e.tfjs={init:e.cwrap("init",null,[]),registerTensor:e.cwrap("register_tensor",null,["number","number","number"]),disposeData:e.cwrap("dispose_data",null,["number"]),dispose:e.cwrap("dispose",null,[])},a({wasm:e})})})}const Dt=["tfjs-backend-wasm.wasm","tfjs-backend-wasm-simd.wasm","tfjs-backend-wasm-threaded-simd.wasm"];let Rt=null,Ot=null,Pt={},Wt=!1,Ht=!1;t.registerBackend("wasm",async()=>{const{wasm:e}=await Tt();return new Et(e)},2),e.BackendWasm=Et,e.setWasmPath=function(e,n=!1){if(t.deprecationWarn("setWasmPath has been deprecated in favor of setWasmPaths and will be removed in a future release."),Wt)throw new Error("The WASM backend was already initialized. Make sure you call `setWasmPath()` before you call `tf.setBackend()` or `tf.ready()`");Rt=e,Ht=n},e.setWasmPaths=function(e,t=!1){if(Wt)throw new Error("The WASM backend was already initialized. Make sure you call `setWasmPaths()` before you call `tf.setBackend()` or `tf.ready()`");if("string"==typeof e)Ot=e;else{Pt=e;const t=Dt.filter(e=>null==Pt[e]);if(t.length>0)throw new Error("There were no entries found for the following binaries: "+t.join(",")+". Please either call setWasmPaths with a map providing a path for each binary, or with a string indicating the directory where all the binaries can be found.")}Ht=t},e.version_wasm="3.2.0",Object.defineProperty(e,"__esModule",{value:!0})}));
//# sourceMappingURL=tf-backend-wasm.es2017.min.js.map
