/**
 * @license
 * Copyright 2021 Google LLC. All Rights Reserved.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * =============================================================================
 */
import{_FusedMatMul as e,util as n,Abs as t,backend_util as a,Add as r,AddN as s,Identity as u,Transpose as o,ArgMax as i,AvgPool as d,Reshape as l,BatchMatMul as c,Cast as p,Ceil as f,ClipByValue as m,slice_util as h,buffer as b,Concat as y,Conv2D as g,Conv2DBackpropInput as _,Cos as w,CropAndResize as k,Cumsum as I,DepthToSpace as v,DepthwiseConv2dNative as M,Equal as A,Exp as x,ExpandDims as S,Fill as F,FlipLeftRight as E,Floor as N,FloorDiv as C,FusedBatchNorm as T,FusedConv2D as O,FusedDepthwiseConv2D as D,GatherNd as R,gather_util as W,GatherV2 as P,Greater as H,GreaterEqual as z,LeakyRelu as U,Less as L,LessEqual as B,Log as j,LogicalAnd as q,Max as V,Maximum as G,MaxPool as $,Mean as K,Min as Q,Minimum as X,Multiply as Y,Neg as Z,NonMaxSuppressionV3 as J,NonMaxSuppressionV4 as ee,NonMaxSuppressionV5 as ne,NotEqual as te,OneHot as ae,OnesLike as re,Pack as se,PadV2 as ue,Pow as oe,Prelu as ie,Prod as de,Range as le,RealDiv as ce,Relu as pe,Relu6 as fe,ResizeBilinear as me,Reverse as he,RotateWithOffset as be,Round as ye,Rsqrt as ge,ScatterNd as _e,scatter_util as we,Select as ke,Sigmoid as Ie,Sin as ve,Slice as Me,Softmax as Ae,SplitV as xe,Sqrt as Se,Square as Fe,SquaredDifference as Ee,Step as Ne,StridedSlice as Ce,Sub as Te,Sum as Oe,Tanh as De,Tile as Re,TopK as We,Unpack as Pe,ZerosLike as He,registerKernel as ze,env as Ue,KernelBackend as Le,DataStorage as Be,engine as je,deprecationWarn as qe,registerBackend as Ve}from"@tensorflow/tfjs-core";import Ge from"path";import $e from"fs";import Ke from"worker_threads";import Qe from"perf_hooks";import Xe from"os";var Ye,Ze;let Je;!function(e){e[e.float32=0]="float32",e[e.int32=1]="int32",e[e.bool=2]="bool",e[e.string=3]="string",e[e.complex64=4]="complex64"}(Ye||(Ye={})),function(e){e[e.linear=0]="linear",e[e.relu=1]="relu",e[e.relu6=2]="relu6",e[e.prelu=3]="prelu",e[e.leakyrelu=4]="leakyrelu"}(Ze||(Ze={}));const en={kernelName:e,backendName:"wasm",setupFunc:function(n){Je=n.wasm.cwrap(e,null,["number","array","number","number","array","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){const{inputs:n,backend:t,attrs:a}=e,{a:r,b:s,bias:u,preluActivationWeights:o}=n;if("float32"!==r.dtype||"float32"!==s.dtype)throw new Error("_FusedMatMul for non non-float32 tensors not yet supported.");const{transposeA:i,transposeB:d,activation:l,leakyreluAlpha:c}=a,p=t.dataIdMap.get(r.dataId).id,f=t.dataIdMap.get(s.dataId).id;let m=0;if(null!=u){const e=t.dataIdMap.get(u.dataId);if(1!==e.shape.length)throw new Error(`_FusedMatMul only supports rank-1 bias but got rank ${e.shape.length}.`);m=e.id}const h=null==o?0:t.dataIdMap.get(o.dataId).id,b=Ze[l];if(null==b)throw new Error(l+" activation not yet supported for FusedConv2D in the wasm backend.");const y=i?r.shape[2]:r.shape[1],g=d?s.shape[1]:s.shape[2],_=r.shape[0],w=t.makeOutput([_,y,g],r.dtype),k=t.dataIdMap.get(w.dataId).id,I=new Uint8Array(new Int32Array(r.shape).buffer),v=new Uint8Array(new Int32Array(s.shape).buffer);return Je(p,I,r.shape.length,f,v,s.shape.length,i,d,b,m,h,c||0,k),w}};function nn(e){let t;return{kernelName:e,backendName:"wasm",setupFunc:function(n){t=n.wasm.cwrap(e,null,["number","number"])},kernelFunc:function(e){const{backend:a,inputs:{x:r}}=e,s=a.dataIdMap.get(r.dataId).id,u=a.makeOutput(r.shape,r.dtype),o=a.dataIdMap.get(u.dataId).id;return 0===n.sizeFromShape(u.shape)||t(s,o),u}}}const tn=nn(t);function an(e,t,r){let s;return{kernelName:e,backendName:"wasm",setupFunc:function(n){s=n.wasm.cwrap(e,null,["number","array","number","number","array","number","number","number"])},kernelFunc:function(u){const{backend:o,inputs:i}=u,{a:d,b:l}=i,c=o.dataIdMap.get(d.dataId).id,p=o.dataIdMap.get(l.dataId).id,f=null!=r?r:d.dtype,m=a.assertAndGetBroadcastShape(d.shape,l.shape),h=o.makeOutput(m,f);if(0===n.sizeFromShape(m))return h;const b=new Uint8Array(new Int32Array(d.shape).buffer),y=new Uint8Array(new Int32Array(l.shape).buffer),g=o.dataIdMap.get(h.dataId).id,_=()=>s(c,b,d.shape.length,p,y,l.shape.length,Ye[d.dtype],g);if(t&&"float32"===d.dtype)return _(),h;const w=a.getBroadcastDims(d.shape,m),k=a.getBroadcastDims(l.shape,m),I=w.every((e,n)=>e===n),v=k.every((e,n)=>e===n);if(I&&v)return _(),h;throw new Error(`Broadcasting along outer dims is not yet supported for ${d.dtype} ${e}.`)}}}const rn=an(r,!0);let sn;const un={kernelName:s,backendName:"wasm",setupFunc:function(e){sn=e.wasm.cwrap(s,null,["array","number","number","number"])},kernelFunc:function(e){const{inputs:t,backend:a}=e,r=a.makeOutput(t[0].shape,t[0].dtype);if(0===n.sizeFromShape(r.shape))return r;const s=t.map(e=>a.dataIdMap.get(e.dataId).id),u=new Uint8Array(new Int32Array(s).buffer),o=a.dataIdMap.get(r.dataId).id;return sn(u,s.length,Ye[r.dtype],o),r}};function on(e){const{inputs:{x:n},backend:t}=e,a=t.makeOutput(n.shape,n.dtype),r=t.typedArrayFromHeap(n);return t.typedArrayFromHeap(a).set(r),a}const dn={kernelName:u,backendName:"wasm",kernelFunc:on};let ln;function cn(e){const{inputs:n,backend:t,attrs:a}=e,[r,s]=function(e,n){const t=[],a=[];for(let r=0;r<e.length;++r)1!==e[r]&&t.push(e[r]),1!==e[n[r]]&&a.push(n[r]);for(let e=0;e<a.length;++e){let n=-1;for(let t=0;t<a.length;++t)a[t]>=e&&(-1===n||a[n]>a[t])&&(n=t);a[n]=e}return[t,a]}(n.x.shape,a.perm);let u=!0;for(let e=0;e<s.length;e++)s[e]!==e&&(u=!1);const o=function(e,n){const t=new Array(e.length);for(let a=0;a<t.length;a++)t[a]=e[n[a]];return t}(n.x.shape,a.perm),i={dataId:n.x.dataId,shape:r,dtype:n.x.dtype};if(u){const e=on({inputs:n,backend:t});return e.shape=o,e}const d=t.makeOutput(o,i.dtype),l=t.dataIdMap.get(i.dataId).id,c=t.dataIdMap.get(d.dataId).id,p=new Uint8Array(new Int32Array(s).buffer),f=new Uint8Array(new Int32Array(i.shape).buffer);return ln(l,f,i.shape.length,Ye[i.dtype],c,p,s.length),d}const pn={kernelName:o,backendName:"wasm",kernelFunc:cn,setupFunc:function(e){ln=e.wasm.cwrap(o,null,["number","array","number","number","number","array","number"])}};function fn(e,t,r){const s=e.shape,u=e.shape.length,o=n.parseAxisParam(t,s);let i=o;const d=a.getAxesPermutation(i,u);let l=null,c=!1;if(null!=d){const n=new Array(u);for(let e=0;e<n.length;e++)n[e]=s[d[e]];i=a.getInnerMostAxes(i.length,u),l=cn({inputs:{x:e},attrs:{perm:d},backend:r});const t=r.dataIdMap.get(e.dataId).id;r.dataIdMap.get(l.dataId).id!==t&&(c=!0)}return{transposed:l,originalAxes:o,axes:i,inputWasTransposed:c}}let mn;const hn={kernelName:i,backendName:"wasm",kernelFunc:function(e){const{backend:t,inputs:a,attrs:r}=e,{axis:s}=r,{x:u}=a,o=t.dataIdMap.get(u.dataId).id;let i=o,d=u;const{transposed:l,axes:c,inputWasTransposed:p}=fn(u,s,t);if(p){const e=t.dataIdMap.get(l.dataId).id;e!==o&&(d=l,i=e)}const f=d.shape.slice(0,-1),m=t.makeOutput(f,"int32"),h=t.dataIdMap.get(m.dataId).id,b=n.sizeFromShape(m.shape),y=d.shape[c[0]];return mn(i,Ye[d.dtype],b,y,h),p&&t.disposeData(l.dataId),m},setupFunc:function(e){mn=e.wasm.cwrap(i,null,["number","number","number","number","number"])}};let bn;const yn={kernelName:d,backendName:"wasm",setupFunc:function(e){bn=e.wasm.cwrap(d,null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){const{inputs:n,attrs:t,backend:r}=e,s=n.x,u=r.dataIdMap.get(s.dataId).id,{filterSize:o,strides:i,pad:d,dimRoundingMode:l}=t,c=a.computePool2DInfo(s.shape,o,i,1,d,l),p=c.filterHeight,f=c.filterWidth,m=c.padInfo.top,h=c.padInfo.right,b=c.padInfo.bottom,y=c.padInfo.left,g=c.strideHeight,_=c.strideWidth,w=c.inChannels;if("channelsLast"!==c.dataFormat)throw new Error("wasm backend does not support dataFormat:'"+c.dataFormat+"'. Please use 'channelsLast'.");if(1!==c.dilationWidth||1!==c.dilationHeight)throw new Error(`was backend only supports average pooling with dilation = [1, 1], got [${c.dilationHeight}, ${c.dilationWidth}].`);const k=r.makeOutput(c.outShape,"float32"),I=r.dataIdMap.get(k.dataId).id;return bn(u,s.shape[0],s.shape[1],s.shape[2],p,f,m,h,b,y,g,_,w,I),k}};function gn(e){const{inputs:t,attrs:a}=e,{x:r}=t,{shape:s}=a,u=n.sizeFromShape(r.shape),o=n.inferFromImplicitShape(s,u);return n.assert(u===n.sizeFromShape(o),()=>`new shape: ${o}, old shape: ${r.shape}. New shape and old shape must have the same number of elements.`),e.backend.incRef(r.dataId),{dataId:r.dataId,shape:o,dtype:r.dtype}}const _n={kernelName:l,backendName:"wasm",kernelFunc:gn};let wn;const kn={kernelName:c,backendName:"wasm",setupFunc:function(e){wn=e.wasm.cwrap(c,null,["number","array","number","number","array","number","number","number","number"])},kernelFunc:function(e){const{inputs:t,backend:a,attrs:r}=e,{a:s,b:u}=t,{transposeA:o,transposeB:i}=r;if("float32"!==s.dtype||"float32"!==u.dtype)throw new Error("BatchMatMul for non non-float32 tensors not yet supported.");const d=s.shape.length,l=u.shape.length,c=o?s.shape[d-2]:s.shape[d-1],p=i?u.shape[l-1]:u.shape[l-2],f=o?s.shape[d-1]:s.shape[d-2],m=i?u.shape[l-2]:u.shape[l-1],h=s.shape.slice(0,-2),b=u.shape.slice(0,-2),y=n.sizeFromShape(h),g=n.sizeFromShape(b),_=y===g||1===y||1===g;n.assert(d>=2&&l>=2&&_,()=>`Error in matMul: the input batch dimensions must either be the same or at least one input batch dimension must be 1. Got input batch dimensions of (${h}) and (${b}).`);const w=(y>g?s.shape.slice(0,-2):u.shape.slice(0,-2)).concat([f,m]);n.assert(c===p,()=>`Error in matMul: inner shapes (${c}) and (${p}) of Tensors with shapes ${s.shape} and ${u.shape} and transposeA=${o} and transposeB=${i} must match.`);const k=i?[g,m,p]:[g,p,m],I=gn({inputs:{x:s},backend:a,attrs:{shape:o?[y,c,f]:[y,f,c]}}),v=gn({inputs:{x:u},backend:a,attrs:{shape:k}}),M=a.dataIdMap.get(I.dataId).id,A=a.dataIdMap.get(v.dataId).id,x=o?I.shape[2]:I.shape[1],S=i?v.shape[1]:v.shape[2],F=Math.max(y,g),E=a.makeOutput([F,x,S],I.dtype),N=a.dataIdMap.get(E.dataId).id,C=new Uint8Array(new Int32Array(I.shape).buffer),T=new Uint8Array(new Int32Array(v.shape).buffer);return wn(M,C,I.shape.length,A,T,v.shape.length,o,i,N),a.disposeData(I.dataId),a.disposeData(v.dataId),E.shape=w,E}};function In(e){const{inputs:{x:n},attrs:{dtype:t},backend:a}=e,r=a.makeOutput(n.shape,t),s=a.typedArrayFromHeap(n);return a.typedArrayFromHeap(r).set(s),r}const vn={kernelName:p,backendName:"wasm",kernelFunc:In},Mn=nn(f);let An;const xn={kernelName:m,backendName:"wasm",setupFunc:function(e){An=e.wasm.cwrap(m,null,["number","number","number","number"])},kernelFunc:function(e){const{inputs:n,backend:t,attrs:a}=e,{x:r}=n,{clipValueMin:s,clipValueMax:u}=a,o=t.dataIdMap.get(r.dataId).id,i=t.makeOutput(r.shape,r.dtype),d=t.dataIdMap.get(i.dataId).id;return An(o,s,u,d),i}};function Sn(e,t,r,s,u){const o=h.isSliceContinous(s,t,r),i=n.sizeFromShape(r),d=n.computeStrides(s);if(o){const n=h.computeFlatOffset(t,d);return"string"===u?e.slice(n,n+i):e.subarray(n,n+i)}const l="string"===u?a.fromUint8ToStringArray(e):e,c=b(s,u,l),p=b(r,u);for(let e=0;e<p.size;++e){const n=p.indexToLoc(e),a=n.map((e,n)=>e+t[n]);p.set(c.get(...a),...n)}return"string"===u?a.fromStringArrayToUint8(p.values):p.values}function Fn(e){const{inputs:t,backend:r}=e,s=n.parseAxisParam(e.attrs.axis,t[0].shape)[0];let u=a.computeOutShape(t.map(e=>e.shape),s);const o=t.filter(e=>n.sizeFromShape(e.shape)>0);if(1===o.length)return on({inputs:{x:o[0]},backend:r});const i=r.makeOutput(u,t[0].dtype);if(0===n.sizeFromShape(u))return i;const d=o.map(e=>e.shape);if(a.assertParamsConsistent(d,s),"string"===o[0].dtype){const e=o.map(e=>{const t=n.sizeFromShape(e.shape.slice(s));return gn({inputs:{x:e},backend:r,attrs:{shape:[-1,t]}})}),d=e.map(e=>({vals:r.readSync(e.dataId),shape:e.shape}));u=a.computeOutShape(e.map(e=>e.shape),1);const l=1===e[0].shape[0],c=function(e,t,r,s){const u=n.getArrayFromDType(r,n.sizeFromShape(t));if(s&&"string"!==r){let t=0;e.forEach(e=>{const a=n.sizeFromShape(e.shape);u.set(e.vals,t),t+=a})}else{let n=0;e.forEach(e=>{const s="string"===r?a.fromUint8ToStringArray(e.vals):e.vals;let o=0;for(let a=0;a<e.shape[0];++a){const r=a*t[1]+n;for(let n=0;n<e.shape[1];++n)u[r+n]=s[o++]}n+=e.shape[1]})}return u}(d,u,t[0].dtype,l),p=a.computeOutShape(o.map(e=>e.shape),s);i.shape=p;return r.dataIdMap.get(i.dataId).stringBytes=a.fromStringArrayToUint8(c),e.forEach(e=>r.disposeData(e.dataId)),i}const l=n.sizeFromShape(o[0].shape.slice(0,s));let c=0;const p=o.map(e=>{const t=n.sizeFromShape(e.shape.slice(s));return c+=t,t}),f=o.map(e=>r.typedArrayFromHeap(e)),m=r.typedArrayFromHeap(i);for(let e=0;e<l;e++){let n=e*c;for(let t=0;t<f.length;t++){const a=p[t],r=e*a,s=f[t].subarray(r,r+a);m.set(s,n),n+=a}}return i}const En={kernelName:y,backendName:"wasm",kernelFunc:Fn};let Nn;const Cn={kernelName:g,backendName:"wasm",setupFunc:function(e){Nn=e.wasm.cwrap(g,null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){const{inputs:n,attrs:t,backend:r}=e,{x:s,filter:u}=n,o=r.dataIdMap.get(s.dataId).id,i=r.dataIdMap.get(u.dataId).id,{strides:d,dilations:l,pad:c,dimRoundingMode:p,dataFormat:f}=t,m=a.convertConv2DDataFormat(f),h=a.computeConv2DInfo(s.shape,u.shape,d,l,c,p,!1,m),b=h.filterHeight,y=h.filterWidth,g=h.padInfo.top,_=h.padInfo.right,w=h.padInfo.bottom,k=h.padInfo.left,I=h.dilationHeight,v=h.dilationWidth,M=h.strideHeight,A=h.strideWidth,x=h.inChannels,S=h.outChannels,F="SAME"===h.padInfo.type?1:0;if("channelsLast"!==h.dataFormat)throw new Error("wasm backend Conv2D does not support dataFormat:'"+h.dataFormat+"'. Please use 'channelsLast'.");const E=r.makeOutput(h.outShape,"float32"),N=r.dataIdMap.get(E.dataId).id;return Nn(o,s.shape[0],s.shape[1],s.shape[2],i,b,y,g,_,w,k,F,I,v,M,A,x,S,N),E}};let Tn;const On={kernelName:_,backendName:"wasm",setupFunc:function(e){Tn=e.wasm.cwrap(_,null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){const{backend:t,inputs:r,attrs:s}=e,{dy:u,filter:o}=r,{strides:i,pad:d,dataFormat:l,dimRoundingMode:c,inputShape:p}=s,f=a.convertConv2DDataFormat(l),m=a.computeConv2DInfo(p,o.shape,i,1,d,c,!1,f),{batchSize:h,filterHeight:b,filterWidth:y,inChannels:g,inHeight:_,inWidth:w,outChannels:k,outHeight:I,outWidth:v,strideHeight:M,strideWidth:A}=m,x=b-1-m.padInfo.top,S=y-1-m.padInfo.left,F="channelsLast"===m.dataFormat,E=n.computeStrides(m.inShape),N=n.computeStrides(u.shape),[C,T,O]=n.computeStrides(o.shape),D=E[0],R=F?E[1]:E[2],W=F?E[2]:1,P=F?1:E[1],H=N[0],z=F?N[1]:N[2],U=F?N[2]:1,L=F?1:N[1],B=t.makeOutput(m.inShape,"float32"),j=t.dataIdMap.get(B.dataId).id,q=t.dataIdMap.get(u.dataId).id,V=t.dataIdMap.get(o.dataId).id;return Tn(q,V,h,b,y,_,w,g,I,v,k,M,A,x,S,C,T,O,D,R,W,P,H,z,U,L,j),B}},Dn=nn(w);var Rn;let Wn;!function(e){e[e.bilinear=0]="bilinear",e[e.nearest=1]="nearest"}(Rn||(Rn={}));const Pn={kernelName:k,backendName:"wasm",setupFunc:function(e){Wn=e.wasm.cwrap(k,null,["number","number","number","number","array","number","number","number","number","number"])},kernelFunc:function(e){const{backend:n,inputs:t,attrs:a}=e,{method:r,extrapolationValue:s,cropSize:u}=a,{image:o,boxes:i,boxInd:d}=t,l=i.shape[0],[c,p]=u,f=[l,c,p,o.shape[3]];let m,h=n.dataIdMap.get(o.dataId);"float32"!==o.dtype&&(m=In({backend:n,inputs:{x:o},attrs:{dtype:"float32"}}),h=n.dataIdMap.get(m.dataId));const b=h.id,y=n.dataIdMap.get(i.dataId).id,g=n.dataIdMap.get(d.dataId).id,_=n.makeOutput(f,"float32"),w=n.dataIdMap.get(_.dataId).id,k=new Uint8Array(new Int32Array(o.shape).buffer);return Wn(b,y,g,l,k,c,p,Rn[r],s,w),null!=m&&n.disposeData(m.dataId),_}};let Hn;const zn={kernelName:I,backendName:"wasm",setupFunc:function(e){Hn=e.wasm.cwrap(I,null,["number","number","number","number","number","number"])},kernelFunc:function(e){const{inputs:t,backend:r,attrs:s}=e,{x:u}=t,{axis:o,exclusive:i,reverse:d}=s,l=u.shape.length;n.assert("float32"===u.dtype||"int32"===u.dtype,()=>`cumsum does not support ${u.dtype} tensors in the WASM backend`);const c=a.getAxesPermutation([o],l);let p=u;null!==c&&(p=cn({inputs:{x:u},attrs:{perm:c},backend:r}));const f=a.getInnerMostAxes(1,l)[0];a.assertAxesAreInnerMostDims("cumsum",[f],l);const m=r.makeOutput(p.shape,p.dtype),h=p.shape[f],b=r.dataIdMap.get(p.dataId).id,y=r.dataIdMap.get(m.dataId).id;Hn(b,i?1:0,d?1:0,h,y,Ye[u.dtype]);let g=m;if(null!==c){g=cn({inputs:{x:m},attrs:{perm:a.getUndoAxesPermutation(c)},backend:r}),r.disposeData(p.dataId),r.disposeData(m.dataId)}return g}};let Un;const Ln={kernelName:v,backendName:"wasm",setupFunc:function(e){Un=e.wasm.cwrap(v,null,["number","number","number","array","number","array","array","number","number"])},kernelFunc:function(e){const{backend:t,inputs:a,attrs:r}=e,{x:s}=a,{blockSize:u,dataFormat:o}=r;n.assert(u>1,()=>"blockSize should be > 1 for depthToSpace, but was: "+u);const i=s.shape[0],d="NHWC"===o?s.shape[1]:s.shape[2],l="NHWC"===o?s.shape[2]:s.shape[3],c="NHWC"===o?s.shape[3]:s.shape[1],p=d*u,f=l*u,m=c/(u*u),h="NHWC"===o?[i,p,f,m]:[i,m,p,f],b=t.makeOutput(h,"float32"),y=t.dataIdMap.get(s.dataId).id,g=new Uint8Array(new Int32Array(n.computeStrides(s.shape)).buffer),_=new Uint8Array(new Int32Array(h).buffer),w=new Uint8Array(new Int32Array(n.computeStrides(h)).buffer),k=t.dataIdMap.get(b.dataId).id;return Un(y,u,"NHWC"===o?1:0,g,s.shape.length-1,_,w,h.length,k),b}};let Bn;const jn={kernelName:M,backendName:"wasm",setupFunc:function(e){Bn=e.wasm.cwrap(M,null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){const{inputs:n,attrs:t,backend:r}=e,{x:s,filter:u}=n,o=r.dataIdMap.get(s.dataId).id,i=r.dataIdMap.get(u.dataId).id,{strides:d,dilations:l,pad:c,dimRoundingMode:p}=t,f=null==l?[1,1]:l,m=a.computeConv2DInfo(s.shape,u.shape,d,f,c,p,!0),h=m.filterHeight,b=m.filterWidth,y=m.padInfo.top,g=m.padInfo.right,_=m.padInfo.bottom,w=m.padInfo.left,k=m.dilationHeight,I=m.dilationWidth,v=m.strideHeight,M=m.strideWidth,A=m.inChannels,x=m.outChannels,S="SAME"===m.padInfo.type?1:0;if("channelsLast"!==m.dataFormat)throw new Error("wasm backend DepthwiseConv2dNative does not support dataFormat:'"+m.dataFormat+"'. Please use 'channelsLast'.");const F=r.makeOutput(m.outShape,"float32"),E=r.dataIdMap.get(F.dataId).id;return Bn(o,s.shape[0],s.shape[1],s.shape[2],i,h,b,y,g,_,w,S,k,I,v,M,A,x,E),F}},qn=an(A,!1,"bool"),Vn=nn(x);function Gn(e){const{inputs:t,attrs:a,backend:r}=e,{input:s}=t,{dim:u}=a,o=s.shape.length,i=s.shape.slice();let d=u;return u<0&&(n.assert(-(o+1)<=u,()=>`Axis must be in the interval [${-(o+1)}, ${o}]`),d=o+u+1),i.splice(d,0,1),gn({inputs:{x:s},backend:r,attrs:{shape:i}})}const $n={kernelName:S,backendName:"wasm",kernelFunc:Gn};const Kn={kernelName:F,backendName:"wasm",kernelFunc:function(e){const{attrs:{shape:n,value:t,dtype:a},backend:r}=e,s=r.makeOutput(n,a);return r.typedArrayFromHeap(s).fill(t),s}};let Qn;const Xn={kernelName:E,backendName:"wasm",kernelFunc:function(e){const{inputs:n,backend:t}=e,{image:a}=n,r=t.makeOutput(a.shape,a.dtype),s=t.dataIdMap.get(a.dataId).id,u=t.dataIdMap.get(r.dataId).id,[o,i,d,l]=a.shape;return Qn(s,o,i,d,l,u),r},setupFunc:function(e){Qn=e.wasm.cwrap(E,null,["number","number","number","number","number","number"])}},Yn=nn(N),Zn=an(C,!1);let Jn;const et={kernelName:T,backendName:"wasm",setupFunc:function(e){Jn=e.wasm.cwrap(T,null,["number","number","number","number","number","number","number"])},kernelFunc:function(e){const{backend:t,inputs:a,attrs:r}=e,{varianceEpsilon:s}=r,{x:u,mean:o,variance:i,offset:d,scale:l}=a,c=t.dataIdMap.get(u.dataId).id,p=t.dataIdMap.get(o.dataId).id,f=t.dataIdMap.get(i.dataId).id,m=null!=d?t.dataIdMap.get(d.dataId).id:0,h=null!=l?t.dataIdMap.get(l.dataId).id:0,b=t.makeOutput(u.shape,u.dtype);if(0===n.sizeFromShape(u.shape))return b;const y=t.dataIdMap.get(b.dataId).id;return Jn(c,p,f,m,h,s,y),b}};let nt;const tt={kernelName:O,backendName:"wasm",setupFunc:function(e){nt=e.wasm.cwrap(O,null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){const{inputs:n,attrs:t,backend:r}=e,{x:s,filter:u,bias:o,preluActivationWeights:i}=n,{strides:d,pad:l,dilations:c,dataFormat:p,dimRoundingMode:f,activation:m,leakyreluAlpha:h}=t,b=a.computeConv2DInfo(s.shape,u.shape,d,c,l,f),y=Ze[m];if(null==y)throw new Error(m+" activation not yet supported for FusedConv2D in the wasm backend.");const g=r.dataIdMap.get(s.dataId).id,_=r.dataIdMap.get(u.dataId).id,w=b.outChannels;let k=0;if(null!=o){const e=r.dataIdMap.get(o.dataId);if(1!==e.shape.length)throw new Error(`FusedConv2D only supports rank-1 bias but got rank ${e.shape.length}.`);if(e.shape[0]!==w)throw new Error(`FusedConv2D bias shape (${e.shape}) does not match the number of output channels (${w})`);k=e.id}const I=b.filterHeight,v=b.filterWidth,M=b.padInfo.top,A=b.padInfo.right,x=b.padInfo.bottom,S=b.padInfo.left,F=b.dilationHeight,E=b.dilationWidth,N=b.strideHeight,C=b.strideWidth,T=b.inChannels,O="SAME"===b.padInfo.type?1:0,D=b.batchSize,R=b.inHeight,W=b.inWidth;if("NHWC"!==p)throw new Error("wasm backend FusedConv2D does not support dataFormat:'"+p+"'. Please use 'NHWC'.");const P=r.makeOutput(b.outShape,"float32"),H=r.dataIdMap.get(P.dataId).id,z=null==i?0:r.dataIdMap.get(i.dataId).id;return nt(g,D,R,W,_,I,v,k,M,A,x,S,O,F,E,N,C,T,w,y,z,h||0,H),P}};let at;const rt={kernelName:D,backendName:"wasm",setupFunc:function(e){at=e.wasm.cwrap(D,null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){const{inputs:n,attrs:t,backend:r}=e,{x:s,filter:u,bias:o,preluActivationWeights:i}=n,{strides:d,pad:l,dilations:c,dataFormat:p,dimRoundingMode:f,activation:m,leakyreluAlpha:h}=t,b=a.computeConv2DInfo(s.shape,u.shape,d,c,l,f,!0),y=Ze[m];if(null==y)throw new Error(m+" activation not yet supported for FusedDepthwiseConv2D in the wasm backend.");const g=r.dataIdMap.get(s.dataId).id,_=r.dataIdMap.get(u.dataId).id,w=b.outChannels;let k=0;if(null!=o){const e=r.dataIdMap.get(o.dataId);if(1!==e.shape.length)throw new Error(`FusedDepthwiseConv2D only supports rank-1 bias but got rank ${e.shape.length}.`);if(e.shape[0]!==w)throw new Error(`FusedDepthwiseConv2D bias shape (${e.shape}) does not match the number of output channels (${w})`);k=e.id}const I=b.filterHeight,v=b.filterWidth,M=b.padInfo.top,A=b.padInfo.right,x=b.padInfo.bottom,S=b.padInfo.left,F=b.dilationHeight,E=b.dilationWidth,N=b.strideHeight,C=b.strideWidth,T=b.inChannels,O="SAME"===b.padInfo.type?1:0,D=b.batchSize,R=b.inHeight,W=b.inWidth;if("NHWC"!==p)throw new Error("wasm backend FusedDepthwiseConv2D does not support dataFormat:'"+p+"'. Please use 'NHWC'.");const P=r.makeOutput(b.outShape,"float32"),H=r.dataIdMap.get(P.dataId).id,z=null==i?0:r.dataIdMap.get(i.dataId).id;return at(g,D,R,W,_,I,v,k,M,A,x,S,O,F,E,N,C,T,w,y,z,h||0,H),P}};let st;const ut={kernelName:R,backendName:"wasm",setupFunc:function(e){st=e.wasm.cwrap(R,null,["number","number","number","number","number","number","array","number"])},kernelFunc:function(e){const{backend:n,inputs:t}=e,{params:a,indices:r}=t,[s,u,o,i]=W.prepareAndValidate(a,r),d=n.makeOutput(s,a.dtype);if(0===u)return d;const l=r.shape,c=l[l.length-1],p=n.dataIdMap.get(a.dataId).id,f=n.dataIdMap.get(r.dataId).id,m=new Uint8Array(new Int32Array(i).buffer),h=n.dataIdMap.get(d.dataId).id;return st(p,Ye[a.dtype],f,u,c,o,m,h),d}};let ot;const it={kernelName:P,backendName:"wasm",setupFunc:function(e){ot=e.wasm.cwrap("Gather",null,["number","number","array","number","number","number","array","number"])},kernelFunc:function(e){const{backend:t,inputs:r,attrs:s}=e,{x:u,indices:o}=r,{axis:i,batchDims:d}=s,l=n.parseAxisParam(i,u.shape)[0],c=a.segment_util.collectGatherOpShapeInfo(u,o,l,d),p=gn({inputs:{x:u},attrs:{shape:[c.batchSize,c.outerSize,c.dimSize,c.sliceSize]},backend:t}),f=n.sizeFromShape(o.shape),m=gn({inputs:{x:o},attrs:{shape:[c.batchSize,f/c.batchSize]},backend:t}),h=[c.batchSize,c.outerSize,f/c.batchSize,c.sliceSize],b=t.makeOutput(h,u.dtype);if(0===n.sizeFromShape(u.shape))return b;const y=p.shape.length-1,g=t.dataIdMap.get(p.dataId).id,_=t.dataIdMap.get(m.dataId).id,w=t.dataIdMap.get(b.dataId).id,k=new Uint8Array(new Int32Array(n.computeStrides(p.shape)).buffer),I=new Uint8Array(new Int32Array(n.computeStrides(h)).buffer);return ot(g,Ye[u.dtype],k,y,_,c.batchSize,I,w),t.disposeData(p.dataId),t.disposeData(m.dataId),b.shape=c.outputShape,b}},dt=an(H,!1,"bool"),lt=an(z,!1,"bool");let ct;const pt={kernelName:U,backendName:"wasm",setupFunc:function(e){ct=e.wasm.cwrap(U,null,["number","number","number"])},kernelFunc:function(e){const{inputs:{x:t},attrs:{alpha:a},backend:r}=e,s=r.dataIdMap.get(t.dataId).id,u=r.makeOutput(t.shape,t.dtype);if(0!==n.sizeFromShape(t.shape)){const e=r.dataIdMap.get(u.dataId).id;ct(s,a,e)}return u}},ft=an(L,!1,"bool"),mt=an(B,!1,"bool"),ht=nn(j),bt=an(q,!1,"bool");let yt;const gt={kernelName:V,backendName:"wasm",setupFunc:function(e){yt=e.wasm.cwrap(V,null,["number, number, number"])},kernelFunc:function(e){const{backend:t,inputs:r,attrs:s}=e,{reductionIndices:u,keepDims:o}=s,{x:i}=r;let d=t.dataIdMap.get(i.dataId).id,l=i;const{transposed:c,axes:p,originalAxes:f,inputWasTransposed:m}=fn(i,u,t);if(m){l=c,d=t.dataIdMap.get(c.dataId).id}const h=l.shape.length;a.assertAxesAreInnerMostDims("max",p,h);const[b,y]=a.computeOutAndReduceShapes(l.shape,p),g=n.sizeFromShape(y),_=t.makeOutput(b,i.dtype);if(0!==n.sizeFromShape(l.shape)){const e=t.dataIdMap.get(_.dataId).id;yt(d,g,e)}if(m&&t.disposeData(c.dataId),o){const e=a.expandShapeToKeepDim(_.shape,f);_.shape=e}return _}},_t=an(G,!1);let wt;const kt={kernelName:$,backendName:"wasm",setupFunc:function(e){wt=e.wasm.cwrap($,null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){const{inputs:n,attrs:t,backend:r}=e,s=n.x,u=r.dataIdMap.get(s.dataId).id,{filterSize:o,strides:i,pad:d,dimRoundingMode:l}=t,c=a.computePool2DInfo(s.shape,o,i,1,d,l),p=c.filterHeight,f=c.filterWidth,m=c.padInfo.top,h=c.padInfo.right,b=c.padInfo.bottom,y=c.padInfo.left,g=c.dilationHeight,_=c.dilationWidth,w=c.strideHeight,k=c.strideWidth,I=c.inChannels,v=c.outChannels;if("channelsLast"!==c.dataFormat)throw new Error("wasm backend does not support dataFormat:'"+c.dataFormat+"'. Please use 'channelsLast'.");const M=r.makeOutput(c.outShape,"float32"),A=r.dataIdMap.get(M.dataId).id;return wt(u,s.shape[0],s.shape[1],s.shape[2],p,f,m,h,b,y,g,_,w,k,I,v,A),M}};let It;const vt={kernelName:K,backendName:"wasm",setupFunc:function(e){It=e.wasm.cwrap(K,null,["number, number, number"])},kernelFunc:function(e){const{backend:t,inputs:r,attrs:s}=e,{axis:u,keepDims:o}=s,{x:i}=r,d=t.dataIdMap.get(i.dataId).id;let l=d,c=i;const{transposed:p,axes:f,originalAxes:m,inputWasTransposed:h}=fn(i,u,t);let b=f;if(h){const e=t.dataIdMap.get(p.dataId).id;e!==d&&(c=p,l=e,b=a.getInnerMostAxes(b.length,c.shape.length))}a.assertAxesAreInnerMostDims("mean",b,c.shape.length);const[y,g]=a.computeOutAndReduceShapes(c.shape,b),_=n.sizeFromShape(g);let w=c;"float32"!==c.dtype&&(w=In({backend:t,inputs:{x:c},attrs:{dtype:"float32"}}),l=t.dataIdMap.get(w.dataId).id);const k=t.makeOutput(y,"float32");if(0!==n.sizeFromShape(c.shape)){const e=t.dataIdMap.get(k.dataId).id;It(l,_,e)}if(h&&t.disposeData(p.dataId),o){const e=a.expandShapeToKeepDim(k.shape,m);k.shape=e}return"float32"!==c.dtype&&t.disposeData(w.dataId),k}};let Mt;const At={kernelName:Q,backendName:"wasm",setupFunc:function(e){Mt=e.wasm.cwrap(Q,null,["number, number, number"])},kernelFunc:function(e){const{backend:t,inputs:r,attrs:s}=e,{axis:u,keepDims:o}=s,{x:i}=r,d=t.dataIdMap.get(i.dataId).id;let l=d,c=i;const{transposed:p,axes:f,originalAxes:m,inputWasTransposed:h}=fn(i,u,t);if(h){const e=t.dataIdMap.get(p.dataId).id;e!==d&&(c=p,l=e)}const b=c.shape.length;a.assertAxesAreInnerMostDims("min",f,b);const[y,g]=a.computeOutAndReduceShapes(c.shape,f),_=n.sizeFromShape(g),w=t.makeOutput(y,c.dtype);if(0!==n.sizeFromShape(c.shape)){const e=t.dataIdMap.get(w.dataId).id;Mt(l,_,e)}if(h&&t.disposeData(p.dataId),o){const e=a.expandShapeToKeepDim(w.shape,m);w.shape=e}return w}},xt=an(X,!1),St=an(Y,!0),Ft=nn(Z);function Et(e,n){const t=new Int32Array(e.wasm.HEAPU8.buffer,n,4),a=t[0],r=t[1],s=t[2],u=t[3];return e.wasm._free(n),{pSelectedIndices:a,selectedSize:r,pSelectedScores:s,pValidOutputs:u}}let Nt;const Ct={kernelName:J,backendName:"wasm",setupFunc:function(e){Nt=e.wasm.cwrap(J,"number",["number","number","number","number","number"])},kernelFunc:function(e){const{backend:n,inputs:t,attrs:a}=e,{iouThreshold:r,maxOutputSize:s,scoreThreshold:u}=a,{boxes:o,scores:i}=t,d=n.dataIdMap.get(o.dataId).id,l=n.dataIdMap.get(i.dataId).id,c=Nt(d,l,s,r,u),{pSelectedIndices:p,selectedSize:f,pSelectedScores:m,pValidOutputs:h}=Et(n,c);return n.wasm._free(m),n.wasm._free(h),n.makeOutput([f],"int32",p)}};let Tt;const Ot={kernelName:ee,backendName:"wasm",setupFunc:function(e){Tt=e.wasm.cwrap(ee,"number",["number","number","number","number","number","bool"])},kernelFunc:function(e){const{backend:n,inputs:t,attrs:a}=e,{iouThreshold:r,maxOutputSize:s,scoreThreshold:u,padToMaxOutputSize:o}=a,{boxes:i,scores:d}=t,l=n.dataIdMap.get(i.dataId).id,c=n.dataIdMap.get(d.dataId).id,p=Tt(l,c,s,r,u,o),{pSelectedIndices:f,selectedSize:m,pSelectedScores:h,pValidOutputs:b}=Et(n,p);return n.wasm._free(h),[n.makeOutput([m],"int32",f),n.makeOutput([],"int32",b)]}};let Dt;const Rt={kernelName:ne,backendName:"wasm",setupFunc:function(e){Dt=e.wasm.cwrap(ne,"number",["number","number","number","number","number","number"])},kernelFunc:function(e){const{backend:n,inputs:t,attrs:a}=e,{iouThreshold:r,maxOutputSize:s,scoreThreshold:u,softNmsSigma:o}=a,{boxes:i,scores:d}=t,l=n.dataIdMap.get(i.dataId).id,c=n.dataIdMap.get(d.dataId).id,p=Dt(l,c,s,r,u,o),{pSelectedIndices:f,selectedSize:m,pSelectedScores:h,pValidOutputs:b}=Et(n,p);return n.wasm._free(b),[n.makeOutput([m],"int32",f),n.makeOutput([m],"float32",h)]}},Wt=an(te,!1,"bool");let Pt;const Ht={kernelName:ae,backendName:"wasm",setupFunc:function(e){Pt=e.wasm.cwrap(ae,null,["number","number","number","number","number"])},kernelFunc:function(e){const{inputs:n,backend:t,attrs:a}=e,{indices:r}=n,{depth:s,onValue:u,offValue:o}=a,i=t.makeOutput([...r.shape,s],"int32"),d=t.dataIdMap.get(i.dataId).id,l=t.dataIdMap.get(r.dataId).id;return Pt(l,s,u,o,d),i}};const zt={kernelName:re,backendName:"wasm",kernelFunc:function(e){const{inputs:{x:n},backend:t}=e,a=t.makeOutput(n.shape,n.dtype);return t.typedArrayFromHeap(a).fill(1),a}};const Ut={kernelName:se,backendName:"wasm",kernelFunc:function(e){const{inputs:t,backend:a,attrs:r}=e,{axis:s}=r;if(1===t.length)return Gn({inputs:{input:t[0]},backend:a,attrs:{dim:s}});const u=t[0].shape,o=t[0].dtype;t.forEach(e=>{n.assertShapesMatch(u,e.shape,"All tensors passed to stack must have matching shapes"),n.assert(o===e.dtype,()=>"All tensors passed to stack must have matching dtypes")});const i=[],d=Fn({inputs:t.map(e=>{const n=Gn({inputs:{input:e},backend:a,attrs:{dim:s}});return i.push(n),n}),backend:a,attrs:{axis:s}});return i.forEach(e=>a.disposeData(e.dataId)),d}};let Lt;const Bt={kernelName:ue,backendName:"wasm",kernelFunc:function(e){const{inputs:{x:n},backend:t,attrs:{paddings:a,constantValue:r}}=e,s=a.map((e,t)=>e[0]+n.shape[t]+e[1]),u=t.dataIdMap.get(n.dataId).id,o=t.makeOutput(s,n.dtype),i=t.dataIdMap.get(o.dataId).id,d=new Uint8Array(new Int32Array(n.shape).buffer),l=a.map(e=>e[0]),c=a.map(e=>e[1]),p=new Uint8Array(new Int32Array(l).buffer),f=new Uint8Array(new Int32Array(c).buffer);return Lt(u,d,n.shape.length,Ye[n.dtype],p,f,r,i),o},setupFunc:function(e){Lt=e.wasm.cwrap(ue,null,["number","array","number","number","array","array","number","number"])}},jt=an(oe,!1);let qt;const Vt={kernelName:ie,backendName:"wasm",setupFunc:function(e){qt=e.wasm.cwrap(ie,null,["number","number","number"])},kernelFunc:function(e){const{inputs:n,backend:t}=e,{x:a,alpha:r}=n,s=t.dataIdMap.get(a.dataId).id,u=t.dataIdMap.get(r.dataId).id,o=t.makeOutput(a.shape,"float32"),i=t.dataIdMap.get(o.dataId).id;return qt(s,u,i),o}};let Gt;const $t={kernelName:de,backendName:"wasm",setupFunc:function(e){Gt=e.wasm.cwrap(de,null,["number","number","number","number"])},kernelFunc:function(e){const{backend:t,inputs:r,attrs:s}=e,{axis:u,keepDims:o}=s,{x:i}=r,d=t.dataIdMap.get(i.dataId).id;let l=d,c=i;const{transposed:p,axes:f,originalAxes:m,inputWasTransposed:h}=fn(i,u,t);let b=f;if(h){const e=t.dataIdMap.get(p.dataId).id;e!==d&&(c=p,l=e,b=a.getInnerMostAxes(b.length,c.shape.length))}a.assertAxesAreInnerMostDims("prod",b,c.shape.length);const[y,g]=a.computeOutAndReduceShapes(c.shape,b),_=n.sizeFromShape(g),w=t.makeOutput(y,c.dtype);if(0!==n.sizeFromShape(c.shape)){const e=t.dataIdMap.get(w.dataId).id;Gt(l,_,Ye[w.dtype],e)}if(h&&t.disposeData(p.dataId),o){const e=a.expandShapeToKeepDim(w.shape,m);w.shape=e}return w}},Kt={kernelName:le,backendName:"wasm",kernelFunc:e=>{const{backend:t,attrs:a}=e,{start:r,stop:s,step:u,dtype:o}=a,i=function(e,t,a,r){if(e===t||e<t&&a<0||t<e&&a>1)return n.makeZerosTypedArray(0,r);const s=Math.abs(Math.ceil((t-e)/a)),u=n.makeZerosTypedArray(s,r);t<e&&1===a&&(a=-1),u[0]=e;for(let e=1;e<u.length;e++)u[e]=u[e-1]+a;return u}(r,s,u,o),d=t.makeOutput([i.length],o);return t.typedArrayFromHeap(d).set(i),d}},Qt=an(ce,!0),Xt=nn(pe),Yt=nn(fe);let Zt;const Jt={kernelName:me,backendName:"wasm",setupFunc:function(e){Zt=e.wasm.cwrap(me,null,["number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){const{backend:t,inputs:a,attrs:r}=e,{images:s}=a,{alignCorners:u,halfPixelCenters:o,size:i}=r,[d,l]=i,[c,p,f,m]=s.shape,h=[c,d,l,m];let b,y=t.dataIdMap.get(s.dataId);"float32"!==y.dtype&&(b=In({backend:t,inputs:{x:s},attrs:{dtype:"float32"}}),y=t.dataIdMap.get(b.dataId));const g=y.id,_=t.makeOutput(h,"float32");if(0===n.sizeFromShape(s.shape))return _;const w=t.dataIdMap.get(_.dataId).id;return Zt(g,c,p,f,m,d,l,u?1:0,o?1:0,w),null!=b&&t.disposeData(b.dataId),_}};let ea;const na={kernelName:he,backendName:"wasm",kernelFunc:function(e){const{inputs:t,backend:a,attrs:r}=e,{x:s}=t,{dims:u}=r,o=n.parseAxisParam(u,s.shape);if(0===s.shape.length)return on({inputs:{x:s},backend:a});const i=a.makeOutput(s.shape,s.dtype),d=a.dataIdMap.get(s.dataId).id,l=a.dataIdMap.get(i.dataId).id,c=new Uint8Array(new Int32Array(o).buffer),p=new Uint8Array(new Int32Array(s.shape).buffer);ea(d,c,o.length,p,s.shape.length,l);const f=gn({inputs:{x:i},attrs:{shape:s.shape},backend:a});return a.disposeData(i.dataId),f},setupFunc:function(e){ea=e.wasm.cwrap(he,null,["number","array","number","array","number","number"])}};let ta;const aa={kernelName:be,backendName:"wasm",kernelFunc:function(e){const{inputs:n,backend:t,attrs:r}=e,{image:s}=n,{radians:u,fillValue:o,center:i}=r,d=t.makeOutput(s.shape,s.dtype),l=t.dataIdMap.get(s.dataId).id,c=t.dataIdMap.get(d.dataId).id,[p,f,m,h]=s.shape,[b,y]=a.getImageCenter(i,f,m),g="number"==typeof o?[o,o,o,0===o?0:255]:[...o,255],_=new Uint8Array(new Int32Array(g).buffer);return ta(l,p,f,m,h,u,b,y,_,g.length,c),d},setupFunc:function(e){ta=e.wasm.cwrap(be,null,["number","number","number","number","number","number","number","number","array","number","number"])}},ra=nn(ye);let sa;let ua;let oa;function ia(e){const{inputs:{x:t},attrs:{begin:a,size:r},backend:s}=e,[u,o]=h.parseSliceParams(t,a,r),i=h.isSliceContinous(t.shape,u,o),d=s.readSync(t.dataId),l=s.makeOutput(o,t.dtype),c=n.computeStrides(t.shape),p=s.dataIdMap.get(l.dataId);if(i){const e=h.computeFlatOffset(u,c);if("string"===t.dtype)p.stringBytes=d.slice(e,e+n.sizeFromShape(o));else{s.typedArrayFromHeap(l).set(d.subarray(e,e+n.sizeFromShape(o)))}return l}if("string"===t.dtype){const e=Sn(d,u,o,t.shape,t.dtype);return p.stringBytes=e,l}const f=s.typedArrayFromHeap(l),m=t.shape.length;if(2===m)!function(e,n,t,a,r){let s=0;const u=a[0],o=a[1],i=u+r[0];for(let a=u;a<i;a++){const u=a*n+o;t.set(e.subarray(u,u+r[1]),s),s+=r[1]}}(d,c[0],f,u,o);else if(3===m)!function(e,n,t,a,r,s){let u=0;const o=r[0],i=r[1],d=r[2],l=o+s[0],c=i+s[1];for(let r=o;r<l;r++)for(let o=i;o<c;o++){const i=r*n+o*t+d;a.set(e.subarray(i,i+s[2]),u),u+=s[2]}}(d,c[0],c[1],f,u,o);else if(4===m)!function(e,n,t,a,r,s,u){let o=0;const i=s[0],d=s[1],l=s[2],c=i+u[0],p=d+u[1],f=l+u[2],m=s[3];for(let s=i;s<c;s++)for(let i=d;i<p;i++)for(let d=l;d<f;d++){const l=s*n+i*t+d*a+m;r.set(e.subarray(l,l+u[3]),o),o+=u[3]}}(d,c[0],c[1],c[2],f,u,o);else{const e=Sn(d,u,o,t.shape,t.dtype);f.set(e)}return l}let da;let la;let ca;let pa;let fa;let ma;const ha=[tn,rn,un,hn,yn,kn,vn,Mn,xn,En,Cn,On,Dn,Pn,zn,Ln,jn,qn,Vn,$n,Kn,Xn,Yn,Zn,en,et,tt,rt,ut,it,dt,lt,dn,pt,ft,mt,ht,bt,gt,_t,kt,vt,At,xt,St,Ft,Ct,Ot,Rt,Wt,Ht,zt,Ut,Bt,jt,Vt,$t,Kt,Qt,Xt,Yt,_n,Jt,na,aa,nn(ge),ra,{kernelName:_e,backendName:"wasm",setupFunc:function(e){sa=e.wasm.cwrap(_e,null,["number","number","number","number","number","number","array","number","number"])},kernelFunc:function(e){const{backend:t,inputs:a,attrs:r}=e,{indices:s,updates:u}=a,{shape:o}=r,i=t.makeOutput(o,u.dtype);if(0===n.sizeFromShape(o))return i;const{sliceRank:d,numUpdates:l,sliceSize:c,strides:p,outputSize:f}=we.calculateShapes(u,s,o),m=t.dataIdMap.get(s.dataId).id,h=t.dataIdMap.get(u.dataId).id,b=new Uint8Array(new Int32Array(p).buffer),y=t.dataIdMap.get(i.dataId).id;return sa(m,h,Ye[u.dtype],d,l,c,b,f,y),i}},{kernelName:ke,backendName:"wasm",kernelFunc:function(e){const{inputs:t,backend:a}=e,{condition:r,t:s,e:u}=t,o=a.dataIdMap.get(r.dataId).id,i=a.dataIdMap.get(s.dataId).id,d=a.dataIdMap.get(u.dataId).id,l=a.makeOutput(s.shape,s.dtype),c=a.dataIdMap.get(l.dataId).id,p=r.shape.length,f=s.shape.length,m=0===p||p>1||1===f?1:n.sizeFromShape(s.shape.slice(1));return ua(o,i,d,m,c),l},setupFunc:function(e){ua=e.wasm.cwrap("SelectV2",null,["number","number","number","number","number"])}},{kernelName:"Sigmoid",backendName:"wasm",setupFunc:function(e){oa=e.wasm.cwrap(Ie,null,["number","number"])},kernelFunc:function(e){const{backend:t,inputs:{x:a}}=e,r=t.dataIdMap.get(a.dataId).id,s=t.makeOutput(a.shape,a.dtype),u=t.dataIdMap.get(s.dataId).id;return 0===n.sizeFromShape(s.shape)||oa(r,u),s}},nn(ve),{kernelName:Me,backendName:"wasm",kernelFunc:ia},{kernelName:Ae,backendName:"wasm",setupFunc:function(e){da=e.wasm.cwrap(Ae,null,["number","number","number","number"])},kernelFunc:function(e){const{backend:t,inputs:{logits:a},attrs:{dim:r}}=e,s=t.dataIdMap.get(a.dataId).id,u=t.makeOutput(a.shape,a.dtype),o=t.dataIdMap.get(u.dataId).id,i=a.shape[r],d=n.sizeFromShape(a.shape)/i;return 0===n.sizeFromShape(u.shape)||da(s,o,i,d),u}},{kernelName:xe,backendName:"wasm",kernelFunc:function(e){const{inputs:t,attrs:r,backend:s}=e,{x:u}=t,{numOrSizeSplits:o,axis:i}=r,d=n.parseAxisParam(i,u.shape)[0],l=a.prepareSplitSize(u,o,d),c=new Array(u.shape.length).fill(0),p=u.shape.slice();return l.map(e=>{const n=[...p];n[d]=e;const t=ia({inputs:{x:u},attrs:{begin:c,size:n},backend:s});return c[d]+=e,t})}},nn(Se),nn(Fe),an(Ee,!0),{kernelName:Ne,backendName:"wasm",setupFunc:function(e){la=e.wasm.cwrap(Ne,null,["number","number","number"])},kernelFunc:function(e){const{backend:n,inputs:t,attrs:a}=e,{alpha:r}=a,{x:s}=t,u=n.dataIdMap.get(s.dataId).id,o=n.makeOutput(s.shape,s.dtype),i=n.dataIdMap.get(o.dataId).id;return la(u,r,i),o}},{kernelName:Ce,backendName:"wasm",setupFunc:function(e){ca=e.wasm.cwrap(Ce,null,["number","array","number","array","array","array","array","array","number","number"])},kernelFunc:function(e){const{backend:t,inputs:r,attrs:s}=e,{x:u}=r;let{begin:o,end:i,strides:d}=s;null==d&&(d=new Array(o.length));const{beginMask:l,endMask:c,ellipsisMask:p,newAxisMask:f,shrinkAxisMask:m}=s,h=a.slice_util.maskToAxes(p);if(h.length>1)throw new Error("Multiple ellipses in slice is not allowed.");if(0!==p&&0!==f)throw new Error("Using both ellipsisMask and newAxisMask is not yet supported.");if(0!==p&&0!==m)throw new Error("Using both ellipsisMask and shrinkAxisMask is not yet supported.");const b=u.shape.length-o.length,y=a.slice_util.maskToAxes(f),g=u.shape.slice();y.forEach(e=>{o[e]=0,i[e]=1,g.splice(e,0,1)});const _=gn({inputs:{x:u},attrs:{shape:g},backend:t}),{begin:w,end:k,strides:I}=a.slice_util.getNormalizedAxes(_.shape,h,b,o,i,d,l,c,p);o=w,i=k,d=I;const v=a.slice_util.maskToAxes(m);v.forEach(e=>{i[e]=o[e]+1,d[e]=1});const M=a.slice_util.computeOutShape(o,i,d),A=M.filter((e,n)=>-1===v.indexOf(n));if(d.every(e=>1===e)){const e=ia({inputs:{x:u},attrs:{begin:o,size:M},backend:t});t.disposeData(_.dataId);const n=gn({inputs:{x:e},attrs:{shape:A},backend:t});return t.disposeData(e.dataId),n}const x=t.makeOutput(A,"float32");if(!A.some(e=>0===e)){const e=t.dataIdMap.get(_.dataId).id,a=new Uint8Array(new Int32Array(n.computeStrides(_.shape)).buffer),r=new Uint8Array(new Int32Array(o).buffer),s=new Uint8Array(new Int32Array(i).buffer),u=new Uint8Array(new Int32Array(d).buffer),l=new Uint8Array(new Int32Array(A).buffer),c=new Uint8Array(new Int32Array(n.computeStrides(A)).buffer),p=t.dataIdMap.get(x.dataId).id;ca(e,a,_.shape.length,r,s,u,l,c,A.length,p)}t.disposeData(_.dataId);const S=gn({inputs:{x:x},attrs:{shape:A},backend:t});return t.disposeData(x.dataId),S}},an(Te,!0),{kernelName:Oe,backendName:"wasm",setupFunc:function(e){pa=e.wasm.cwrap(Oe,null,["number, number, number"])},kernelFunc:function(e){const{backend:t,inputs:r,attrs:s}=e,{axis:u,keepDims:o}=s,{x:i}=r,d=t.dataIdMap.get(i.dataId).id;let l=d,c=i;const{transposed:p,axes:f,originalAxes:m,inputWasTransposed:h}=fn(i,u,t);let b=f;if(h){const e=t.dataIdMap.get(p.dataId).id;e!==d&&(c=p,l=e,b=a.getInnerMostAxes(b.length,c.shape.length))}a.assertAxesAreInnerMostDims("sum",b,c.shape.length);const[y,g]=a.computeOutAndReduceShapes(c.shape,b),_=n.sizeFromShape(g),w=t.makeOutput(y,c.dtype);if(0!==n.sizeFromShape(c.shape)){const e=t.dataIdMap.get(w.dataId).id;pa(l,_,e)}if(h&&t.disposeData(p.dataId),o){const e=a.expandShapeToKeepDim(w.shape,m);w.shape=e}return w}},nn(De),{kernelName:Re,backendName:"wasm",setupFunc:function(e){fa=e.wasm.cwrap(Re,null,["number","array","number","array","number","number"])},kernelFunc:function(e){const{inputs:n,backend:t,attrs:a}=e,{x:r}=n,s=t.dataIdMap.get(r.dataId).id,{reps:u}=a,o=new Array(r.shape.length);for(let e=0;e<o.length;e++)o[e]=r.shape[e]*u[e];const i=new Uint8Array(new Int32Array(r.shape).buffer),d=new Uint8Array(new Int32Array(o).buffer),l=t.makeOutput(o,r.dtype),c=t.dataIdMap.get(l.dataId).id;return fa(s,i,r.shape.length,d,o.length,Ye[l.dtype],c),l}},{kernelName:We,backendName:"wasm",setupFunc:function(e){ma=e.wasm.cwrap(We,null,["number","array","number","number","number","bool","number","number"])},kernelFunc:({inputs:e,backend:n,attrs:t})=>{const{x:a}=e,{k:r,sorted:s}=t,u=n.dataIdMap.get(a.dataId).id,o=new Uint8Array(new Int32Array(a.shape).buffer),i=a.shape.slice();i[i.length-1]=r;const d=n.makeOutput(i,a.dtype),l=n.dataIdMap.get(d.dataId).id,c=n.makeOutput(i,"int32"),p=n.dataIdMap.get(c.dataId).id;return ma(u,o,a.shape.length,Ye[a.dtype],r,s,l,p),[d,c]}},pn,{kernelName:Pe,backendName:"wasm",kernelFunc:function(e){const{inputs:n,backend:t,attrs:a}=e,{value:r}=n;let{axis:s}=a;s<0&&(s+=r.shape.length);const u=r.shape[s],o=r.shape.length,i=new Array(o-1);let d=0;for(let e=0;e<o;e++)e!==s&&(i[d++]=r.shape[e]);const l=new Array(u),c=new Array(o).fill(0),p=r.shape.slice();p[s]=1;for(let e=0;e<l.length;e++)c[s]=e,l[e]=ia({inputs:{x:r},attrs:{begin:c,size:p},backend:t});return l.map(({dataId:e,dtype:n})=>({dataId:e,dtype:n,shape:i}))}},{kernelName:He,backendName:"wasm",kernelFunc:function(e){const{inputs:{x:n},backend:t}=e,a=t.makeOutput(n.shape,n.dtype);return t.typedArrayFromHeap(a).fill(0),a}}];for(const e of ha)ze(e);const ba=Ue();ba.registerFlag("WASM_HAS_SIMD_SUPPORT",async()=>WebAssembly.validate(new Uint8Array([0,97,115,109,1,0,0,0,1,4,1,96,0,0,3,2,1,0,10,9,1,7,0,65,0,253,15,26,11]))),ba.registerFlag("WASM_HAS_MULTITHREAD_SUPPORT",async()=>{if(ba.get("IS_NODE"))return!1;try{return(new MessageChannel).port1.postMessage(new SharedArrayBuffer(1)),WebAssembly.validate(new Uint8Array([0,97,115,109,1,0,0,0,1,4,1,96,0,0,3,2,1,0,5,4,1,3,1,1,10,11,1,9,0,65,0,254,16,2,0,26,11]))}catch(e){return!1}});var ya="undefined"!=typeof globalThis?globalThis:"undefined"!=typeof window?window:"undefined"!=typeof global?global:"undefined"!=typeof self?self:{};function ga(e,n){return e(n={exports:{}},n.exports),n.exports}var _a=ga((function(e,n){var t,a=(t="undefined"!=typeof document&&document.currentScript?document.currentScript.src:void 0,"undefined"!=typeof __filename&&(t=t||__filename),function(e){function n(){return E.buffer!=T&&X(E.buffer),O}function a(){return E.buffer!=T&&X(E.buffer),D}function r(){return E.buffer!=T&&X(E.buffer),R}function s(){return E.buffer!=T&&X(E.buffer),W}function u(){return E.buffer!=T&&X(E.buffer),P}var o,i,d="undefined"!=typeof(e=e||{})?e:{};d.ready=new Promise((function(e,n){o=e,i=n}));var l,c={};for(l in d)d.hasOwnProperty(l)&&(c[l]=d[l]);var p=function(e,n){throw n},f=!1,m=!1,h=!1,b=!1;f="object"==typeof window,m="function"==typeof importScripts,h="object"==typeof process&&"object"==typeof process.versions&&"string"==typeof process.versions.node,b=!f&&!h&&!m;var y=d.ENVIRONMENT_IS_PTHREAD||!1;y&&(T=d.buffer);var g,_,w,k,I,v="";function M(e){return d.locateFile?d.locateFile(e,v):v+e}if(h){var A;v=m?Ge.dirname(v)+"/":__dirname+"/",g=function(e,n){return k||(k=$e),I||(I=Ge),e=I.normalize(e),k.readFileSync(e,n?null:"utf8")},w=function(e){var n=g(e,!0);return n.buffer||(n=new Uint8Array(n)),z(n.buffer),n},process.argv.length>1&&process.argv[1].replace(/\\/g,"/"),process.argv.slice(2),process.on("uncaughtException",(function(e){if(!(e instanceof it))throw e})),process.on("unhandledRejection",me),p=function(e){process.exit(e)},d.inspect=function(){return"[Emscripten Module object]"};try{A=Ke}catch(e){throw console.error('The "worker_threads" module is not supported in this node.js build - perhaps a newer version is needed?'),e}ya.Worker=A.Worker}else b?("undefined"!=typeof read&&(g=function(e){return read(e)}),w=function(e){var n;return"function"==typeof readbuffer?new Uint8Array(readbuffer(e)):(z("object"==typeof(n=read(e,"binary"))),n)},"undefined"!=typeof scriptArgs&&scriptArgs,"function"==typeof quit&&(p=function(e){quit(e)}),"undefined"!=typeof print&&("undefined"==typeof console&&(console={}),console.log=print,console.warn=console.error="undefined"!=typeof printErr?printErr:print)):(f||m)&&(m?v=self.location.href:"undefined"!=typeof document&&document.currentScript&&(v=document.currentScript.src),"undefined"!=typeof t&&t&&(v=t),v=0!==v.indexOf("blob:")?v.substr(0,v.lastIndexOf("/")+1):"",h?(g=function(e,n){return k||(k=$e),I||(I=Ge),e=I.normalize(e),k.readFileSync(e,n?null:"utf8")},w=function(e){var n=g(e,!0);return n.buffer||(n=new Uint8Array(n)),z(n.buffer),n}):(g=function(e){var n=new XMLHttpRequest;return n.open("GET",e,!1),n.send(null),n.responseText},m&&(w=function(e){var n=new XMLHttpRequest;return n.open("GET",e,!1),n.responseType="arraybuffer",n.send(null),new Uint8Array(n.response)}),_=function(e,n,t){var a=new XMLHttpRequest;a.open("GET",e,!0),a.responseType="arraybuffer",a.onload=function(){200==a.status||0==a.status&&a.response?n(a.response):t()},a.onerror=t,a.send(null)}));h&&"undefined"==typeof performance&&(ya.performance=Qe.performance);var x,S=d.print||console.log.bind(console),F=d.printErr||console.warn.bind(console);for(l in c)c.hasOwnProperty(l)&&(d[l]=c[l]);c=null,d.arguments&&d.arguments,d.thisProgram&&d.thisProgram,d.quit&&(p=d.quit),d.wasmBinary&&(x=d.wasmBinary);var E,N,C=d.noExitRuntime||!0;"object"!=typeof WebAssembly&&me("no native wasm support detected");var T,O,D,R,W,P,H=!1;function z(e,n){e||me("Assertion failed: "+n)}function U(e){var n=d["_"+e];return z(n,"Cannot call unknown function "+e+", make sure it is exported"),n}function L(e,n,t,a,r){var s={string:function(e){var n=0;if(null!=e&&0!==e){var t=1+(e.length<<2);G(e,n=at(t),t)}return n},array:function(e){var n=at(e.length);return K(e,n),n}},u=U(e),o=[],i=0;if(a)for(var d=0;d<a.length;d++){var l=s[t[d]];l?(0===i&&(i=nt()),o[d]=l(a[d])):o[d]=a[d]}var c=u.apply(null,o);return c=function(e){return"string"===n?q(e):"boolean"===n?Boolean(e):e}(c),0!==i&&tt(i),c}function B(e,n,t,a){var r=(t=t||[]).every((function(e){return"number"===e}));return"string"!==n&&r&&!a?U(e):function(){return L(e,n,t,arguments)}}function j(e,n,t){for(var a=n+t,r="";!(n>=a);){var s=e[n++];if(!s)return r;if(128&s){var u=63&e[n++];if(192!=(224&s)){var o=63&e[n++];if((s=224==(240&s)?(15&s)<<12|u<<6|o:(7&s)<<18|u<<12|o<<6|63&e[n++])<65536)r+=String.fromCharCode(s);else{var i=s-65536;r+=String.fromCharCode(55296|i>>10,56320|1023&i)}}else r+=String.fromCharCode((31&s)<<6|u)}else r+=String.fromCharCode(s)}return r}function q(e,n){return e?j(a(),e,n):""}function V(e,n,t,a){if(!(a>0))return 0;for(var r=t,s=t+a-1,u=0;u<e.length;++u){var o=e.charCodeAt(u);if(o>=55296&&o<=57343&&(o=65536+((1023&o)<<10)|1023&e.charCodeAt(++u)),o<=127){if(t>=s)break;n[t++]=o}else if(o<=2047){if(t+1>=s)break;n[t++]=192|o>>6,n[t++]=128|63&o}else if(o<=65535){if(t+2>=s)break;n[t++]=224|o>>12,n[t++]=128|o>>6&63,n[t++]=128|63&o}else{if(t+3>=s)break;n[t++]=240|o>>18,n[t++]=128|o>>12&63,n[t++]=128|o>>6&63,n[t++]=128|63&o}}return n[t]=0,t-r}function G(e,n,t){return V(e,a(),n,t)}function $(e){for(var n=0,t=0;t<e.length;++t){var a=e.charCodeAt(t);a>=55296&&a<=57343&&(a=65536+((1023&a)<<10)|1023&e.charCodeAt(++t)),a<=127?++n:n+=a<=2047?2:a<=65535?3:4}return n}function K(e,t){n().set(e,t)}function Q(e,n){return e%n>0&&(e+=n-e%n),e}function X(e){T=e,d.HEAP8=O=new Int8Array(e),d.HEAP16=new Int16Array(e),d.HEAP32=R=new Int32Array(e),d.HEAPU8=D=new Uint8Array(e),d.HEAPU16=new Uint16Array(e),d.HEAPU32=W=new Uint32Array(e),d.HEAPF32=new Float32Array(e),d.HEAPF64=P=new Float64Array(e)}var Y,Z=d.INITIAL_MEMORY||16777216;if(y)E=d.wasmMemory,T=d.buffer;else if(d.wasmMemory)E=d.wasmMemory;else if(!((E=new WebAssembly.Memory({initial:Z/65536,maximum:32768,shared:!0})).buffer instanceof SharedArrayBuffer))throw F("requested a shared WebAssembly.Memory but the returned buffer is not a SharedArrayBuffer, indicating that while the browser has SharedArrayBuffer it does not have WebAssembly threads support - you may need to set a flag"),h&&console.log("(on node you may need: --experimental-wasm-threads --experimental-wasm-bulk-memory and also use a recent version)"),Error("bad memory");E&&(T=E.buffer),Z=T.byteLength,X(T);var J=[],ee=[],ne=[],te=[];function ae(){if(!y){if(d.preRun)for("function"==typeof d.preRun&&(d.preRun=[d.preRun]);d.preRun.length;)oe(d.preRun.shift());xe(J)}}function re(){xe(ee)}function se(){y||xe(ne)}function ue(){if(!y){if(d.postRun)for("function"==typeof d.postRun&&(d.postRun=[d.postRun]);d.postRun.length;)ie(d.postRun.shift());xe(te)}}function oe(e){J.unshift(e)}function ie(e){te.unshift(e)}y||ee.push({func:function(){Ln()}});var de=0,le=null,ce=null;function pe(e){z(!y,"addRunDependency cannot be used in a pthread worker"),de++,d.monitorRunDependencies&&d.monitorRunDependencies(de)}function fe(e){if(de--,d.monitorRunDependencies&&d.monitorRunDependencies(de),0==de&&(null!==le&&(clearInterval(le),le=null),ce)){var n=ce;ce=null,n()}}function me(e){d.onAbort&&d.onAbort(e),y&&console.error("Pthread aborting at "+(new Error).stack),F(e+=""),H=!0,e="abort("+e+"). Build with -s ASSERTIONS=1 for more info.";var n=new WebAssembly.RuntimeError(e);throw i(n),n}function he(e,n){return String.prototype.startsWith?e.startsWith(n):0===e.indexOf(n)}d.preloadedImages={},d.preloadedAudios={};var be="data:application/octet-stream;base64,";function ye(e){return he(e,be)}var ge="file://";function _e(e){return he(e,ge)}var we="tfjs-backend-wasm-threaded-simd.wasm";function ke(e){try{if(e==we&&x)return new Uint8Array(x);if(w)return w(e);throw"both async and sync fetching of the wasm failed"}catch(e){me(e)}}function Ie(){if(!x&&(f||m)){if("function"==typeof fetch&&!_e(we))return fetch(we,{credentials:"same-origin"}).then((function(e){if(!e.ok)throw"failed to load wasm binary file at '"+we+"'";return e.arrayBuffer()})).catch((function(){return ke(we)}));if(_)return new Promise((function(e,n){_(we,(function(n){e(new Uint8Array(n))}),n)}))}return Promise.resolve().then((function(){return ke(we)}))}function ve(){var e={a:Un};function n(e,n){var t=e.exports;if(d.asm=t,Y=d.asm.F,N=n,!y){var a=Te.unusedWorkers.length;Te.unusedWorkers.forEach((function(e){Te.loadWasmModuleToWorker(e,(function(){--a||fe()}))}))}}function t(e){n(e.instance,e.module)}function a(n){return Ie().then((function(n){return WebAssembly.instantiate(n,e)})).then(n,(function(e){F("failed to asynchronously prepare wasm: "+e),me(e)}))}if(y||pe(),d.instantiateWasm)try{return d.instantiateWasm(e,n)}catch(e){return F("Module.instantiateWasm callback failed with error: "+e),!1}return(x||"function"!=typeof WebAssembly.instantiateStreaming||ye(we)||_e(we)||"function"!=typeof fetch?a(t):fetch(we,{credentials:"same-origin"}).then((function(n){return WebAssembly.instantiateStreaming(n,e).then(t,(function(e){return F("wasm streaming compile failed: "+e),F("falling back to ArrayBuffer instantiation"),a(t)}))}))).catch(i),{}}ye(we)||(we=M(we));var Me={8991:function(e,n){setTimeout((function(){Xn(e,n)}),0)}};function Ae(){Te.initRuntime()}function xe(e){for(;e.length>0;){var n=e.shift();if("function"!=typeof n){var t=n.func;"number"==typeof t?void 0===n.arg?Y.get(t)():Y.get(t)(n.arg):t(void 0===n.arg?null:n.arg)}else n(d)}}function Se(e,t){if(e<=0||e>n().length||!0&e||t<0)return-28;if(0==t)return 0;t>=2147483647&&(t=1/0);var a=Atomics.load(r(),ot>>2),s=0;if(a==e&&Atomics.compareExchange(r(),ot>>2,a,0)==a&&(s=1,--t<=0))return 1;var u=Atomics.notify(r(),e>>2,t);if(u>=0)return u+s;throw"Atomics.notify returned an unexpected value "+u}function Fe(e){if(y)throw"Internal Error! killThread() can only ever be called from main application thread!";if(!e)throw"Internal Error! Null pthread_ptr in killThread!";r()[e+12>>2]=0;var n=Te.pthreads[e];n.worker.terminate(),Te.freeThreadData(n),Te.runningWorkers.splice(Te.runningWorkers.indexOf(n.worker),1),n.worker.pthread=void 0}function Ee(e){if(y)throw"Internal Error! cancelThread() can only ever be called from main application thread!";if(!e)throw"Internal Error! Null pthread_ptr in cancelThread!";Te.pthreads[e].worker.postMessage({cmd:"cancel"})}function Ne(e){if(y)throw"Internal Error! cleanupThread() can only ever be called from main application thread!";if(!e)throw"Internal Error! Null pthread_ptr in cleanupThread!";r()[e+12>>2]=0;var n=Te.pthreads[e];if(n){var t=n.worker;Te.returnWorkerToPool(t)}}d._emscripten_futex_wake=Se;var Ce,Te={unusedWorkers:[],runningWorkers:[],initMainThreadBlock:function(){for(var e=0;e<8;++e)Te.allocateUnusedWorker()},initRuntime:function(){for(var e=Bn(228),n=0;n<57;++n)s()[e/4+n]=0;r()[e+12>>2]=e;var t=e+152;r()[t>>2]=t;var a=Bn(512);for(n=0;n<128;++n)s()[a/4+n]=0;Atomics.store(s(),e+100>>2,a),Atomics.store(s(),e+40>>2,e),et(e,!m,1),Qn(e)},initWorker:function(){},pthreads:{},threadExitHandlers:[],setThreadStatus:function(){},runExitHandlers:function(){for(;Te.threadExitHandlers.length>0;)Te.threadExitHandlers.pop()();y&&Gn()&&$n()},threadExit:function(e){var n=Gn();n&&(Atomics.store(s(),n+4>>2,e),Atomics.store(s(),n+0>>2,1),Atomics.store(s(),n+56>>2,1),Atomics.store(s(),n+60>>2,0),Te.runExitHandlers(),Se(n+0,2147483647),et(0,0,0),y&&postMessage({cmd:"exit"}))},threadCancel:function(){Te.runExitHandlers();var e=Gn();Atomics.store(s(),e+4>>2,-1),Atomics.store(s(),e+0>>2,1),Se(e+0,2147483647),et(0,0,0),postMessage({cmd:"cancelDone"})},terminateAllThreads:function(){for(var e in Te.pthreads)(a=Te.pthreads[e])&&a.worker&&Te.returnWorkerToPool(a.worker);Te.pthreads={};for(var n=0;n<Te.unusedWorkers.length;++n)(t=Te.unusedWorkers[n]).terminate();for(Te.unusedWorkers=[],n=0;n<Te.runningWorkers.length;++n){var t,a=(t=Te.runningWorkers[n]).pthread;Te.freeThreadData(a),t.terminate()}Te.runningWorkers=[]},freeThreadData:function(e){if(e){if(e.threadInfoStruct){var n=r()[e.threadInfoStruct+100>>2];r()[e.threadInfoStruct+100>>2]=0,jn(n),jn(e.threadInfoStruct)}e.threadInfoStruct=0,e.allocatedOwnStack&&e.stackBase&&jn(e.stackBase),e.stackBase=0,e.worker&&(e.worker.pthread=null)}},returnWorkerToPool:function(e){Te.runWithoutMainThreadQueuedCalls((function(){delete Te.pthreads[e.pthread.threadInfoStruct],Te.unusedWorkers.push(e),Te.runningWorkers.splice(Te.runningWorkers.indexOf(e),1),Te.freeThreadData(e.pthread),e.pthread=void 0}))},runWithoutMainThreadQueuedCalls:function(e){r()[ut>>2]=0;try{e()}finally{r()[ut>>2]=1}},receiveObjectTransfer:function(e){},loadWasmModuleToWorker:function(e,n){e.onmessage=function(t){var a=t.data,r=a.cmd;if(e.pthread&&(Te.currentProxiedOperationCallerThread=e.pthread.threadInfoStruct),a.targetThread&&a.targetThread!=Gn()){var u=Te.pthreads[a.targetThread];return u?u.worker.postMessage(t.data,a.transferList):console.error('Internal error! Worker sent a message "'+r+'" to target pthread '+a.targetThread+", but that thread no longer exists!"),void(Te.currentProxiedOperationCallerThread=void 0)}if("processQueuedMainThreadWork"===r)Kn();else if("spawnThread"===r)Rn(t.data);else if("cleanupThread"===r)Ne(a.thread);else if("killThread"===r)Fe(a.thread);else if("cancelThread"===r)Ee(a.thread);else if("loaded"===r)e.loaded=!0,n&&n(e),e.runPthread&&(e.runPthread(),delete e.runPthread);else if("print"===r)S("Thread "+a.threadId+": "+a.text);else if("printErr"===r)F("Thread "+a.threadId+": "+a.text);else if("alert"===r)alert("Thread "+a.threadId+": "+a.text);else if("exit"===r)e.pthread&&Atomics.load(s(),e.pthread.threadInfoStruct+64>>2)&&Te.returnWorkerToPool(e);else if("exitProcess"===r)try{lt(a.returnCode)}catch(t){if(t instanceof it)return;throw t}else"cancelDone"===r?Te.returnWorkerToPool(e):"objectTransfer"===r?Te.receiveObjectTransfer(t.data):"setimmediate"===t.data.target?e.postMessage(t.data):F("worker sent an unknown command "+r);Te.currentProxiedOperationCallerThread=void 0},e.onerror=function(e){F("pthread sent an error! "+e.filename+":"+e.lineno+": "+e.message)},h&&(e.on("message",(function(n){e.onmessage({data:n})})),e.on("error",(function(n){e.onerror(n)})),e.on("exit",(function(e){}))),e.postMessage({cmd:"load",urlOrBlob:d.mainScriptUrlOrBlob||t,wasmMemory:E,wasmModule:N})},allocateUnusedWorker:function(){var e=M("tfjs-backend-wasm-threaded-simd.worker.js");Te.unusedWorkers.push(new Worker(e))},getNewWorker:function(){return 0==Te.unusedWorkers.length&&(Te.allocateUnusedWorker(),Te.loadWasmModuleToWorker(Te.unusedWorkers[0])),Te.unusedWorkers.length>0?Te.unusedWorkers.pop():null},busySpinWait:function(e){for(var n=performance.now()+e;performance.now()<n;);}};function Oe(e,n){rt(e,n),tt(e)}function De(){return C}function Re(e,n){return Y.get(e)(n)}function We(e,n,t,a){me("Assertion failed: "+q(e)+", at: "+[n?q(n):"unknown filename",t,a?q(a):"unknown function"])}function Pe(e,n){_main(e,n)}function He(e){return r()[qn()>>2]=e,e}function ze(e,n){if(y)return Ze(1,1,e,n)}function Ue(e,n){if(e==n)postMessage({cmd:"processQueuedMainThreadWork"});else if(y)postMessage({targetThread:e,cmd:"processThreadQueue"});else{var t=Te.pthreads[e],a=t&&t.worker;if(!a)return;a.postMessage({cmd:"processThreadQueue"})}return 1}function Le(){me()}function Be(e,n,t){var a=nn(n,t);return Me[e].apply(null,a)}function je(e,n){}function qe(e,t,a){if(e<=0||e>n().length||!0&e)return-28;if(f){if(Atomics.load(r(),e>>2)!=t)return-6;var s=performance.now(),u=s+a;for(Atomics.exchange(r(),ot>>2,e);;){if((s=performance.now())>u)return Atomics.exchange(r(),ot>>2,0),-73;if(0==Atomics.exchange(r(),ot>>2,0))break;if(Kn(),Atomics.load(r(),e>>2)!=t)return-6;Atomics.exchange(r(),ot>>2,e)}return 0}var o=Atomics.wait(r(),e>>2,t,a);if("timed-out"===o)return-73;if("not-equal"===o)return-6;if("ok"===o)return 0;throw"Atomics.wait returned an unexpected value "+o}function Ve(e,n,t){a().copyWithin(e,n,n+t)}function Ye(){return h?Xe.cpus().length:navigator.hardwareConcurrency}function Ze(e,n){for(var t=arguments.length-2,a=nt(),r=t,s=at(8*r),o=s>>3,i=0;i<t;i++){var d=arguments[2+i];u()[o+i]=d}var l=Zn(e,r,s,n);return tt(a),l}d.establishStackSpace=Oe,d.getNoExitRuntime=De,d.invokeEntryPoint=Re,Ce=h?function(){var e=process.hrtime();return 1e3*e[0]+e[1]/1e6}:y?function(){return performance.now()-d.__performance_now_clock_drift}:"undefined"!=typeof dateNow?dateNow:function(){return performance.now()};var Je=[],en=[];function nn(e,n){var t;for(en.length=0,n>>=2;t=a()[e++];){var s=t<105;s&&1&n&&n++,en.push(s?u()[n++>>1]:r()[n]),++n}return en}function tn(e,n,t){Je.length=n;for(var a=t>>3,r=0;r<n;r++)Je[r]=u()[a+r];return(e<0?Me[-e-1]:zn[e]).apply(null,Je)}function an(){return a().length}function rn(e){try{return E.grow(e-T.byteLength+65535>>>16),X(E.buffer),1}catch(e){}}function sn(e){var n=an();if(e<=n)return!1;if(e>2147483648)return!1;for(var t=1;t<=4;t*=2){var a=n*(1+.2/t);if(a=Math.min(a,e+100663296),rn(Math.min(2147483648,Q(Math.max(e,a),65536))))return!0}return!1}var un={inEventHandler:0,removeAllEventListeners:function(){for(var e=un.eventHandlers.length-1;e>=0;--e)un._removeHandler(e);un.eventHandlers=[],un.deferredCalls=[]},registerRemoveEventListeners:function(){un.removeEventListenersRegistered||(un.removeEventListenersRegistered=!0)},deferredCalls:[],deferCall:function(e,n,t){function a(e,n){if(e.length!=n.length)return!1;for(var t in e)if(e[t]!=n[t])return!1;return!0}for(var r in un.deferredCalls){var s=un.deferredCalls[r];if(s.targetFunction==e&&a(s.argsList,t))return}un.deferredCalls.push({targetFunction:e,precedence:n,argsList:t}),un.deferredCalls.sort((function(e,n){return e.precedence<n.precedence}))},removeDeferredCalls:function(e){for(var n=0;n<un.deferredCalls.length;++n)un.deferredCalls[n].targetFunction==e&&(un.deferredCalls.splice(n,1),--n)},canPerformEventHandlerRequests:function(){return un.inEventHandler&&un.currentEventHandler.allowsDeferredCalls},runDeferredCalls:function(){if(un.canPerformEventHandlerRequests())for(var e=0;e<un.deferredCalls.length;++e){var n=un.deferredCalls[e];un.deferredCalls.splice(e,1),--e,n.targetFunction.apply(null,n.argsList)}},eventHandlers:[],removeAllHandlersOnTarget:function(e,n){for(var t=0;t<un.eventHandlers.length;++t)un.eventHandlers[t].target!=e||n&&n!=un.eventHandlers[t].eventTypeString||un._removeHandler(t--)},_removeHandler:function(e){var n=un.eventHandlers[e];n.target.removeEventListener(n.eventTypeString,n.eventListenerFunc,n.useCapture),un.eventHandlers.splice(e,1)},registerOrRemoveHandler:function(e){var n=function(n){++un.inEventHandler,un.currentEventHandler=e,un.runDeferredCalls(),e.handlerFunc(n),un.runDeferredCalls(),--un.inEventHandler};if(e.callbackfunc)e.eventListenerFunc=n,e.target.addEventListener(e.eventTypeString,n,e.useCapture),un.eventHandlers.push(e),un.registerRemoveEventListeners();else for(var t=0;t<un.eventHandlers.length;++t)un.eventHandlers[t].target==e.target&&un.eventHandlers[t].eventTypeString==e.eventTypeString&&un._removeHandler(t--)},queueEventHandlerOnThread_iiii:function(e,n,t,a,s){var u=nt(),o=at(12);r()[o>>2]=t,r()[o+4>>2]=a,r()[o+8>>2]=s,Jn(0,e,637534208,n,a,o),tt(u)},getTargetThreadForEventCallback:function(e){switch(e){case 1:return 0;case 2:return Te.currentProxiedOperationCallerThread;default:return e}},getNodeNameForTarget:function(e){return e?e==window?"#window":e==screen?"#screen":e&&e.nodeName?e.nodeName:"":""},fullscreenEnabled:function(){return document.fullscreenEnabled||document.webkitFullscreenEnabled}};function on(e){var n=$(e)+1,t=Bn(n);return G(e,t,n),t}function dn(e,n,t,a){var s=nt(),u=at(12),o=0;n&&(o=on(n)),r()[u>>2]=o,r()[u+4>>2]=t,r()[u+8>>2]=a,Jn(0,e,657457152,0,o,u),tt(s)}function ln(e,n,t,a){dn(e,n=n?q(n):"",t,a)}function cn(e){return e>2?q(e):e}var pn=[0,"undefined"!=typeof document?document:0,"undefined"!=typeof window?window:0];function fn(e){return e=cn(e),pn[e]||("undefined"!=typeof document?document.querySelector(e):void 0)}function mn(e){return fn(e)}function hn(e,n,t){var a=mn(e);if(!a)return-4;if(a.canvasSharedPtr&&(r()[a.canvasSharedPtr>>2]=n,r()[a.canvasSharedPtr+4>>2]=t),!a.offscreenCanvas&&a.controlTransferredOffscreen)return a.canvasSharedPtr?(ln(r()[a.canvasSharedPtr+8>>2],e,n,t),1):-4;a.offscreenCanvas&&(a=a.offscreenCanvas);var s=!1;if(a.GLctxObject&&a.GLctxObject.GLctx){var u=a.GLctxObject.GLctx.getParameter(2978);s=0===u[0]&&0===u[1]&&u[2]===a.width&&u[3]===a.height}return a.width=n,a.height=t,s&&a.GLctxObject.GLctx.viewport(0,0,n,t),0}function bn(e,n,t){return y?Ze(2,1,e,n,t):hn(e,n,t)}function yn(e,n,t){return mn(e)?hn(e,n,t):bn(e,n,t)}function gn(e){}function _n(e,n){}function wn(e){var n=e.getExtension("ANGLE_instanced_arrays");if(n)return e.vertexAttribDivisor=function(e,t){n.vertexAttribDivisorANGLE(e,t)},e.drawArraysInstanced=function(e,t,a,r){n.drawArraysInstancedANGLE(e,t,a,r)},e.drawElementsInstanced=function(e,t,a,r,s){n.drawElementsInstancedANGLE(e,t,a,r,s)},1}function kn(e){var n=e.getExtension("OES_vertex_array_object");if(n)return e.createVertexArray=function(){return n.createVertexArrayOES()},e.deleteVertexArray=function(e){n.deleteVertexArrayOES(e)},e.bindVertexArray=function(e){n.bindVertexArrayOES(e)},e.isVertexArray=function(e){return n.isVertexArrayOES(e)},1}function In(e){var n=e.getExtension("WEBGL_draw_buffers");if(n)return e.drawBuffers=function(e,t){n.drawBuffersWEBGL(e,t)},1}function vn(e){return!!(e.multiDrawWebgl=e.getExtension("WEBGL_multi_draw"))}var Mn={counter:1,buffers:[],programs:[],framebuffers:[],renderbuffers:[],textures:[],uniforms:[],shaders:[],vaos:[],contexts:{},offscreenCanvases:{},timerQueriesEXT:[],programInfos:{},stringCache:{},unpackAlignment:4,recordError:function(e){Mn.lastError||(Mn.lastError=e)},getNewId:function(e){for(var n=Mn.counter++,t=e.length;t<n;t++)e[t]=null;return n},getSource:function(e,n,t,a){for(var s="",u=0;u<n;++u){var o=a?r()[a+4*u>>2]:-1;s+=q(r()[t+4*u>>2],o<0?void 0:o)}return s},createContext:function(e,n){var t=e.getContext("webgl",n);return t?Mn.registerContext(t,n):0},registerContext:function(e,n){var t=Bn(8);r()[t+4>>2]=Gn();var a={handle:t,attributes:n,version:n.majorVersion,GLctx:e};return e.canvas&&(e.canvas.GLctxObject=a),Mn.contexts[t]=a,("undefined"==typeof n.enableExtensionsByDefault||n.enableExtensionsByDefault)&&Mn.initExtensions(a),t},makeContextCurrent:function(e){return Mn.currentContext=Mn.contexts[e],d.ctx=Fn=Mn.currentContext&&Mn.currentContext.GLctx,!(e&&!Fn)},getContext:function(e){return Mn.contexts[e]},deleteContext:function(e){Mn.currentContext===Mn.contexts[e]&&(Mn.currentContext=null),"object"==typeof un&&un.removeAllHandlersOnTarget(Mn.contexts[e].GLctx.canvas),Mn.contexts[e]&&Mn.contexts[e].GLctx.canvas&&(Mn.contexts[e].GLctx.canvas.GLctxObject=void 0),jn(Mn.contexts[e].handle),Mn.contexts[e]=null},initExtensions:function(e){if(e||(e=Mn.currentContext),!e.initExtensionsDone){e.initExtensionsDone=!0;var n=e.GLctx;wn(n),kn(n),In(n),n.disjointTimerQueryExt=n.getExtension("EXT_disjoint_timer_query"),vn(n),(n.getSupportedExtensions()||[]).forEach((function(e){e.indexOf("lose_context")<0&&e.indexOf("debug")<0&&n.getExtension(e)}))}},populateUniformTable:function(e){for(var n=Mn.programs[e],t=Mn.programInfos[e]={uniforms:{},maxUniformLength:0,maxAttributeLength:-1,maxUniformBlockNameLength:-1},a=t.uniforms,r=Fn.getProgramParameter(n,35718),s=0;s<r;++s){var u=Fn.getActiveUniform(n,s),o=u.name;t.maxUniformLength=Math.max(t.maxUniformLength,o.length+1),"]"==o.slice(-1)&&(o=o.slice(0,o.lastIndexOf("[")));var i=Fn.getUniformLocation(n,o);if(i){var d=Mn.getNewId(Mn.uniforms);a[o]=[u.size,d],Mn.uniforms[d]=i;for(var l=1;l<u.size;++l){var c=o+"["+l+"]";i=Fn.getUniformLocation(n,c),d=Mn.getNewId(Mn.uniforms),Mn.uniforms[d]=i}}}}},An=["default","low-power","high-performance"];function xn(e,n){var t=n>>2,a=r()[t+6],s={alpha:!!r()[t+0],depth:!!r()[t+1],stencil:!!r()[t+2],antialias:!!r()[t+3],premultipliedAlpha:!!r()[t+4],preserveDrawingBuffer:!!r()[t+5],powerPreference:An[a],failIfMajorPerformanceCaveat:!!r()[t+7],majorVersion:r()[t+8],minorVersion:r()[t+9],enableExtensionsByDefault:r()[t+10],explicitSwapControl:r()[t+11],proxyContextToMainThread:r()[t+12],renderViaOffscreenBackBuffer:r()[t+13]},u=mn(e);return u?s.explicitSwapControl?0:Mn.createContext(u,s):0}function Sn(e,n){return xn(e,n)}var Fn,En={mappings:{},buffers:[null,[],[]],printChar:function(e,n){var t=En.buffers[e];0===n||10===n?((1===e?S:F)(j(t,0)),t.length=0):t.push(n)},varargs:void 0,get:function(){return En.varargs+=4,r()[En.varargs-4>>2]},getStr:function(e){return q(e)},get64:function(e,n){return e}};function Nn(e){return y?Ze(3,1,e):0}function Cn(e,n,t,a,r){if(y)return Ze(4,1,e,n,t,a,r)}function Tn(e,n,t,s){if(y)return Ze(5,1,e,n,t,s);for(var u=0,o=0;o<t;o++){for(var i=r()[n+8*o>>2],d=r()[n+(8*o+4)>>2],l=0;l<d;l++)En.printChar(e,a()[i+l]);u+=d}return r()[s>>2]=u,0}function On(e){var n=Te.threadExitHandlers.pop();e&&n()}function Dn(e,n){Te.threadExitHandlers.push((function(){Y.get(e)(n)}))}function Rn(e){if(y)throw"Internal Error! spawnThread() can only ever be called from main application thread!";var n=Te.getNewWorker();if(void 0!==n.pthread)throw"Internal error!";if(!e.pthread_ptr)throw"Internal error, no pthread ptr!";Te.runningWorkers.push(n);for(var t=Bn(512),a=0;a<128;++a)r()[t+4*a>>2]=0;var u=e.stackBase+e.stackSize,o=Te.pthreads[e.pthread_ptr]={worker:n,stackBase:e.stackBase,stackSize:e.stackSize,allocatedOwnStack:e.allocatedOwnStack,threadInfoStruct:e.pthread_ptr},i=o.threadInfoStruct>>2;Atomics.store(s(),i+16,e.detached),Atomics.store(s(),i+25,t),Atomics.store(s(),i+10,o.threadInfoStruct),Atomics.store(s(),i+20,e.stackSize),Atomics.store(s(),i+19,u),Atomics.store(s(),i+26,e.stackSize),Atomics.store(s(),i+28,u),Atomics.store(s(),i+29,e.detached);var d=Vn()+40;Atomics.store(s(),i+43,d),n.pthread=o;var l={cmd:"run",start_routine:e.startRoutine,arg:e.arg,threadInfoStruct:e.pthread_ptr,stackBase:e.stackBase,stackSize:e.stackSize};n.runPthread=function(){l.time=performance.now(),n.postMessage(l,e.transferList)},n.loaded&&(n.runPthread(),delete n.runPthread)}function Wn(e,n,t,a){if("undefined"==typeof SharedArrayBuffer)return F("Current environment does not support SharedArrayBuffer, pthreads are not available!"),6;if(!e)return F("pthread_create called with a null thread pointer!"),28;var u=[];if(y&&0===u.length)return Yn(687865856,e,n,t,a);var o=0,i=0,d=0;n&&-1!=n?(o=r()[n>>2],o+=81920,i=r()[n+8>>2],d=0!==r()[n+12>>2]):o=2097152;var l=0==i;l?i=st(16,o):z((i-=o)>0);for(var c=Bn(228),p=0;p<57;++p)s()[(c>>2)+p]=0;r()[e>>2]=c,r()[c+12>>2]=c;var f=c+152;r()[f>>2]=f;var m={stackBase:i,stackSize:o,allocatedOwnStack:l,detached:d,startRoutine:t,pthread_ptr:c,arg:a,transferList:u};return y?(m.cmd="spawnThread",postMessage(m,u)):Rn(m),0}function Pn(e){if(y)return Ze(6,1,e);switch(e){case 30:return 16384;case 85:return 131072;case 132:case 133:case 12:case 137:case 138:case 15:case 235:case 16:case 17:case 18:case 19:case 20:case 149:case 13:case 10:case 236:case 153:case 9:case 21:case 22:case 159:case 154:case 14:case 77:case 78:case 139:case 82:case 68:case 67:case 164:case 11:case 29:case 47:case 48:case 95:case 52:case 51:case 46:return 200809;case 27:case 246:case 127:case 128:case 23:case 24:case 160:case 161:case 181:case 182:case 242:case 183:case 184:case 243:case 244:case 245:case 165:case 178:case 179:case 49:case 50:case 168:case 169:case 175:case 170:case 171:case 172:case 97:case 76:case 32:case 173:case 35:case 80:case 81:case 79:return-1;case 176:case 177:case 7:case 155:case 8:case 157:case 125:case 126:case 92:case 93:case 129:case 130:case 131:case 94:case 91:return 1;case 74:case 60:case 69:case 70:case 4:return 1024;case 31:case 42:case 72:return 32;case 87:case 26:case 33:return 2147483647;case 34:case 1:return 47839;case 38:case 36:return 99;case 43:case 37:return 2048;case 0:return 2097152;case 3:return 65536;case 28:return 32768;case 44:return 32767;case 75:return 16384;case 39:return 1e3;case 89:return 700;case 71:return 256;case 40:return 255;case 2:return 100;case 180:return 64;case 25:return 20;case 5:return 16;case 6:return 6;case 73:return 4;case 84:return"object"==typeof navigator&&navigator.hardwareConcurrency||1}return He(28),-1}y||Te.initMainThreadBlock();var Hn,zn=[null,ze,bn,Nn,Cn,Tn,Pn],Un={e:We,r:Pe,x:Ue,b:Le,y:Be,j:je,c:qe,d:Se,f:Ce,p:Ve,z:Ye,u:tn,q:sn,v:yn,i:gn,t:_n,w:Sn,m:Nn,n:Cn,g:Tn,o:Ae,a:E||d.wasmMemory,k:On,l:Dn,h:Wn,s:Pn},Ln=(ve(),d.___wasm_call_ctors=function(){return(Ln=d.___wasm_call_ctors=d.asm.A).apply(null,arguments)}),Bn=(d._init=function(){return(d._init=d.asm.B).apply(null,arguments)},d._register_tensor=function(){return(d._register_tensor=d.asm.C).apply(null,arguments)},d._dispose_data=function(){return(d._dispose_data=d.asm.D).apply(null,arguments)},d._dispose=function(){return(d._dispose=d.asm.E).apply(null,arguments)},d._Abs=function(){return(d._Abs=d.asm.G).apply(null,arguments)},d._Add=function(){return(d._Add=d.asm.H).apply(null,arguments)},d._AddN=function(){return(d._AddN=d.asm.I).apply(null,arguments)},d._ArgMax=function(){return(d._ArgMax=d.asm.J).apply(null,arguments)},d._AvgPool=function(){return(d._AvgPool=d.asm.K).apply(null,arguments)},d._BatchMatMul=function(){return(d._BatchMatMul=d.asm.L).apply(null,arguments)},d._Ceil=function(){return(d._Ceil=d.asm.M).apply(null,arguments)},d._ClipByValue=function(){return(d._ClipByValue=d.asm.N).apply(null,arguments)},d._Conv2D=function(){return(d._Conv2D=d.asm.O).apply(null,arguments)},d._Conv2DBackpropInput=function(){return(d._Conv2DBackpropInput=d.asm.P).apply(null,arguments)},d._Cos=function(){return(d._Cos=d.asm.Q).apply(null,arguments)},d._CropAndResize=function(){return(d._CropAndResize=d.asm.R).apply(null,arguments)},d._Cumsum=function(){return(d._Cumsum=d.asm.S).apply(null,arguments)},d._DepthToSpace=function(){return(d._DepthToSpace=d.asm.T).apply(null,arguments)},d._DepthwiseConv2dNative=function(){return(d._DepthwiseConv2dNative=d.asm.U).apply(null,arguments)},d._Equal=function(){return(d._Equal=d.asm.V).apply(null,arguments)},d._Exp=function(){return(d._Exp=d.asm.W).apply(null,arguments)},d._FlipLeftRight=function(){return(d._FlipLeftRight=d.asm.X).apply(null,arguments)},d._Floor=function(){return(d._Floor=d.asm.Y).apply(null,arguments)},d._FloorDiv=function(){return(d._FloorDiv=d.asm.Z).apply(null,arguments)},d._FusedBatchNorm=function(){return(d._FusedBatchNorm=d.asm._).apply(null,arguments)},d._FusedConv2D=function(){return(d._FusedConv2D=d.asm.$).apply(null,arguments)},d._FusedDepthwiseConv2D=function(){return(d._FusedDepthwiseConv2D=d.asm.aa).apply(null,arguments)},d._Gather=function(){return(d._Gather=d.asm.ba).apply(null,arguments)},d._GatherNd=function(){return(d._GatherNd=d.asm.ca).apply(null,arguments)},d._Greater=function(){return(d._Greater=d.asm.da).apply(null,arguments)},d._GreaterEqual=function(){return(d._GreaterEqual=d.asm.ea).apply(null,arguments)},d._LeakyRelu=function(){return(d._LeakyRelu=d.asm.fa).apply(null,arguments)},d._Less=function(){return(d._Less=d.asm.ga).apply(null,arguments)},d._LessEqual=function(){return(d._LessEqual=d.asm.ha).apply(null,arguments)},d._Log=function(){return(d._Log=d.asm.ia).apply(null,arguments)},d._LogicalAnd=function(){return(d._LogicalAnd=d.asm.ja).apply(null,arguments)},d._Max=function(){return(d._Max=d.asm.ka).apply(null,arguments)},d._MaxPool=function(){return(d._MaxPool=d.asm.la).apply(null,arguments)},d._Maximum=function(){return(d._Maximum=d.asm.ma).apply(null,arguments)},d._Mean=function(){return(d._Mean=d.asm.na).apply(null,arguments)},d._Min=function(){return(d._Min=d.asm.oa).apply(null,arguments)},d._Minimum=function(){return(d._Minimum=d.asm.pa).apply(null,arguments)},d._Multiply=function(){return(d._Multiply=d.asm.qa).apply(null,arguments)},d._Neg=function(){return(d._Neg=d.asm.ra).apply(null,arguments)},d._NonMaxSuppressionV3=function(){return(d._NonMaxSuppressionV3=d.asm.sa).apply(null,arguments)},d._NonMaxSuppressionV4=function(){return(d._NonMaxSuppressionV4=d.asm.ta).apply(null,arguments)},d._NonMaxSuppressionV5=function(){return(d._NonMaxSuppressionV5=d.asm.ua).apply(null,arguments)},d._NotEqual=function(){return(d._NotEqual=d.asm.va).apply(null,arguments)},d._OneHot=function(){return(d._OneHot=d.asm.wa).apply(null,arguments)},d._PadV2=function(){return(d._PadV2=d.asm.xa).apply(null,arguments)},d._Pow=function(){return(d._Pow=d.asm.ya).apply(null,arguments)},d._Prelu=function(){return(d._Prelu=d.asm.za).apply(null,arguments)},d._Prod=function(){return(d._Prod=d.asm.Aa).apply(null,arguments)},d._RealDiv=function(){return(d._RealDiv=d.asm.Ba).apply(null,arguments)},d._Relu=function(){return(d._Relu=d.asm.Ca).apply(null,arguments)},d._Relu6=function(){return(d._Relu6=d.asm.Da).apply(null,arguments)},d._ResizeBilinear=function(){return(d._ResizeBilinear=d.asm.Ea).apply(null,arguments)},d._Reverse=function(){return(d._Reverse=d.asm.Fa).apply(null,arguments)},d._RotateWithOffset=function(){return(d._RotateWithOffset=d.asm.Ga).apply(null,arguments)},d._Round=function(){return(d._Round=d.asm.Ha).apply(null,arguments)},d._Rsqrt=function(){return(d._Rsqrt=d.asm.Ia).apply(null,arguments)},d._ScatterNd=function(){return(d._ScatterNd=d.asm.Ja).apply(null,arguments)},d._SelectV2=function(){return(d._SelectV2=d.asm.Ka).apply(null,arguments)},d._Sigmoid=function(){return(d._Sigmoid=d.asm.La).apply(null,arguments)},d._Sin=function(){return(d._Sin=d.asm.Ma).apply(null,arguments)},d._Softmax=function(){return(d._Softmax=d.asm.Na).apply(null,arguments)},d._Sqrt=function(){return(d._Sqrt=d.asm.Oa).apply(null,arguments)},d._Square=function(){return(d._Square=d.asm.Pa).apply(null,arguments)},d._SquaredDifference=function(){return(d._SquaredDifference=d.asm.Qa).apply(null,arguments)},d._Step=function(){return(d._Step=d.asm.Ra).apply(null,arguments)},d._StridedSlice=function(){return(d._StridedSlice=d.asm.Sa).apply(null,arguments)},d._Sub=function(){return(d._Sub=d.asm.Ta).apply(null,arguments)},d._Sum=function(){return(d._Sum=d.asm.Ua).apply(null,arguments)},d._Tanh=function(){return(d._Tanh=d.asm.Va).apply(null,arguments)},d._Tile=function(){return(d._Tile=d.asm.Wa).apply(null,arguments)},d._TopK=function(){return(d._TopK=d.asm.Xa).apply(null,arguments)},d._Transpose=function(){return(d._Transpose=d.asm.Ya).apply(null,arguments)},d.__FusedMatMul=function(){return(d.__FusedMatMul=d.asm.Za).apply(null,arguments)},d._malloc=function(){return(Bn=d._malloc=d.asm._a).apply(null,arguments)}),jn=d._free=function(){return(jn=d._free=d.asm.$a).apply(null,arguments)},qn=d.___errno_location=function(){return(qn=d.___errno_location=d.asm.ab).apply(null,arguments)},Vn=d._emscripten_get_global_libc=function(){return(Vn=d._emscripten_get_global_libc=d.asm.bb).apply(null,arguments)},Gn=d._pthread_self=function(){return(Gn=d._pthread_self=d.asm.cb).apply(null,arguments)},$n=d.___pthread_tsd_run_dtors=function(){return($n=d.___pthread_tsd_run_dtors=d.asm.db).apply(null,arguments)},Kn=d._emscripten_main_thread_process_queued_calls=function(){return(Kn=d._emscripten_main_thread_process_queued_calls=d.asm.eb).apply(null,arguments)},Qn=(d._emscripten_current_thread_process_queued_calls=function(){return(d._emscripten_current_thread_process_queued_calls=d.asm.fb).apply(null,arguments)},d._emscripten_register_main_browser_thread_id=function(){return(Qn=d._emscripten_register_main_browser_thread_id=d.asm.gb).apply(null,arguments)}),Xn=d.__emscripten_do_dispatch_to_thread=function(){return(Xn=d.__emscripten_do_dispatch_to_thread=d.asm.hb).apply(null,arguments)},Yn=d._emscripten_sync_run_in_main_thread_4=function(){return(Yn=d._emscripten_sync_run_in_main_thread_4=d.asm.ib).apply(null,arguments)},Zn=d._emscripten_run_in_main_runtime_thread_js=function(){return(Zn=d._emscripten_run_in_main_runtime_thread_js=d.asm.jb).apply(null,arguments)},Jn=d.__emscripten_call_on_thread=function(){return(Jn=d.__emscripten_call_on_thread=d.asm.kb).apply(null,arguments)},et=(d._emscripten_tls_init=function(){return(d._emscripten_tls_init=d.asm.lb).apply(null,arguments)},d.__emscripten_thread_init=function(){return(et=d.__emscripten_thread_init=d.asm.mb).apply(null,arguments)}),nt=d.stackSave=function(){return(nt=d.stackSave=d.asm.nb).apply(null,arguments)},tt=d.stackRestore=function(){return(tt=d.stackRestore=d.asm.ob).apply(null,arguments)},at=d.stackAlloc=function(){return(at=d.stackAlloc=d.asm.pb).apply(null,arguments)},rt=d._emscripten_stack_set_limits=function(){return(rt=d._emscripten_stack_set_limits=d.asm.qb).apply(null,arguments)},st=d._memalign=function(){return(st=d._memalign=d.asm.rb).apply(null,arguments)},ut=d.__emscripten_allow_main_runtime_queued_calls=9880,ot=d.__emscripten_main_thread_futex=11368;function it(e){this.name="ExitStatus",this.message="Program terminated with exit("+e+")",this.status=e}function dt(e){if(!(de>0)){if(y)return o(d),void postMessage({cmd:"loaded"});ae(),de>0||(d.setStatus?(d.setStatus("Running..."),setTimeout((function(){setTimeout((function(){d.setStatus("")}),1),n()}),1)):n())}function n(){Hn||(Hn=!0,d.calledRun=!0,H||(re(),se(),o(d),d.onRuntimeInitialized&&d.onRuntimeInitialized(),ue()))}}function lt(e,n){if(!n||!C||0!==e){if(!n&&y)throw postMessage({cmd:"exitProcess",returnCode:e}),new it(e);C||(Te.terminateAllThreads(),d.onExit&&d.onExit(e),H=!0),p(e,new it(e))}}if(d.cwrap=B,d.PThread=Te,d.PThread=Te,d.wasmMemory=E,d.ExitStatus=it,ce=function e(){Hn||dt(),Hn||(ce=e)},d.run=dt,d.preInit)for("function"==typeof d.preInit&&(d.preInit=[d.preInit]);d.preInit.length>0;)d.preInit.pop()();return y&&(C=!1,Te.initWorker()),dt(),e.ready});e.exports=a}));var wa=ga((function(e,n){var t,a=(t="undefined"!=typeof document&&document.currentScript?document.currentScript.src:void 0,"undefined"!=typeof __filename&&(t=t||__filename),function(e){var n,a,r="undefined"!=typeof(e=e||{})?e:{};r.ready=new Promise((function(e,t){n=e,a=t}));var s,u={};for(s in r)r.hasOwnProperty(s)&&(u[s]=r[s]);var o=!1,i=!1,d=!1,l=!1;o="object"==typeof window,i="function"==typeof importScripts,d="object"==typeof process&&"object"==typeof process.versions&&"string"==typeof process.versions.node,l=!o&&!d&&!i;var c,p,f,m,h,b="";function y(e){return r.locateFile?r.locateFile(e,b):b+e}d?(b=i?Ge.dirname(b)+"/":__dirname+"/",c=function(e,n){return m||(m=$e),h||(h=Ge),e=h.normalize(e),m.readFileSync(e,n?null:"utf8")},f=function(e){var n=c(e,!0);return n.buffer||(n=new Uint8Array(n)),v(n.buffer),n},process.argv.length>1&&process.argv[1].replace(/\\/g,"/"),process.argv.slice(2),process.on("uncaughtException",(function(e){if(!(e instanceof Se))throw e})),process.on("unhandledRejection",ne),r.inspect=function(){return"[Emscripten Module object]"}):l?("undefined"!=typeof read&&(c=function(e){return read(e)}),f=function(e){var n;return"function"==typeof readbuffer?new Uint8Array(readbuffer(e)):(v("object"==typeof(n=read(e,"binary"))),n)},"undefined"!=typeof scriptArgs&&scriptArgs,"undefined"!=typeof print&&("undefined"==typeof console&&(console={}),console.log=print,console.warn=console.error="undefined"!=typeof printErr?printErr:print)):(o||i)&&(i?b=self.location.href:"undefined"!=typeof document&&document.currentScript&&(b=document.currentScript.src),t&&(b=t),b=0!==b.indexOf("blob:")?b.substr(0,b.lastIndexOf("/")+1):"",c=function(e){var n=new XMLHttpRequest;return n.open("GET",e,!1),n.send(null),n.responseText},i&&(f=function(e){var n=new XMLHttpRequest;return n.open("GET",e,!1),n.responseType="arraybuffer",n.send(null),new Uint8Array(n.response)}),p=function(e,n,t){var a=new XMLHttpRequest;a.open("GET",e,!0),a.responseType="arraybuffer",a.onload=function(){200==a.status||0==a.status&&a.response?n(a.response):t()},a.onerror=t,a.send(null)});var g,_,w=r.print||console.log.bind(console),k=r.printErr||console.warn.bind(console);for(s in u)u.hasOwnProperty(s)&&(r[s]=u[s]);u=null,r.arguments&&r.arguments,r.thisProgram&&r.thisProgram,r.quit&&r.quit,r.wasmBinary&&(g=r.wasmBinary),r.noExitRuntime,"object"!=typeof WebAssembly&&ne("no native wasm support detected");var I=!1;function v(e,n){e||ne("Assertion failed: "+n)}function M(e){var n=r["_"+e];return v(n,"Cannot call unknown function "+e+", make sure it is exported"),n}function A(e,n,t,a,r){var s={string:function(e){var n=0;if(null!=e&&0!==e){var t=1+(e.length<<2);R(e,n=xe(t),t)}return n},array:function(e){var n=xe(e.length);return W(e,n),n}},u=M(e),o=[],i=0;if(a)for(var d=0;d<a.length;d++){var l=s[t[d]];l?(0===i&&(i=Me()),o[d]=l(a[d])):o[d]=a[d]}var c=u.apply(null,o);return c=function(e){return"string"===n?O(e):"boolean"===n?Boolean(e):e}(c),0!==i&&Ae(i),c}function x(e,n,t,a){var r=(t=t||[]).every((function(e){return"number"===e}));return"string"!==n&&r&&!a?M(e):function(){return A(e,n,t,arguments)}}var S,F,E,N,C="undefined"!=typeof TextDecoder?new TextDecoder("utf8"):void 0;function T(e,n,t){for(var a=n+t,r=n;e[r]&&!(r>=a);)++r;if(r-n>16&&e.subarray&&C)return C.decode(e.subarray(n,r));for(var s="";n<r;){var u=e[n++];if(128&u){var o=63&e[n++];if(192!=(224&u)){var i=63&e[n++];if((u=224==(240&u)?(15&u)<<12|o<<6|i:(7&u)<<18|o<<12|i<<6|63&e[n++])<65536)s+=String.fromCharCode(u);else{var d=u-65536;s+=String.fromCharCode(55296|d>>10,56320|1023&d)}}else s+=String.fromCharCode((31&u)<<6|o)}else s+=String.fromCharCode(u)}return s}function O(e,n){return e?T(E,e,n):""}function D(e,n,t,a){if(!(a>0))return 0;for(var r=t,s=t+a-1,u=0;u<e.length;++u){var o=e.charCodeAt(u);if(o>=55296&&o<=57343&&(o=65536+((1023&o)<<10)|1023&e.charCodeAt(++u)),o<=127){if(t>=s)break;n[t++]=o}else if(o<=2047){if(t+1>=s)break;n[t++]=192|o>>6,n[t++]=128|63&o}else if(o<=65535){if(t+2>=s)break;n[t++]=224|o>>12,n[t++]=128|o>>6&63,n[t++]=128|63&o}else{if(t+3>=s)break;n[t++]=240|o>>18,n[t++]=128|o>>12&63,n[t++]=128|o>>6&63,n[t++]=128|63&o}}return n[t]=0,t-r}function R(e,n,t){return D(e,E,n,t)}function W(e,n){F.set(e,n)}function P(e,n){return e%n>0&&(e+=n-e%n),e}function H(e){S=e,r.HEAP8=F=new Int8Array(e),r.HEAP16=new Int16Array(e),r.HEAP32=N=new Int32Array(e),r.HEAPU8=E=new Uint8Array(e),r.HEAPU16=new Uint16Array(e),r.HEAPU32=new Uint32Array(e),r.HEAPF32=new Float32Array(e),r.HEAPF64=new Float64Array(e)}r.INITIAL_MEMORY;var z,U=[],L=[],B=[],j=[];function q(){if(r.preRun)for("function"==typeof r.preRun&&(r.preRun=[r.preRun]);r.preRun.length;)K(r.preRun.shift());ce(U)}function V(){ce(L)}function G(){ce(B)}function $(){if(r.postRun)for("function"==typeof r.postRun&&(r.postRun=[r.postRun]);r.postRun.length;)Q(r.postRun.shift());ce(j)}function K(e){U.unshift(e)}function Q(e){j.unshift(e)}L.push({func:function(){ve()}});var X=0,Y=null,Z=null;function J(e){X++,r.monitorRunDependencies&&r.monitorRunDependencies(X)}function ee(e){if(X--,r.monitorRunDependencies&&r.monitorRunDependencies(X),0==X&&(null!==Y&&(clearInterval(Y),Y=null),Z)){var n=Z;Z=null,n()}}function ne(e){r.onAbort&&r.onAbort(e),k(e+=""),I=!0,e="abort("+e+"). Build with -s ASSERTIONS=1 for more info.";var n=new WebAssembly.RuntimeError(e);throw a(n),n}function te(e,n){return String.prototype.startsWith?e.startsWith(n):0===e.indexOf(n)}r.preloadedImages={},r.preloadedAudios={};var ae="data:application/octet-stream;base64,";function re(e){return te(e,ae)}var se="file://";function ue(e){return te(e,se)}var oe="tfjs-backend-wasm.wasm";function ie(e){try{if(e==oe&&g)return new Uint8Array(g);if(f)return f(e);throw"both async and sync fetching of the wasm failed"}catch(e){ne(e)}}function de(){if(!g&&(o||i)){if("function"==typeof fetch&&!ue(oe))return fetch(oe,{credentials:"same-origin"}).then((function(e){if(!e.ok)throw"failed to load wasm binary file at '"+oe+"'";return e.arrayBuffer()})).catch((function(){return ie(oe)}));if(p)return new Promise((function(e,n){p(oe,(function(n){e(new Uint8Array(n))}),n)}))}return Promise.resolve().then((function(){return ie(oe)}))}function le(){var e={a:Ie};function n(e,n){var t=e.exports;r.asm=t,H((_=r.asm.g).buffer),z=r.asm.m,ee()}function t(e){n(e.instance)}function s(n){return de().then((function(n){return WebAssembly.instantiate(n,e)})).then(n,(function(e){k("failed to asynchronously prepare wasm: "+e),ne(e)}))}if(J(),r.instantiateWasm)try{return r.instantiateWasm(e,n)}catch(e){return k("Module.instantiateWasm callback failed with error: "+e),!1}return(g||"function"!=typeof WebAssembly.instantiateStreaming||re(oe)||ue(oe)||"function"!=typeof fetch?s(t):fetch(oe,{credentials:"same-origin"}).then((function(n){return WebAssembly.instantiateStreaming(n,e).then(t,(function(e){return k("wasm streaming compile failed: "+e),k("falling back to ArrayBuffer instantiation"),s(t)}))}))).catch(a),{}}function ce(e){for(;e.length>0;){var n=e.shift();if("function"!=typeof n){var t=n.func;"number"==typeof t?void 0===n.arg?z.get(t)():z.get(t)(n.arg):t(void 0===n.arg?null:n.arg)}else n(r)}}function pe(){ne()}function fe(e,n,t){E.copyWithin(e,n,n+t)}function me(){return E.length}function he(e){try{return _.grow(e-S.byteLength+65535>>>16),H(_.buffer),1}catch(e){}}function be(e){var n=me();if(e>2147483648)return!1;for(var t=1;t<=4;t*=2){var a=n*(1+.2/t);if(a=Math.min(a,e+100663296),he(Math.min(2147483648,P(Math.max(e,a),65536))))return!0}return!1}re(oe)||(oe=y(oe));var ye={mappings:{},buffers:[null,[],[]],printChar:function(e,n){var t=ye.buffers[e];0===n||10===n?((1===e?w:k)(T(t,0)),t.length=0):t.push(n)},varargs:void 0,get:function(){return ye.varargs+=4,N[ye.varargs-4>>2]},getStr:function(e){return O(e)},get64:function(e,n){return e}};function ge(e){return 0}function _e(e,n,t,a,r){}function we(e,n,t,a){for(var r=0,s=0;s<t;s++){for(var u=N[n+8*s>>2],o=N[n+(8*s+4)>>2],i=0;i<o;i++)ye.printChar(e,E[u+i]);r+=o}return N[a>>2]=r,0}var ke,Ie={a:pe,d:fe,e:be,f:ge,c:_e,b:we},ve=(le(),r.___wasm_call_ctors=function(){return(ve=r.___wasm_call_ctors=r.asm.h).apply(null,arguments)}),Me=(r._init=function(){return(r._init=r.asm.i).apply(null,arguments)},r._register_tensor=function(){return(r._register_tensor=r.asm.j).apply(null,arguments)},r._dispose_data=function(){return(r._dispose_data=r.asm.k).apply(null,arguments)},r._dispose=function(){return(r._dispose=r.asm.l).apply(null,arguments)},r._Abs=function(){return(r._Abs=r.asm.n).apply(null,arguments)},r._Add=function(){return(r._Add=r.asm.o).apply(null,arguments)},r._AddN=function(){return(r._AddN=r.asm.p).apply(null,arguments)},r._ArgMax=function(){return(r._ArgMax=r.asm.q).apply(null,arguments)},r._AvgPool=function(){return(r._AvgPool=r.asm.r).apply(null,arguments)},r._BatchMatMul=function(){return(r._BatchMatMul=r.asm.s).apply(null,arguments)},r._Ceil=function(){return(r._Ceil=r.asm.t).apply(null,arguments)},r._ClipByValue=function(){return(r._ClipByValue=r.asm.u).apply(null,arguments)},r._Conv2D=function(){return(r._Conv2D=r.asm.v).apply(null,arguments)},r._Conv2DBackpropInput=function(){return(r._Conv2DBackpropInput=r.asm.w).apply(null,arguments)},r._Cos=function(){return(r._Cos=r.asm.x).apply(null,arguments)},r._CropAndResize=function(){return(r._CropAndResize=r.asm.y).apply(null,arguments)},r._Cumsum=function(){return(r._Cumsum=r.asm.z).apply(null,arguments)},r._DepthToSpace=function(){return(r._DepthToSpace=r.asm.A).apply(null,arguments)},r._DepthwiseConv2dNative=function(){return(r._DepthwiseConv2dNative=r.asm.B).apply(null,arguments)},r._Equal=function(){return(r._Equal=r.asm.C).apply(null,arguments)},r._Exp=function(){return(r._Exp=r.asm.D).apply(null,arguments)},r._FlipLeftRight=function(){return(r._FlipLeftRight=r.asm.E).apply(null,arguments)},r._Floor=function(){return(r._Floor=r.asm.F).apply(null,arguments)},r._FloorDiv=function(){return(r._FloorDiv=r.asm.G).apply(null,arguments)},r._FusedBatchNorm=function(){return(r._FusedBatchNorm=r.asm.H).apply(null,arguments)},r._FusedConv2D=function(){return(r._FusedConv2D=r.asm.I).apply(null,arguments)},r._FusedDepthwiseConv2D=function(){return(r._FusedDepthwiseConv2D=r.asm.J).apply(null,arguments)},r._Gather=function(){return(r._Gather=r.asm.K).apply(null,arguments)},r._GatherNd=function(){return(r._GatherNd=r.asm.L).apply(null,arguments)},r._Greater=function(){return(r._Greater=r.asm.M).apply(null,arguments)},r._GreaterEqual=function(){return(r._GreaterEqual=r.asm.N).apply(null,arguments)},r._LeakyRelu=function(){return(r._LeakyRelu=r.asm.O).apply(null,arguments)},r._Less=function(){return(r._Less=r.asm.P).apply(null,arguments)},r._LessEqual=function(){return(r._LessEqual=r.asm.Q).apply(null,arguments)},r._Log=function(){return(r._Log=r.asm.R).apply(null,arguments)},r._LogicalAnd=function(){return(r._LogicalAnd=r.asm.S).apply(null,arguments)},r._Max=function(){return(r._Max=r.asm.T).apply(null,arguments)},r._MaxPool=function(){return(r._MaxPool=r.asm.U).apply(null,arguments)},r._Maximum=function(){return(r._Maximum=r.asm.V).apply(null,arguments)},r._Mean=function(){return(r._Mean=r.asm.W).apply(null,arguments)},r._Min=function(){return(r._Min=r.asm.X).apply(null,arguments)},r._Minimum=function(){return(r._Minimum=r.asm.Y).apply(null,arguments)},r._Multiply=function(){return(r._Multiply=r.asm.Z).apply(null,arguments)},r._Neg=function(){return(r._Neg=r.asm._).apply(null,arguments)},r._NonMaxSuppressionV3=function(){return(r._NonMaxSuppressionV3=r.asm.$).apply(null,arguments)},r._NonMaxSuppressionV4=function(){return(r._NonMaxSuppressionV4=r.asm.aa).apply(null,arguments)},r._NonMaxSuppressionV5=function(){return(r._NonMaxSuppressionV5=r.asm.ba).apply(null,arguments)},r._NotEqual=function(){return(r._NotEqual=r.asm.ca).apply(null,arguments)},r._OneHot=function(){return(r._OneHot=r.asm.da).apply(null,arguments)},r._PadV2=function(){return(r._PadV2=r.asm.ea).apply(null,arguments)},r._Pow=function(){return(r._Pow=r.asm.fa).apply(null,arguments)},r._Prelu=function(){return(r._Prelu=r.asm.ga).apply(null,arguments)},r._Prod=function(){return(r._Prod=r.asm.ha).apply(null,arguments)},r._RealDiv=function(){return(r._RealDiv=r.asm.ia).apply(null,arguments)},r._Relu=function(){return(r._Relu=r.asm.ja).apply(null,arguments)},r._Relu6=function(){return(r._Relu6=r.asm.ka).apply(null,arguments)},r._ResizeBilinear=function(){return(r._ResizeBilinear=r.asm.la).apply(null,arguments)},r._Reverse=function(){return(r._Reverse=r.asm.ma).apply(null,arguments)},r._RotateWithOffset=function(){return(r._RotateWithOffset=r.asm.na).apply(null,arguments)},r._Round=function(){return(r._Round=r.asm.oa).apply(null,arguments)},r._Rsqrt=function(){return(r._Rsqrt=r.asm.pa).apply(null,arguments)},r._ScatterNd=function(){return(r._ScatterNd=r.asm.qa).apply(null,arguments)},r._SelectV2=function(){return(r._SelectV2=r.asm.ra).apply(null,arguments)},r._Sigmoid=function(){return(r._Sigmoid=r.asm.sa).apply(null,arguments)},r._Sin=function(){return(r._Sin=r.asm.ta).apply(null,arguments)},r._Softmax=function(){return(r._Softmax=r.asm.ua).apply(null,arguments)},r._Sqrt=function(){return(r._Sqrt=r.asm.va).apply(null,arguments)},r._Square=function(){return(r._Square=r.asm.wa).apply(null,arguments)},r._SquaredDifference=function(){return(r._SquaredDifference=r.asm.xa).apply(null,arguments)},r._Step=function(){return(r._Step=r.asm.ya).apply(null,arguments)},r._StridedSlice=function(){return(r._StridedSlice=r.asm.za).apply(null,arguments)},r._Sub=function(){return(r._Sub=r.asm.Aa).apply(null,arguments)},r._Sum=function(){return(r._Sum=r.asm.Ba).apply(null,arguments)},r._Tanh=function(){return(r._Tanh=r.asm.Ca).apply(null,arguments)},r._Tile=function(){return(r._Tile=r.asm.Da).apply(null,arguments)},r._TopK=function(){return(r._TopK=r.asm.Ea).apply(null,arguments)},r._Transpose=function(){return(r._Transpose=r.asm.Fa).apply(null,arguments)},r.__FusedMatMul=function(){return(r.__FusedMatMul=r.asm.Ga).apply(null,arguments)},r._malloc=function(){return(r._malloc=r.asm.Ha).apply(null,arguments)},r._free=function(){return(r._free=r.asm.Ia).apply(null,arguments)},r.stackSave=function(){return(Me=r.stackSave=r.asm.Ja).apply(null,arguments)}),Ae=r.stackRestore=function(){return(Ae=r.stackRestore=r.asm.Ka).apply(null,arguments)},xe=r.stackAlloc=function(){return(xe=r.stackAlloc=r.asm.La).apply(null,arguments)};function Se(e){this.name="ExitStatus",this.message="Program terminated with exit("+e+")",this.status=e}function Fe(e){function t(){ke||(ke=!0,r.calledRun=!0,I||(V(),G(),n(r),r.onRuntimeInitialized&&r.onRuntimeInitialized(),$()))}X>0||(q(),X>0||(r.setStatus?(r.setStatus("Running..."),setTimeout((function(){setTimeout((function(){r.setStatus("")}),1),t()}),1)):t()))}if(r.cwrap=x,Z=function e(){ke||Fe(),ke||(Z=e)},r.run=Fe,r.preInit)for("function"==typeof r.preInit&&(r.preInit=[r.preInit]);r.preInit.length>0;)r.preInit.pop()();return Fe(),e.ready});e.exports=a}));class ka extends Le{constructor(e){super(),this.wasm=e,this.dataIdNextNumber=1,this.wasm.tfjs.init(),this.dataIdMap=new Be(this,je())}write(e,n,t){const a={id:this.dataIdNextNumber++};return this.move(a,e,n,t,1),a}numDataIds(){return this.dataIdMap.numDataIds()}async time(e){const t=n.now();e();return{kernelMs:n.now()-t}}move(e,t,a,r,s){const u=this.dataIdNextNumber++;if("string"===r){const n=t;return void this.dataIdMap.set(e,{id:u,stringBytes:n,shape:a,dtype:r,memoryOffset:null,refCount:s})}const o=n.sizeFromShape(a),i=o*n.bytesPerElement(r),d=this.wasm._malloc(i);this.dataIdMap.set(e,{id:u,memoryOffset:d,shape:a,dtype:r,refCount:s}),this.wasm.tfjs.registerTensor(u,o,d),null!=t&&this.wasm.HEAPU8.set(new Uint8Array(t.buffer,t.byteOffset,i),d)}async read(e){return this.readSync(e)}readSync(e){const{memoryOffset:t,dtype:a,shape:r,stringBytes:s}=this.dataIdMap.get(e);if("string"===a)return s;return function(e,n){switch(n){case"float32":return new Float32Array(e);case"int32":return new Int32Array(e);case"bool":return new Uint8Array(e);default:throw new Error("Unknown dtype "+n)}}(this.wasm.HEAPU8.slice(t,t+n.sizeFromShape(r)*n.bytesPerElement(a)).buffer,a)}disposeData(e,n=!1){if(this.dataIdMap.has(e)){const t=this.dataIdMap.get(e);if(t.refCount--,!n&&t.refCount>0)return!1;this.wasm._free(t.memoryOffset),this.wasm.tfjs.disposeData(t.id),this.dataIdMap.delete(e)}return!0}refCount(e){if(this.dataIdMap.has(e)){return this.dataIdMap.get(e).refCount}return 0}incRef(e){const n=this.dataIdMap.get(e);null!=n&&n.refCount++}floatPrecision(){return 32}getMemoryOffset(e){return this.dataIdMap.get(e).memoryOffset}dispose(){this.wasm.tfjs.dispose(),this.wasm=null}memory(){return{unreliable:!1}}makeOutput(e,t,a){let r;if(null==a)r=this.write(null,e,t);else{const s=this.dataIdNextNumber++;r={id:s},this.dataIdMap.set(r,{id:s,memoryOffset:a,shape:e,dtype:t,refCount:1});const u=n.sizeFromShape(e);this.wasm.tfjs.registerTensor(s,u,a)}return{dataId:r,shape:e,dtype:t}}typedArrayFromHeap({shape:e,dtype:t,dataId:a}){const r=this.wasm.HEAPU8.buffer,{memoryOffset:s}=this.dataIdMap.get(a),u=n.sizeFromShape(e);switch(t){case"float32":return new Float32Array(r,s,u);case"int32":return new Int32Array(r,s,u);case"bool":return new Uint8Array(r,s,u);default:throw new Error("Unknown dtype "+t)}}}function Ia(e,n,t){if(null!=Aa)return Aa;let a="tfjs-backend-wasm.wasm";return e&&n?a="tfjs-backend-wasm-threaded-simd.wasm":e&&(a="tfjs-backend-wasm-simd.wasm"),null!=Sa&&null!=Sa[a]?Sa[a]:t+a}async function va(){const[e,t]=await Promise.all([Ue().getAsync("WASM_HAS_SIMD_SUPPORT"),Ue().getAsync("WASM_HAS_MULTITHREAD_SUPPORT")]);return new Promise((a,r)=>{const s={locateFile:(n,a)=>{if(n.endsWith(".worker.js")){const e=new Blob(['var Module={};function threadPrintErr(){var text=Array.prototype.slice.call(arguments).join(" ");console.error(text)}function threadAlert(){var text=Array.prototype.slice.call(arguments).join(" ");postMessage({cmd:"alert",text:text,threadId:Module["_pthread_self"]()})}var err=threadPrintErr;this.alert=threadAlert;Module["instantiateWasm"]=function(info,receiveInstance){var instance=new WebAssembly.Instance(Module["wasmModule"],info);Module["wasmModule"]=null;receiveInstance(instance);return instance.exports};function moduleLoaded(){}this.onmessage=function(e){try{if(e.data.cmd==="load"){Module["wasmModule"]=e.data.wasmModule;Module["wasmMemory"]=e.data.wasmMemory;Module["buffer"]=Module["wasmMemory"].buffer;Module["ENVIRONMENT_IS_PTHREAD"]=true;if(typeof e.data.urlOrBlob==="string"){importScripts(e.data.urlOrBlob)}else{var objectUrl=URL.createObjectURL(e.data.urlOrBlob);importScripts(objectUrl);URL.revokeObjectURL(objectUrl)}WasmBackendModuleThreadedSimd(Module).then(function(instance){Module=instance;moduleLoaded()})}else if(e.data.cmd==="objectTransfer"){Module["PThread"].receiveObjectTransfer(e.data)}else if(e.data.cmd==="run"){Module["__performance_now_clock_drift"]=performance.now()-e.data.time;Module["__emscripten_thread_init"](e.data.threadInfoStruct,0,0);var max=e.data.stackBase;var top=e.data.stackBase+e.data.stackSize;Module["establishStackSpace"](top,max);Module["_emscripten_tls_init"]();Module["PThread"].receiveObjectTransfer(e.data);Module["PThread"].setThreadStatus(Module["_pthread_self"](),1);try{var result=Module["invokeEntryPoint"](e.data.start_routine,e.data.arg);if(!Module["getNoExitRuntime"]())Module["PThread"].threadExit(result)}catch(ex){if(ex==="Canceled!"){Module["PThread"].threadCancel()}else if(ex!="unwind"){if(ex instanceof Module["ExitStatus"]){if(Module["getNoExitRuntime"]()){}else{Module["PThread"].threadExit(ex.status)}}else{Module["PThread"].threadExit(-2);throw ex}}}}else if(e.data.cmd==="cancel"){if(Module["_pthread_self"]()){Module["PThread"].threadCancel()}}else if(e.data.target==="setimmediate"){}else if(e.data.cmd==="processThreadQueue"){if(Module["_pthread_self"]()){Module["_emscripten_current_thread_process_queued_calls"]()}}else{err("worker.js received unknown command "+e.data.cmd);err(e.data)}}catch(ex){err("worker.js onmessage() captured an uncaught exception: "+ex);if(ex&&ex.stack)err(ex.stack);throw ex}};if(typeof process==="object"&&typeof process.versions==="object"&&typeof process.versions.node==="string"){self={location:{href:__filename}};var onmessage=this.onmessage;var nodeWorkerThreads=require("worker_threads");global.Worker=nodeWorkerThreads.Worker;var parentPort=nodeWorkerThreads.parentPort;parentPort.on("message",function(data){onmessage({data:data})});var nodeFS=require("fs");var nodeRead=function(filename){return nodeFS.readFileSync(filename,"utf8")};function globalEval(x){global.require=require;global.Module=Module;eval.call(null,x)}importScripts=function(f){globalEval(nodeRead(f))};postMessage=function(msg){parentPort.postMessage(msg)};if(typeof performance==="undefined"){performance={now:function(){return Date.now()}}}}'],{type:"application/javascript"});return URL.createObjectURL(e)}return n.endsWith(".wasm")?Ia(e,t,null!=xa?xa:a):a+n}};Ea&&(s.instantiateWasm=function(e){return(t,a)=>(n.fetch(e,{credentials:"same-origin"}).then(n=>{n.ok||t.env.a(`failed to load wasm binary file at '${e}'`),n.arrayBuffer().then(e=>{WebAssembly.instantiate(e,t).then(e=>{a(e.instance)})})}),{})}(Ia(e,t,null!=xa?xa:"")));let u,o=!1;s.onAbort=()=>{if(o)return;if(Fa)return;Fa=!0;r({message:"Make sure the server can serve the `.wasm` file relative to the bundled js file. For more details see https://github.com/tensorflow/tfjs/blob/master/tfjs-backend-wasm/README.md#using-bundlers"})},t&&e&&null==Aa?(s.mainScriptUrlOrBlob=new Blob(["var WasmBackendModuleThreadedSimd = "+_a.toString()],{type:"text/javascript"}),u=_a(s)):u=wa(s),u.then(e=>{o=!0,Fa=!1;e.tfjs={init:e.cwrap("init",null,[]),registerTensor:e.cwrap("register_tensor",null,["number","number","number"]),disposeData:e.cwrap("dispose_data",null,["number"]),dispose:e.cwrap("dispose",null,[])},a({wasm:e})})})}const Ma=["tfjs-backend-wasm.wasm","tfjs-backend-wasm-simd.wasm","tfjs-backend-wasm-threaded-simd.wasm"];let Aa=null,xa=null,Sa={},Fa=!1,Ea=!1;function Na(e,n=!1){if(qe("setWasmPath has been deprecated in favor of setWasmPaths and will be removed in a future release."),Fa)throw new Error("The WASM backend was already initialized. Make sure you call `setWasmPath()` before you call `tf.setBackend()` or `tf.ready()`");Aa=e,Ea=n}function Ca(e,n=!1){if(Fa)throw new Error("The WASM backend was already initialized. Make sure you call `setWasmPaths()` before you call `tf.setBackend()` or `tf.ready()`");if("string"==typeof e)xa=e;else{Sa=e;const n=Ma.filter(e=>null==Sa[e]);if(n.length>0)throw new Error("There were no entries found for the following binaries: "+n.join(",")+". Please either call setWasmPaths with a map providing a path for each binary, or with a string indicating the directory where all the binaries can be found.")}Ea=n}const Ta="3.2.0";Ve("wasm",async()=>{const{wasm:e}=await va();return new ka(e)},2);export{ka as BackendWasm,Na as setWasmPath,Ca as setWasmPaths,Ta as version_wasm};
//# sourceMappingURL=tf-backend-wasm.fesm.min.js.map
