/**
 * @license
 * Copyright 2021 Google LLC. All Rights Reserved.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * =============================================================================
 */
!function(e,n){"object"==typeof exports&&"undefined"!=typeof module?n(exports,require("@tensorflow/tfjs-core"),require("path"),require("fs"),require("worker_threads"),require("perf_hooks"),require("os")):"function"==typeof define&&define.amd?define(["exports","@tensorflow/tfjs-core","path","fs","worker_threads","perf_hooks","os"],n):n(((e=e||self).tf=e.tf||{},e.tf.wasm=e.tf.wasm||{}),e.tf,e.path,e.fs,e.worker_threads,e.perf_hooks,e.os)}(this,(function(e,n,t,a,r,u,i){"use strict";var s,o,d;t=t&&t.hasOwnProperty("default")?t.default:t,a=a&&a.hasOwnProperty("default")?a.default:a,r=r&&r.hasOwnProperty("default")?r.default:r,u=u&&u.hasOwnProperty("default")?u.default:u,i=i&&i.hasOwnProperty("default")?i.default:i,function(e){e[e.float32=0]="float32",e[e.int32=1]="int32",e[e.bool=2]="bool",e[e.string=3]="string",e[e.complex64=4]="complex64"}(s||(s={})),function(e){e[e.linear=0]="linear",e[e.relu=1]="relu",e[e.relu6=2]="relu6",e[e.prelu=3]="prelu",e[e.leakyrelu=4]="leakyrelu"}(o||(o={}));var l={kernelName:n._FusedMatMul,backendName:"wasm",setupFunc:function(e){d=e.wasm.cwrap(n._FusedMatMul,null,["number","array","number","number","array","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){var n=e.inputs,t=e.backend,a=e.attrs,r=n.a,u=n.b,i=n.bias,s=n.preluActivationWeights;if("float32"!==r.dtype||"float32"!==u.dtype)throw new Error("_FusedMatMul for non non-float32 tensors not yet supported.");var l=a.transposeA,p=a.transposeB,c=a.activation,f=a.leakyreluAlpha,m=t.dataIdMap.get(r.dataId).id,h=t.dataIdMap.get(u.dataId).id,b=0;if(null!=i){var y=t.dataIdMap.get(i.dataId);if(1!==y.shape.length)throw new Error("_FusedMatMul only supports rank-1 bias but got rank "+y.shape.length+".");b=y.id}var v=null==s?0:t.dataIdMap.get(s.dataId).id,_=o[c];if(null==_)throw new Error(c+" activation not yet supported for FusedConv2D in the wasm backend.");var g=l?r.shape[2]:r.shape[1],w=p?u.shape[1]:u.shape[2],k=r.shape[0],I=t.makeOutput([k,g,w],r.dtype),M=t.dataIdMap.get(I.dataId).id,S=new Uint8Array(new Int32Array(r.shape).buffer),x=new Uint8Array(new Int32Array(u.shape).buffer);return d(m,S,r.shape.length,h,x,u.shape.length,l,p,_,b,v,f||0,M),I}};function p(e){var t;return{kernelName:e,backendName:"wasm",setupFunc:function(n){t=n.wasm.cwrap(e,null,["number","number"])},kernelFunc:function(e){var a=e.backend,r=e.inputs.x,u=a.dataIdMap.get(r.dataId).id,i=a.makeOutput(r.shape,r.dtype),s=a.dataIdMap.get(i.dataId).id;return 0===n.util.sizeFromShape(i.shape)||t(u,s),i}}}var c=p(n.Abs);function f(e,t,a){var r;return{kernelName:e,backendName:"wasm",setupFunc:function(n){r=n.wasm.cwrap(e,null,["number","array","number","number","array","number","number","number"])},kernelFunc:function(u){var i=u.backend,o=u.inputs,d=o.a,l=o.b,p=i.dataIdMap.get(d.dataId).id,c=i.dataIdMap.get(l.dataId).id,f=null!=a?a:d.dtype,m=n.backend_util.assertAndGetBroadcastShape(d.shape,l.shape),h=i.makeOutput(m,f);if(0===n.util.sizeFromShape(m))return h;var b=new Uint8Array(new Int32Array(d.shape).buffer),y=new Uint8Array(new Int32Array(l.shape).buffer),v=i.dataIdMap.get(h.dataId).id,_=function(){return r(p,b,d.shape.length,c,y,l.shape.length,s[d.dtype],v)};if(t&&"float32"===d.dtype)return _(),h;var g=n.backend_util.getBroadcastDims(d.shape,m),w=n.backend_util.getBroadcastDims(l.shape,m),k=g.every((function(e,n){return e===n})),I=w.every((function(e,n){return e===n}));if(k&&I)return _(),h;throw new Error("Broadcasting along outer dims is not yet supported for "+d.dtype+" "+e+".")}}}var m,h=f(n.Add,!0);var b={kernelName:n.AddN,backendName:"wasm",setupFunc:function(e){m=e.wasm.cwrap(n.AddN,null,["array","number","number","number"])},kernelFunc:function(e){var t=e.inputs,a=e.backend,r=a.makeOutput(t[0].shape,t[0].dtype);if(0===n.util.sizeFromShape(r.shape))return r;var u=t.map((function(e){return a.dataIdMap.get(e.dataId).id})),i=new Uint8Array(new Int32Array(u).buffer),o=a.dataIdMap.get(r.dataId).id;return m(i,u.length,s[r.dtype],o),r}};function y(e){var n=e.inputs.x,t=e.backend,a=t.makeOutput(n.shape,n.dtype),r=t.typedArrayFromHeap(n);return t.typedArrayFromHeap(a).set(r),a}var v,_={kernelName:n.Identity,backendName:"wasm",kernelFunc:y};function g(e){for(var n=e.inputs,t=e.backend,a=e.attrs,r=function(e,n){for(var t=[],a=[],r=0;r<e.length;++r)1!==e[r]&&t.push(e[r]),1!==e[n[r]]&&a.push(n[r]);for(r=0;r<a.length;++r){for(var u=-1,i=0;i<a.length;++i)a[i]>=r&&(-1===u||a[u]>a[i])&&(u=i);a[u]=r}return[t,a]}(n.x.shape,a.perm),u=r[0],i=r[1],o=!0,d=0;d<i.length;d++)i[d]!==d&&(o=!1);var l=function(e,n){for(var t=new Array(e.length),a=0;a<t.length;a++)t[a]=e[n[a]];return t}(n.x.shape,a.perm),p={dataId:n.x.dataId,shape:u,dtype:n.x.dtype};if(o){var c=y({inputs:n,backend:t});return c.shape=l,c}var f=t.makeOutput(l,p.dtype),m=t.dataIdMap.get(p.dataId).id,h=t.dataIdMap.get(f.dataId).id,b=new Uint8Array(new Int32Array(i).buffer),_=new Uint8Array(new Int32Array(p.shape).buffer);return v(m,_,p.shape.length,s[p.dtype],h,b,i.length),f}var w,k={kernelName:n.Transpose,backendName:"wasm",kernelFunc:g,setupFunc:function(e){v=e.wasm.cwrap(n.Transpose,null,["number","array","number","number","number","array","number"])}};function I(e,t,a){var r=e.shape,u=e.shape.length,i=n.util.parseAxisParam(t,r),s=i,o=n.backend_util.getAxesPermutation(s,u),d=null,l=!1;if(null!=o){for(var p=new Array(u),c=0;c<p.length;c++)p[c]=r[o[c]];s=n.backend_util.getInnerMostAxes(s.length,u),d=g({inputs:{x:e},attrs:{perm:o},backend:a});var f=a.dataIdMap.get(e.dataId).id;a.dataIdMap.get(d.dataId).id!==f&&(l=!0)}return{transposed:d,originalAxes:i,axes:s,inputWasTransposed:l}}var M,S={kernelName:n.ArgMax,backendName:"wasm",kernelFunc:function(e){var t=e.backend,a=e.inputs,r=e.attrs.axis,u=a.x,i=t.dataIdMap.get(u.dataId).id,o=i,d=u,l=I(u,r,t),p=l.transposed,c=l.axes,f=l.inputWasTransposed;if(f){var m=t.dataIdMap.get(p.dataId).id;m!==i&&(d=p,o=m)}var h=d.shape.slice(0,-1),b=t.makeOutput(h,"int32"),y=t.dataIdMap.get(b.dataId).id,v=n.util.sizeFromShape(b.shape),_=d.shape[c[0]];return w(o,s[d.dtype],v,_,y),f&&t.disposeData(p.dataId),b},setupFunc:function(e){w=e.wasm.cwrap(n.ArgMax,null,["number","number","number","number","number"])}};var x={kernelName:n.AvgPool,backendName:"wasm",setupFunc:function(e){M=e.wasm.cwrap(n.AvgPool,null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){var t=e.inputs,a=e.attrs,r=e.backend,u=t.x,i=r.dataIdMap.get(u.dataId).id,s=a.filterSize,o=a.strides,d=a.pad,l=a.dimRoundingMode,p=n.backend_util.computePool2DInfo(u.shape,s,o,1,d,l),c=p.filterHeight,f=p.filterWidth,m=p.padInfo.top,h=p.padInfo.right,b=p.padInfo.bottom,y=p.padInfo.left,v=p.strideHeight,_=p.strideWidth,g=p.inChannels;if("channelsLast"!==p.dataFormat)throw new Error("wasm backend does not support dataFormat:'"+p.dataFormat+"'. Please use 'channelsLast'.");if(1!==p.dilationWidth||1!==p.dilationHeight)throw new Error("was backend only supports average pooling with dilation = [1, 1], got ["+p.dilationHeight+", "+p.dilationWidth+"].");var w=r.makeOutput(p.outShape,"float32"),k=r.dataIdMap.get(w.dataId).id;return M(i,u.shape[0],u.shape[1],u.shape[2],c,f,m,h,b,y,v,_,g,k),w}};function A(e){var t=e.inputs,a=e.attrs,r=t.x,u=a.shape,i=n.util.sizeFromShape(r.shape),s=n.util.inferFromImplicitShape(u,i);return n.util.assert(i===n.util.sizeFromShape(s),(function(){return"new shape: "+s+", old shape: "+r.shape+". New shape and old shape must have the same number of elements."})),e.backend.incRef(r.dataId),{dataId:r.dataId,shape:s,dtype:r.dtype}}var F,N={kernelName:n.Reshape,backendName:"wasm",kernelFunc:A};var E={kernelName:n.BatchMatMul,backendName:"wasm",setupFunc:function(e){F=e.wasm.cwrap(n.BatchMatMul,null,["number","array","number","number","array","number","number","number","number"])},kernelFunc:function(e){var t=e.inputs,a=e.backend,r=e.attrs,u=t.a,i=t.b,s=r.transposeA,o=r.transposeB;if("float32"!==u.dtype||"float32"!==i.dtype)throw new Error("BatchMatMul for non non-float32 tensors not yet supported.");var d=u.shape.length,l=i.shape.length,p=s?u.shape[d-2]:u.shape[d-1],c=o?i.shape[l-1]:i.shape[l-2],f=s?u.shape[d-1]:u.shape[d-2],m=o?i.shape[l-2]:i.shape[l-1],h=u.shape.slice(0,-2),b=i.shape.slice(0,-2),y=n.util.sizeFromShape(h),v=n.util.sizeFromShape(b),_=y===v||1===y||1===v;n.util.assert(d>=2&&l>=2&&_,(function(){return"Error in matMul: the input batch dimensions must either be the same or at least one input batch dimension must be 1. Got input batch dimensions of ("+h+") and ("+b+")."}));var g=(y>v?u.shape.slice(0,-2):i.shape.slice(0,-2)).concat([f,m]);n.util.assert(p===c,(function(){return"Error in matMul: inner shapes ("+p+") and ("+c+") of Tensors with shapes "+u.shape+" and "+i.shape+" and transposeA="+s+" and transposeB="+o+" must match."}));var w=o?[v,m,c]:[v,c,m],k=A({inputs:{x:u},backend:a,attrs:{shape:s?[y,p,f]:[y,f,p]}}),I=A({inputs:{x:i},backend:a,attrs:{shape:w}}),M=a.dataIdMap.get(k.dataId).id,S=a.dataIdMap.get(I.dataId).id,x=s?k.shape[2]:k.shape[1],N=o?I.shape[1]:I.shape[2],E=Math.max(y,v),C=a.makeOutput([E,x,N],k.dtype),T=a.dataIdMap.get(C.dataId).id,O=new Uint8Array(new Int32Array(k.shape).buffer),D=new Uint8Array(new Int32Array(I.shape).buffer);return F(M,O,k.shape.length,S,D,I.shape.length,s,o,T),a.disposeData(k.dataId),a.disposeData(I.dataId),C.shape=g,C}};function C(e){var n=e.inputs.x,t=e.attrs.dtype,a=e.backend,r=a.makeOutput(n.shape,t),u=a.typedArrayFromHeap(n);return a.typedArrayFromHeap(r).set(u),r}var T,O={kernelName:n.Cast,backendName:"wasm",kernelFunc:C},D=p(n.Ceil);var R={kernelName:n.ClipByValue,backendName:"wasm",setupFunc:function(e){T=e.wasm.cwrap(n.ClipByValue,null,["number","number","number","number"])},kernelFunc:function(e){var n=e.inputs,t=e.backend,a=e.attrs,r=n.x,u=a.clipValueMin,i=a.clipValueMax,s=t.dataIdMap.get(r.dataId).id,o=t.makeOutput(r.shape,r.dtype),d=t.dataIdMap.get(o.dataId).id;return T(s,u,i,d),o}};function P(e,t,a,r,u){const i=n.slice_util.isSliceContinous(r,t,a),s=n.util.sizeFromShape(a),o=n.util.computeStrides(r);if(i){const a=n.slice_util.computeFlatOffset(t,o);return"string"===u?e.slice(a,a+s):e.subarray(a,a+s)}const d="string"===u?n.backend_util.fromUint8ToStringArray(e):e,l=n.buffer(r,u,d),p=n.buffer(a,u);for(let e=0;e<p.size;++e){const n=p.indexToLoc(e),a=n.map((e,n)=>e+t[n]);p.set(l.get(...a),...n)}return"string"===u?n.backend_util.fromStringArrayToUint8(p.values):p.values}function W(e){var t=e.inputs,a=e.backend,r=n.util.parseAxisParam(e.attrs.axis,t[0].shape)[0],u=n.backend_util.computeOutShape(t.map((function(e){return e.shape})),r),i=t.filter((function(e){return n.util.sizeFromShape(e.shape)>0}));if(1===i.length)return y({inputs:{x:i[0]},backend:a});var s=a.makeOutput(u,t[0].dtype);if(0===n.util.sizeFromShape(u))return s;var o=i.map((function(e){return e.shape}));if(n.backend_util.assertParamsConsistent(o,r),"string"===i[0].dtype){var d=i.map((function(e){var t=n.util.sizeFromShape(e.shape.slice(r));return A({inputs:{x:e},backend:a,attrs:{shape:[-1,t]}})})),l=d.map((function(e){return{vals:a.readSync(e.dataId),shape:e.shape}}));u=n.backend_util.computeOutShape(d.map((function(e){return e.shape})),1);var p=1===d[0].shape[0],c=function(e,t,a,r){const u=n.util.getArrayFromDType(a,n.util.sizeFromShape(t));if(r&&"string"!==a){let t=0;e.forEach(e=>{const a=n.util.sizeFromShape(e.shape);u.set(e.vals,t),t+=a})}else{let r=0;e.forEach(e=>{const i="string"===a?n.backend_util.fromUint8ToStringArray(e.vals):e.vals;let s=0;for(let n=0;n<e.shape[0];++n){const a=n*t[1]+r;for(let n=0;n<e.shape[1];++n)u[a+n]=i[s++]}r+=e.shape[1]})}return u}(l,u,t[0].dtype,p),f=n.backend_util.computeOutShape(i.map((function(e){return e.shape})),r);return s.shape=f,a.dataIdMap.get(s.dataId).stringBytes=n.backend_util.fromStringArrayToUint8(c),d.forEach((function(e){return a.disposeData(e.dataId)})),s}for(var m=n.util.sizeFromShape(i[0].shape.slice(0,r)),h=0,b=i.map((function(e){var t=n.util.sizeFromShape(e.shape.slice(r));return h+=t,t})),v=i.map((function(e){return a.typedArrayFromHeap(e)})),_=a.typedArrayFromHeap(s),g=0;g<m;g++)for(var w=g*h,k=0;k<v.length;k++){var I=b[k],M=g*I,S=v[k].subarray(M,M+I);_.set(S,w),w+=I}return s}var H,z={kernelName:n.Concat,backendName:"wasm",kernelFunc:W};var L,B={kernelName:n.Conv2D,backendName:"wasm",setupFunc:function(e){H=e.wasm.cwrap(n.Conv2D,null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){var t=e.inputs,a=e.attrs,r=e.backend,u=t.x,i=t.filter,s=r.dataIdMap.get(u.dataId).id,o=r.dataIdMap.get(i.dataId).id,d=a.strides,l=a.dilations,p=a.pad,c=a.dimRoundingMode,f=a.dataFormat,m=n.backend_util.convertConv2DDataFormat(f),h=n.backend_util.computeConv2DInfo(u.shape,i.shape,d,l,p,c,!1,m),b=h.filterHeight,y=h.filterWidth,v=h.padInfo.top,_=h.padInfo.right,g=h.padInfo.bottom,w=h.padInfo.left,k=h.dilationHeight,I=h.dilationWidth,M=h.strideHeight,S=h.strideWidth,x=h.inChannels,A=h.outChannels,F="SAME"===h.padInfo.type?1:0;if("channelsLast"!==h.dataFormat)throw new Error("wasm backend Conv2D does not support dataFormat:'"+h.dataFormat+"'. Please use 'channelsLast'.");var N=r.makeOutput(h.outShape,"float32"),E=r.dataIdMap.get(N.dataId).id;return H(s,u.shape[0],u.shape[1],u.shape[2],o,b,y,v,_,g,w,F,k,I,M,S,x,A,E),N}};var U,j,q={kernelName:n.Conv2DBackpropInput,backendName:"wasm",setupFunc:function(e){L=e.wasm.cwrap(n.Conv2DBackpropInput,null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){var t=e.backend,a=e.inputs,r=e.attrs,u=a.dy,i=a.filter,s=r.strides,o=r.pad,d=r.dataFormat,l=r.dimRoundingMode,p=r.inputShape,c=n.backend_util.convertConv2DDataFormat(d),f=n.backend_util.computeConv2DInfo(p,i.shape,s,1,o,l,!1,c),m=f.batchSize,h=f.filterHeight,b=f.filterWidth,y=f.inChannels,v=f.inHeight,_=f.inWidth,g=f.outChannels,w=f.outHeight,k=f.outWidth,I=f.strideHeight,M=f.strideWidth,S=h-1-f.padInfo.top,x=b-1-f.padInfo.left,A="channelsLast"===f.dataFormat,F=n.util.computeStrides(f.inShape),N=n.util.computeStrides(u.shape),E=n.util.computeStrides(i.shape),C=E[0],T=E[1],O=E[2],D=F[0],R=A?F[1]:F[2],P=A?F[2]:1,W=A?1:F[1],H=N[0],z=A?N[1]:N[2],B=A?N[2]:1,U=A?1:N[1],j=t.makeOutput(f.inShape,"float32"),q=t.dataIdMap.get(j.dataId).id,V=t.dataIdMap.get(u.dataId).id,G=t.dataIdMap.get(i.dataId).id;return L(V,G,m,h,b,v,_,y,w,k,g,I,M,S,x,C,T,O,D,R,P,W,H,z,B,U,q),j}},V=p(n.Cos);!function(e){e[e.bilinear=0]="bilinear",e[e.nearest=1]="nearest"}(U||(U={}));var G,K={kernelName:n.CropAndResize,backendName:"wasm",setupFunc:function(e){j=e.wasm.cwrap(n.CropAndResize,null,["number","number","number","number","array","number","number","number","number","number"])},kernelFunc:function(e){var n,t=e.backend,a=e.inputs,r=e.attrs,u=r.method,i=r.extrapolationValue,s=r.cropSize,o=a.image,d=a.boxes,l=a.boxInd,p=d.shape[0],c=s,f=c[0],m=c[1],h=[p,f,m,o.shape[3]],b=t.dataIdMap.get(o.dataId);"float32"!==o.dtype&&(n=C({backend:t,inputs:{x:o},attrs:{dtype:"float32"}}),b=t.dataIdMap.get(n.dataId));var y=b.id,v=t.dataIdMap.get(d.dataId).id,_=t.dataIdMap.get(l.dataId).id,g=t.makeOutput(h,"float32"),w=t.dataIdMap.get(g.dataId).id,k=new Uint8Array(new Int32Array(o.shape).buffer);return j(y,v,_,p,k,f,m,U[u],i,w),null!=n&&t.disposeData(n.dataId),g}};var Q,X={kernelName:n.Cumsum,backendName:"wasm",setupFunc:function(e){G=e.wasm.cwrap(n.Cumsum,null,["number","number","number","number","number","number"])},kernelFunc:function(e){var t=e.inputs,a=e.backend,r=e.attrs,u=t.x,i=r.axis,o=r.exclusive,d=r.reverse,l=u.shape.length;n.util.assert("float32"===u.dtype||"int32"===u.dtype,(function(){return"cumsum does not support "+u.dtype+" tensors in the WASM backend"}));var p=n.backend_util.getAxesPermutation([i],l),c=u;null!==p&&(c=g({inputs:{x:u},attrs:{perm:p},backend:a}));var f=n.backend_util.getInnerMostAxes(1,l)[0];n.backend_util.assertAxesAreInnerMostDims("cumsum",[f],l);var m=a.makeOutput(c.shape,c.dtype),h=c.shape[f],b=a.dataIdMap.get(c.dataId).id,y=a.dataIdMap.get(m.dataId).id;G(b,o?1:0,d?1:0,h,y,s[u.dtype]);var v=m;return null!==p&&(v=g({inputs:{x:m},attrs:{perm:n.backend_util.getUndoAxesPermutation(p)},backend:a}),a.disposeData(c.dataId),a.disposeData(m.dataId)),v}};var Z,Y={kernelName:n.DepthToSpace,backendName:"wasm",setupFunc:function(e){Q=e.wasm.cwrap(n.DepthToSpace,null,["number","number","number","array","number","array","array","number","number"])},kernelFunc:function(e){var t=e.backend,a=e.inputs,r=e.attrs,u=a.x,i=r.blockSize,s=r.dataFormat;n.util.assert(i>1,(function(){return"blockSize should be > 1 for depthToSpace, but was: "+i}));var o=u.shape[0],d="NHWC"===s?u.shape[1]:u.shape[2],l="NHWC"===s?u.shape[2]:u.shape[3],p="NHWC"===s?u.shape[3]:u.shape[1],c=d*i,f=l*i,m=p/(i*i),h="NHWC"===s?[o,c,f,m]:[o,m,c,f],b=t.makeOutput(h,"float32"),y=t.dataIdMap.get(u.dataId).id,v=new Uint8Array(new Int32Array(n.util.computeStrides(u.shape)).buffer),_=new Uint8Array(new Int32Array(h).buffer),g=new Uint8Array(new Int32Array(n.util.computeStrides(h)).buffer),w=t.dataIdMap.get(b.dataId).id;return Q(y,i,"NHWC"===s?1:0,v,u.shape.length-1,_,g,h.length,w),b}};var J={kernelName:n.DepthwiseConv2dNative,backendName:"wasm",setupFunc:function(e){Z=e.wasm.cwrap(n.DepthwiseConv2dNative,null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){var t=e.inputs,a=e.attrs,r=e.backend,u=t.x,i=t.filter,s=r.dataIdMap.get(u.dataId).id,o=r.dataIdMap.get(i.dataId).id,d=a.strides,l=a.dilations,p=a.pad,c=a.dimRoundingMode,f=null==l?[1,1]:l,m=n.backend_util.computeConv2DInfo(u.shape,i.shape,d,f,p,c,!0),h=m.filterHeight,b=m.filterWidth,y=m.padInfo.top,v=m.padInfo.right,_=m.padInfo.bottom,g=m.padInfo.left,w=m.dilationHeight,k=m.dilationWidth,I=m.strideHeight,M=m.strideWidth,S=m.inChannels,x=m.outChannels,A="SAME"===m.padInfo.type?1:0;if("channelsLast"!==m.dataFormat)throw new Error("wasm backend DepthwiseConv2dNative does not support dataFormat:'"+m.dataFormat+"'. Please use 'channelsLast'.");var F=r.makeOutput(m.outShape,"float32"),N=r.dataIdMap.get(F.dataId).id;return Z(s,u.shape[0],u.shape[1],u.shape[2],o,h,b,y,v,_,g,A,w,k,I,M,S,x,N),F}},$=f(n.Equal,!1,"bool"),ee=p(n.Exp);function ne(e){var t=e.inputs,a=e.attrs,r=e.backend,u=t.input,i=a.dim,s=u.shape.length,o=u.shape.slice(),d=i;return i<0&&(n.util.assert(-(s+1)<=i,(function(){return"Axis must be in the interval ["+-(s+1)+", "+s+"]"})),d=s+i+1),o.splice(d,0,1),A({inputs:{x:u},backend:r,attrs:{shape:o}})}var te={kernelName:n.ExpandDims,backendName:"wasm",kernelFunc:ne};var ae,re={kernelName:n.Fill,backendName:"wasm",kernelFunc:function(e){var n=e.attrs,t=n.shape,a=n.value,r=n.dtype,u=e.backend,i=u.makeOutput(t,r);return u.typedArrayFromHeap(i).fill(a),i}};var ue,ie={kernelName:n.FlipLeftRight,backendName:"wasm",kernelFunc:function(e){var n=e.inputs,t=e.backend,a=n.image,r=t.makeOutput(a.shape,a.dtype),u=t.dataIdMap.get(a.dataId).id,i=t.dataIdMap.get(r.dataId).id,s=a.shape,o=s[0],d=s[1],l=s[2],p=s[3];return ae(u,o,d,l,p,i),r},setupFunc:function(e){ae=e.wasm.cwrap(n.FlipLeftRight,null,["number","number","number","number","number","number"])}},se=p(n.Floor),oe=f(n.FloorDiv,!1);var de,le={kernelName:n.FusedBatchNorm,backendName:"wasm",setupFunc:function(e){ue=e.wasm.cwrap(n.FusedBatchNorm,null,["number","number","number","number","number","number","number"])},kernelFunc:function(e){var t=e.backend,a=e.inputs,r=e.attrs.varianceEpsilon,u=a.x,i=a.mean,s=a.variance,o=a.offset,d=a.scale,l=t.dataIdMap.get(u.dataId).id,p=t.dataIdMap.get(i.dataId).id,c=t.dataIdMap.get(s.dataId).id,f=null!=o?t.dataIdMap.get(o.dataId).id:0,m=null!=d?t.dataIdMap.get(d.dataId).id:0,h=t.makeOutput(u.shape,u.dtype);if(0===n.util.sizeFromShape(u.shape))return h;var b=t.dataIdMap.get(h.dataId).id;return ue(l,p,c,f,m,r,b),h}};var pe,ce={kernelName:n.FusedConv2D,backendName:"wasm",setupFunc:function(e){de=e.wasm.cwrap(n.FusedConv2D,null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){var t=e.inputs,a=e.attrs,r=e.backend,u=t.x,i=t.filter,s=t.bias,d=t.preluActivationWeights,l=a.strides,p=a.pad,c=a.dilations,f=a.dataFormat,m=a.dimRoundingMode,h=a.activation,b=a.leakyreluAlpha,y=n.backend_util.computeConv2DInfo(u.shape,i.shape,l,c,p,m),v=o[h];if(null==v)throw new Error(h+" activation not yet supported for FusedConv2D in the wasm backend.");var _=r.dataIdMap.get(u.dataId).id,g=r.dataIdMap.get(i.dataId).id,w=y.outChannels,k=0;if(null!=s){var I=r.dataIdMap.get(s.dataId);if(1!==I.shape.length)throw new Error("FusedConv2D only supports rank-1 bias but got rank "+I.shape.length+".");if(I.shape[0]!==w)throw new Error("FusedConv2D bias shape ("+I.shape+") does not match the number of output channels ("+w+")");k=I.id}var M=y.filterHeight,S=y.filterWidth,x=y.padInfo.top,A=y.padInfo.right,F=y.padInfo.bottom,N=y.padInfo.left,E=y.dilationHeight,C=y.dilationWidth,T=y.strideHeight,O=y.strideWidth,D=y.inChannels,R="SAME"===y.padInfo.type?1:0,P=y.batchSize,W=y.inHeight,H=y.inWidth;if("NHWC"!==f)throw new Error("wasm backend FusedConv2D does not support dataFormat:'"+f+"'. Please use 'NHWC'.");var z=r.makeOutput(y.outShape,"float32"),L=r.dataIdMap.get(z.dataId).id,B=null==d?0:r.dataIdMap.get(d.dataId).id;return de(_,P,W,H,g,M,S,k,x,A,F,N,R,E,C,T,O,D,w,v,B,b||0,L),z}};var fe,me={kernelName:n.FusedDepthwiseConv2D,backendName:"wasm",setupFunc:function(e){pe=e.wasm.cwrap(n.FusedDepthwiseConv2D,null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){var t=e.inputs,a=e.attrs,r=e.backend,u=t.x,i=t.filter,s=t.bias,d=t.preluActivationWeights,l=a.strides,p=a.pad,c=a.dilations,f=a.dataFormat,m=a.dimRoundingMode,h=a.activation,b=a.leakyreluAlpha,y=n.backend_util.computeConv2DInfo(u.shape,i.shape,l,c,p,m,!0),v=o[h];if(null==v)throw new Error(h+" activation not yet supported for FusedDepthwiseConv2D in the wasm backend.");var _=r.dataIdMap.get(u.dataId).id,g=r.dataIdMap.get(i.dataId).id,w=y.outChannels,k=0;if(null!=s){var I=r.dataIdMap.get(s.dataId);if(1!==I.shape.length)throw new Error("FusedDepthwiseConv2D only supports rank-1 bias but got rank "+I.shape.length+".");if(I.shape[0]!==w)throw new Error("FusedDepthwiseConv2D bias shape ("+I.shape+") does not match the number of output channels ("+w+")");k=I.id}var M=y.filterHeight,S=y.filterWidth,x=y.padInfo.top,A=y.padInfo.right,F=y.padInfo.bottom,N=y.padInfo.left,E=y.dilationHeight,C=y.dilationWidth,T=y.strideHeight,O=y.strideWidth,D=y.inChannels,R="SAME"===y.padInfo.type?1:0,P=y.batchSize,W=y.inHeight,H=y.inWidth;if("NHWC"!==f)throw new Error("wasm backend FusedDepthwiseConv2D does not support dataFormat:'"+f+"'. Please use 'NHWC'.");var z=r.makeOutput(y.outShape,"float32"),L=r.dataIdMap.get(z.dataId).id,B=null==d?0:r.dataIdMap.get(d.dataId).id;return pe(_,P,W,H,g,M,S,k,x,A,F,N,R,E,C,T,O,D,w,v,B,b||0,L),z}};var he,be={kernelName:n.GatherNd,backendName:"wasm",setupFunc:function(e){fe=e.wasm.cwrap(n.GatherNd,null,["number","number","number","number","number","number","array","number"])},kernelFunc:function(e){var t=e.backend,a=e.inputs,r=a.params,u=a.indices,i=n.gather_util.prepareAndValidate(r,u),o=i[0],d=i[1],l=i[2],p=i[3],c=t.makeOutput(o,r.dtype);if(0===d)return c;var f=u.shape,m=f[f.length-1],h=t.dataIdMap.get(r.dataId).id,b=t.dataIdMap.get(u.dataId).id,y=new Uint8Array(new Int32Array(p).buffer),v=t.dataIdMap.get(c.dataId).id;return fe(h,s[r.dtype],b,d,m,l,y,v),c}};var ye,ve={kernelName:n.GatherV2,backendName:"wasm",setupFunc:function(e){he=e.wasm.cwrap("Gather",null,["number","number","array","number","number","number","array","number"])},kernelFunc:function(e){var t=e.backend,a=e.inputs,r=e.attrs,u=a.x,i=a.indices,o=r.axis,d=r.batchDims,l=n.util.parseAxisParam(o,u.shape)[0],p=n.backend_util.segment_util.collectGatherOpShapeInfo(u,i,l,d),c=A({inputs:{x:u},attrs:{shape:[p.batchSize,p.outerSize,p.dimSize,p.sliceSize]},backend:t}),f=n.util.sizeFromShape(i.shape),m=A({inputs:{x:i},attrs:{shape:[p.batchSize,f/p.batchSize]},backend:t}),h=[p.batchSize,p.outerSize,f/p.batchSize,p.sliceSize],b=t.makeOutput(h,u.dtype);if(0===n.util.sizeFromShape(u.shape))return b;var y=c.shape.length-1,v=t.dataIdMap.get(c.dataId).id,_=t.dataIdMap.get(m.dataId).id,g=t.dataIdMap.get(b.dataId).id,w=new Uint8Array(new Int32Array(n.util.computeStrides(c.shape)).buffer),k=new Uint8Array(new Int32Array(n.util.computeStrides(h)).buffer);return he(v,s[u.dtype],w,y,_,p.batchSize,k,g),t.disposeData(c.dataId),t.disposeData(m.dataId),b.shape=p.outputShape,b}},_e=f(n.Greater,!1,"bool"),ge=f(n.GreaterEqual,!1,"bool");var we,ke={kernelName:n.LeakyRelu,backendName:"wasm",setupFunc:function(e){ye=e.wasm.cwrap(n.LeakyRelu,null,["number","number","number"])},kernelFunc:function(e){var t=e.inputs.x,a=e.attrs.alpha,r=e.backend,u=r.dataIdMap.get(t.dataId).id,i=r.makeOutput(t.shape,t.dtype);if(0!==n.util.sizeFromShape(t.shape)){var s=r.dataIdMap.get(i.dataId).id;ye(u,a,s)}return i}},Ie=f(n.Less,!1,"bool"),Me=f(n.LessEqual,!1,"bool"),Se=p(n.Log),xe=f(n.LogicalAnd,!1,"bool");var Ae,Fe={kernelName:n.Max,backendName:"wasm",setupFunc:function(e){we=e.wasm.cwrap(n.Max,null,["number, number, number"])},kernelFunc:function(e){var t=e.backend,a=e.inputs,r=e.attrs,u=r.reductionIndices,i=r.keepDims,s=a.x,o=t.dataIdMap.get(s.dataId).id,d=s,l=I(s,u,t),p=l.transposed,c=l.axes,f=l.originalAxes,m=l.inputWasTransposed;m&&(d=p,o=t.dataIdMap.get(p.dataId).id);var h=d.shape.length;n.backend_util.assertAxesAreInnerMostDims("max",c,h);var b=n.backend_util.computeOutAndReduceShapes(d.shape,c),y=b[0],v=b[1],_=n.util.sizeFromShape(v),g=t.makeOutput(y,s.dtype);if(0!==n.util.sizeFromShape(d.shape)){var w=t.dataIdMap.get(g.dataId).id;we(o,_,w)}if(m&&t.disposeData(p.dataId),i){var k=n.backend_util.expandShapeToKeepDim(g.shape,f);g.shape=k}return g}},Ne=f(n.Maximum,!1);var Ee,Ce={kernelName:n.MaxPool,backendName:"wasm",setupFunc:function(e){Ae=e.wasm.cwrap(n.MaxPool,null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){var t=e.inputs,a=e.attrs,r=e.backend,u=t.x,i=r.dataIdMap.get(u.dataId).id,s=a.filterSize,o=a.strides,d=a.pad,l=a.dimRoundingMode,p=n.backend_util.computePool2DInfo(u.shape,s,o,1,d,l),c=p.filterHeight,f=p.filterWidth,m=p.padInfo.top,h=p.padInfo.right,b=p.padInfo.bottom,y=p.padInfo.left,v=p.dilationHeight,_=p.dilationWidth,g=p.strideHeight,w=p.strideWidth,k=p.inChannels,I=p.outChannels;if("channelsLast"!==p.dataFormat)throw new Error("wasm backend does not support dataFormat:'"+p.dataFormat+"'. Please use 'channelsLast'.");var M=r.makeOutput(p.outShape,"float32"),S=r.dataIdMap.get(M.dataId).id;return Ae(i,u.shape[0],u.shape[1],u.shape[2],c,f,m,h,b,y,v,_,g,w,k,I,S),M}};var Te,Oe={kernelName:n.Mean,backendName:"wasm",setupFunc:function(e){Ee=e.wasm.cwrap(n.Mean,null,["number, number, number"])},kernelFunc:function(e){var t=e.backend,a=e.inputs,r=e.attrs,u=r.axis,i=r.keepDims,s=a.x,o=t.dataIdMap.get(s.dataId).id,d=o,l=s,p=I(s,u,t),c=p.transposed,f=p.axes,m=p.originalAxes,h=p.inputWasTransposed,b=f;if(h){var y=t.dataIdMap.get(c.dataId).id;y!==o&&(l=c,d=y,b=n.backend_util.getInnerMostAxes(b.length,l.shape.length))}n.backend_util.assertAxesAreInnerMostDims("mean",b,l.shape.length);var v=n.backend_util.computeOutAndReduceShapes(l.shape,b),_=v[0],g=v[1],w=n.util.sizeFromShape(g),k=l;"float32"!==l.dtype&&(k=C({backend:t,inputs:{x:l},attrs:{dtype:"float32"}}),d=t.dataIdMap.get(k.dataId).id);var M=t.makeOutput(_,"float32");if(0!==n.util.sizeFromShape(l.shape)){var S=t.dataIdMap.get(M.dataId).id;Ee(d,w,S)}if(h&&t.disposeData(c.dataId),i){var x=n.backend_util.expandShapeToKeepDim(M.shape,m);M.shape=x}return"float32"!==l.dtype&&t.disposeData(k.dataId),M}};var De,Re={kernelName:n.Min,backendName:"wasm",setupFunc:function(e){Te=e.wasm.cwrap(n.Min,null,["number, number, number"])},kernelFunc:function(e){var t=e.backend,a=e.inputs,r=e.attrs,u=r.axis,i=r.keepDims,s=a.x,o=t.dataIdMap.get(s.dataId).id,d=o,l=s,p=I(s,u,t),c=p.transposed,f=p.axes,m=p.originalAxes,h=p.inputWasTransposed;if(h){var b=t.dataIdMap.get(c.dataId).id;b!==o&&(l=c,d=b)}var y=l.shape.length;n.backend_util.assertAxesAreInnerMostDims("min",f,y);var v=n.backend_util.computeOutAndReduceShapes(l.shape,f),_=v[0],g=v[1],w=n.util.sizeFromShape(g),k=t.makeOutput(_,l.dtype);if(0!==n.util.sizeFromShape(l.shape)){var M=t.dataIdMap.get(k.dataId).id;Te(d,w,M)}if(h&&t.disposeData(c.dataId),i){var S=n.backend_util.expandShapeToKeepDim(k.shape,m);k.shape=S}return k}},Pe=f(n.Minimum,!1),We=f(n.Multiply,!0),He=p(n.Neg);function ze(e,n){var t=new Int32Array(e.wasm.HEAPU8.buffer,n,4),a=t[0],r=t[1],u=t[2],i=t[3];return e.wasm._free(n),{pSelectedIndices:a,selectedSize:r,pSelectedScores:u,pValidOutputs:i}}var Le,Be={kernelName:n.NonMaxSuppressionV3,backendName:"wasm",setupFunc:function(e){De=e.wasm.cwrap(n.NonMaxSuppressionV3,"number",["number","number","number","number","number"])},kernelFunc:function(e){var n=e.backend,t=e.inputs,a=e.attrs,r=a.iouThreshold,u=a.maxOutputSize,i=a.scoreThreshold,s=t.boxes,o=t.scores,d=n.dataIdMap.get(s.dataId).id,l=n.dataIdMap.get(o.dataId).id,p=ze(n,De(d,l,u,r,i)),c=p.pSelectedIndices,f=p.selectedSize,m=p.pSelectedScores,h=p.pValidOutputs;return n.wasm._free(m),n.wasm._free(h),n.makeOutput([f],"int32",c)}};var Ue,je={kernelName:n.NonMaxSuppressionV4,backendName:"wasm",setupFunc:function(e){Le=e.wasm.cwrap(n.NonMaxSuppressionV4,"number",["number","number","number","number","number","bool"])},kernelFunc:function(e){var n=e.backend,t=e.inputs,a=e.attrs,r=a.iouThreshold,u=a.maxOutputSize,i=a.scoreThreshold,s=a.padToMaxOutputSize,o=t.boxes,d=t.scores,l=n.dataIdMap.get(o.dataId).id,p=n.dataIdMap.get(d.dataId).id,c=ze(n,Le(l,p,u,r,i,s)),f=c.pSelectedIndices,m=c.selectedSize,h=c.pSelectedScores,b=c.pValidOutputs;return n.wasm._free(h),[n.makeOutput([m],"int32",f),n.makeOutput([],"int32",b)]}};var qe,Ve={kernelName:n.NonMaxSuppressionV5,backendName:"wasm",setupFunc:function(e){Ue=e.wasm.cwrap(n.NonMaxSuppressionV5,"number",["number","number","number","number","number","number"])},kernelFunc:function(e){var n=e.backend,t=e.inputs,a=e.attrs,r=a.iouThreshold,u=a.maxOutputSize,i=a.scoreThreshold,s=a.softNmsSigma,o=t.boxes,d=t.scores,l=n.dataIdMap.get(o.dataId).id,p=n.dataIdMap.get(d.dataId).id,c=ze(n,Ue(l,p,u,r,i,s)),f=c.pSelectedIndices,m=c.selectedSize,h=c.pSelectedScores,b=c.pValidOutputs;return n.wasm._free(b),[n.makeOutput([m],"int32",f),n.makeOutput([m],"float32",h)]}},Ge=f(n.NotEqual,!1,"bool");var Ke={kernelName:n.OneHot,backendName:"wasm",setupFunc:function(e){qe=e.wasm.cwrap(n.OneHot,null,["number","number","number","number","number"])},kernelFunc:function(e){var n=e.inputs,t=e.backend,a=e.attrs,r=n.indices,u=a.depth,i=a.onValue,s=a.offValue,o=t.makeOutput(r.shape.concat([u]),"int32"),d=t.dataIdMap.get(o.dataId).id,l=t.dataIdMap.get(r.dataId).id;return qe(l,u,i,s,d),o}};var Qe={kernelName:n.OnesLike,backendName:"wasm",kernelFunc:function(e){var n=e.inputs.x,t=e.backend,a=t.makeOutput(n.shape,n.dtype);return t.typedArrayFromHeap(a).fill(1),a}};var Xe,Ze={kernelName:n.Pack,backendName:"wasm",kernelFunc:function(e){var t=e.inputs,a=e.backend,r=e.attrs.axis;if(1===t.length)return ne({inputs:{input:t[0]},backend:a,attrs:{dim:r}});var u=t[0].shape,i=t[0].dtype;t.forEach((function(e){n.util.assertShapesMatch(u,e.shape,"All tensors passed to stack must have matching shapes"),n.util.assert(i===e.dtype,(function(){return"All tensors passed to stack must have matching dtypes"}))}));var s=[],o=W({inputs:t.map((function(e){var n=ne({inputs:{input:e},backend:a,attrs:{dim:r}});return s.push(n),n})),backend:a,attrs:{axis:r}});return s.forEach((function(e){return a.disposeData(e.dataId)})),o}};var Ye,Je={kernelName:n.PadV2,backendName:"wasm",kernelFunc:function(e){var n=e.inputs.x,t=e.backend,a=e.attrs,r=a.paddings,u=a.constantValue,i=r.map((function(e,t){return e[0]+n.shape[t]+e[1]})),o=t.dataIdMap.get(n.dataId).id,d=t.makeOutput(i,n.dtype),l=t.dataIdMap.get(d.dataId).id,p=new Uint8Array(new Int32Array(n.shape).buffer),c=r.map((function(e){return e[0]})),f=r.map((function(e){return e[1]})),m=new Uint8Array(new Int32Array(c).buffer),h=new Uint8Array(new Int32Array(f).buffer);return Xe(o,p,n.shape.length,s[n.dtype],m,h,u,l),d},setupFunc:function(e){Xe=e.wasm.cwrap(n.PadV2,null,["number","array","number","number","array","array","number","number"])}},$e=f(n.Pow,!1);var en,nn={kernelName:n.Prelu,backendName:"wasm",setupFunc:function(e){Ye=e.wasm.cwrap(n.Prelu,null,["number","number","number"])},kernelFunc:function(e){var n=e.inputs,t=e.backend,a=n.x,r=n.alpha,u=t.dataIdMap.get(a.dataId).id,i=t.dataIdMap.get(r.dataId).id,s=t.makeOutput(a.shape,"float32"),o=t.dataIdMap.get(s.dataId).id;return Ye(u,i,o),s}};var tn,an={kernelName:n.Prod,backendName:"wasm",setupFunc:function(e){en=e.wasm.cwrap(n.Prod,null,["number","number","number","number"])},kernelFunc:function(e){var t=e.backend,a=e.inputs,r=e.attrs,u=r.axis,i=r.keepDims,o=a.x,d=t.dataIdMap.get(o.dataId).id,l=d,p=o,c=I(o,u,t),f=c.transposed,m=c.axes,h=c.originalAxes,b=c.inputWasTransposed,y=m;if(b){var v=t.dataIdMap.get(f.dataId).id;v!==d&&(p=f,l=v,y=n.backend_util.getInnerMostAxes(y.length,p.shape.length))}n.backend_util.assertAxesAreInnerMostDims("prod",y,p.shape.length);var _=n.backend_util.computeOutAndReduceShapes(p.shape,y),g=_[0],w=_[1],k=n.util.sizeFromShape(w),M=t.makeOutput(g,p.dtype);if(0!==n.util.sizeFromShape(p.shape)){var S=t.dataIdMap.get(M.dataId).id;en(l,k,s[M.dtype],S)}if(b&&t.disposeData(f.dataId),i){var x=n.backend_util.expandShapeToKeepDim(M.shape,h);M.shape=x}return M}},rn={kernelName:n.Range,backendName:"wasm",kernelFunc:function(e){var t=e.backend,a=e.attrs,r=a.start,u=a.stop,i=a.step,s=a.dtype,o=function(e,t,a,r){if(e===t||e<t&&a<0||t<e&&a>1)return n.util.makeZerosTypedArray(0,r);const u=Math.abs(Math.ceil((t-e)/a)),i=n.util.makeZerosTypedArray(u,r);t<e&&1===a&&(a=-1),i[0]=e;for(let e=1;e<i.length;e++)i[e]=i[e-1]+a;return i}(r,u,i,s),d=t.makeOutput([o.length],s);return t.typedArrayFromHeap(d).set(o),d}},un=f(n.RealDiv,!0),sn=p(n.Relu),on=p(n.Relu6);var dn,ln={kernelName:n.ResizeBilinear,backendName:"wasm",setupFunc:function(e){tn=e.wasm.cwrap(n.ResizeBilinear,null,["number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){var t,a=e.backend,r=e.inputs,u=e.attrs,i=r.images,s=u.alignCorners,o=u.halfPixelCenters,d=u.size,l=d[0],p=d[1],c=i.shape,f=c[0],m=c[1],h=c[2],b=c[3],y=[f,l,p,b],v=a.dataIdMap.get(i.dataId);"float32"!==v.dtype&&(t=C({backend:a,inputs:{x:i},attrs:{dtype:"float32"}}),v=a.dataIdMap.get(t.dataId));var _=v.id,g=a.makeOutput(y,"float32");if(0===n.util.sizeFromShape(i.shape))return g;var w=a.dataIdMap.get(g.dataId).id;return tn(_,f,m,h,b,l,p,s?1:0,o?1:0,w),null!=t&&a.disposeData(t.dataId),g}};var pn,cn={kernelName:n.Reverse,backendName:"wasm",kernelFunc:function(e){var t=e.inputs,a=e.backend,r=e.attrs,u=t.x,i=r.dims,s=n.util.parseAxisParam(i,u.shape);if(0===u.shape.length)return y({inputs:{x:u},backend:a});var o=a.makeOutput(u.shape,u.dtype),d=a.dataIdMap.get(u.dataId).id,l=a.dataIdMap.get(o.dataId).id,p=new Uint8Array(new Int32Array(s).buffer),c=new Uint8Array(new Int32Array(u.shape).buffer);dn(d,p,s.length,c,u.shape.length,l);var f=A({inputs:{x:o},attrs:{shape:u.shape},backend:a});return a.disposeData(o.dataId),f},setupFunc:function(e){dn=e.wasm.cwrap(n.Reverse,null,["number","array","number","array","number","number"])}};var fn,mn,hn,bn,yn={kernelName:n.RotateWithOffset,backendName:"wasm",kernelFunc:function(e){var t=e.inputs,a=e.backend,r=e.attrs,u=t.image,i=r.radians,s=r.fillValue,o=r.center,d=a.makeOutput(u.shape,u.dtype),l=a.dataIdMap.get(u.dataId).id,p=a.dataIdMap.get(d.dataId).id,c=u.shape,f=c[0],m=c[1],h=c[2],b=c[3],y=n.backend_util.getImageCenter(o,m,h),v=y[0],_=y[1],g="number"==typeof s?[s,s,s,0===s?0:255]:s.concat([255]),w=new Uint8Array(new Int32Array(g).buffer);return pn(l,f,m,h,b,i,v,_,w,g.length,p),d},setupFunc:function(e){pn=e.wasm.cwrap(n.RotateWithOffset,null,["number","number","number","number","number","number","number","number","array","number","number"])}},vn=p(n.Round);function _n(e){var t=e.inputs.x,a=e.attrs,r=a.begin,u=a.size,i=e.backend,s=n.slice_util.parseSliceParams(t,r,u),o=s[0],d=s[1],l=n.slice_util.isSliceContinous(t.shape,o,d),p=i.readSync(t.dataId),c=i.makeOutput(d,t.dtype),f=n.util.computeStrides(t.shape),m=i.dataIdMap.get(c.dataId);if(l){var h=n.slice_util.computeFlatOffset(o,f);if("string"===t.dtype)m.stringBytes=p.slice(h,h+n.util.sizeFromShape(d));else i.typedArrayFromHeap(c).set(p.subarray(h,h+n.util.sizeFromShape(d)));return c}if("string"===t.dtype){var b=P(p,o,d,t.shape,t.dtype);return m.stringBytes=b,c}var y=i.typedArrayFromHeap(c),v=t.shape.length;if(2===v)!function(e,n,t,a,r){for(var u=0,i=a[0],s=a[1],o=i+r[0],d=i;d<o;d++){var l=d*n+s;t.set(e.subarray(l,l+r[1]),u),u+=r[1]}}(p,f[0],y,o,d);else if(3===v)!function(e,n,t,a,r,u){for(var i=0,s=r[0],o=r[1],d=r[2],l=s+u[0],p=o+u[1],c=s;c<l;c++)for(var f=o;f<p;f++){var m=c*n+f*t+d;a.set(e.subarray(m,m+u[2]),i),i+=u[2]}}(p,f[0],f[1],y,o,d);else if(4===v)!function(e,n,t,a,r,u,i){for(var s=0,o=u[0],d=u[1],l=u[2],p=o+i[0],c=d+i[1],f=l+i[2],m=u[3],h=o;h<p;h++)for(var b=d;b<c;b++)for(var y=l;y<f;y++){var v=h*n+b*t+y*a+m;r.set(e.subarray(v,v+i[3]),s),s+=i[3]}}(p,f[0],f[1],f[2],y,o,d);else{b=P(p,o,d,t.shape,t.dtype);y.set(b)}return c}var gn,wn;var kn,In,Mn;for(var Sn=0,xn=[c,h,b,S,x,E,O,D,R,z,B,q,V,K,X,Y,J,$,ee,te,re,ie,se,oe,l,le,ce,me,be,ve,_e,ge,_,ke,Ie,Me,Se,xe,Fe,Ne,Ce,Oe,Re,Pe,We,He,Be,je,Ve,Ge,Ke,Qe,Ze,Je,$e,nn,an,rn,un,sn,on,N,ln,cn,yn,p(n.Rsqrt),vn,{kernelName:n.ScatterNd,backendName:"wasm",setupFunc:function(e){fn=e.wasm.cwrap(n.ScatterNd,null,["number","number","number","number","number","number","array","number","number"])},kernelFunc:function(e){var t=e.backend,a=e.inputs,r=e.attrs,u=a.indices,i=a.updates,o=r.shape,d=t.makeOutput(o,i.dtype);if(0===n.util.sizeFromShape(o))return d;var l=n.scatter_util.calculateShapes(i,u,o),p=l.sliceRank,c=l.numUpdates,f=l.sliceSize,m=l.strides,h=l.outputSize,b=t.dataIdMap.get(u.dataId).id,y=t.dataIdMap.get(i.dataId).id,v=new Uint8Array(new Int32Array(m).buffer),_=t.dataIdMap.get(d.dataId).id;return fn(b,y,s[i.dtype],p,c,f,v,h,_),d}},{kernelName:n.Select,backendName:"wasm",kernelFunc:function(e){var t=e.inputs,a=e.backend,r=t.condition,u=t.t,i=t.e,s=a.dataIdMap.get(r.dataId).id,o=a.dataIdMap.get(u.dataId).id,d=a.dataIdMap.get(i.dataId).id,l=a.makeOutput(u.shape,u.dtype),p=a.dataIdMap.get(l.dataId).id,c=r.shape.length,f=u.shape.length,m=0===c||c>1||1===f?1:n.util.sizeFromShape(u.shape.slice(1));return mn(s,o,d,m,p),l},setupFunc:function(e){mn=e.wasm.cwrap("SelectV2",null,["number","number","number","number","number"])}},{kernelName:"Sigmoid",backendName:"wasm",setupFunc:function(e){hn=e.wasm.cwrap(n.Sigmoid,null,["number","number"])},kernelFunc:function(e){var t=e.backend,a=e.inputs.x,r=t.dataIdMap.get(a.dataId).id,u=t.makeOutput(a.shape,a.dtype),i=t.dataIdMap.get(u.dataId).id;return 0===n.util.sizeFromShape(u.shape)||hn(r,i),u}},p(n.Sin),{kernelName:n.Slice,backendName:"wasm",kernelFunc:_n},{kernelName:n.Softmax,backendName:"wasm",setupFunc:function(e){bn=e.wasm.cwrap(n.Softmax,null,["number","number","number","number"])},kernelFunc:function(e){var t=e.backend,a=e.inputs.logits,r=e.attrs.dim,u=t.dataIdMap.get(a.dataId).id,i=t.makeOutput(a.shape,a.dtype),s=t.dataIdMap.get(i.dataId).id,o=a.shape[r],d=n.util.sizeFromShape(a.shape)/o;return 0===n.util.sizeFromShape(i.shape)||bn(u,s,o,d),i}},{kernelName:n.SplitV,backendName:"wasm",kernelFunc:function(e){var t=e.inputs,a=e.attrs,r=e.backend,u=t.x,i=a.numOrSizeSplits,s=a.axis,o=n.util.parseAxisParam(s,u.shape)[0],d=n.backend_util.prepareSplitSize(u,i,o),l=new Array(u.shape.length).fill(0),p=u.shape.slice();return d.map((function(e){var n=p.slice();n[o]=e;var t=_n({inputs:{x:u},attrs:{begin:l,size:n},backend:r});return l[o]+=e,t}))}},p(n.Sqrt),p(n.Square),f(n.SquaredDifference,!0),{kernelName:n.Step,backendName:"wasm",setupFunc:function(e){gn=e.wasm.cwrap(n.Step,null,["number","number","number"])},kernelFunc:function(e){var n=e.backend,t=e.inputs,a=e.attrs.alpha,r=t.x,u=n.dataIdMap.get(r.dataId).id,i=n.makeOutput(r.shape,r.dtype),s=n.dataIdMap.get(i.dataId).id;return gn(u,a,s),i}},{kernelName:n.StridedSlice,backendName:"wasm",setupFunc:function(e){wn=e.wasm.cwrap(n.StridedSlice,null,["number","array","number","array","array","array","array","array","number","number"])},kernelFunc:function(e){var t=e.backend,a=e.inputs,r=e.attrs,u=a.x,i=r.begin,s=r.end,o=r.strides;null==o&&(o=new Array(i.length));var d=r.beginMask,l=r.endMask,p=r.ellipsisMask,c=r.newAxisMask,f=r.shrinkAxisMask,m=n.backend_util.slice_util.maskToAxes(p);if(m.length>1)throw new Error("Multiple ellipses in slice is not allowed.");if(0!==p&&0!==c)throw new Error("Using both ellipsisMask and newAxisMask is not yet supported.");if(0!==p&&0!==f)throw new Error("Using both ellipsisMask and shrinkAxisMask is not yet supported.");var h=u.shape.length-i.length,b=n.backend_util.slice_util.maskToAxes(c),y=u.shape.slice();b.forEach((function(e){i[e]=0,s[e]=1,y.splice(e,0,1)}));var v=A({inputs:{x:u},attrs:{shape:y},backend:t}),_=n.backend_util.slice_util.getNormalizedAxes(v.shape,m,h,i,s,o,d,l,p),g=_.begin,w=_.end,k=_.strides;i=g,s=w,o=k;var I=n.backend_util.slice_util.maskToAxes(f);I.forEach((function(e){s[e]=i[e]+1,o[e]=1}));var M=n.backend_util.slice_util.computeOutShape(i,s,o),S=M.filter((function(e,n){return-1===I.indexOf(n)}));if(o.every((function(e){return 1===e}))){var x=_n({inputs:{x:u},attrs:{begin:i,size:M},backend:t});t.disposeData(v.dataId);var F=A({inputs:{x:x},attrs:{shape:S},backend:t});return t.disposeData(x.dataId),F}var N=t.makeOutput(S,"float32");if(!S.some((function(e){return 0===e}))){var E=t.dataIdMap.get(v.dataId).id,C=new Uint8Array(new Int32Array(n.util.computeStrides(v.shape)).buffer),T=new Uint8Array(new Int32Array(i).buffer),O=new Uint8Array(new Int32Array(s).buffer),D=new Uint8Array(new Int32Array(o).buffer),R=new Uint8Array(new Int32Array(S).buffer),P=new Uint8Array(new Int32Array(n.util.computeStrides(S)).buffer),W=t.dataIdMap.get(N.dataId).id;wn(E,C,v.shape.length,T,O,D,R,P,S.length,W)}t.disposeData(v.dataId);var H=A({inputs:{x:N},attrs:{shape:S},backend:t});return t.disposeData(N.dataId),H}},f(n.Sub,!0),{kernelName:n.Sum,backendName:"wasm",setupFunc:function(e){kn=e.wasm.cwrap(n.Sum,null,["number, number, number"])},kernelFunc:function(e){var t=e.backend,a=e.inputs,r=e.attrs,u=r.axis,i=r.keepDims,s=a.x,o=t.dataIdMap.get(s.dataId).id,d=o,l=s,p=I(s,u,t),c=p.transposed,f=p.axes,m=p.originalAxes,h=p.inputWasTransposed,b=f;if(h){var y=t.dataIdMap.get(c.dataId).id;y!==o&&(l=c,d=y,b=n.backend_util.getInnerMostAxes(b.length,l.shape.length))}n.backend_util.assertAxesAreInnerMostDims("sum",b,l.shape.length);var v=n.backend_util.computeOutAndReduceShapes(l.shape,b),_=v[0],g=v[1],w=n.util.sizeFromShape(g),k=t.makeOutput(_,l.dtype);if(0!==n.util.sizeFromShape(l.shape)){var M=t.dataIdMap.get(k.dataId).id;kn(d,w,M)}if(h&&t.disposeData(c.dataId),i){var S=n.backend_util.expandShapeToKeepDim(k.shape,m);k.shape=S}return k}},p(n.Tanh),{kernelName:n.Tile,backendName:"wasm",setupFunc:function(e){In=e.wasm.cwrap(n.Tile,null,["number","array","number","array","number","number"])},kernelFunc:function(e){for(var n=e.inputs,t=e.backend,a=e.attrs,r=n.x,u=t.dataIdMap.get(r.dataId).id,i=a.reps,o=new Array(r.shape.length),d=0;d<o.length;d++)o[d]=r.shape[d]*i[d];var l=new Uint8Array(new Int32Array(r.shape).buffer),p=new Uint8Array(new Int32Array(o).buffer),c=t.makeOutput(o,r.dtype),f=t.dataIdMap.get(c.dataId).id;return In(u,l,r.shape.length,p,o.length,s[c.dtype],f),c}},{kernelName:n.TopK,backendName:"wasm",setupFunc:function(e){Mn=e.wasm.cwrap(n.TopK,null,["number","array","number","number","number","bool","number","number"])},kernelFunc:function(e){var n=e.inputs,t=e.backend,a=e.attrs,r=n.x,u=a.k,i=a.sorted,o=t.dataIdMap.get(r.dataId).id,d=new Uint8Array(new Int32Array(r.shape).buffer),l=r.shape.slice();l[l.length-1]=u;var p=t.makeOutput(l,r.dtype),c=t.dataIdMap.get(p.dataId).id,f=t.makeOutput(l,"int32"),m=t.dataIdMap.get(f.dataId).id;return Mn(o,d,r.shape.length,s[r.dtype],u,i,c,m),[p,f]}},k,{kernelName:n.Unpack,backendName:"wasm",kernelFunc:function(e){var n=e.inputs,t=e.backend,a=e.attrs,r=n.value,u=a.axis;u<0&&(u+=r.shape.length);for(var i=r.shape[u],s=r.shape.length,o=new Array(s-1),d=0,l=0;l<s;l++)l!==u&&(o[d++]=r.shape[l]);var p=new Array(i),c=new Array(s).fill(0),f=r.shape.slice();for(f[u]=1,l=0;l<p.length;l++)c[u]=l,p[l]=_n({inputs:{x:r},attrs:{begin:c,size:f},backend:t});return p.map((function(e){return{dataId:e.dataId,dtype:e.dtype,shape:o}}))}},{kernelName:n.ZerosLike,backendName:"wasm",kernelFunc:function(e){var n=e.inputs.x,t=e.backend,a=t.makeOutput(n.shape,n.dtype);return t.typedArrayFromHeap(a).fill(0),a}}];Sn<xn.length;Sn++){var An=xn[Sn];n.registerKernel(An)}var Fn=function(e,n){return(Fn=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(e,n){e.__proto__=n}||function(e,n){for(var t in n)n.hasOwnProperty(t)&&(e[t]=n[t])})(e,n)};function Nn(e,n,t,a){return new(t||(t=Promise))((function(r,u){function i(e){try{o(a.next(e))}catch(e){u(e)}}function s(e){try{o(a.throw(e))}catch(e){u(e)}}function o(e){var n;e.done?r(e.value):(n=e.value,n instanceof t?n:new t((function(e){e(n)}))).then(i,s)}o((a=a.apply(e,n||[])).next())}))}function En(e,n){var t,a,r,u,i={label:0,sent:function(){if(1&r[0])throw r[1];return r[1]},trys:[],ops:[]};return u={next:s(0),throw:s(1),return:s(2)},"function"==typeof Symbol&&(u[Symbol.iterator]=function(){return this}),u;function s(u){return function(s){return function(u){if(t)throw new TypeError("Generator is already executing.");for(;i;)try{if(t=1,a&&(r=2&u[0]?a.return:u[0]?a.throw||((r=a.return)&&r.call(a),0):a.next)&&!(r=r.call(a,u[1])).done)return r;switch(a=0,r&&(u=[2&u[0],r.value]),u[0]){case 0:case 1:r=u;break;case 4:return i.label++,{value:u[1],done:!1};case 5:i.label++,a=u[1],u=[0];continue;case 7:u=i.ops.pop(),i.trys.pop();continue;default:if(!(r=i.trys,(r=r.length>0&&r[r.length-1])||6!==u[0]&&2!==u[0])){i=0;continue}if(3===u[0]&&(!r||u[1]>r[0]&&u[1]<r[3])){i.label=u[1];break}if(6===u[0]&&i.label<r[1]){i.label=r[1],r=u;break}if(r&&i.label<r[2]){i.label=r[2],i.ops.push(u);break}r[2]&&i.ops.pop(),i.trys.pop();continue}u=n.call(e,i)}catch(e){u=[6,e],a=0}finally{t=r=0}if(5&u[0])throw u[1];return{value:u[0]?u[1]:void 0,done:!0}}([u,s])}}}var Cn=n.env();Cn.registerFlag("WASM_HAS_SIMD_SUPPORT",(function(){return Nn(void 0,void 0,void 0,(function(){return En(this,(function(e){return[2,WebAssembly.validate(new Uint8Array([0,97,115,109,1,0,0,0,1,4,1,96,0,0,3,2,1,0,10,9,1,7,0,65,0,253,15,26,11]))]}))}))})),Cn.registerFlag("WASM_HAS_MULTITHREAD_SUPPORT",(function(){return Nn(void 0,void 0,void 0,(function(){return En(this,(function(e){if(Cn.get("IS_NODE"))return[2,!1];try{return(new MessageChannel).port1.postMessage(new SharedArrayBuffer(1)),[2,WebAssembly.validate(new Uint8Array([0,97,115,109,1,0,0,0,1,4,1,96,0,0,3,2,1,0,5,4,1,3,1,1,10,11,1,9,0,65,0,254,16,2,0,26,11]))]}catch(e){return[2,!1]}return[2]}))}))}));var Tn="undefined"!=typeof globalThis?globalThis:"undefined"!=typeof window?window:"undefined"!=typeof global?global:"undefined"!=typeof self?self:{};function On(e,n){return e(n={exports:{}},n.exports),n.exports}var Dn=On((function(e,n){var s,o=(s="undefined"!=typeof document&&document.currentScript?document.currentScript.src:void 0,"undefined"!=typeof __filename&&(s=s||__filename),function(e){function n(){return D.buffer!=W&&ne(D.buffer),H}function o(){return D.buffer!=W&&ne(D.buffer),z}function d(){return D.buffer!=W&&ne(D.buffer),L}function l(){return D.buffer!=W&&ne(D.buffer),B}function p(){return D.buffer!=W&&ne(D.buffer),U}var c,f,m="undefined"!=typeof(e=e||{})?e:{};m.ready=new Promise((function(e,n){c=e,f=n}));var h,b={};for(h in m)m.hasOwnProperty(h)&&(b[h]=m[h]);var y=function(e,n){throw n},v=!1,_=!1,g=!1,w=!1;v="object"==typeof window,_="function"==typeof importScripts,g="object"==typeof process&&"object"==typeof process.versions&&"string"==typeof process.versions.node,w=!v&&!g&&!_;var k=m.ENVIRONMENT_IS_PTHREAD||!1;k&&(W=m.buffer);var I,M,S,x,A,F="";function N(e){return m.locateFile?m.locateFile(e,F):F+e}if(g){var E;F=_?t.dirname(F)+"/":__dirname+"/",I=function(e,n){return x||(x=a),A||(A=t),e=A.normalize(e),x.readFileSync(e,n?null:"utf8")},S=function(e){var n=I(e,!0);return n.buffer||(n=new Uint8Array(n)),q(n.buffer),n},process.argv.length>1&&process.argv[1].replace(/\\/g,"/"),process.argv.slice(2),process.on("uncaughtException",(function(e){if(!(e instanceof dt))throw e})),process.on("unhandledRejection",_e),y=function(e){process.exit(e)},m.inspect=function(){return"[Emscripten Module object]"};try{E=r}catch(e){throw console.error('The "worker_threads" module is not supported in this node.js build - perhaps a newer version is needed?'),e}Tn.Worker=E.Worker}else w?("undefined"!=typeof read&&(I=function(e){return read(e)}),S=function(e){var n;return"function"==typeof readbuffer?new Uint8Array(readbuffer(e)):(q("object"==typeof(n=read(e,"binary"))),n)},"undefined"!=typeof scriptArgs&&scriptArgs,"function"==typeof quit&&(y=function(e){quit(e)}),"undefined"!=typeof print&&("undefined"==typeof console&&(console={}),console.log=print,console.warn=console.error="undefined"!=typeof printErr?printErr:print)):(v||_)&&(_?F=self.location.href:"undefined"!=typeof document&&document.currentScript&&(F=document.currentScript.src),"undefined"!=typeof s&&s&&(F=s),F=0!==F.indexOf("blob:")?F.substr(0,F.lastIndexOf("/")+1):"",g?(I=function(e,n){return x||(x=a),A||(A=t),e=A.normalize(e),x.readFileSync(e,n?null:"utf8")},S=function(e){var n=I(e,!0);return n.buffer||(n=new Uint8Array(n)),q(n.buffer),n}):(I=function(e){var n=new XMLHttpRequest;return n.open("GET",e,!1),n.send(null),n.responseText},_&&(S=function(e){var n=new XMLHttpRequest;return n.open("GET",e,!1),n.responseType="arraybuffer",n.send(null),new Uint8Array(n.response)}),M=function(e,n,t){var a=new XMLHttpRequest;a.open("GET",e,!0),a.responseType="arraybuffer",a.onload=function(){200==a.status||0==a.status&&a.response?n(a.response):t()},a.onerror=t,a.send(null)}));g&&"undefined"==typeof performance&&(Tn.performance=u.performance);var C,T=m.print||console.log.bind(console),O=m.printErr||console.warn.bind(console);for(h in b)b.hasOwnProperty(h)&&(m[h]=b[h]);b=null,m.arguments&&m.arguments,m.thisProgram&&m.thisProgram,m.quit&&(y=m.quit),m.wasmBinary&&(C=m.wasmBinary);var D,R,P=m.noExitRuntime||!0;"object"!=typeof WebAssembly&&_e("no native wasm support detected");var W,H,z,L,B,U,j=!1;function q(e,n){e||_e("Assertion failed: "+n)}function V(e){var n=m["_"+e];return q(n,"Cannot call unknown function "+e+", make sure it is exported"),n}function G(e,n,t,a,r){var u={string:function(e){var n=0;if(null!=e&&0!==e){var t=1+(e.length<<2);Y(e,n=rt(t),t)}return n},array:function(e){var n=rt(e.length);return $(e,n),n}},i=V(e),s=[],o=0;if(a)for(var d=0;d<a.length;d++){var l=u[t[d]];l?(0===o&&(o=tt()),s[d]=l(a[d])):s[d]=a[d]}var p=i.apply(null,s);return p=function(e){return"string"===n?X(e):"boolean"===n?Boolean(e):e}(p),0!==o&&at(o),p}function K(e,n,t,a){var r=(t=t||[]).every((function(e){return"number"===e}));return"string"!==n&&r&&!a?V(e):function(){return G(e,n,t,arguments)}}function Q(e,n,t){for(var a=n+t,r="";!(n>=a);){var u=e[n++];if(!u)return r;if(128&u){var i=63&e[n++];if(192!=(224&u)){var s=63&e[n++];if((u=224==(240&u)?(15&u)<<12|i<<6|s:(7&u)<<18|i<<12|s<<6|63&e[n++])<65536)r+=String.fromCharCode(u);else{var o=u-65536;r+=String.fromCharCode(55296|o>>10,56320|1023&o)}}else r+=String.fromCharCode((31&u)<<6|i)}else r+=String.fromCharCode(u)}return r}function X(e,n){return e?Q(o(),e,n):""}function Z(e,n,t,a){if(!(a>0))return 0;for(var r=t,u=t+a-1,i=0;i<e.length;++i){var s=e.charCodeAt(i);if(s>=55296&&s<=57343&&(s=65536+((1023&s)<<10)|1023&e.charCodeAt(++i)),s<=127){if(t>=u)break;n[t++]=s}else if(s<=2047){if(t+1>=u)break;n[t++]=192|s>>6,n[t++]=128|63&s}else if(s<=65535){if(t+2>=u)break;n[t++]=224|s>>12,n[t++]=128|s>>6&63,n[t++]=128|63&s}else{if(t+3>=u)break;n[t++]=240|s>>18,n[t++]=128|s>>12&63,n[t++]=128|s>>6&63,n[t++]=128|63&s}}return n[t]=0,t-r}function Y(e,n,t){return Z(e,o(),n,t)}function J(e){for(var n=0,t=0;t<e.length;++t){var a=e.charCodeAt(t);a>=55296&&a<=57343&&(a=65536+((1023&a)<<10)|1023&e.charCodeAt(++t)),a<=127?++n:n+=a<=2047?2:a<=65535?3:4}return n}function $(e,t){n().set(e,t)}function ee(e,n){return e%n>0&&(e+=n-e%n),e}function ne(e){W=e,m.HEAP8=H=new Int8Array(e),m.HEAP16=new Int16Array(e),m.HEAP32=L=new Int32Array(e),m.HEAPU8=z=new Uint8Array(e),m.HEAPU16=new Uint16Array(e),m.HEAPU32=B=new Uint32Array(e),m.HEAPF32=new Float32Array(e),m.HEAPF64=U=new Float64Array(e)}var te,ae=m.INITIAL_MEMORY||16777216;if(k)D=m.wasmMemory,W=m.buffer;else if(m.wasmMemory)D=m.wasmMemory;else if(!((D=new WebAssembly.Memory({initial:ae/65536,maximum:32768,shared:!0})).buffer instanceof SharedArrayBuffer))throw O("requested a shared WebAssembly.Memory but the returned buffer is not a SharedArrayBuffer, indicating that while the browser has SharedArrayBuffer it does not have WebAssembly threads support - you may need to set a flag"),g&&console.log("(on node you may need: --experimental-wasm-threads --experimental-wasm-bulk-memory and also use a recent version)"),Error("bad memory");D&&(W=D.buffer),ae=W.byteLength,ne(W);var re=[],ue=[],ie=[],se=[];function oe(){if(!k){if(m.preRun)for("function"==typeof m.preRun&&(m.preRun=[m.preRun]);m.preRun.length;)ce(m.preRun.shift());Ce(re)}}function de(){Ce(ue)}function le(){k||Ce(ie)}function pe(){if(!k){if(m.postRun)for("function"==typeof m.postRun&&(m.postRun=[m.postRun]);m.postRun.length;)fe(m.postRun.shift());Ce(se)}}function ce(e){re.unshift(e)}function fe(e){se.unshift(e)}k||ue.push({func:function(){Un()}});var me=0,he=null,be=null;function ye(e){q(!k,"addRunDependency cannot be used in a pthread worker"),me++,m.monitorRunDependencies&&m.monitorRunDependencies(me)}function ve(e){if(me--,m.monitorRunDependencies&&m.monitorRunDependencies(me),0==me&&(null!==he&&(clearInterval(he),he=null),be)){var n=be;be=null,n()}}function _e(e){m.onAbort&&m.onAbort(e),k&&console.error("Pthread aborting at "+(new Error).stack),O(e+=""),j=!0,e="abort("+e+"). Build with -s ASSERTIONS=1 for more info.";var n=new WebAssembly.RuntimeError(e);throw f(n),n}function ge(e,n){return String.prototype.startsWith?e.startsWith(n):0===e.indexOf(n)}m.preloadedImages={},m.preloadedAudios={};var we="data:application/octet-stream;base64,";function ke(e){return ge(e,we)}var Ie="file://";function Me(e){return ge(e,Ie)}var Se="tfjs-backend-wasm-threaded-simd.wasm";function xe(e){try{if(e==Se&&C)return new Uint8Array(C);if(S)return S(e);throw"both async and sync fetching of the wasm failed"}catch(e){_e(e)}}function Ae(){if(!C&&(v||_)){if("function"==typeof fetch&&!Me(Se))return fetch(Se,{credentials:"same-origin"}).then((function(e){if(!e.ok)throw"failed to load wasm binary file at '"+Se+"'";return e.arrayBuffer()})).catch((function(){return xe(Se)}));if(M)return new Promise((function(e,n){M(Se,(function(n){e(new Uint8Array(n))}),n)}))}return Promise.resolve().then((function(){return xe(Se)}))}function Fe(){var e={a:Bn};function n(e,n){var t=e.exports;if(m.asm=t,te=m.asm.F,R=n,!k){var a=We.unusedWorkers.length;We.unusedWorkers.forEach((function(e){We.loadWasmModuleToWorker(e,(function(){--a||ve()}))}))}}function t(e){n(e.instance,e.module)}function a(n){return Ae().then((function(n){return WebAssembly.instantiate(n,e)})).then(n,(function(e){O("failed to asynchronously prepare wasm: "+e),_e(e)}))}if(k||ye(),m.instantiateWasm)try{return m.instantiateWasm(e,n)}catch(e){return O("Module.instantiateWasm callback failed with error: "+e),!1}return(C||"function"!=typeof WebAssembly.instantiateStreaming||ke(Se)||Me(Se)||"function"!=typeof fetch?a(t):fetch(Se,{credentials:"same-origin"}).then((function(n){return WebAssembly.instantiateStreaming(n,e).then(t,(function(e){return O("wasm streaming compile failed: "+e),O("falling back to ArrayBuffer instantiation"),a(t)}))}))).catch(f),{}}ke(Se)||(Se=N(Se));var Ne={8991:function(e,n){setTimeout((function(){Yn(e,n)}),0)}};function Ee(){We.initRuntime()}function Ce(e){for(;e.length>0;){var n=e.shift();if("function"!=typeof n){var t=n.func;"number"==typeof t?void 0===n.arg?te.get(t)():te.get(t)(n.arg):t(void 0===n.arg?null:n.arg)}else n(m)}}function Te(e,t){if(e<=0||e>n().length||!0&e||t<0)return-28;if(0==t)return 0;t>=2147483647&&(t=1/0);var a=Atomics.load(d(),ot>>2),r=0;if(a==e&&Atomics.compareExchange(d(),ot>>2,a,0)==a&&(r=1,--t<=0))return 1;var u=Atomics.notify(d(),e>>2,t);if(u>=0)return u+r;throw"Atomics.notify returned an unexpected value "+u}function Oe(e){if(k)throw"Internal Error! killThread() can only ever be called from main application thread!";if(!e)throw"Internal Error! Null pthread_ptr in killThread!";d()[e+12>>2]=0;var n=We.pthreads[e];n.worker.terminate(),We.freeThreadData(n),We.runningWorkers.splice(We.runningWorkers.indexOf(n.worker),1),n.worker.pthread=void 0}function De(e){if(k)throw"Internal Error! cancelThread() can only ever be called from main application thread!";if(!e)throw"Internal Error! Null pthread_ptr in cancelThread!";We.pthreads[e].worker.postMessage({cmd:"cancel"})}function Re(e){if(k)throw"Internal Error! cleanupThread() can only ever be called from main application thread!";if(!e)throw"Internal Error! Null pthread_ptr in cleanupThread!";d()[e+12>>2]=0;var n=We.pthreads[e];if(n){var t=n.worker;We.returnWorkerToPool(t)}}m._emscripten_futex_wake=Te;var Pe,We={unusedWorkers:[],runningWorkers:[],initMainThreadBlock:function(){for(var e=0;e<8;++e)We.allocateUnusedWorker()},initRuntime:function(){for(var e=jn(228),n=0;n<57;++n)l()[e/4+n]=0;d()[e+12>>2]=e;var t=e+152;d()[t>>2]=t;var a=jn(512);for(n=0;n<128;++n)l()[a/4+n]=0;Atomics.store(l(),e+100>>2,a),Atomics.store(l(),e+40>>2,e),nt(e,!_,1),Zn(e)},initWorker:function(){},pthreads:{},threadExitHandlers:[],setThreadStatus:function(){},runExitHandlers:function(){for(;We.threadExitHandlers.length>0;)We.threadExitHandlers.pop()();k&&Kn()&&Qn()},threadExit:function(e){var n=Kn();n&&(Atomics.store(l(),n+4>>2,e),Atomics.store(l(),n+0>>2,1),Atomics.store(l(),n+56>>2,1),Atomics.store(l(),n+60>>2,0),We.runExitHandlers(),Te(n+0,2147483647),nt(0,0,0),k&&postMessage({cmd:"exit"}))},threadCancel:function(){We.runExitHandlers();var e=Kn();Atomics.store(l(),e+4>>2,-1),Atomics.store(l(),e+0>>2,1),Te(e+0,2147483647),nt(0,0,0),postMessage({cmd:"cancelDone"})},terminateAllThreads:function(){for(var e in We.pthreads)(a=We.pthreads[e])&&a.worker&&We.returnWorkerToPool(a.worker);We.pthreads={};for(var n=0;n<We.unusedWorkers.length;++n)(t=We.unusedWorkers[n]).terminate();for(We.unusedWorkers=[],n=0;n<We.runningWorkers.length;++n){var t,a=(t=We.runningWorkers[n]).pthread;We.freeThreadData(a),t.terminate()}We.runningWorkers=[]},freeThreadData:function(e){if(e){if(e.threadInfoStruct){var n=d()[e.threadInfoStruct+100>>2];d()[e.threadInfoStruct+100>>2]=0,qn(n),qn(e.threadInfoStruct)}e.threadInfoStruct=0,e.allocatedOwnStack&&e.stackBase&&qn(e.stackBase),e.stackBase=0,e.worker&&(e.worker.pthread=null)}},returnWorkerToPool:function(e){We.runWithoutMainThreadQueuedCalls((function(){delete We.pthreads[e.pthread.threadInfoStruct],We.unusedWorkers.push(e),We.runningWorkers.splice(We.runningWorkers.indexOf(e),1),We.freeThreadData(e.pthread),e.pthread=void 0}))},runWithoutMainThreadQueuedCalls:function(e){d()[st>>2]=0;try{e()}finally{d()[st>>2]=1}},receiveObjectTransfer:function(e){},loadWasmModuleToWorker:function(e,n){e.onmessage=function(t){var a=t.data,r=a.cmd;if(e.pthread&&(We.currentProxiedOperationCallerThread=e.pthread.threadInfoStruct),a.targetThread&&a.targetThread!=Kn()){var u=We.pthreads[a.targetThread];return u?u.worker.postMessage(t.data,a.transferList):console.error('Internal error! Worker sent a message "'+r+'" to target pthread '+a.targetThread+", but that thread no longer exists!"),void(We.currentProxiedOperationCallerThread=void 0)}if("processQueuedMainThreadWork"===r)Xn();else if("spawnThread"===r)Pn(t.data);else if("cleanupThread"===r)Re(a.thread);else if("killThread"===r)Oe(a.thread);else if("cancelThread"===r)De(a.thread);else if("loaded"===r)e.loaded=!0,n&&n(e),e.runPthread&&(e.runPthread(),delete e.runPthread);else if("print"===r)T("Thread "+a.threadId+": "+a.text);else if("printErr"===r)O("Thread "+a.threadId+": "+a.text);else if("alert"===r)alert("Thread "+a.threadId+": "+a.text);else if("exit"===r)e.pthread&&Atomics.load(l(),e.pthread.threadInfoStruct+64>>2)&&We.returnWorkerToPool(e);else if("exitProcess"===r)try{pt(a.returnCode)}catch(t){if(t instanceof dt)return;throw t}else"cancelDone"===r?We.returnWorkerToPool(e):"objectTransfer"===r?We.receiveObjectTransfer(t.data):"setimmediate"===t.data.target?e.postMessage(t.data):O("worker sent an unknown command "+r);We.currentProxiedOperationCallerThread=void 0},e.onerror=function(e){O("pthread sent an error! "+e.filename+":"+e.lineno+": "+e.message)},g&&(e.on("message",(function(n){e.onmessage({data:n})})),e.on("error",(function(n){e.onerror(n)})),e.on("exit",(function(e){}))),e.postMessage({cmd:"load",urlOrBlob:m.mainScriptUrlOrBlob||s,wasmMemory:D,wasmModule:R})},allocateUnusedWorker:function(){var e=N("tfjs-backend-wasm-threaded-simd.worker.js");We.unusedWorkers.push(new Worker(e))},getNewWorker:function(){return 0==We.unusedWorkers.length&&(We.allocateUnusedWorker(),We.loadWasmModuleToWorker(We.unusedWorkers[0])),We.unusedWorkers.length>0?We.unusedWorkers.pop():null},busySpinWait:function(e){for(var n=performance.now()+e;performance.now()<n;);}};function He(e,n){ut(e,n),at(e)}function ze(){return P}function Le(e,n){return te.get(e)(n)}function Be(e,n,t,a){_e("Assertion failed: "+X(e)+", at: "+[n?X(n):"unknown filename",t,a?X(a):"unknown function"])}function Ue(e,n){_main(e,n)}function je(e){return d()[Vn()>>2]=e,e}function qe(e,n){if(k)return Je(1,1,e,n)}function Ve(e,n){if(e==n)postMessage({cmd:"processQueuedMainThreadWork"});else if(k)postMessage({targetThread:e,cmd:"processThreadQueue"});else{var t=We.pthreads[e],a=t&&t.worker;if(!a)return;a.postMessage({cmd:"processThreadQueue"})}return 1}function Ge(){_e()}function Ke(e,n,t){var a=nn(n,t);return Ne[e].apply(null,a)}function Qe(e,n){}function Xe(e,t,a){if(e<=0||e>n().length||!0&e)return-28;if(v){if(Atomics.load(d(),e>>2)!=t)return-6;var r=performance.now(),u=r+a;for(Atomics.exchange(d(),ot>>2,e);;){if((r=performance.now())>u)return Atomics.exchange(d(),ot>>2,0),-73;if(0==Atomics.exchange(d(),ot>>2,0))break;if(Xn(),Atomics.load(d(),e>>2)!=t)return-6;Atomics.exchange(d(),ot>>2,e)}return 0}var i=Atomics.wait(d(),e>>2,t,a);if("timed-out"===i)return-73;if("not-equal"===i)return-6;if("ok"===i)return 0;throw"Atomics.wait returned an unexpected value "+i}function Ze(e,n,t){o().copyWithin(e,n,n+t)}function Ye(){return g?i.cpus().length:navigator.hardwareConcurrency}function Je(e,n){for(var t=arguments.length-2,a=tt(),r=t,u=rt(8*r),i=u>>3,s=0;s<t;s++){var o=arguments[2+s];p()[i+s]=o}var d=$n(e,r,u,n);return at(a),d}m.establishStackSpace=He,m.getNoExitRuntime=ze,m.invokeEntryPoint=Le,Pe=g?function(){var e=process.hrtime();return 1e3*e[0]+e[1]/1e6}:k?function(){return performance.now()-m.__performance_now_clock_drift}:"undefined"!=typeof dateNow?dateNow:function(){return performance.now()};var $e=[],en=[];function nn(e,n){var t;for(en.length=0,n>>=2;t=o()[e++];){var a=t<105;a&&1&n&&n++,en.push(a?p()[n++>>1]:d()[n]),++n}return en}function tn(e,n,t){$e.length=n;for(var a=t>>3,r=0;r<n;r++)$e[r]=p()[a+r];return(e<0?Ne[-e-1]:Ln[e]).apply(null,$e)}function an(){return o().length}function rn(e){try{return D.grow(e-W.byteLength+65535>>>16),ne(D.buffer),1}catch(e){}}function un(e){var n=an();if(e<=n)return!1;if(e>2147483648)return!1;for(var t=1;t<=4;t*=2){var a=n*(1+.2/t);if(a=Math.min(a,e+100663296),rn(Math.min(2147483648,ee(Math.max(e,a),65536))))return!0}return!1}var sn={inEventHandler:0,removeAllEventListeners:function(){for(var e=sn.eventHandlers.length-1;e>=0;--e)sn._removeHandler(e);sn.eventHandlers=[],sn.deferredCalls=[]},registerRemoveEventListeners:function(){sn.removeEventListenersRegistered||(sn.removeEventListenersRegistered=!0)},deferredCalls:[],deferCall:function(e,n,t){function a(e,n){if(e.length!=n.length)return!1;for(var t in e)if(e[t]!=n[t])return!1;return!0}for(var r in sn.deferredCalls){var u=sn.deferredCalls[r];if(u.targetFunction==e&&a(u.argsList,t))return}sn.deferredCalls.push({targetFunction:e,precedence:n,argsList:t}),sn.deferredCalls.sort((function(e,n){return e.precedence<n.precedence}))},removeDeferredCalls:function(e){for(var n=0;n<sn.deferredCalls.length;++n)sn.deferredCalls[n].targetFunction==e&&(sn.deferredCalls.splice(n,1),--n)},canPerformEventHandlerRequests:function(){return sn.inEventHandler&&sn.currentEventHandler.allowsDeferredCalls},runDeferredCalls:function(){if(sn.canPerformEventHandlerRequests())for(var e=0;e<sn.deferredCalls.length;++e){var n=sn.deferredCalls[e];sn.deferredCalls.splice(e,1),--e,n.targetFunction.apply(null,n.argsList)}},eventHandlers:[],removeAllHandlersOnTarget:function(e,n){for(var t=0;t<sn.eventHandlers.length;++t)sn.eventHandlers[t].target!=e||n&&n!=sn.eventHandlers[t].eventTypeString||sn._removeHandler(t--)},_removeHandler:function(e){var n=sn.eventHandlers[e];n.target.removeEventListener(n.eventTypeString,n.eventListenerFunc,n.useCapture),sn.eventHandlers.splice(e,1)},registerOrRemoveHandler:function(e){var n=function(n){++sn.inEventHandler,sn.currentEventHandler=e,sn.runDeferredCalls(),e.handlerFunc(n),sn.runDeferredCalls(),--sn.inEventHandler};if(e.callbackfunc)e.eventListenerFunc=n,e.target.addEventListener(e.eventTypeString,n,e.useCapture),sn.eventHandlers.push(e),sn.registerRemoveEventListeners();else for(var t=0;t<sn.eventHandlers.length;++t)sn.eventHandlers[t].target==e.target&&sn.eventHandlers[t].eventTypeString==e.eventTypeString&&sn._removeHandler(t--)},queueEventHandlerOnThread_iiii:function(e,n,t,a,r){var u=tt(),i=rt(12);d()[i>>2]=t,d()[i+4>>2]=a,d()[i+8>>2]=r,et(0,e,637534208,n,a,i),at(u)},getTargetThreadForEventCallback:function(e){switch(e){case 1:return 0;case 2:return We.currentProxiedOperationCallerThread;default:return e}},getNodeNameForTarget:function(e){return e?e==window?"#window":e==screen?"#screen":e&&e.nodeName?e.nodeName:"":""},fullscreenEnabled:function(){return document.fullscreenEnabled||document.webkitFullscreenEnabled}};function on(e){var n=J(e)+1,t=jn(n);return Y(e,t,n),t}function dn(e,n,t,a){var r=tt(),u=rt(12),i=0;n&&(i=on(n)),d()[u>>2]=i,d()[u+4>>2]=t,d()[u+8>>2]=a,et(0,e,657457152,0,i,u),at(r)}function ln(e,n,t,a){dn(e,n=n?X(n):"",t,a)}function pn(e){return e>2?X(e):e}var cn=[0,"undefined"!=typeof document?document:0,"undefined"!=typeof window?window:0];function fn(e){return e=pn(e),cn[e]||("undefined"!=typeof document?document.querySelector(e):void 0)}function mn(e){return fn(e)}function hn(e,n,t){var a=mn(e);if(!a)return-4;if(a.canvasSharedPtr&&(d()[a.canvasSharedPtr>>2]=n,d()[a.canvasSharedPtr+4>>2]=t),!a.offscreenCanvas&&a.controlTransferredOffscreen)return a.canvasSharedPtr?(ln(d()[a.canvasSharedPtr+8>>2],e,n,t),1):-4;a.offscreenCanvas&&(a=a.offscreenCanvas);var r=!1;if(a.GLctxObject&&a.GLctxObject.GLctx){var u=a.GLctxObject.GLctx.getParameter(2978);r=0===u[0]&&0===u[1]&&u[2]===a.width&&u[3]===a.height}return a.width=n,a.height=t,r&&a.GLctxObject.GLctx.viewport(0,0,n,t),0}function bn(e,n,t){return k?Je(2,1,e,n,t):hn(e,n,t)}function yn(e,n,t){return mn(e)?hn(e,n,t):bn(e,n,t)}function vn(e){}function _n(e,n){}function gn(e){var n=e.getExtension("ANGLE_instanced_arrays");if(n)return e.vertexAttribDivisor=function(e,t){n.vertexAttribDivisorANGLE(e,t)},e.drawArraysInstanced=function(e,t,a,r){n.drawArraysInstancedANGLE(e,t,a,r)},e.drawElementsInstanced=function(e,t,a,r,u){n.drawElementsInstancedANGLE(e,t,a,r,u)},1}function wn(e){var n=e.getExtension("OES_vertex_array_object");if(n)return e.createVertexArray=function(){return n.createVertexArrayOES()},e.deleteVertexArray=function(e){n.deleteVertexArrayOES(e)},e.bindVertexArray=function(e){n.bindVertexArrayOES(e)},e.isVertexArray=function(e){return n.isVertexArrayOES(e)},1}function kn(e){var n=e.getExtension("WEBGL_draw_buffers");if(n)return e.drawBuffers=function(e,t){n.drawBuffersWEBGL(e,t)},1}function In(e){return!!(e.multiDrawWebgl=e.getExtension("WEBGL_multi_draw"))}var Mn={counter:1,buffers:[],programs:[],framebuffers:[],renderbuffers:[],textures:[],uniforms:[],shaders:[],vaos:[],contexts:{},offscreenCanvases:{},timerQueriesEXT:[],programInfos:{},stringCache:{},unpackAlignment:4,recordError:function(e){Mn.lastError||(Mn.lastError=e)},getNewId:function(e){for(var n=Mn.counter++,t=e.length;t<n;t++)e[t]=null;return n},getSource:function(e,n,t,a){for(var r="",u=0;u<n;++u){var i=a?d()[a+4*u>>2]:-1;r+=X(d()[t+4*u>>2],i<0?void 0:i)}return r},createContext:function(e,n){var t=e.getContext("webgl",n);return t?Mn.registerContext(t,n):0},registerContext:function(e,n){var t=jn(8);d()[t+4>>2]=Kn();var a={handle:t,attributes:n,version:n.majorVersion,GLctx:e};return e.canvas&&(e.canvas.GLctxObject=a),Mn.contexts[t]=a,("undefined"==typeof n.enableExtensionsByDefault||n.enableExtensionsByDefault)&&Mn.initExtensions(a),t},makeContextCurrent:function(e){return Mn.currentContext=Mn.contexts[e],m.ctx=Fn=Mn.currentContext&&Mn.currentContext.GLctx,!(e&&!Fn)},getContext:function(e){return Mn.contexts[e]},deleteContext:function(e){Mn.currentContext===Mn.contexts[e]&&(Mn.currentContext=null),"object"==typeof sn&&sn.removeAllHandlersOnTarget(Mn.contexts[e].GLctx.canvas),Mn.contexts[e]&&Mn.contexts[e].GLctx.canvas&&(Mn.contexts[e].GLctx.canvas.GLctxObject=void 0),qn(Mn.contexts[e].handle),Mn.contexts[e]=null},initExtensions:function(e){if(e||(e=Mn.currentContext),!e.initExtensionsDone){e.initExtensionsDone=!0;var n=e.GLctx;gn(n),wn(n),kn(n),n.disjointTimerQueryExt=n.getExtension("EXT_disjoint_timer_query"),In(n),(n.getSupportedExtensions()||[]).forEach((function(e){e.indexOf("lose_context")<0&&e.indexOf("debug")<0&&n.getExtension(e)}))}},populateUniformTable:function(e){for(var n=Mn.programs[e],t=Mn.programInfos[e]={uniforms:{},maxUniformLength:0,maxAttributeLength:-1,maxUniformBlockNameLength:-1},a=t.uniforms,r=Fn.getProgramParameter(n,35718),u=0;u<r;++u){var i=Fn.getActiveUniform(n,u),s=i.name;t.maxUniformLength=Math.max(t.maxUniformLength,s.length+1),"]"==s.slice(-1)&&(s=s.slice(0,s.lastIndexOf("[")));var o=Fn.getUniformLocation(n,s);if(o){var d=Mn.getNewId(Mn.uniforms);a[s]=[i.size,d],Mn.uniforms[d]=o;for(var l=1;l<i.size;++l){var p=s+"["+l+"]";o=Fn.getUniformLocation(n,p),d=Mn.getNewId(Mn.uniforms),Mn.uniforms[d]=o}}}}},Sn=["default","low-power","high-performance"];function xn(e,n){var t=n>>2,a=d()[t+6],r={alpha:!!d()[t+0],depth:!!d()[t+1],stencil:!!d()[t+2],antialias:!!d()[t+3],premultipliedAlpha:!!d()[t+4],preserveDrawingBuffer:!!d()[t+5],powerPreference:Sn[a],failIfMajorPerformanceCaveat:!!d()[t+7],majorVersion:d()[t+8],minorVersion:d()[t+9],enableExtensionsByDefault:d()[t+10],explicitSwapControl:d()[t+11],proxyContextToMainThread:d()[t+12],renderViaOffscreenBackBuffer:d()[t+13]},u=mn(e);return u?r.explicitSwapControl?0:Mn.createContext(u,r):0}function An(e,n){return xn(e,n)}var Fn,Nn={mappings:{},buffers:[null,[],[]],printChar:function(e,n){var t=Nn.buffers[e];0===n||10===n?((1===e?T:O)(Q(t,0)),t.length=0):t.push(n)},varargs:void 0,get:function(){return Nn.varargs+=4,d()[Nn.varargs-4>>2]},getStr:function(e){return X(e)},get64:function(e,n){return e}};function En(e){return k?Je(3,1,e):0}function Cn(e,n,t,a,r){if(k)return Je(4,1,e,n,t,a,r)}function On(e,n,t,a){if(k)return Je(5,1,e,n,t,a);for(var r=0,u=0;u<t;u++){for(var i=d()[n+8*u>>2],s=d()[n+(8*u+4)>>2],l=0;l<s;l++)Nn.printChar(e,o()[i+l]);r+=s}return d()[a>>2]=r,0}function Dn(e){var n=We.threadExitHandlers.pop();e&&n()}function Rn(e,n){We.threadExitHandlers.push((function(){te.get(e)(n)}))}function Pn(e){if(k)throw"Internal Error! spawnThread() can only ever be called from main application thread!";var n=We.getNewWorker();if(void 0!==n.pthread)throw"Internal error!";if(!e.pthread_ptr)throw"Internal error, no pthread ptr!";We.runningWorkers.push(n);for(var t=jn(512),a=0;a<128;++a)d()[t+4*a>>2]=0;var r=e.stackBase+e.stackSize,u=We.pthreads[e.pthread_ptr]={worker:n,stackBase:e.stackBase,stackSize:e.stackSize,allocatedOwnStack:e.allocatedOwnStack,threadInfoStruct:e.pthread_ptr},i=u.threadInfoStruct>>2;Atomics.store(l(),i+16,e.detached),Atomics.store(l(),i+25,t),Atomics.store(l(),i+10,u.threadInfoStruct),Atomics.store(l(),i+20,e.stackSize),Atomics.store(l(),i+19,r),Atomics.store(l(),i+26,e.stackSize),Atomics.store(l(),i+28,r),Atomics.store(l(),i+29,e.detached);var s=Gn()+40;Atomics.store(l(),i+43,s),n.pthread=u;var o={cmd:"run",start_routine:e.startRoutine,arg:e.arg,threadInfoStruct:e.pthread_ptr,stackBase:e.stackBase,stackSize:e.stackSize};n.runPthread=function(){o.time=performance.now(),n.postMessage(o,e.transferList)},n.loaded&&(n.runPthread(),delete n.runPthread)}function Wn(e,n,t,a){if("undefined"==typeof SharedArrayBuffer)return O("Current environment does not support SharedArrayBuffer, pthreads are not available!"),6;if(!e)return O("pthread_create called with a null thread pointer!"),28;var r=[];if(k&&0===r.length)return Jn(687865856,e,n,t,a);var u=0,i=0,s=0;n&&-1!=n?(u=d()[n>>2],u+=81920,i=d()[n+8>>2],s=0!==d()[n+12>>2]):u=2097152;var o=0==i;o?i=it(16,u):q((i-=u)>0);for(var p=jn(228),c=0;c<57;++c)l()[(p>>2)+c]=0;d()[e>>2]=p,d()[p+12>>2]=p;var f=p+152;d()[f>>2]=f;var m={stackBase:i,stackSize:u,allocatedOwnStack:o,detached:s,startRoutine:t,pthread_ptr:p,arg:a,transferList:r};return k?(m.cmd="spawnThread",postMessage(m,r)):Pn(m),0}function Hn(e){if(k)return Je(6,1,e);switch(e){case 30:return 16384;case 85:return 131072;case 132:case 133:case 12:case 137:case 138:case 15:case 235:case 16:case 17:case 18:case 19:case 20:case 149:case 13:case 10:case 236:case 153:case 9:case 21:case 22:case 159:case 154:case 14:case 77:case 78:case 139:case 82:case 68:case 67:case 164:case 11:case 29:case 47:case 48:case 95:case 52:case 51:case 46:return 200809;case 27:case 246:case 127:case 128:case 23:case 24:case 160:case 161:case 181:case 182:case 242:case 183:case 184:case 243:case 244:case 245:case 165:case 178:case 179:case 49:case 50:case 168:case 169:case 175:case 170:case 171:case 172:case 97:case 76:case 32:case 173:case 35:case 80:case 81:case 79:return-1;case 176:case 177:case 7:case 155:case 8:case 157:case 125:case 126:case 92:case 93:case 129:case 130:case 131:case 94:case 91:return 1;case 74:case 60:case 69:case 70:case 4:return 1024;case 31:case 42:case 72:return 32;case 87:case 26:case 33:return 2147483647;case 34:case 1:return 47839;case 38:case 36:return 99;case 43:case 37:return 2048;case 0:return 2097152;case 3:return 65536;case 28:return 32768;case 44:return 32767;case 75:return 16384;case 39:return 1e3;case 89:return 700;case 71:return 256;case 40:return 255;case 2:return 100;case 180:return 64;case 25:return 20;case 5:return 16;case 6:return 6;case 73:return 4;case 84:return"object"==typeof navigator&&navigator.hardwareConcurrency||1}return je(28),-1}k||We.initMainThreadBlock();var zn,Ln=[null,qe,bn,En,Cn,On,Hn],Bn={e:Be,r:Ue,x:Ve,b:Ge,y:Ke,j:Qe,c:Xe,d:Te,f:Pe,p:Ze,z:Ye,u:tn,q:un,v:yn,i:vn,t:_n,w:An,m:En,n:Cn,g:On,o:Ee,a:D||m.wasmMemory,k:Dn,l:Rn,h:Wn,s:Hn},Un=(Fe(),m.___wasm_call_ctors=function(){return(Un=m.___wasm_call_ctors=m.asm.A).apply(null,arguments)}),jn=(m._init=function(){return(m._init=m.asm.B).apply(null,arguments)},m._register_tensor=function(){return(m._register_tensor=m.asm.C).apply(null,arguments)},m._dispose_data=function(){return(m._dispose_data=m.asm.D).apply(null,arguments)},m._dispose=function(){return(m._dispose=m.asm.E).apply(null,arguments)},m._Abs=function(){return(m._Abs=m.asm.G).apply(null,arguments)},m._Add=function(){return(m._Add=m.asm.H).apply(null,arguments)},m._AddN=function(){return(m._AddN=m.asm.I).apply(null,arguments)},m._ArgMax=function(){return(m._ArgMax=m.asm.J).apply(null,arguments)},m._AvgPool=function(){return(m._AvgPool=m.asm.K).apply(null,arguments)},m._BatchMatMul=function(){return(m._BatchMatMul=m.asm.L).apply(null,arguments)},m._Ceil=function(){return(m._Ceil=m.asm.M).apply(null,arguments)},m._ClipByValue=function(){return(m._ClipByValue=m.asm.N).apply(null,arguments)},m._Conv2D=function(){return(m._Conv2D=m.asm.O).apply(null,arguments)},m._Conv2DBackpropInput=function(){return(m._Conv2DBackpropInput=m.asm.P).apply(null,arguments)},m._Cos=function(){return(m._Cos=m.asm.Q).apply(null,arguments)},m._CropAndResize=function(){return(m._CropAndResize=m.asm.R).apply(null,arguments)},m._Cumsum=function(){return(m._Cumsum=m.asm.S).apply(null,arguments)},m._DepthToSpace=function(){return(m._DepthToSpace=m.asm.T).apply(null,arguments)},m._DepthwiseConv2dNative=function(){return(m._DepthwiseConv2dNative=m.asm.U).apply(null,arguments)},m._Equal=function(){return(m._Equal=m.asm.V).apply(null,arguments)},m._Exp=function(){return(m._Exp=m.asm.W).apply(null,arguments)},m._FlipLeftRight=function(){return(m._FlipLeftRight=m.asm.X).apply(null,arguments)},m._Floor=function(){return(m._Floor=m.asm.Y).apply(null,arguments)},m._FloorDiv=function(){return(m._FloorDiv=m.asm.Z).apply(null,arguments)},m._FusedBatchNorm=function(){return(m._FusedBatchNorm=m.asm._).apply(null,arguments)},m._FusedConv2D=function(){return(m._FusedConv2D=m.asm.$).apply(null,arguments)},m._FusedDepthwiseConv2D=function(){return(m._FusedDepthwiseConv2D=m.asm.aa).apply(null,arguments)},m._Gather=function(){return(m._Gather=m.asm.ba).apply(null,arguments)},m._GatherNd=function(){return(m._GatherNd=m.asm.ca).apply(null,arguments)},m._Greater=function(){return(m._Greater=m.asm.da).apply(null,arguments)},m._GreaterEqual=function(){return(m._GreaterEqual=m.asm.ea).apply(null,arguments)},m._LeakyRelu=function(){return(m._LeakyRelu=m.asm.fa).apply(null,arguments)},m._Less=function(){return(m._Less=m.asm.ga).apply(null,arguments)},m._LessEqual=function(){return(m._LessEqual=m.asm.ha).apply(null,arguments)},m._Log=function(){return(m._Log=m.asm.ia).apply(null,arguments)},m._LogicalAnd=function(){return(m._LogicalAnd=m.asm.ja).apply(null,arguments)},m._Max=function(){return(m._Max=m.asm.ka).apply(null,arguments)},m._MaxPool=function(){return(m._MaxPool=m.asm.la).apply(null,arguments)},m._Maximum=function(){return(m._Maximum=m.asm.ma).apply(null,arguments)},m._Mean=function(){return(m._Mean=m.asm.na).apply(null,arguments)},m._Min=function(){return(m._Min=m.asm.oa).apply(null,arguments)},m._Minimum=function(){return(m._Minimum=m.asm.pa).apply(null,arguments)},m._Multiply=function(){return(m._Multiply=m.asm.qa).apply(null,arguments)},m._Neg=function(){return(m._Neg=m.asm.ra).apply(null,arguments)},m._NonMaxSuppressionV3=function(){return(m._NonMaxSuppressionV3=m.asm.sa).apply(null,arguments)},m._NonMaxSuppressionV4=function(){return(m._NonMaxSuppressionV4=m.asm.ta).apply(null,arguments)},m._NonMaxSuppressionV5=function(){return(m._NonMaxSuppressionV5=m.asm.ua).apply(null,arguments)},m._NotEqual=function(){return(m._NotEqual=m.asm.va).apply(null,arguments)},m._OneHot=function(){return(m._OneHot=m.asm.wa).apply(null,arguments)},m._PadV2=function(){return(m._PadV2=m.asm.xa).apply(null,arguments)},m._Pow=function(){return(m._Pow=m.asm.ya).apply(null,arguments)},m._Prelu=function(){return(m._Prelu=m.asm.za).apply(null,arguments)},m._Prod=function(){return(m._Prod=m.asm.Aa).apply(null,arguments)},m._RealDiv=function(){return(m._RealDiv=m.asm.Ba).apply(null,arguments)},m._Relu=function(){return(m._Relu=m.asm.Ca).apply(null,arguments)},m._Relu6=function(){return(m._Relu6=m.asm.Da).apply(null,arguments)},m._ResizeBilinear=function(){return(m._ResizeBilinear=m.asm.Ea).apply(null,arguments)},m._Reverse=function(){return(m._Reverse=m.asm.Fa).apply(null,arguments)},m._RotateWithOffset=function(){return(m._RotateWithOffset=m.asm.Ga).apply(null,arguments)},m._Round=function(){return(m._Round=m.asm.Ha).apply(null,arguments)},m._Rsqrt=function(){return(m._Rsqrt=m.asm.Ia).apply(null,arguments)},m._ScatterNd=function(){return(m._ScatterNd=m.asm.Ja).apply(null,arguments)},m._SelectV2=function(){return(m._SelectV2=m.asm.Ka).apply(null,arguments)},m._Sigmoid=function(){return(m._Sigmoid=m.asm.La).apply(null,arguments)},m._Sin=function(){return(m._Sin=m.asm.Ma).apply(null,arguments)},m._Softmax=function(){return(m._Softmax=m.asm.Na).apply(null,arguments)},m._Sqrt=function(){return(m._Sqrt=m.asm.Oa).apply(null,arguments)},m._Square=function(){return(m._Square=m.asm.Pa).apply(null,arguments)},m._SquaredDifference=function(){return(m._SquaredDifference=m.asm.Qa).apply(null,arguments)},m._Step=function(){return(m._Step=m.asm.Ra).apply(null,arguments)},m._StridedSlice=function(){return(m._StridedSlice=m.asm.Sa).apply(null,arguments)},m._Sub=function(){return(m._Sub=m.asm.Ta).apply(null,arguments)},m._Sum=function(){return(m._Sum=m.asm.Ua).apply(null,arguments)},m._Tanh=function(){return(m._Tanh=m.asm.Va).apply(null,arguments)},m._Tile=function(){return(m._Tile=m.asm.Wa).apply(null,arguments)},m._TopK=function(){return(m._TopK=m.asm.Xa).apply(null,arguments)},m._Transpose=function(){return(m._Transpose=m.asm.Ya).apply(null,arguments)},m.__FusedMatMul=function(){return(m.__FusedMatMul=m.asm.Za).apply(null,arguments)},m._malloc=function(){return(jn=m._malloc=m.asm._a).apply(null,arguments)}),qn=m._free=function(){return(qn=m._free=m.asm.$a).apply(null,arguments)},Vn=m.___errno_location=function(){return(Vn=m.___errno_location=m.asm.ab).apply(null,arguments)},Gn=m._emscripten_get_global_libc=function(){return(Gn=m._emscripten_get_global_libc=m.asm.bb).apply(null,arguments)},Kn=m._pthread_self=function(){return(Kn=m._pthread_self=m.asm.cb).apply(null,arguments)},Qn=m.___pthread_tsd_run_dtors=function(){return(Qn=m.___pthread_tsd_run_dtors=m.asm.db).apply(null,arguments)},Xn=m._emscripten_main_thread_process_queued_calls=function(){return(Xn=m._emscripten_main_thread_process_queued_calls=m.asm.eb).apply(null,arguments)},Zn=(m._emscripten_current_thread_process_queued_calls=function(){return(m._emscripten_current_thread_process_queued_calls=m.asm.fb).apply(null,arguments)},m._emscripten_register_main_browser_thread_id=function(){return(Zn=m._emscripten_register_main_browser_thread_id=m.asm.gb).apply(null,arguments)}),Yn=m.__emscripten_do_dispatch_to_thread=function(){return(Yn=m.__emscripten_do_dispatch_to_thread=m.asm.hb).apply(null,arguments)},Jn=m._emscripten_sync_run_in_main_thread_4=function(){return(Jn=m._emscripten_sync_run_in_main_thread_4=m.asm.ib).apply(null,arguments)},$n=m._emscripten_run_in_main_runtime_thread_js=function(){return($n=m._emscripten_run_in_main_runtime_thread_js=m.asm.jb).apply(null,arguments)},et=m.__emscripten_call_on_thread=function(){return(et=m.__emscripten_call_on_thread=m.asm.kb).apply(null,arguments)},nt=(m._emscripten_tls_init=function(){return(m._emscripten_tls_init=m.asm.lb).apply(null,arguments)},m.__emscripten_thread_init=function(){return(nt=m.__emscripten_thread_init=m.asm.mb).apply(null,arguments)}),tt=m.stackSave=function(){return(tt=m.stackSave=m.asm.nb).apply(null,arguments)},at=m.stackRestore=function(){return(at=m.stackRestore=m.asm.ob).apply(null,arguments)},rt=m.stackAlloc=function(){return(rt=m.stackAlloc=m.asm.pb).apply(null,arguments)},ut=m._emscripten_stack_set_limits=function(){return(ut=m._emscripten_stack_set_limits=m.asm.qb).apply(null,arguments)},it=m._memalign=function(){return(it=m._memalign=m.asm.rb).apply(null,arguments)},st=m.__emscripten_allow_main_runtime_queued_calls=9880,ot=m.__emscripten_main_thread_futex=11368;function dt(e){this.name="ExitStatus",this.message="Program terminated with exit("+e+")",this.status=e}function lt(e){if(!(me>0)){if(k)return c(m),void postMessage({cmd:"loaded"});oe(),me>0||(m.setStatus?(m.setStatus("Running..."),setTimeout((function(){setTimeout((function(){m.setStatus("")}),1),n()}),1)):n())}function n(){zn||(zn=!0,m.calledRun=!0,j||(de(),le(),c(m),m.onRuntimeInitialized&&m.onRuntimeInitialized(),pe()))}}function pt(e,n){if(!n||!P||0!==e){if(!n&&k)throw postMessage({cmd:"exitProcess",returnCode:e}),new dt(e);P||(We.terminateAllThreads(),m.onExit&&m.onExit(e),j=!0),y(e,new dt(e))}}if(m.cwrap=K,m.PThread=We,m.PThread=We,m.wasmMemory=D,m.ExitStatus=dt,be=function e(){zn||lt(),zn||(be=e)},m.run=lt,m.preInit)for("function"==typeof m.preInit&&(m.preInit=[m.preInit]);m.preInit.length>0;)m.preInit.pop()();return k&&(P=!1,We.initWorker()),lt(),e.ready});e.exports=o}));var Rn=On((function(e,n){var r,u=(r="undefined"!=typeof document&&document.currentScript?document.currentScript.src:void 0,"undefined"!=typeof __filename&&(r=r||__filename),function(e){var n,u,i="undefined"!=typeof(e=e||{})?e:{};i.ready=new Promise((function(e,t){n=e,u=t}));var s,o={};for(s in i)i.hasOwnProperty(s)&&(o[s]=i[s]);var d=!1,l=!1,p=!1,c=!1;d="object"==typeof window,l="function"==typeof importScripts,p="object"==typeof process&&"object"==typeof process.versions&&"string"==typeof process.versions.node,c=!d&&!p&&!l;var f,m,h,b,y,v="";function _(e){return i.locateFile?i.locateFile(e,v):v+e}p?(v=l?t.dirname(v)+"/":__dirname+"/",f=function(e,n){return b||(b=a),y||(y=t),e=y.normalize(e),b.readFileSync(e,n?null:"utf8")},h=function(e){var n=f(e,!0);return n.buffer||(n=new Uint8Array(n)),S(n.buffer),n},process.argv.length>1&&process.argv[1].replace(/\\/g,"/"),process.argv.slice(2),process.on("uncaughtException",(function(e){if(!(e instanceof Ne))throw e})),process.on("unhandledRejection",ae),i.inspect=function(){return"[Emscripten Module object]"}):c?("undefined"!=typeof read&&(f=function(e){return read(e)}),h=function(e){var n;return"function"==typeof readbuffer?new Uint8Array(readbuffer(e)):(S("object"==typeof(n=read(e,"binary"))),n)},"undefined"!=typeof scriptArgs&&scriptArgs,"undefined"!=typeof print&&("undefined"==typeof console&&(console={}),console.log=print,console.warn=console.error="undefined"!=typeof printErr?printErr:print)):(d||l)&&(l?v=self.location.href:"undefined"!=typeof document&&document.currentScript&&(v=document.currentScript.src),r&&(v=r),v=0!==v.indexOf("blob:")?v.substr(0,v.lastIndexOf("/")+1):"",f=function(e){var n=new XMLHttpRequest;return n.open("GET",e,!1),n.send(null),n.responseText},l&&(h=function(e){var n=new XMLHttpRequest;return n.open("GET",e,!1),n.responseType="arraybuffer",n.send(null),new Uint8Array(n.response)}),m=function(e,n,t){var a=new XMLHttpRequest;a.open("GET",e,!0),a.responseType="arraybuffer",a.onload=function(){200==a.status||0==a.status&&a.response?n(a.response):t()},a.onerror=t,a.send(null)});var g,w,k=i.print||console.log.bind(console),I=i.printErr||console.warn.bind(console);for(s in o)o.hasOwnProperty(s)&&(i[s]=o[s]);o=null,i.arguments&&i.arguments,i.thisProgram&&i.thisProgram,i.quit&&i.quit,i.wasmBinary&&(g=i.wasmBinary),i.noExitRuntime,"object"!=typeof WebAssembly&&ae("no native wasm support detected");var M=!1;function S(e,n){e||ae("Assertion failed: "+n)}function x(e){var n=i["_"+e];return S(n,"Cannot call unknown function "+e+", make sure it is exported"),n}function A(e,n,t,a,r){var u={string:function(e){var n=0;if(null!=e&&0!==e){var t=1+(e.length<<2);W(e,n=Fe(t),t)}return n},array:function(e){var n=Fe(e.length);return H(e,n),n}},i=x(e),s=[],o=0;if(a)for(var d=0;d<a.length;d++){var l=u[t[d]];l?(0===o&&(o=xe()),s[d]=l(a[d])):s[d]=a[d]}var p=i.apply(null,s);return p=function(e){return"string"===n?R(e):"boolean"===n?Boolean(e):e}(p),0!==o&&Ae(o),p}function F(e,n,t,a){var r=(t=t||[]).every((function(e){return"number"===e}));return"string"!==n&&r&&!a?x(e):function(){return A(e,n,t,arguments)}}var N,E,C,T,O="undefined"!=typeof TextDecoder?new TextDecoder("utf8"):void 0;function D(e,n,t){for(var a=n+t,r=n;e[r]&&!(r>=a);)++r;if(r-n>16&&e.subarray&&O)return O.decode(e.subarray(n,r));for(var u="";n<r;){var i=e[n++];if(128&i){var s=63&e[n++];if(192!=(224&i)){var o=63&e[n++];if((i=224==(240&i)?(15&i)<<12|s<<6|o:(7&i)<<18|s<<12|o<<6|63&e[n++])<65536)u+=String.fromCharCode(i);else{var d=i-65536;u+=String.fromCharCode(55296|d>>10,56320|1023&d)}}else u+=String.fromCharCode((31&i)<<6|s)}else u+=String.fromCharCode(i)}return u}function R(e,n){return e?D(C,e,n):""}function P(e,n,t,a){if(!(a>0))return 0;for(var r=t,u=t+a-1,i=0;i<e.length;++i){var s=e.charCodeAt(i);if(s>=55296&&s<=57343&&(s=65536+((1023&s)<<10)|1023&e.charCodeAt(++i)),s<=127){if(t>=u)break;n[t++]=s}else if(s<=2047){if(t+1>=u)break;n[t++]=192|s>>6,n[t++]=128|63&s}else if(s<=65535){if(t+2>=u)break;n[t++]=224|s>>12,n[t++]=128|s>>6&63,n[t++]=128|63&s}else{if(t+3>=u)break;n[t++]=240|s>>18,n[t++]=128|s>>12&63,n[t++]=128|s>>6&63,n[t++]=128|63&s}}return n[t]=0,t-r}function W(e,n,t){return P(e,C,n,t)}function H(e,n){E.set(e,n)}function z(e,n){return e%n>0&&(e+=n-e%n),e}function L(e){N=e,i.HEAP8=E=new Int8Array(e),i.HEAP16=new Int16Array(e),i.HEAP32=T=new Int32Array(e),i.HEAPU8=C=new Uint8Array(e),i.HEAPU16=new Uint16Array(e),i.HEAPU32=new Uint32Array(e),i.HEAPF32=new Float32Array(e),i.HEAPF64=new Float64Array(e)}i.INITIAL_MEMORY;var B,U=[],j=[],q=[],V=[];function G(){if(i.preRun)for("function"==typeof i.preRun&&(i.preRun=[i.preRun]);i.preRun.length;)Z(i.preRun.shift());fe(U)}function K(){fe(j)}function Q(){fe(q)}function X(){if(i.postRun)for("function"==typeof i.postRun&&(i.postRun=[i.postRun]);i.postRun.length;)Y(i.postRun.shift());fe(V)}function Z(e){U.unshift(e)}function Y(e){V.unshift(e)}j.push({func:function(){Se()}});var J=0,$=null,ee=null;function ne(e){J++,i.monitorRunDependencies&&i.monitorRunDependencies(J)}function te(e){if(J--,i.monitorRunDependencies&&i.monitorRunDependencies(J),0==J&&(null!==$&&(clearInterval($),$=null),ee)){var n=ee;ee=null,n()}}function ae(e){i.onAbort&&i.onAbort(e),I(e+=""),M=!0,e="abort("+e+"). Build with -s ASSERTIONS=1 for more info.";var n=new WebAssembly.RuntimeError(e);throw u(n),n}function re(e,n){return String.prototype.startsWith?e.startsWith(n):0===e.indexOf(n)}i.preloadedImages={},i.preloadedAudios={};var ue="data:application/octet-stream;base64,";function ie(e){return re(e,ue)}var se="file://";function oe(e){return re(e,se)}var de="tfjs-backend-wasm.wasm";function le(e){try{if(e==de&&g)return new Uint8Array(g);if(h)return h(e);throw"both async and sync fetching of the wasm failed"}catch(e){ae(e)}}function pe(){if(!g&&(d||l)){if("function"==typeof fetch&&!oe(de))return fetch(de,{credentials:"same-origin"}).then((function(e){if(!e.ok)throw"failed to load wasm binary file at '"+de+"'";return e.arrayBuffer()})).catch((function(){return le(de)}));if(m)return new Promise((function(e,n){m(de,(function(n){e(new Uint8Array(n))}),n)}))}return Promise.resolve().then((function(){return le(de)}))}function ce(){var e={a:Me};function n(e,n){var t=e.exports;i.asm=t,L((w=i.asm.g).buffer),B=i.asm.m,te()}function t(e){n(e.instance)}function a(n){return pe().then((function(n){return WebAssembly.instantiate(n,e)})).then(n,(function(e){I("failed to asynchronously prepare wasm: "+e),ae(e)}))}if(ne(),i.instantiateWasm)try{return i.instantiateWasm(e,n)}catch(e){return I("Module.instantiateWasm callback failed with error: "+e),!1}return(g||"function"!=typeof WebAssembly.instantiateStreaming||ie(de)||oe(de)||"function"!=typeof fetch?a(t):fetch(de,{credentials:"same-origin"}).then((function(n){return WebAssembly.instantiateStreaming(n,e).then(t,(function(e){return I("wasm streaming compile failed: "+e),I("falling back to ArrayBuffer instantiation"),a(t)}))}))).catch(u),{}}function fe(e){for(;e.length>0;){var n=e.shift();if("function"!=typeof n){var t=n.func;"number"==typeof t?void 0===n.arg?B.get(t)():B.get(t)(n.arg):t(void 0===n.arg?null:n.arg)}else n(i)}}function me(){ae()}function he(e,n,t){C.copyWithin(e,n,n+t)}function be(){return C.length}function ye(e){try{return w.grow(e-N.byteLength+65535>>>16),L(w.buffer),1}catch(e){}}function ve(e){var n=be();if(e>2147483648)return!1;for(var t=1;t<=4;t*=2){var a=n*(1+.2/t);if(a=Math.min(a,e+100663296),ye(Math.min(2147483648,z(Math.max(e,a),65536))))return!0}return!1}ie(de)||(de=_(de));var _e={mappings:{},buffers:[null,[],[]],printChar:function(e,n){var t=_e.buffers[e];0===n||10===n?((1===e?k:I)(D(t,0)),t.length=0):t.push(n)},varargs:void 0,get:function(){return _e.varargs+=4,T[_e.varargs-4>>2]},getStr:function(e){return R(e)},get64:function(e,n){return e}};function ge(e){return 0}function we(e,n,t,a,r){}function ke(e,n,t,a){for(var r=0,u=0;u<t;u++){for(var i=T[n+8*u>>2],s=T[n+(8*u+4)>>2],o=0;o<s;o++)_e.printChar(e,C[i+o]);r+=s}return T[a>>2]=r,0}var Ie,Me={a:me,d:he,e:ve,f:ge,c:we,b:ke},Se=(ce(),i.___wasm_call_ctors=function(){return(Se=i.___wasm_call_ctors=i.asm.h).apply(null,arguments)}),xe=(i._init=function(){return(i._init=i.asm.i).apply(null,arguments)},i._register_tensor=function(){return(i._register_tensor=i.asm.j).apply(null,arguments)},i._dispose_data=function(){return(i._dispose_data=i.asm.k).apply(null,arguments)},i._dispose=function(){return(i._dispose=i.asm.l).apply(null,arguments)},i._Abs=function(){return(i._Abs=i.asm.n).apply(null,arguments)},i._Add=function(){return(i._Add=i.asm.o).apply(null,arguments)},i._AddN=function(){return(i._AddN=i.asm.p).apply(null,arguments)},i._ArgMax=function(){return(i._ArgMax=i.asm.q).apply(null,arguments)},i._AvgPool=function(){return(i._AvgPool=i.asm.r).apply(null,arguments)},i._BatchMatMul=function(){return(i._BatchMatMul=i.asm.s).apply(null,arguments)},i._Ceil=function(){return(i._Ceil=i.asm.t).apply(null,arguments)},i._ClipByValue=function(){return(i._ClipByValue=i.asm.u).apply(null,arguments)},i._Conv2D=function(){return(i._Conv2D=i.asm.v).apply(null,arguments)},i._Conv2DBackpropInput=function(){return(i._Conv2DBackpropInput=i.asm.w).apply(null,arguments)},i._Cos=function(){return(i._Cos=i.asm.x).apply(null,arguments)},i._CropAndResize=function(){return(i._CropAndResize=i.asm.y).apply(null,arguments)},i._Cumsum=function(){return(i._Cumsum=i.asm.z).apply(null,arguments)},i._DepthToSpace=function(){return(i._DepthToSpace=i.asm.A).apply(null,arguments)},i._DepthwiseConv2dNative=function(){return(i._DepthwiseConv2dNative=i.asm.B).apply(null,arguments)},i._Equal=function(){return(i._Equal=i.asm.C).apply(null,arguments)},i._Exp=function(){return(i._Exp=i.asm.D).apply(null,arguments)},i._FlipLeftRight=function(){return(i._FlipLeftRight=i.asm.E).apply(null,arguments)},i._Floor=function(){return(i._Floor=i.asm.F).apply(null,arguments)},i._FloorDiv=function(){return(i._FloorDiv=i.asm.G).apply(null,arguments)},i._FusedBatchNorm=function(){return(i._FusedBatchNorm=i.asm.H).apply(null,arguments)},i._FusedConv2D=function(){return(i._FusedConv2D=i.asm.I).apply(null,arguments)},i._FusedDepthwiseConv2D=function(){return(i._FusedDepthwiseConv2D=i.asm.J).apply(null,arguments)},i._Gather=function(){return(i._Gather=i.asm.K).apply(null,arguments)},i._GatherNd=function(){return(i._GatherNd=i.asm.L).apply(null,arguments)},i._Greater=function(){return(i._Greater=i.asm.M).apply(null,arguments)},i._GreaterEqual=function(){return(i._GreaterEqual=i.asm.N).apply(null,arguments)},i._LeakyRelu=function(){return(i._LeakyRelu=i.asm.O).apply(null,arguments)},i._Less=function(){return(i._Less=i.asm.P).apply(null,arguments)},i._LessEqual=function(){return(i._LessEqual=i.asm.Q).apply(null,arguments)},i._Log=function(){return(i._Log=i.asm.R).apply(null,arguments)},i._LogicalAnd=function(){return(i._LogicalAnd=i.asm.S).apply(null,arguments)},i._Max=function(){return(i._Max=i.asm.T).apply(null,arguments)},i._MaxPool=function(){return(i._MaxPool=i.asm.U).apply(null,arguments)},i._Maximum=function(){return(i._Maximum=i.asm.V).apply(null,arguments)},i._Mean=function(){return(i._Mean=i.asm.W).apply(null,arguments)},i._Min=function(){return(i._Min=i.asm.X).apply(null,arguments)},i._Minimum=function(){return(i._Minimum=i.asm.Y).apply(null,arguments)},i._Multiply=function(){return(i._Multiply=i.asm.Z).apply(null,arguments)},i._Neg=function(){return(i._Neg=i.asm._).apply(null,arguments)},i._NonMaxSuppressionV3=function(){return(i._NonMaxSuppressionV3=i.asm.$).apply(null,arguments)},i._NonMaxSuppressionV4=function(){return(i._NonMaxSuppressionV4=i.asm.aa).apply(null,arguments)},i._NonMaxSuppressionV5=function(){return(i._NonMaxSuppressionV5=i.asm.ba).apply(null,arguments)},i._NotEqual=function(){return(i._NotEqual=i.asm.ca).apply(null,arguments)},i._OneHot=function(){return(i._OneHot=i.asm.da).apply(null,arguments)},i._PadV2=function(){return(i._PadV2=i.asm.ea).apply(null,arguments)},i._Pow=function(){return(i._Pow=i.asm.fa).apply(null,arguments)},i._Prelu=function(){return(i._Prelu=i.asm.ga).apply(null,arguments)},i._Prod=function(){return(i._Prod=i.asm.ha).apply(null,arguments)},i._RealDiv=function(){return(i._RealDiv=i.asm.ia).apply(null,arguments)},i._Relu=function(){return(i._Relu=i.asm.ja).apply(null,arguments)},i._Relu6=function(){return(i._Relu6=i.asm.ka).apply(null,arguments)},i._ResizeBilinear=function(){return(i._ResizeBilinear=i.asm.la).apply(null,arguments)},i._Reverse=function(){return(i._Reverse=i.asm.ma).apply(null,arguments)},i._RotateWithOffset=function(){return(i._RotateWithOffset=i.asm.na).apply(null,arguments)},i._Round=function(){return(i._Round=i.asm.oa).apply(null,arguments)},i._Rsqrt=function(){return(i._Rsqrt=i.asm.pa).apply(null,arguments)},i._ScatterNd=function(){return(i._ScatterNd=i.asm.qa).apply(null,arguments)},i._SelectV2=function(){return(i._SelectV2=i.asm.ra).apply(null,arguments)},i._Sigmoid=function(){return(i._Sigmoid=i.asm.sa).apply(null,arguments)},i._Sin=function(){return(i._Sin=i.asm.ta).apply(null,arguments)},i._Softmax=function(){return(i._Softmax=i.asm.ua).apply(null,arguments)},i._Sqrt=function(){return(i._Sqrt=i.asm.va).apply(null,arguments)},i._Square=function(){return(i._Square=i.asm.wa).apply(null,arguments)},i._SquaredDifference=function(){return(i._SquaredDifference=i.asm.xa).apply(null,arguments)},i._Step=function(){return(i._Step=i.asm.ya).apply(null,arguments)},i._StridedSlice=function(){return(i._StridedSlice=i.asm.za).apply(null,arguments)},i._Sub=function(){return(i._Sub=i.asm.Aa).apply(null,arguments)},i._Sum=function(){return(i._Sum=i.asm.Ba).apply(null,arguments)},i._Tanh=function(){return(i._Tanh=i.asm.Ca).apply(null,arguments)},i._Tile=function(){return(i._Tile=i.asm.Da).apply(null,arguments)},i._TopK=function(){return(i._TopK=i.asm.Ea).apply(null,arguments)},i._Transpose=function(){return(i._Transpose=i.asm.Fa).apply(null,arguments)},i.__FusedMatMul=function(){return(i.__FusedMatMul=i.asm.Ga).apply(null,arguments)},i._malloc=function(){return(i._malloc=i.asm.Ha).apply(null,arguments)},i._free=function(){return(i._free=i.asm.Ia).apply(null,arguments)},i.stackSave=function(){return(xe=i.stackSave=i.asm.Ja).apply(null,arguments)}),Ae=i.stackRestore=function(){return(Ae=i.stackRestore=i.asm.Ka).apply(null,arguments)},Fe=i.stackAlloc=function(){return(Fe=i.stackAlloc=i.asm.La).apply(null,arguments)};function Ne(e){this.name="ExitStatus",this.message="Program terminated with exit("+e+")",this.status=e}function Ee(e){function t(){Ie||(Ie=!0,i.calledRun=!0,M||(K(),Q(),n(i),i.onRuntimeInitialized&&i.onRuntimeInitialized(),X()))}J>0||(G(),J>0||(i.setStatus?(i.setStatus("Running..."),setTimeout((function(){setTimeout((function(){i.setStatus("")}),1),t()}),1)):t()))}if(i.cwrap=F,ee=function e(){Ie||Ee(),Ie||(ee=e)},i.run=Ee,i.preInit)for("function"==typeof i.preInit&&(i.preInit=[i.preInit]);i.preInit.length>0;)i.preInit.pop()();return Ee(),e.ready});e.exports=u})),Pn=function(e){function t(t){var a=e.call(this)||this;return a.wasm=t,a.dataIdNextNumber=1,a.wasm.tfjs.init(),a.dataIdMap=new n.DataStorage(a,n.engine()),a}return function(e,n){function t(){this.constructor=e}Fn(e,n),e.prototype=null===n?Object.create(n):(t.prototype=n.prototype,new t)}(t,e),t.prototype.write=function(e,n,t){var a={id:this.dataIdNextNumber++};return this.move(a,e,n,t,1),a},t.prototype.numDataIds=function(){return this.dataIdMap.numDataIds()},t.prototype.time=function(e){return Nn(this,void 0,void 0,(function(){var t;return En(this,(function(a){return t=n.util.now(),e(),[2,{kernelMs:n.util.now()-t}]}))}))},t.prototype.move=function(e,t,a,r,u){var i=this.dataIdNextNumber++;if("string"!==r){var s=n.util.sizeFromShape(a),o=s*n.util.bytesPerElement(r),d=this.wasm._malloc(o);this.dataIdMap.set(e,{id:i,memoryOffset:d,shape:a,dtype:r,refCount:u}),this.wasm.tfjs.registerTensor(i,s,d),null!=t&&this.wasm.HEAPU8.set(new Uint8Array(t.buffer,t.byteOffset,o),d)}else{var l=t;this.dataIdMap.set(e,{id:i,stringBytes:l,shape:a,dtype:r,memoryOffset:null,refCount:u})}},t.prototype.read=function(e){return Nn(this,void 0,void 0,(function(){return En(this,(function(n){return[2,this.readSync(e)]}))}))},t.prototype.readSync=function(e){var t=this.dataIdMap.get(e),a=t.memoryOffset,r=t.dtype,u=t.shape,i=t.stringBytes;return"string"===r?i:function(e,n){switch(n){case"float32":return new Float32Array(e);case"int32":return new Int32Array(e);case"bool":return new Uint8Array(e);default:throw new Error("Unknown dtype "+n)}}(this.wasm.HEAPU8.slice(a,a+n.util.sizeFromShape(u)*n.util.bytesPerElement(r)).buffer,r)},t.prototype.disposeData=function(e,n){if(void 0===n&&(n=!1),this.dataIdMap.has(e)){var t=this.dataIdMap.get(e);if(t.refCount--,!n&&t.refCount>0)return!1;this.wasm._free(t.memoryOffset),this.wasm.tfjs.disposeData(t.id),this.dataIdMap.delete(e)}return!0},t.prototype.refCount=function(e){return this.dataIdMap.has(e)?this.dataIdMap.get(e).refCount:0},t.prototype.incRef=function(e){var n=this.dataIdMap.get(e);null!=n&&n.refCount++},t.prototype.floatPrecision=function(){return 32},t.prototype.getMemoryOffset=function(e){return this.dataIdMap.get(e).memoryOffset},t.prototype.dispose=function(){this.wasm.tfjs.dispose(),this.wasm=null},t.prototype.memory=function(){return{unreliable:!1}},t.prototype.makeOutput=function(e,t,a){var r;if(null==a)r=this.write(null,e,t);else{var u=this.dataIdNextNumber++;r={id:u},this.dataIdMap.set(r,{id:u,memoryOffset:a,shape:e,dtype:t,refCount:1});var i=n.util.sizeFromShape(e);this.wasm.tfjs.registerTensor(u,i,a)}return{dataId:r,shape:e,dtype:t}},t.prototype.typedArrayFromHeap=function(e){var t=e.shape,a=e.dtype,r=e.dataId,u=this.wasm.HEAPU8.buffer,i=this.dataIdMap.get(r).memoryOffset,s=n.util.sizeFromShape(t);switch(a){case"float32":return new Float32Array(u,i,s);case"int32":return new Int32Array(u,i,s);case"bool":return new Uint8Array(u,i,s);default:throw new Error("Unknown dtype "+a)}},t}(n.KernelBackend);function Wn(e,n,t){if(null!=Ln)return Ln;var a="tfjs-backend-wasm.wasm";return e&&n?a="tfjs-backend-wasm-threaded-simd.wasm":e&&(a="tfjs-backend-wasm-simd.wasm"),null!=Un&&null!=Un[a]?Un[a]:t+a}function Hn(){return Nn(this,void 0,void 0,(function(){var e,t,a;return En(this,(function(r){switch(r.label){case 0:return[4,Promise.all([n.env().getAsync("WASM_HAS_SIMD_SUPPORT"),n.env().getAsync("WASM_HAS_MULTITHREAD_SUPPORT")])];case 1:return e=r.sent(),t=e[0],a=e[1],[2,new Promise((function(e,r){var u={locateFile:function(e,n){if(e.endsWith(".worker.js")){var r=new Blob(['var Module={};function threadPrintErr(){var text=Array.prototype.slice.call(arguments).join(" ");console.error(text)}function threadAlert(){var text=Array.prototype.slice.call(arguments).join(" ");postMessage({cmd:"alert",text:text,threadId:Module["_pthread_self"]()})}var err=threadPrintErr;this.alert=threadAlert;Module["instantiateWasm"]=function(info,receiveInstance){var instance=new WebAssembly.Instance(Module["wasmModule"],info);Module["wasmModule"]=null;receiveInstance(instance);return instance.exports};function moduleLoaded(){}this.onmessage=function(e){try{if(e.data.cmd==="load"){Module["wasmModule"]=e.data.wasmModule;Module["wasmMemory"]=e.data.wasmMemory;Module["buffer"]=Module["wasmMemory"].buffer;Module["ENVIRONMENT_IS_PTHREAD"]=true;if(typeof e.data.urlOrBlob==="string"){importScripts(e.data.urlOrBlob)}else{var objectUrl=URL.createObjectURL(e.data.urlOrBlob);importScripts(objectUrl);URL.revokeObjectURL(objectUrl)}WasmBackendModuleThreadedSimd(Module).then(function(instance){Module=instance;moduleLoaded()})}else if(e.data.cmd==="objectTransfer"){Module["PThread"].receiveObjectTransfer(e.data)}else if(e.data.cmd==="run"){Module["__performance_now_clock_drift"]=performance.now()-e.data.time;Module["__emscripten_thread_init"](e.data.threadInfoStruct,0,0);var max=e.data.stackBase;var top=e.data.stackBase+e.data.stackSize;Module["establishStackSpace"](top,max);Module["_emscripten_tls_init"]();Module["PThread"].receiveObjectTransfer(e.data);Module["PThread"].setThreadStatus(Module["_pthread_self"](),1);try{var result=Module["invokeEntryPoint"](e.data.start_routine,e.data.arg);if(!Module["getNoExitRuntime"]())Module["PThread"].threadExit(result)}catch(ex){if(ex==="Canceled!"){Module["PThread"].threadCancel()}else if(ex!="unwind"){if(ex instanceof Module["ExitStatus"]){if(Module["getNoExitRuntime"]()){}else{Module["PThread"].threadExit(ex.status)}}else{Module["PThread"].threadExit(-2);throw ex}}}}else if(e.data.cmd==="cancel"){if(Module["_pthread_self"]()){Module["PThread"].threadCancel()}}else if(e.data.target==="setimmediate"){}else if(e.data.cmd==="processThreadQueue"){if(Module["_pthread_self"]()){Module["_emscripten_current_thread_process_queued_calls"]()}}else{err("worker.js received unknown command "+e.data.cmd);err(e.data)}}catch(ex){err("worker.js onmessage() captured an uncaught exception: "+ex);if(ex&&ex.stack)err(ex.stack);throw ex}};if(typeof process==="object"&&typeof process.versions==="object"&&typeof process.versions.node==="string"){self={location:{href:__filename}};var onmessage=this.onmessage;var nodeWorkerThreads=require("worker_threads");global.Worker=nodeWorkerThreads.Worker;var parentPort=nodeWorkerThreads.parentPort;parentPort.on("message",function(data){onmessage({data:data})});var nodeFS=require("fs");var nodeRead=function(filename){return nodeFS.readFileSync(filename,"utf8")};function globalEval(x){global.require=require;global.Module=Module;eval.call(null,x)}importScripts=function(f){globalEval(nodeRead(f))};postMessage=function(msg){parentPort.postMessage(msg)};if(typeof performance==="undefined"){performance={now:function(){return Date.now()}}}}'],{type:"application/javascript"});return URL.createObjectURL(r)}return e.endsWith(".wasm")?Wn(t,a,null!=Bn?Bn:n):n+e}};qn&&(u.instantiateWasm=function(e){return function(t,a){return n.util.fetch(e,{credentials:"same-origin"}).then((function(n){n.ok||t.env.a("failed to load wasm binary file at '"+e+"'"),n.arrayBuffer().then((function(e){WebAssembly.instantiate(e,t).then((function(e){a(e.instance)}))}))})),{}}}(Wn(t,a,null!=Bn?Bn:"")));var i,s=!1;u.onAbort=function(){if(!s&&!jn){jn=!0;r({message:"Make sure the server can serve the `.wasm` file relative to the bundled js file. For more details see https://github.com/tensorflow/tfjs/blob/master/tfjs-backend-wasm/README.md#using-bundlers"})}},a&&t&&null==Ln?(u.mainScriptUrlOrBlob=new Blob(["var WasmBackendModuleThreadedSimd = "+Dn.toString()],{type:"text/javascript"}),i=Dn(u)):i=Rn(u),i.then((function(n){s=!0,jn=!1;n.tfjs={init:n.cwrap("init",null,[]),registerTensor:n.cwrap("register_tensor",null,["number","number","number"]),disposeData:n.cwrap("dispose_data",null,["number"]),dispose:n.cwrap("dispose",null,[])},e({wasm:n})}))}))]}}))}))}var zn=["tfjs-backend-wasm.wasm","tfjs-backend-wasm-simd.wasm","tfjs-backend-wasm-threaded-simd.wasm"],Ln=null,Bn=null,Un={},jn=!1,qn=!1;n.registerBackend("wasm",(function(){return Nn(void 0,void 0,void 0,(function(){var e;return En(this,(function(n){switch(n.label){case 0:return[4,Hn()];case 1:return e=n.sent().wasm,[2,new Pn(e)]}}))}))}),2),e.BackendWasm=Pn,e.setWasmPath=function(e,t){if(void 0===t&&(t=!1),n.deprecationWarn("setWasmPath has been deprecated in favor of setWasmPaths and will be removed in a future release."),jn)throw new Error("The WASM backend was already initialized. Make sure you call `setWasmPath()` before you call `tf.setBackend()` or `tf.ready()`");Ln=e,qn=t},e.setWasmPaths=function(e,n){if(void 0===n&&(n=!1),jn)throw new Error("The WASM backend was already initialized. Make sure you call `setWasmPaths()` before you call `tf.setBackend()` or `tf.ready()`");if("string"==typeof e)Bn=e;else{Un=e;var t=zn.filter((function(e){return null==Un[e]}));if(t.length>0)throw new Error("There were no entries found for the following binaries: "+t.join(",")+". Please either call setWasmPaths with a map providing a path for each binary, or with a string indicating the directory where all the binaries can be found.")}qn=n},e.version_wasm="3.2.0",Object.defineProperty(e,"__esModule",{value:!0})}));
//# sourceMappingURL=tf-backend-wasm.min.js.map
